<?php
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename:  getcities.php
* Location: /admin/includes/ajax/getcities.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
include_once('../../../includes/config.php');
include_once('../../../includes/sql_layer.php');
$dbi = sql_connect($dbhost, $dbuname, $dbpass, $dbname);
include_once('../../../includes/functions.php');

session_start();
$currentlang=$_SESSION['language'];
include_once('../../../languages/lang-'.$currentlang.'.php');
$userid=$_SESSION['user_id'];

echo '<div class="AdminFormRsTitle">'.utf8_encode(SELECT_A_STATE).': </div>';
$country=$_SESSION['country'];
$_SESSION['country']=$country;
$state=$_GET['state'];
$_SESSION['state']=$state;
$_SESSION['user_state']=$state;
$_SESSION['user_city']='';

$sql="SELECT * FROM geo_states WHERE state_country_id = '".$country."'";
$result = sql_query($sql, $dbi);
echo '<select id="state" name="state" onchange="showCities(this.value)" >';
while($row = sql_fetch_array($result, $dbi)){
	if($row['state_id']==$state) { $selected = ' selected'; } else { $selected = ''; }
	print '<option value="'.$row['state_id'].'" '.$selected.'>'.utf8_encode($row['state_name']).'</option>';
}
echo '</select>';
echo '<br>';
echo '<div class="AdminFormRsTitle">'.utf8_encode(SELECT_A_CITY).': </div>';

$sql="SELECT * FROM geo_cities WHERE city_state_id = '".$state."' AND (user_id = '".$userid."' OR user_id = '') ORDER BY  place ASC";
$result = sql_query($sql, $dbi);
$row = sql_fetch_array($result, $dbi);
$cities = checkSomethingFromTable($table='geo_cities', $what='place', $key='city_state_id', $keyvalue=$state, $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
$count_cities=count($cities);
if ($count_cities!=''){
	echo '<div class="AdminFormRsTitle">'.utf8_encode(CITIES_FOUND).': </div>';
	$sql="SELECT * FROM geo_cities WHERE city_state_id = '".$state."' AND (user_id = '".$userid."' OR user_id = '') ORDER BY place, zip";
	$result = sql_query($sql, $dbi);
	echo '<select id="city" name="city" onchange="getimputzipcities(this.value)">';
	print '<option value="'._CHOOSECITY.$country.ST.$state.'" '.$selected.'>'.utf8_encode(CHOOSE_A_CITY).'</option>';
	print '<option value="'._NOTLISTED.$country.ST.$state.'" '.$selected.'>'.utf8_encode(NOT_LISTED).'</option>';
	while($row = sql_fetch_array($result, $dbi)){
		if($row['city_id']==$city) { $selected = ' selected'; } else { $selected = ''; }
		print '<option value="'.$row['city_id'].'" '.$selected.'>'.$row['zip'].' '.utf8_encode($row['place']).'</option>';
	}
	echo '</select>';
} else {
	echo '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
	echo '<tr>';
	echo '<td class="FormBlock10"></td>';
	echo '<td class="FormBlock10"><blink><font color="#ff0000">'.utf8_encode(NO_CITIES_FOUND).  '</font></blink><BR>'.utf8_encode(TEXT_INSERT_ZIPCITY).'</td>';
	echo '</tr>';
	echo '<tr>';
	echo '<td class="FormBlock10">'.utf8_encode(ZIP).'</td>';
	echo '<td class="FormBlock10"><input name="newzip" type="text" value="'.$newzip.'" onchange="updatemyAccountNewZip(this.value)"></td>';
	echo '</tr>';
	echo '<tr>';
	echo '<td class="FormBlock10">'.utf8_encode(CITY).'</td>';
	echo '<td class="FormBlock10"><input name="newcity" type="text" value="'.$newcity.'" onchange="updatemyAccountNewCity(this.value)"></td>';
	echo '</tr>';
	echo '</table>';
}
?>