<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename:  index.php
* Location: /admin/index.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/

if( ($_SESSION['login']=='loged') AND ( check_xomol_user_rights_specific($userid, 'ASYSTEM_ACCESS') == '1') ) {
	switch($op2){
		/*********************************************************************************************
		* ADMIN
		*********************************************************************************************/
		case "admin_site":
			if ( check_xomol_user_rights_specific($userid, 'ACCESS_ADMIN_PANEL') == '1')  {
				include('admin/admin_site.php');
			} else { echo _NORIGHTS; }
		break;

		/*********************************************************************************************
		* COMPANY INFOS
		*********************************************************************************************/
		case "admin_company_info":
			if ( check_xomol_user_rights_specific($userid, 'A_COMP_INFO_ACCESS') == '1')  {
				include('admin/admin_company_info.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_company_info_edit":
			if ( check_xomol_user_rights_specific($userid, 'A_COMP_INFO_EDIT') == '1')  {
				include('admin/admin_company_info_edit.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_company_info_update":
			if ( check_xomol_user_rights_specific($userid, 'A_COMP_INFO_EDIT') == '1')  {
				sql_query("UPDATE my_company_info    SET  company_name='".$_company_name."',
														  company_owner='".$company_owner."',
														  company_email='".$company_email."',
														  company_support_mail='".$company_support_mail."',
														  company_street='".$company_street."',
														  company_street_nr='".$company_street_nr."',
														  company_zip='".$company_zip."',
														  company_city='".$company_city."',
														  company_state='".$company_state."',
														  company_country='".$company_country."',
														  company_phone='".$company_phone."',
														  company_mobile='".$company_mobile."',
														  company_fax='".$company_fax."',
														  bank_name='".$bank_name."',
														  bank_filial='".$bank_filial."',
														  bank_address='".$bank_address."',
														  bank_zip='".$bank_zip."',
														  bank_city='".$bank_city."',
														  bank_state='".$bank_state."',
														  bank_country='".$bank_country."',
														  bank_iban='".$bank_iban."',
														  bank_swift='".$bank_swift."',
														  bank_clearling_nr='".$bank_clearling_nr."',
														  bank_account_nr='".$bank_account_nr."',
														  paypal_email='".$paypal_email."',
														  google_analitics_id='".$google_analitics_id."',
														  google_conversion_id='".$google_conversion_id."',
														  google_conversion_language='".$google_conversion_language."'
														  ", $dbi);
				include('admin/admin_company_info.php');
			} else { echo _NORIGHTS; }
		break;


		case "admin_company_logo_header":
			if ( check_xomol_user_rights_specific($userid, 'A_COMP_INFO_LOGOS_EDIT') == '1')  {
				include('admin/admin_company_logo_header.php');
			} else { echo _NORIGHTS; }
		break;

		case "updatelogo_header":
			if ( check_xomol_user_rights_specific($userid, 'A_COMP_INFO_LOGOS_EDIT') == '1')  {
				$MAX_WIDTH = get_config_value($config_key='LOGO_HEADER_MAX_WIDTH');
				$MAX_HEIGHT = get_config_value($config_key='LOGO_HEADER_MAX_HEIGTH');
				$PREFIX = 'logo_header_';
				$PREFIX = '';

				$fileupload_url = 'images';
				$fileupload_realpath='images';
				$fileupload_maxk = get_config_value($config_key='FILEUPLOAD_MAXK');
				$MAX_FILE_SIZE=$fileupload_maxk*1024;
				$fileupload_allowedtypes = get_config_value($config_key='OK_MIME_TYPES');
				$fileupload_allowedtypes = ' jpg jpeg png';

				if($userfile != '' ) {
					include('includes/userfile_prefix.php');
					$file_name = $userfile_name;
					if($file_name!='') {
						$file_name=$PREFIX.$file_name;
						sql_query("UPDATE my_company_info SET image_header='".$file_name."'  ", $dbi);
					}
				}

				include('admin/admin_company_info.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_company_logo_footer":
			if ( check_xomol_user_rights_specific($userid, 'A_COMP_INFO_LOGOS_EDIT') == '1')  {
				include('admin/admin_company_logo_footer.php');
			} else { echo _NORIGHTS; }
		break;

		case "updatelogo_footer":
			if ( check_xomol_user_rights_specific($userid, 'A_COMP_INFO_LOGOS_EDIT') == '1')  {

				$MAX_WIDTH = get_config_value($config_key='LOGO_FOOTER_MAX_WIDTH');
				$MAX_HEIGHT = get_config_value($config_key='LOGO_FOOTER_MAX_HEIGHT');
				$PREFIX = 'logo_footer_';
				$PREFIX = '';

				$fileupload_url = 'images';
				$fileupload_realpath='images';
				$fileupload_maxk = get_config_value($config_key='FILEUPLOAD_MAXK');
				$MAX_FILE_SIZE=$fileupload_maxk*1024;
				$fileupload_allowedtypes = get_config_value($config_key='OK_MIME_TYPES');
				$fileupload_allowedtypes = ' jpg jpeg png';

				if($userfile != '' ) {
					include('includes/userfile_prefix.php');
					$file_name = $userfile_name;
					if($file_name!='') {
						$file_name=$PREFIX.$file_name;
						sql_query("UPDATE my_company_info SET image_footer='".$file_name."'  ", $dbi);
					}
				}

				include('admin/admin_company_info.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_pdf_logo_header":
			if ( check_xomol_user_rights_specific($userid, 'A_COMP_INFO_LOGOS_EDIT') == '1')  {
				include('admin/admin_pdf_logo_header.php');
			} else { echo _NORIGHTS; }
		break;

		case "updatelogo_header_pdf":
			if ( check_xomol_user_rights_specific($userid, 'A_COMP_INFO_LOGOS_EDIT') == '1')  {

				$MAX_WIDTH = get_config_value($config_key='LOGO_PDF_HEADER_MAX_WIDTH');
				$MAX_HEIGHT = get_config_value($config_key='LOGO_PDF_HEADER_MAX_HEIGHT');
				$PREFIX = '';

				$fileupload_url = 'images';
				$fileupload_realpath='images';
				$fileupload_maxk = get_config_value($config_key='FILEUPLOAD_MAXK');
				$MAX_FILE_SIZE=$fileupload_maxk*1024;
				$fileupload_allowedtypes = get_config_value($config_key='OK_MIME_TYPES');
				$fileupload_allowedtypes = ' jpg jpeg png';

				if($userfile != '' ) {
					include('includes/userfile_prefix.php');
					$file_name = $userfile_name;
					if($file_name!='') {
						$file_name=$PREFIX.$file_name;
						sql_query("UPDATE my_company_info SET pdf_image_header='".$file_name."'  ", $dbi);
					}
				}
				//echo $debug;
				include('admin/admin_company_info.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_pdf_logo_footer":
			if ( check_xomol_user_rights_specific($userid, 'A_COMP_INFO_LOGOS_EDIT') == '1')  {
				include('admin/admin_pdf_logo_footer.php');
			} else { echo _NORIGHTS; }
		break;

		case "updatelogo_footer_pdf":
			if ( check_xomol_user_rights_specific($userid, 'A_COMP_INFO_LOGOS_EDIT') == '1')  {

				$MAX_WIDTH = get_config_value($config_key='LOGO_PDF_FOOTER_MAX_WIDTH');
				$MAX_HEIGHT = get_config_value($config_key='LOGO_PDF_FOOTER_MAX_HEIGHT');
				$PREFIX = 'logo_pdf_footer_';
				$PREFIX = '';

				$fileupload_url = 'images';
				$fileupload_realpath='images';
				$fileupload_maxk = get_config_value($config_key='FILEUPLOAD_MAXK');
				$MAX_FILE_SIZE=$fileupload_maxk*1024;
				$fileupload_allowedtypes = get_config_value($config_key='OK_MIME_TYPES');
				$fileupload_allowedtypes = ' jpg jpeg png';

				if($userfile != '' ) {
					include('includes/userfile_prefix.php');
					$file_name = $userfile_name;
					if($file_name!='') {
						$file_name=$PREFIX.$file_name;
						sql_query("UPDATE my_company_info SET pdf_image_footer='".$file_name."'  ", $dbi);
					}
				}

				include('admin/admin_company_info.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_print_logo_header":
			if ( check_xomol_user_rights_specific($userid, 'A_COMP_INFO_LOGOS_EDIT') == '1')  {
				include('admin/admin_print_logo_header.php');
			} else { echo _NORIGHTS; }
		break;

		case "updatelogo_header_print":
			if ( check_xomol_user_rights_specific($userid, 'A_COMP_INFO_LOGOS_EDIT') == '1')  {

				$MAX_WIDTH = get_config_value($config_key='LOGO_PRINT_HEADER_MAX_WIDTH');
				$MAX_HEIGHT = get_config_value($config_key='LOGO_PRINT_HEADER_MAX_HEIGHT');
				$PREFIX = 'logo_print_header_';
				$PREFIX = '';

				$fileupload_url = 'images';
				$fileupload_realpath='images';
				$fileupload_maxk = get_config_value($config_key='FILEUPLOAD_MAXK');
				$MAX_FILE_SIZE=$fileupload_maxk*1024;
				$fileupload_allowedtypes = get_config_value($config_key='OK_MIME_TYPES');
				$fileupload_allowedtypes = ' gif gif jpg jpeg png';

				if($userfile != '' ) {
					include('includes/userfile_prefix.php');
					$file_name = $userfile_name;
					if($file_name!='') {
						sql_query("UPDATE my_company_info SET print_image_header='".$file_name."'  ", $dbi);
					}
				}

				include('admin/admin_company_info.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_print_logo_footer":
			if ( check_xomol_user_rights_specific($userid, 'A_COMP_INFO_LOGOS_EDIT') == '1')  {
				include('admin/admin_print_logo_footer.php');
			} else { echo _NORIGHTS; }
		break;

		case "updatelogo_footer_print":
			if ( check_xomol_user_rights_specific($userid, 'A_COMP_INFO_LOGOS_EDIT') == '1')  {

				$MAX_WIDTH = get_config_value($config_key='LOGO_PRINT_FOOTER_MAX_WIDTH');
				$MAX_HEIGHT = get_config_value($config_key='LOGO_PRINT_FOOTER_MAX_HEIGHT');
				$PREFIX = 'logo_print_footer_';
				$PREFIX = '';

				$fileupload_url = 'images';
				$fileupload_realpath='images';
				$fileupload_maxk = get_config_value($config_key='FILEUPLOAD_MAXK');
				$MAX_FILE_SIZE=$fileupload_maxk*1024;
				$fileupload_allowedtypes = get_config_value($config_key='OK_MIME_TYPES');
				$fileupload_allowedtypes = ' jpg jpeg png';

				if($userfile != '' ) {
					include('includes/userfile_prefix.php');
					$file_name = $userfile_name;
					if($file_name!='') {
						sql_query("UPDATE my_company_info SET print_image_footer='".$file_name."'  ", $dbi);
					}
				}

				include('admin/admin_company_info.php');
			} else { echo _NORIGHTS; }
		break;


		/*********************************************************************************************
		* LANGUAGES
		*********************************************************************************************/
		case "admin_languages":
			if ( check_xomol_user_rights_specific($userid, 'A_LANGUAGES_ACCESS') == '1')  {
				include('admin/admin_languages.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_language_status":
			if ( check_xomol_user_rights_specific($userid, 'A_LANGUAGES_EDIT') == '1')  {
				if($switch=="1") {
					sql_query("UPDATE admin_languages SET status=1 WHERE language='$setlanguage'",$dbi);
				} else {
					sql_query("UPDATE admin_languages SET status=0 WHERE language='$setlanguage'",$dbi);
				}
				include('admin/admin_languages.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_language_is_default":
			if ( check_xomol_user_rights_specific($userid, 'A_LANGUAGES_EDIT') == '1')  {
				if($switch=="1") {
					$result= sql_query("UPDATE admin_languages SET is_default=1 WHERE language='$setlanguage'",$dbi);
					$result= sql_query("UPDATE admin_languages SET is_default=0 WHERE language!='$setlanguage'",$dbi);
					$_SESSION['language']= $setlanguage;
				} else {
					$result= sql_query("UPDATE admin_languages SET is_default=0 WHERE language='$setlanguage'",$dbi);
				}
				include('admin/admin_languages.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_language_order":
			if ( check_xomol_user_rights_specific($userid, 'A_LANGUAGES_EDIT') == '1')  {
				$view_order = checkSomethingFromTable($table='admin_languages', $what='view_order', $key='language', $keyvalue=$setlanguage, $langkey='', $langkeyvalue='', $sqlanswer='');
				$under = $view_order-1;
				$upper = $view_order+1;

				$result_under = sql_query("SELECT * FROM admin_languages WHERE  view_order='" . $under . "' LIMIT 0,1  ", $dbi);
				if($row_under = sql_fetch_array($result_under, $dbi)){
					$view_under_id   = $row_under['language'];
				}
				$result_upper = sql_query("SELECT * FROM admin_languages WHERE  view_order='" . $upper . "' LIMIT 0,1  ", $dbi);
				if($row_upper = sql_fetch_array($result_upper, $dbi)){
					$view_upper_id   = $row_upper['language'];
				}

				$view_order_under = checkSomethingFromTable($table='admin_languages', $what='view_order', $key='language', $keyvalue=$view_under_id, $langkey='', $langkeyvalue='', $sqlanswer='');
				$view_order_upper = checkSomethingFromTable($table='admin_languages', $what='view_order', $key='language', $keyvalue=$view_upper_id, $langkey='', $langkeyvalue='', $sqlanswer='');

				if($switch=="up") {
					if($view_order > $view_order_under) {
						 sql_query("UPDATE admin_languages SET view_order='".$view_order_under."' WHERE language='".$setlanguage."'",$dbi);
						 sql_query("UPDATE admin_languages SET view_order='".$view_order."' WHERE language='".$view_under_id."'",$dbi);
					}
				} elseif($switch=="down") {
					if($view_order < $view_order_upper) {
						 sql_query("UPDATE admin_languages SET view_order='".$view_order_upper."' WHERE language='".$setlanguage."'",$dbi);
						 sql_query("UPDATE admin_languages SET view_order='".$view_order."' WHERE language='".$view_upper_id."'",$dbi);
					}
				}
				include('admin/admin_languages.php');
			} else { echo _NORIGHTS; }
		break;

		/*********************************************************************************************
		* COMPANY DOCUMENTS
		*********************************************************************************************/
		case "admin_company_docs":
			if ( check_xomol_user_rights_specific($userid, 'A_PDFS_ACCESS') == '1')  {
				include('admin/admin_company_docs.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_company_docs_add":
			if ( check_xomol_user_rights_specific($userid, 'A_PDFS_ADD') == '1')  {
				include('admin/admin_company_docs_add.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_company_docs_insert":
			if ( check_xomol_user_rights_specific($userid, 'A_PDFS_ADD') == '1')  {
				$document_id=time();

				$handle=opendir('languages');
				while ($file = readdir($handle)) {
					if (preg_match("/^lang\-(.+)\.php/", $file, $matches)) {
						$langFound = $matches[1];
						$languageslist .= "$langFound ";
					}
				}
				closedir($handle);
				$languageslist = explode(" ", $languageslist);
				sort($languageslist);
				for ($i=1, $n=sizeof($languageslist); $i<$n; $i++) {
					$lang	 = $languageslist[$i];
					$result= sql_query("INSERT INTO my_company_docs ( document_id, language, document_title, document_description )
								   VALUES ('$document_id', '$lang', '$doc_title[$lang]', '$description[$lang]')", $dbi);
				}
				include('admin/admin_company_docs.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_company_docs_edit":
			if ( check_xomol_user_rights_specific($userid, 'A_PDFS_EDIT') == '1')  {
				include('admin/admin_company_docs_edit.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_company_docs_update":
			if ( check_xomol_user_rights_specific($userid, 'A_PDFS_EDIT') == '1')  {
				if(get_config_value($config_key='VIEW_MOD')=='1') {
					$languageslist = get_languages($display='defaultarray');
				} elseif(get_config_value($config_key='VIEW_MOD')=='2') {
					$languageslist = get_languages($display='active');
				}

				foreach($languageslist AS $key => $val) {
					$newtitle	 = $doc_title[$val];
					$newdesc	 = $description[$val];
					$rs_exists = checkSomethingFromTable($table='my_company_docs', $what='document_title', $key='document_id', $keyvalue=$document, $langkey='language', $langkeyvalue=$val, $sqlanswer='');

					if($rs_exists !=''){
						sql_query("UPDATE my_company_docs    SET  document_title='".$newtitle."', document_description='".$newdesc."' WHERE document_id='".$document."' AND language='".$lang."'", $dbi);
					} else {
						sql_query("INSERT INTO my_company_docs ( document_id, language, document_title, document_description )
															VALUES ('$document', '$val','$newtitle','$newdesc')", $dbi);
					}

				}
								include('admin/admin_company_docs.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_company_docs_delete":
			if ( check_xomol_user_rights_specific($userid, 'A_PDFS_DEL') == '1')  {
				sql_query("DELETE FROM my_company_docs  WHERE document_id='".$document."' ", $dbi);
				include('admin/admin_company_docs.php');
			} else { echo _NORIGHTS; }
		break;

		/*********************************************************************************************
		* MODULES
		*********************************************************************************************/
		case "admin_modules_view":
			if ( check_xomol_user_rights_specific($userid, 'A_MODULES_ACCESS') == '1')  {
				include('admin/admin_modules_view.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_modules_edit":
			if (check_xomol_user_rights_specific($userid, 'A_MODULES_EDIT') == '1')  {
				include('admin/admin_modules_edit.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_modules_update":
			if ( ( check_xomol_user_rights_specific($userid, 'A_MODULES_STATUS_1') == '1') OR ( check_xomol_user_rights_specific($userid, 'A_MODULES_STATUS_2') == '1') )  {
				if(is_array($group_available)) {
					foreach($group_available AS $key => $val)	{
						if($val!='0') {
							$gwhocanview=$gwhocanview.','.$key;
						}

					}
					$result= sql_query("UPDATE modules SET 	title='".$title."',
																active='".$active."',
																whocanview='".$gwhocanview."',
																mod_group='".$mod_group."',
																admins='".$admins."'
														WHERE 	title='".$title."' ",$dbi);
				}

				echo '$module_custom_name: '.$module_custom_name.'<br>';
				foreach($module_custom_name AS $m_lang => $val) {
					$rs_exists = checkSomethingFromTable($table='modules_desc', $what='module_custom_name', $key='title', $keyvalue=$title, $langkey='language', $langkeyvalue=$m_lang, $sqlanswer='');
					if($rs_exists!='') {
						sql_query("UPDATE modules_desc SET module_custom_name='".$val."' WHERE 	title='".$title."' AND 	language='".$m_lang."' ",$dbi);
					} else {
						sql_query("INSERT INTO modules_desc ( title, module_custom_name, language ) VALUES ('$title', '$val','$m_lang')", $dbi);
					}
				}

				if($inhome=="1") {
					$result= sql_query("UPDATE modules SET inhome=0 WHERE title!='$title'",$dbi);
				}
				include('admin/admin_modules_view.php');
			} else { echo _NORIGHTS; }
		break;

		case "module_status":
			if ( ( check_xomol_user_rights_specific($userid, 'A_MODULES_STATUS_1') == '1') OR ( check_xomol_user_rights_specific($userid, 'A_MODULES_STATUS_2') == '1') )  {
				if($switch=="1") {
					$result= sql_query("UPDATE modules SET active=1 WHERE title='$title'",$dbi);
				} else {
					$result= sql_query("UPDATE modules SET active=0 WHERE title='$title'",$dbi);
				}
				include('admin/admin_modules_view.php');
			} else { echo _NORIGHTS; }
		break;
		case "module_status_root":
			if ( check_xomol_user_rights_specific($userid, 'A_MODULES_STATUS_1') == '1')  {
				if($switch=="1") {
					$result= sql_query("UPDATE modules SET active_root=1 WHERE title='$title'",$dbi);
				} else {
					$result= sql_query("UPDATE modules SET active_root=0 WHERE title='$title'",$dbi);
				}
				include('admin/admin_modules_view.php');
			} else { echo _NORIGHTS; }
		break;
		case "module_inhome":
			if ( ( check_xomol_user_rights_specific($userid, 'A_MODULES_STATUS_1') == '1') OR ( check_xomol_user_rights_specific($userid, 'A_MODULES_STATUS_2') == '1') )  {
				if($switch=="1") {
					$result= sql_query("UPDATE modules SET inhome=1 WHERE title='$title'",$dbi);
					$result= sql_query("UPDATE modules SET inhome=0 WHERE title!='$title'",$dbi);
				} else {
					$result= sql_query("UPDATE modules SET inhome=0 WHERE title='$title'",$dbi);
				}
				include('admin/admin_modules_view.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_modules_delete":
			if ( check_xomol_user_rights_specific($userid, 'A_MODULES_STATUS_1') == '1')  {
				sql_query("DELETE FROM modules  WHERE title='".$title."' ", $dbi);
				include('admin/admin_modules_view.php');
			} else { echo _NORIGHTS; }
		break;

		/*********************************************************************************************
		* CONFIGURATION KEYS
		*********************************************************************************************/
		case "admin_config_view":
			if ( check_xomol_user_rights_specific($userid, 'A_CONFIGURE_ACCESS') == '1')  {
				include('admin/admin_config_view.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_config_add1":
			if ( check_xomol_user_rights_specific($userid, 'A_CONFIGURE_ADD') == '1')  {
				include('admin/admin_config_add1.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_config_add2":
			if ( check_xomol_user_rights_specific($userid, 'A_CONFIGURE_ADD') == '1')  {
				include('admin/admin_config_add2.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_config_add3":
			if ( check_xomol_user_rights_specific($userid, 'A_CONFIGURE_ADD') == '1')  {
				include('admin/admin_config_add3.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_config_insert":
			if ( check_xomol_user_rights_specific($userid, 'A_CONFIGURE_ADD') == '1')  {
				sql_query("INSERT INTO configure ( module_name, config_type, config_key, config_title, config_value )
							   VALUES ('$module_name', '$config_type', '$_config_key', '$config_title', '$config_value')", $dbi);
				include('admin/admin_config_view.php');
			} else { echo _NORIGHTS; }
		break;



		case "admin_config_edit":
			if ( check_xomol_user_rights_specific($userid, 'A_CONFIGURE_EDIT') == '1')  {
				include('admin/admin_config_edit.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_config_update":
			if ( check_xomol_user_rights_specific($userid, 'A_CONFIGURE_EDIT') == '1')  {
				$result= sql_query("UPDATE configure SET 	config_type='".$config_type."',
															config_key='".$_config_key."',
															config_title='".$config_title."',
															config_value='".$config_value."'
													WHERE 	config_id='".$configure."' ",$dbi);
				include('admin/admin_config_view.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_config_delete":
			if ( check_xomol_user_rights_specific($userid, 'A_CONFIGURE_DEL') == '1')  {
				$result= sql_query("DELETE FROM configure WHERE config_id='$configure'",$dbi);
				include('admin/admin_config_view.php');
			} else { echo _NORIGHTS; }
		break;

		/*********************************************************************************************
		* USERS
		*********************************************************************************************/
		case "admin_users_add":
			if ( check_xomol_user_rights_specific($userid, 'A_USERS_ADD_OWN') == '1')  {
				include('admin/admin_users_add.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_users_insert":
			if ( check_xomol_user_rights_specific($userid, 'A_USERS_ADD_OTHERS') == '1')  {
				$user=time();
				$user_company=$_SESSION['user_company'];
				$user_gender=$_SESSION['user_gender'];
				$user_firstname=$_SESSION['user_firstname'];
				$user_lastname=$_SESSION['user_lastname'];
				$user_email=$_SESSION['user_email'];
				$user_email2=$_POST['user_email'];
				$user_phone=$_SESSION['user_phone'];
				$user_mobile=$_SESSION['user_mobile'];
				$user_fax=$_SESSION['user_fax'];

				$user_country=$_SESSION['country'];
				$user_state=$_SESSION['state'];
				$user_city=$_SESSION['city'];
				$user_zip=$_SESSION['zip'];
				$user_city=$_SESSION['user_city'];
				$user_street=$_SESSION['user_street'];
				$user_street_nr=$_SESSION['user_street_nr'];
				$user_suburb=$_SESSION['user_suburb'];

				$user_state=$_SESSION['state'];
				$user_country=$_SESSION['country'];

				$user_theme=$_SESSION['user_theme'];
				$newzip=$_SESSION['newzip'];
				$newcity=$_SESSION['newcity'];

				$user_password=md5($_POST['user_password']);

				if(check_email_mx($user_email2)=='1') {
					$message_bad_email = '<blink><b><font color="#FF0000">bad email</font></b></blink><br>';
					$_SESSION['message_bad_email']=$message_bad_email;
					$user_email=$_SESSION['user_email'];
				} else {
					$_SESSION['message_bad_email']='';
					$user_email=$_GET["user_email"];
				}
				/*
				*/

				if(
					($user_country!='') AND
					($user_state!='') AND
					($_SESSION['message_firstname_too_short']=='') AND
					($_SESSION['message_lastname_too_short']=='') AND
					($_SESSION['message_street_too_short']=='') AND
					($_SESSION['message_bad_email']=='') AND
					($_SESSION['newzip']!='') AND
					($_SESSION['newcity']!='')
					) {
					echo '<hr>INSERT with new city in db<br>';
					$newcity=$_SESSION['newcity'];
					if($newcity==''){
						$newcity=$_GET['newcity'];
					}
					$result = sql_query("SELECT city_id FROM geo_cities WHERE place='" . $newcity . "' AND zip='" . $newzip . "' ", $dbi);
					if($row = sql_fetch_array($result, $dbi)){
						$city_id   			= $row['city_id'];
					}
					sql_query("INSERT INTO users ( user_id, user_parent_id, user_email, user_password, user_group, user_gender, user_firstname, user_lastname, user_company, user_street, user_street_nr, user_zip, user_city, user_state, user_country, user_phone, user_mobile, user_fax, user_status, user_theme )
								   VALUES ( '$user',
								   			'$userid',
								   			'$user_email',
								   			'$user_password',
								   			'$user_group',
								   			'$user_gender',
								   			'$user_firstname',
								   			'$user_lastname',
								   			'$user_company',
								   			'$user_street',
								   			'$user_street_nr',
								   			'$newzip',
								   			'$city_id',
								   			'$user_state',
								   			'$user_country',
								   			'$user_phone',
								   			'$user_mobile',
								   			'$user_fax',
								   			'$user_status',
								   			'$user_theme')", $dbi);
					include('admin/admin_users_viewdet.php');
				} elseif(
					($user_country!='') AND
					($user_state!='') AND
					($_SESSION['message_firstname_too_short']=='') AND
					($_SESSION['message_lastname_too_short']=='') AND
					($_SESSION['message_street_too_short']=='') AND
					($_SESSION['message_bad_email']=='') AND
					($_SESSION['city']!='') AND
					($_SESSION['zip']!='')
					) {
					echo '<hr>INSERT with no new enteries in db<hr>';
					$zip = $_SESSION['zip'];
					$city_id = $_SESSION['city'];

					sql_query("INSERT INTO users ( user_id, user_parent_id, user_email, user_password, user_group, user_gender, user_firstname, user_lastname, user_company, user_street, user_street_nr, user_zip, user_city, user_state, user_country, user_phone, user_mobile, user_fax, user_status, user_theme )
								   VALUES ( '$user',
								   			'$userid',
								   			'$_user_email',
								   			'$user_password',
								   			'$user_group',
								   			'$user_gender',
								   			'$user_firstname',
								   			'$user_lastname',
								   			'$user_company',
								   			'$user_street',
								   			'$user_street_nr',
								   			'$zip',
								   			'$city_id',
								   			'$user_state',
								   			'$user_country',
								   			'$user_phone',
								   			'$user_mobile',
								   			'$user_fax',
								   			'$user_status',
								   			'$user_theme')", $dbi);
				/*
				echo '$user_group: '.$user_group.'<br>';
				echo '$user_company: '.$user_company.'<br>';
				echo '$user_gender: '.$user_gender.'<br>';
				echo '$user_firstname: '.$user_firstname.'<br>';
				echo '$user_lastname: '.$user_lastname.'<br>';
				echo '$user_email: '.$user_email.'<br>';
				echo '$user_phone: '.$user_phone.'<br>';
				echo '$user_mobile: '.$user_mobile.'<br>';
				echo '$user_fax: '.$user_fax.'<br>';
				echo '$user_country: '.$user_country.'<br>';
				echo '$user_state: '.$user_state.'<br>';
				echo '$user_zip: '.$user_zip.'<br>';
				echo '$user_city: '.$user_city.'<br>';
				echo '$user_street: '.$user_street.'<br>';
				echo '$user_street_nr: '.$user_street_nr.'<br>';
				echo '$user_suburb: '.$ususer_suburb.'<br>';
				echo '$user_theme: '.$user_theme.'<br>';
				*/
					include('admin/admin_users_viewdet.php');
				} else {
					echo '<hr>Wrong data, no New User in db <hr>';
					include('admin/admin_users_add.php');
				}


			} else { echo _NORIGHTS; }
		break;

		case "admin_users_view":
			if ( check_xomol_user_rights_specific($userid, 'A_USERSDETAILS_ACCESS') == '1')  {
				include('admin/admin_users_view.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_users_viewdet":
			if ( check_xomol_user_rights_specific($userid, 'A_USERSDETAILS_ACCESS') == '1')  {
				include('admin/admin_users_viewdet.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_users_edit":
			$_SESSION['message_firstname_too_short']				= '';
			$_SESSION['message_lastname_too_short']				= '';
			$_SESSION['message_street_too_short']				= '';
			$_SESSION['message_bad_email']				= '';


			$_SESSION['user_rights']			= '';
			$_SESSION['user_gender']			= '';
			$_SESSION['user_firstname']			= '';
			$_SESSION['user_lastname']			= '';
			$_SESSION['user_company']			= '';
			$_SESSION['user_street']			= '';
			$_SESSION['user_street_nr']			= '';
			$_SESSION['user_zip']				= '';
			$_SESSION['user_city']				= '';
			$_SESSION['user_state']				= '';
			$_SESSION['user_country']			= '';
			$_SESSION['user_phone']				= '';
			$_SESSION['user_mobile']			= '';
			$_SESSION['user_fax']				= '';
			$_SESSION['user_theme']				= '';

			$_SESSION['newcity']				= '';
			$_SESSION['newzip']					= '';

			$_SESSION['city']					= '';

			$user_group_tochange = check_user_group($user);
			$user_group_operator = check_user_group($userid);
			$ok=0;
			if (check_xomol_user_rights_specific($userid, 'A_USERS_EDIT_OTHERS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (check_xomol_user_rights_specific($userid, 'A_USERS_EDIT_OTHERS_LOW') == '1') {
				if((user_is_in_tree($user, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if($ok==1) {
				include('admin/admin_users_edit.php');
			} else {
				$message= NO_CHANGES_DONE_BECAUSE_NORIGHTS;
				include('admin/admin_users_view.php');
			}
		break;

		case "admin_users_update":
			$user_group_tochange = check_user_group($user);
			$user_group_operator = check_user_group($userid);
			if (check_xomol_user_rights_specific($userid, 'A_USERS_EDIT_OTHERS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (check_xomol_user_rights_specific($userid, 'A_USERS_EDIT_OTHERS_LOW') == '1') {
				if((user_is_in_tree($user, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
				//echo '_POST<br>';
				//echo '<pre>';
				//print_r($_POST);
				//echo '</pre>';
				//echo '$ok: '.$ok.'<br>';

			if($ok==1) {
				if($_SESSION['country']=='') {
					$_SESSION['country'] = $_SESSION['country2'];
					$_SESSION['state'] = $_SESSION['state2'];
					$_SESSION['city'] = $_SESSION['city2'];
					$_SESSION['zip'] = $_SESSION['zip2'];
				}
				if($_SESSION['state']=='') {
					$_SESSION['state'] = $_SESSION['state2'];
				}
				/* some working wonrkarrounds...  -probably ajax functions for fancier results? ... */

				if( ($_SESSION['newzip']!='') AND ($_SESSION['newcity']!='') ) {
					$result = sql_query("SELECT * FROM geo_cities WHERE place='" . $_SESSION['newcity'] . "' AND zip='" . $_SESSION['newzip'] . "' ", $dbi);
					if($row = sql_fetch_array($result, $dbi)){
						$_SESSION['city'] = $row['city_id'];
					}
					$_SESSION['zip'] = $_SESSION['newzip'];
				}
				$user=$_POST['user'];
				$user_company=$_POST['user_company'];
				$user_gender=$_POST['user_gender'];
				$user_firstname=$_POST['user_firstname'];
				$user_lastname=$_POST['user_lastname'];
				$user_street=$_POST['user_street'];
				$user_street_nr=$_POST['user_street_nr'];
				$user_suburb		=$_SESSION['user_suburb'];
				$user_phone=$_POST['user_phone'];
				$user_fax=$_POST['user_fax'];
				$user_mobile=$_POST['user_mobile'];
				$user_email=$_POST['user_email'];
				$user_theme			=$_POST['user_theme'];

				$user_country		=$_SESSION['country'];
				$user_state			=$_SESSION['state'];
				$user_city			=$_SESSION['city'];
				$user_zip			=$_SESSION['zip'];
				$user_city			=$_SESSION['user_city'];


				////////////////////////////////////////////////////////////////////////////
				$email_needs_check = get_config_value($config_key='CHK_EMAIL_ONLINE');
				$message_bad_email = '';
				if($email_needs_check=='1') {
					if($user_email != '') {
						if(check_email_mx($user_email)!='1') {
							echo '<blink><b><font color="#FF0000">bad email</font></b></blink>';
							$message_bad_email = '<blink><b><font color="#FF0000">bad email</font></b></blink><br>';
							$message_bad_email .= NOMXSERVER.'<br>';
						} else {
							$check_user_email = checkSomethingFromTable($table='users', $what='user_email', $key='user_email', $keyvalue=$user_email, $langkey='', $langkeyvalue='', $sqlanswer='');
							$mailserver_ok = 1;
							if( $check_user_email==''){
								$_SESSION['message_bad_email']='';
							} else {
								$message_email_already_registered = $user_email.'::'.$check_user_email.'::'.EMAIL_ALREADY_REGISTERED;
								$message_bad_email .= '<br>'.$message_email_already_registered.'<br>';
								$message_bad_email .= '<blink><b><font color="#FF0000">bad email</font></b></blink><br>';
							}
						}
					} else {
						$message_bad_email .= '<br>'.NOEMAIL.': '.$user_email.'<br>';
					}
				}

				////////////////////////////////////////////////////////////////////////////
				if($user_firstname != '') {
					$usr_name_min_chrs = get_config_value($config_key='USR_NAME_MIN_CHAR');
					if ( strlen($user_firstname) < $usr_name_min_chrs) {
						$message_firstname_too_short = USER_FIRSTNAME_TOO_SHORT.' '.$usr_name_min_chrs.'<br>';
					} else {
						$message_firstname_too_short ='';
					}
				} else {
						$message_firstname_too_short ='';
				}
				////////////////////////////////////////////////////////////////////////////
				if($user_lastname != '') {
					$usr_name_min_chrs = get_config_value($config_key='USR_LNAME_MIN_CHAR');
					if ( strlen($user_lastname) < $usr_name_min_chrs) {
						$message_lastname_too_short = USER_LASTNAME_TOO_SHORT.' '.$usr_name_min_chrs.'<br>';
					} else {
						$message_lastname_too_short ='';
					}
				} else {
						$message_lastname_too_short ='';
				}





			if(
				($user_country!='') AND
				($user_state!='') AND
				($message_firstname_too_short=='') AND
				($message_lastname_too_short=='') AND
				($message_street_too_short=='') AND
				($message_bad_email == '') AND
				($_SESSION['newzip']!='') AND
				($_SESSION['newcity']!='')
				) {
				// // update with new city in db
				$newcity=$_SESSION['newcity'];
				if($newcity==''){
					$newcity=$_GET['newcity'];
				}


				$result = sql_query("SELECT * FROM geo_cities WHERE place='" . $newcity . "' AND zip='" . $newzip . "' ", $dbi);
				if($row = sql_fetch_array($result, $dbi)){
					$city_id   			= $row['city_id'];
				}
				sql_query("UPDATE users    SET  user_email='".$user_email."',
												user_gender='".$user_gender."',
												user_firstname='".$user_firstname."',
												user_lastname='".$user_lastname."',
												user_company='".$user_company."',
												user_street='".$user_street."',
												user_street_nr='".$user_street_nr."',
												user_zip='".$newzip."',
												user_city='".$city_id."',
												user_state='".$user_state."',
												user_country='".$user_country."',
												user_phone='".$user_phone."',
												user_mobile='".$user_mobile."',
												user_fax='".$user_fax."',
												user_theme='".$user_theme."'
										   WHERE user_id='".$userid."' ", $dbi);
				$message_update = '1';
				include('admin/admin_users_edit.php');
			} elseif(
				($user_country!='') AND
				($user_state!='') AND
				(message_firstname_too_short=='') AND
				(message_lastname_too_short=='') AND
				(message_street_too_short=='') AND
				($message_bad_email=='') AND
				($_SESSION['city']!='') AND
				($_SESSION['zip']!='')
				) {
				// update with no new enteries in db
				// echo '<hr>1update with no new enteries in db<hr>';
				sql_query("UPDATE users    SET  user_email='".$user_email."',
												user_gender='".$user_gender."',
												user_firstname='".$user_firstname."',
												user_lastname='".$user_lastname."',
												user_company='".$user_company."',
												user_street='".$user_street."',
												user_street_nr='".$user_street_nr."',
												user_zip='".$_SESSION['zip']."',
												user_city='".$_SESSION['city']."',
												user_state='".$user_state."',
												user_country='".$user_country."',
												user_phone='".$user_phone."',
												user_mobile='".$user_mobile."',
												user_fax='".$user_fax."',
												user_theme='".$user_theme."'
										   WHERE user_id='".$userid."' ", $dbi);
				$message_update = '1';
				include('admin/admin_users_edit.php');
			} elseif(
				($message_firstname_too_short!='') OR
				($message_lastname_too_short!='') OR
				($message_street_too_short!='') ) {
				$message_update = '0';
				include('admin/admin_users_edit.php');
			} else  {

				sql_query("UPDATE users    SET  user_email='".$user_email."',
												user_gender='".$user_gender."',
												user_firstname='".$user_firstname."',
												user_lastname='".$user_lastname."',
												user_company='".$user_company."',
												user_street='".$user_street."',
												user_street_nr='".$user_street_nr."',
												user_zip='".$_SESSION['zip']."',
												user_city='".$_SESSION['city']."',
												user_state='".$user_state."',
												user_country='".$user_country."',
												user_phone='".$user_phone."',
												user_mobile='".$user_mobile."',
												user_fax='".$user_fax."',
												user_theme='".$user_theme."'
										   WHERE user_id='".$user."' ", $dbi);
				$message_update = '1';
				include('admin/admin_users_edit.php');
			}

			} else { echo _NORIGHTS;  }
		break;

		case "statusu":
			$user_group_tochange = check_user_group($user);
			$user_group_operator = check_user_group($userid);
			$ok=0;
			if (check_xomol_user_rights_specific($userid, 'A_USERS_EDIT_OTHERS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (check_xomol_user_rights_specific($userid, 'A_USERS_EDIT_OTHERS_LOW') == '1') {
				if((user_is_in_tree($user, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if($ok==1) {
				if($switch=="1") {
					$result= sql_query("UPDATE users SET user_status=1 WHERE user_id='$user'",$dbi);
				} else {
					$result= sql_query("UPDATE users SET user_status=0 WHERE user_id='$user'",$dbi);
				}
			} else { $message= NO_CHANGES_DONE_BECAUSE_NORIGHTS; }
			include('admin/admin_users_view.php');
		break;


		case "admin_users_edit_password":
			$user_group_tochange = check_user_group($user);
			$user_group_operator = check_user_group($userid);
			if (check_xomol_user_rights_specific($userid, 'A_USERS_EDIT_OTHERS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (check_xomol_user_rights_specific($userid, 'A_USERS_EDIT_OTHERS_LOW') == '1') {
				if((user_is_in_tree($user, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if($ok==1) {
				include('admin/admin_users_edit_password.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_users_update_password":
			$user_group_tochange = check_user_group($user);
			$user_group_operator = check_user_group($userid);
			if (check_xomol_user_rights_specific($userid, 'A_USERS_EDIT_OTHERS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (check_xomol_user_rights_specific($userid, 'A_USERS_EDIT_OTHERS_LOW') == '1') {
				if((user_is_in_tree($user, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if($ok==1) {
				$user_password=md5($_POST['user_password']);
				if(isset($_POST['user_password']) AND ($_POST['user_password'] == $_POST['user_password2']) ) {
					sql_query("UPDATE users    SET  user_password='".$user_password."'
											   WHERE user_id='".$user."' ", $dbi);
					include('admin/admin_users_viewdet.php');
				}
			} else { echo _NORIGHTS; }
		break;


		case "admin_users_del":
			$user_group_tochange = check_user_group($user);
			$user_group_operator = check_user_group($userid);
			if (check_xomol_user_rights_specific($userid, 'A_USERS_DEL_OTHERS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (check_xomol_user_rights_specific($userid, 'A_USERS_DEL_OTHERS_LOW') == '1') {
				if((user_is_in_tree($user, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if($ok==1) {
				// sql_query("DELETE FROM users  WHERE user_id='".$user."' ", $dbi);
				$message = 'Sorry, in this version of Xomol you can not delete a user...<br>';
				$message .= 'Users might have orders on the store or maybe somewhere else...<br>';
				$message .= 'Try to deactivate them, that will help for the moment...<br>';
				$message .= 'I will come with something better... <br>';
				include('admin/admin_users_view.php');
			} else { echo _NORIGHTS; }
		break;

		/*********************************************************************************************
		* USER GROUPS
		*********************************************************************************************/
		case "user_groups":
			if ( check_xomol_user_rights_specific($userid, 'A_USER_GROUPS_ACCESS') == '1')  {
				include('admin/admin_user_groups.php');
			}
		break;

		case "user_group_add":
			if ( ( check_xomol_user_rights_specific($userid, 'A_USER_GROUP_ADD_OTHERS') == '1') OR ( check_xomol_user_rights_specific($userid, 'A_USER_GROUP_ADD_OWN') == '1') )  {
				include('admin/admin_user_group_add.php');
			}
		break;

		case "user_group_insert":
			$xgroup_id =time();
			$ok=0;
			if (check_xomol_user_rights_specific($userid, 'A_USER_GROUP_ADD_OTHER_SAME') == '1') {
				$ok=1;
			} elseif (check_xomol_user_rights_specific($userid, 'A_USER_GROUP_ADD_OTHER_LOW') == '1') {
				$ok=1;
			}
			if($ok==1) {
				// first insert the group
				sql_query("INSERT INTO user_groups ( group_id, group_parent_id, group_title, group_status,group_deletable ) VALUES ('$xgroup_id', '$_group_parent_id', '$group_title', '$_group_status', '1')", $dbi);

				// now lets update table user_rights2groups;
				$result2 = sql_query("SELECT * FROM user_rights  ORDER BY title ASC", $dbi);
				while($row2 = sql_fetch_array($result2, $dbi)){
					$rights_id    	= $row2['rights_id'];
					$result = sql_query("SELECT * FROM user_groups  ORDER BY group_id ASC", $dbi);
					while($row = sql_fetch_array($result, $dbi)){
						$__group_id    	= $row['group_id'];
						$result3 = sql_query("SELECT * FROM user_rights2groups WHERE group_id='".$__group_id."'  AND user_rights_id='".$rights_id."' ", $dbi);
						$row3 = sql_fetch_array($result3, $dbi);
						if($row3['__group_id']=='') {
							sql_query("INSERT INTO user_rights2groups ( group_id, user_rights_id, value ) VALUES ('$__group_id', '$rights_id', '$value')", $dbi);
						}
					}
				}
			}
			include('admin/admin_user_groups.php');
		break;

		case "user_group_edit":
			$user_group_tochange = $group;
			$user_group_operator = check_user_group($userid);
			$ok=0;
			if (check_xomol_user_rights_specific($userid, 'A_USER_GROUP_EDIT_OTHERS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange) OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')) { $ok=1; }
			} elseif (check_xomol_user_rights_specific($userid, 'A_USER_GROUP_EDIT_OTHERS_LOW') == '1') {
				if(group_is_in_tree($user_group_tochange, $user_group_operator)=='1') { $ok=1; }
			}
			if($ok==1) {
				include('admin/admin_user_group_edit.php');
			} else {
				$message = _NORIGHTS;
				include('admin/admin_user_groups.php');
			}
		break;
		case "user_group_update":
			$user_group_tochange = $group;
			$user_group_operator = check_user_group($userid);
			$ok=0;
			if (check_xomol_user_rights_specific($userid, 'A_USER_GROUP_EDIT_OTHERS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange) OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')) { $ok=1; }
			} elseif (check_xomol_user_rights_specific($userid, 'A_USER_GROUP_EDIT_OTHERS_LOW') == '1') {
				if(group_is_in_tree($user_group_tochange, $user_group_operator)=='1') { $ok=1; }
			}
			if($ok==1) {
				sql_query("UPDATE user_groups SET  group_title='".$group_title."', group_parent_id='".$_group_parent_id."' WHERE group_id= '".$group."' ", $dbi);
			}
			include('admin/admin_user_groups.php');
		break;

		case "user_groups_status":
			$user_group_tochange = $group;
			$user_group_operator = check_user_group($userid);
			$ok=0;
			if (check_xomol_user_rights_specific($userid, 'A_USER_GROUP_EDIT_OTHERS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange) OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')) { $ok=1; }
			} elseif (check_xomol_user_rights_specific($userid, 'A_USER_GROUP_EDIT_OTHERS_LOW') == '1') {
				if(group_is_in_tree($user_group_tochange, $user_group_operator)=='1') { $ok=1; }
			}
			if($ok==1) {
				if($switch=="1") {
					$result= sql_query("UPDATE user_groups SET group_status=1 WHERE group_id='$group'",$dbi);
				} else {
					$result= sql_query("UPDATE user_groups SET group_status=0 WHERE group_id='$group'",$dbi);
				}
			}
			include('admin/admin_user_groups.php');
		break;

		case "user_group_delete":
			if(get_subgroups($group)=='') {
				$user_group_tochange = $group;
				$user_group_operator = check_user_group($userid);
				$ok=0;
				if (check_xomol_user_rights_specific($userid, 'A_USER_GROUP_DEL_OTHER_SAME') == '1') {
					if(($user_group_operator==$user_group_tochange) OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')) { $ok=1; }
				} elseif (check_xomol_user_rights_specific($userid, 'A_USER_GROUP_DEL_OTHER_LOW') == '1') {
					if(group_is_in_tree($user_group_tochange, $user_group_operator)=='1') { $ok=1; }
				}
				if($ok==1) {
					sql_query("DELETE FROM user_groups  WHERE group_id='".$group."' ", $dbi);
					sql_query("DELETE FROM user_rights2groups  WHERE group_id='".$group."' ", $dbi);
				}

			}
			include('admin/admin_user_groups.php');
		break;

		/*********************************************************************************************
		* USER RIGHTS
		*********************************************************************************************/
		case "user_rights":
			include('admin/admin_user_rights.php');
		break;

		case "user_rights_add":
			include('admin/admin_user_rights_add.php');
		break;

		case "user_rights_insert":
				sql_query("INSERT INTO user_rights ( rights_id, title, description, elemental )
							   VALUES ('', '$title', '$description', '$elemental')", $dbi);
			include('admin/admin_user_rights.php');
		break;

		case "user_rights_update":
			sql_query("INSERT INTO user_rights ( rights_id, title, description, elemental )
						   VALUES ('$rights_id', '$title', '$description', '$elemental')", $dbi);
			include('admin/admin_user_rights.php');
		break;

		case "user_rights_delete":
			sql_query("DELETE FROM user_rights  WHERE rights_id='".$task."' ", $dbi);
			include('admin/admin_user_rights.php');
		break;
		/*********************************************************************************************
		* USER RIGHTS 2 GROUPS
		*********************************************************************************************/
		case "user_rights2groups":
			include('admin/admin_user_rights2groups.php');
		break;

		case "user_rights2groups_edit":
			include('admin/admin_user_rights2groups_edit.php');
		break;

		case "user_rights2groups_update":
			sql_query("INSERT INTO user_rights2groups ( group_id, user_rights_id, value )
						   VALUES ('$group_id', '$user_rights_id', '$value')", $dbi);
			include('admin/admin_user_rights_2groups.php');
		break;

		case "user_rights2groups_status":

			if($switch=="1") {
				$result= sql_query("UPDATE user_rights2groups SET value=1 WHERE group_id='$group' AND user_rights_id='$task'",$dbi);
			} else {
				$result= sql_query("UPDATE user_rights2groups SET value=0 WHERE group_id='$group' AND user_rights_id='$task'",$dbi);
			}
			include('admin/admin_user_rights2groups.php');
		break;

		case "user_rights_override":
			include('admin/user_rights_override.php');
		break;

		case "user_rights2users_status":
			if($switch=="1") {
				$result= sql_query("UPDATE user_rights2users SET value=1 WHERE user_id='$user' AND user_rights_id='$task'",$dbi);
			} else {
				$result= sql_query("UPDATE user_rights2users SET value=0 WHERE user_id='$user' AND user_rights_id='$task'",$dbi);
			}
			include('admin/admin_user_rights_override.php');
		break;

		case "user_rights_reset2group":
			$result= sql_query("DELETE FROM user_rights2users WHERE user_id='$user' ",$dbi);
			$user_rights_id = checkSomethingFromTable($table='users', $what='user_rights', $key='user_id', $keyvalue=$user, $langkey='', $langkeyvalue='', $sqlanswer='');

			$result2 = sql_query("SELECT * FROM user_rights2groups WHERE group_id=$user_rights_id  ", $dbi);
			while($row2 = sql_fetch_array($result2, $dbi)){
				$group_id    	= $row2['group_id'];
				$user_rights_id    	= $row2['task_id'];
				$value    	= $row2['value'];
				sql_query("INSERT INTO user_rights2users ( user_id, user_rights_id, value )
							   VALUES ('$user', '$user_rights_id', '$value')", $dbi);
			}
			include('admin/admin_user_rights_override.php');
		break;

		/*********************************************************************************************
		* POSITIONS AND BLOCKS -POSITIONS-
		*********************************************************************************************/
		case "admin_positions":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_ACCESS') == '1')  {
				include('admin/admin_positions.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_reorder_positions":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_POS_EDIT') == '1')  {
				reorder_positions($position);
				include('admin/admin_positions.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_positions_add":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_POS_ADD') == '1')  {
				include('admin/admin_positions_add.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_positions_insert":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_POS_ADD') == '1')  {
				sql_query("INSERT INTO admin_positions ( position_title ) VALUES ('$position_title')", $dbi);
				include('admin/admin_positions.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_positions_edit":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_POS_EDIT') == '1')  {
				include('admin/admin_positions_edit.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_positions_update":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_POS_EDIT') == '1')  {
				$result= sql_query("UPDATE admin_positions SET 	position_title='".$position_title."'
													WHERE 	position_id='".$configure."' ",$dbi);
				include('admin/admin_positions.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_positions_delete":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_POS_DEL') == '1')  {
				$result= sql_query("DELETE FROM admin_positions WHERE position_id='$configure'",$dbi);
				include('admin/admin_positions.php');
			} else { echo _NORIGHTS; }
		break;

		/*********************************************************************************************
		* POSITIONS AND BLOCKS -BLOCKS-
		*********************************************************************************************/
		case "admin_blocks_add":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_BLOCK_ADD') == '1')  {
				include('admin/admin_blocks_add.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_blocks_insert":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_BLOCK_ADD') == '1')  {
				$blocks = checkSomethingFromTable($table='admin_blocks', $what='block_id', $key='position_id', $keyvalue=$position_id, $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
				$blocks_count = count($blocks);
				$view_order = $blocks_count+1;

				$block_title = split('xxxxx', $block_title);
				$module_name = $block_title['0'];
				$block_title = $block_title['1'];
				sql_query("INSERT INTO admin_blocks ( position_id, module_name, block_title, block_status, view_order ) VALUES ('$position_id', '$module_name', '$block_title', '$block_status', '$view_order')", $dbi);
				include('admin/admin_positions.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_blocks":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_ACCESS') == '1')  {
				include('admin/admin_blocks.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_blocks_edit":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
				include('admin/admin_blocks_edit.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_blocks_update":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
				$block_title = split('xxxxx', $block_title);
				$result= sql_query("UPDATE admin_blocks SET 	position_id='".$position_id."', module_name='".$block_title['0']."', block_title='".$block_title['1']."', block_status='".$block_status."'
													WHERE 	block_id='".$configure."' ",$dbi);
				include('admin/admin_positions.php');
			} else { echo _NORIGHTS; }
		break;

		case "statusblock":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
				if($switch=="1") {
					$result= sql_query("UPDATE admin_blocks SET block_status=1 WHERE block_id='$block'",$dbi);
				} else {
					$result= sql_query("UPDATE admin_blocks SET block_status=0 WHERE block_id='$block'",$dbi);
				}
				include('admin/admin_positions.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_blocks_delete":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_BLOCK_DEL') == '1')  {
				$result= sql_query("DELETE FROM admin_blocks WHERE block_id='$configure'",$dbi);
				include('admin/admin_positions.php');
			} else { echo _NORIGHTS; }
		break;

		case "admin_blocks_order":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
				$position_id = checkSomethingFromTable($table='admin_blocks', $what='position_id', $key='block_id', $keyvalue=$block, $langkey='', $langkeyvalue='', $sqlanswer='');
				$view_order = checkSomethingFromTable($table='admin_blocks', $what='view_order', $key='block_id', $keyvalue=$block, $langkey='', $langkeyvalue='', $sqlanswer='');
				$under = $view_order-1;
				$upper = $view_order+1;

				$result_under = sql_query("SELECT * FROM admin_blocks WHERE position_id='" . $position_id . "' AND view_order='" . $under . "' LIMIT 0,1  ", $dbi);
				if($row_under = sql_fetch_array($result_under, $dbi)){
					$view_under_id   = $row_under['block_id'];
				}
				$result_upper = sql_query("SELECT * FROM admin_blocks WHERE position_id='" . $position_id . "' AND view_order='" . $upper . "' LIMIT 0,1  ", $dbi);
				if($row_upper = sql_fetch_array($result_upper, $dbi)){
					$view_upper_id   = $row_upper['block_id'];
				}

				$view_order_under = checkSomethingFromTable($table='admin_blocks', $what='view_order', $key='block_id', $keyvalue=$view_under_id, $langkey='', $langkeyvalue='', $sqlanswer='');
				$view_order_upper = checkSomethingFromTable($table='admin_blocks', $what='view_order', $key='block_id', $keyvalue=$view_upper_id, $langkey='', $langkeyvalue='', $sqlanswer='');

				if($switch=="up") {
					if($view_order > $view_order_under) {
						 sql_query("UPDATE admin_blocks SET view_order='".$view_order_under."' WHERE block_id='".$block."'",$dbi);
						 sql_query("UPDATE admin_blocks SET view_order='".$view_order."' WHERE block_id='".$view_under_id."'",$dbi);
					}
				} elseif($switch=="down") {
					if($view_order < $view_order_upper) {
						 sql_query("UPDATE admin_blocks SET view_order='".$view_order_upper."' WHERE block_id='".$block."'",$dbi);
						 sql_query("UPDATE admin_blocks SET view_order='".$view_order."' WHERE block_id='".$view_upper_id."'",$dbi);
					}
				}
				include('admin/admin_positions.php');
			} else { echo _NORIGHTS; }
		break;

		/*********************************************************************************************
		* THEMES MANAGMENT
		*********************************************************************************************/
		case "admin_themes":
			if ( check_xomol_user_rights_specific($userid, 'A_THEMES_ACCESS') == '1')  {
				include('admin/admin_themes.php');
			} else { echo _NORIGHTS; }
		break;

		case "themes_active":
			if ( check_xomol_user_rights_specific($userid, 'A_THEMES_ACCESS') == '1')  {
				if(get_site_default_theme()!=$theme_id) {
					if($switch=="1") {
						$result= sql_query("UPDATE themes SET active='1' WHERE theme='".$theme_id."'",$dbi);
					} else {
						$result= sql_query("UPDATE themes SET active='0' WHERE theme='".$theme_id."'",$dbi);
					}
				}
				include('admin/admin_themes.php');
			} else { echo _NORIGHTS; }
		break;
		/*********************************************************************************************
		* THEMES - POSITIONS AND BLOCKS -POSITIONS-
		*********************************************************************************************/
		case "themes_positions_add":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_POS_ADD') == '1')  {
				include('admin/admin_themes_positions_add.php');
			} else { echo _NORIGHTS; }
		break;
		case "themes_positions_insert":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_POS_ADD') == '1')  {
				$position_id=time();
				sql_query("INSERT INTO themes_positions ( position_id, theme ) VALUES ('$position_id','$theme_id')", $dbi);
				foreach($position_title AS $fe_lang => $val) {
					sql_query("INSERT INTO themes_positions_desc ( position_id, title, language ) VALUES ('$position_id', '$val','$fe_lang')", $dbi);
				}
				include('admin/admin_themes.php');
			} else { echo _NORIGHTS; }
		break;
		case "themes_positions_edit":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_POS_EDIT') == '1')  {
				include('admin/admin_themes_positions_edit.php');
			} else { echo _NORIGHTS; }
		break;
		case "themes_positions_update":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_POS_EDIT') == '1')  {
				foreach($position_title AS $fe_lang => $val) {
					$rs_exists = checkSomethingFromTable($table='themes_positions_desc', $what='title', $key='position_id', $keyvalue=$position, $langkey='language', $langkeyvalue=$fe_lang, $sqlanswer='');
					if($rs_exists!='') {
						sql_query("UPDATE themes_positions_desc   SET  title='".$val."' WHERE position_id='".$position."' AND language='".$fe_lang."'", $dbi);
					} else {
						sql_query("INSERT INTO themes_positions_desc ( position_id, title, language ) VALUES ('$position', '$val','$fe_lang')", $dbi);
					}
					// $result= sql_query("UPDATE themes_positions_desc SET title='".$val."' WHERE 	position_id='".$position."'  AND 	language='".$fe_lang."'  ",$dbi);
				}
				include('admin/admin_themes.php');
			} else { echo _NORIGHTS; }
		break;
		case "themes_positions_delete":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_POS_DEL') == '1')  {
				$result= sql_query("DELETE FROM themes_positions WHERE position_id='$position'",$dbi);
				$result= sql_query("DELETE FROM themes_positions_desc WHERE position_id='$position'",$dbi);
				include('admin/admin_themes.php');
			} else { echo _NORIGHTS; }
		break;

		/*********************************************************************************************
		* THEMES - POSITIONS AND BLOCKS -BLOCKS-
		*********************************************************************************************/
		case "themes_blocks_add":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_BLOCK_ADD') == '1')  {
				include('admin/admin_themes_blocks_add.php');
			} else { echo _NORIGHTS; }
		break;
		case "themes_blocks_insert":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_BLOCK_ADD') == '1')  {
				$blocks = checkSomethingFromTable($table='themes_blocks', $what='block_id', $key='position_id', $keyvalue=$position, $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
				$blocks_count = count($blocks);
				$view_order = $blocks_count+1;

				$block_title = split('xxxxx', $block_title);
				$module_name = $block_title['0'];
				$block_title = $block_title['1'];
				sql_query("INSERT INTO themes_blocks ( position_id, module_name, block_title, active, view_order ) VALUES ('$position', '$module_name', '$block_title', '$active', '$view_order')", $dbi);
				include('admin/admin_themes.php');
			} else { echo _NORIGHTS; }
		break;
		case "themes_blocks_order":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
				$position_id = checkSomethingFromTable($table='themes_blocks', $what='position_id', $key='block_id', $keyvalue=$block, $langkey='', $langkeyvalue='', $sqlanswer='');
				$view_order = checkSomethingFromTable($table='themes_blocks', $what='view_order', $key='block_id', $keyvalue=$block, $langkey='', $langkeyvalue='', $sqlanswer='');
				$under = $view_order-1;
				$upper = $view_order+1;

				$result_under = sql_query("SELECT * FROM themes_blocks WHERE position_id='" . $position_id . "' AND view_order='" . $under . "' LIMIT 0,1  ", $dbi);
				if($row_under = sql_fetch_array($result_under, $dbi)){
					$view_under_id   = $row_under['block_id'];
				}
				$result_upper = sql_query("SELECT * FROM themes_blocks WHERE position_id='" . $position_id . "' AND view_order='" . $upper . "' LIMIT 0,1  ", $dbi);
				if($row_upper = sql_fetch_array($result_upper, $dbi)){
					$view_upper_id   = $row_upper['block_id'];
				}

				$view_order_under = checkSomethingFromTable($table='themes_blocks', $what='view_order', $key='block_id', $keyvalue=$view_under_id, $langkey='', $langkeyvalue='', $sqlanswer='');
				$view_order_upper = checkSomethingFromTable($table='themes_blocks', $what='view_order', $key='block_id', $keyvalue=$view_upper_id, $langkey='', $langkeyvalue='', $sqlanswer='');

				if($switch=="up") {
					if($view_order > $view_order_under) {
						 sql_query("UPDATE themes_blocks SET view_order='".$view_order_under."' WHERE block_id='".$block."'",$dbi);
						 sql_query("UPDATE themes_blocks SET view_order='".$view_order."' WHERE block_id='".$view_under_id."'",$dbi);
					}
				} elseif($switch=="down") {
					if($view_order < $view_order_upper) {
						 sql_query("UPDATE themes_blocks SET view_order='".$view_order_upper."' WHERE block_id='".$block."'",$dbi);
						 sql_query("UPDATE themes_blocks SET view_order='".$view_order."' WHERE block_id='".$view_upper_id."'",$dbi);
					}
				}
				include('admin/admin_themes.php');
			} else { echo _NORIGHTS; }
		break;
		case "themes_block_active":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
				if($switch=="1") {
					$result= sql_query("UPDATE themes_blocks SET active=1 WHERE block_id='$block'",$dbi);
				} else {
					$result= sql_query("UPDATE themes_blocks SET active=0 WHERE block_id='$block'",$dbi);
				}
				include('admin/admin_themes.php');
			} else { echo _NORIGHTS; }
		break;
		case "themes_blocks_edit":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
				include('admin/admin_themes_blocks_edit.php');
			} else { echo _NORIGHTS; }
		break;

		case "themes_blocks_update":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
				$block_title = split('xxxxx', $block_title);
				$result= sql_query("UPDATE themes_blocks SET 	position_id='".$position_id."', module_name='".$block_title['0']."', block_title='".$block_title['1']."', active='".$active."'
													WHERE 	block_id='".$block."' ",$dbi);
				include('admin/admin_themes.php');
			} else { echo _NORIGHTS; }
		break;
		case "themes_reorder_positions":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_POS_EDIT') == '1')  {
				reorder_themes_positions($position);
				include('admin/admin_themes.php');
			} else { echo _NORIGHTS; }
		break;
		case "themes_blocks_delete":
			if ( check_xomol_user_rights_specific($userid, 'A_POSITIONS_BLOCK_DEL') == '1')  {
				$result= sql_query("DELETE FROM themes_blocks WHERE block_id='$block'",$dbi);
				include('admin/admin_themes.php');
			} else { echo _NORIGHTS; }
		break;

		/*********************************************************************************************
		* THEMES - CSS STYLES -
		*********************************************************************************************/
		case "themes_css_file":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_ACCESS') == '1')  {
				include('admin/admin_themes_styles.php');
			} else { echo _NORIGHTS; }
		break;
		// STYLE CATEGORIES
		case "themes_styles_categories_add":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_CATEGORY_ADD') == '1')  {
				include('admin/admin_themes_styles_categories_add.php');
			} else { echo _NORIGHTS; }
		break;
		case "themes_styles_categories_insert":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_CATEGORY_ADD') == '1')  {
				$style_category_id=time();
				$op2=themes_css_file;
				sql_query("INSERT INTO styles_categories ( style_category_id, style_category_name, style_category_description )
							VALUES ('$style_category_id', '$style_category_name', '$style_category_description')", $dbi);
				include('admin/admin_themes_styles.php');
			} else { echo _NORIGHTS; }
		break;

		// ELEMENTS
		case "themes_styles_elements_add":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_ELEMENT_ADD') == '1')  {
				include('admin/admin_themes_styles_elements_add.php');
			} else { echo _NORIGHTS; }
		break;
		case "themes_styles_elements_insert":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_ELEMENT_ADD') == '1')  {
				sql_query("INSERT INTO styles_elements ( element_name )
							VALUES ('$element_name')", $dbi);
				include('admin/admin_themes_styles.php');
			} else { echo _NORIGHTS; }
		break;
		// TAGS
		case "themes_styles_tags_add":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_TAG_ADD') == '1')  {
				include('admin/admin_themes_styles_tags_add.php');
			} else { echo _NORIGHTS; }
		break;
		case "themes_styles_tags_insert":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_TAG_ADD') == '1')  {
				sql_query("INSERT INTO styles_tags ( tag_name )
							VALUES ('$tag_name')", $dbi);
				include('admin/admin_themes_styles.php');
			} else { echo _NORIGHTS; }
		break;
		// STYLES
		case "themes_styles_add":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_STYLE_ADD') == '1')  {
				include('admin/admin_themes_styles_add.php');
			} else { echo _NORIGHTS; }
		break;
		case "themes_styles_insert":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_STYLE_ADD') == '1')  {
				// add tag to all themes
				$handle=opendir('themes');
				$themelist='';
				while ($file = readdir($handle)) {
					if ( (!ereg("[.]",$file)) ) {
						$themelist .= "$file ";
					}
				}
				closedir($handle);
				$themelist = explode(" ", $themelist);
				sort($themelist);
				for ($i=0; $i < sizeof($themelist); $i++) {
					if($themelist[$i] != "") {
						if($element=='') {
							$element_missing=1;
						}
						if($element_value=='') {
							$element_value_missing=1;
						}
						if ( ($element!='') AND ($element_value!='') ) {
							$style_id =time();
							sql_query("INSERT INTO styles ( style_id, style_category_id, theme, tag, element, element_value )
										VALUES ('$style_id', '$style_category_id', '$themelist[$i]', '$tag', '$element', '$element_value')", $dbi);
						}
					}
				}
				if ( ($element!='') AND ($element_value!='') ) {
					include('admin/admin_themes_styles.php');
				} else {
					include('admin/admin_themes_styles_add.php');
				}
			} else { echo _NORIGHTS; }
		break;

		case "themes_styles_edit":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_STYLE_EDIT') == '1')  {
				include('admin/admin_themes_styles_edit.php');
			} else { echo _NORIGHTS; }
		break;
		case "themes_styles_update":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_STYLE_EDIT') == '1')  {
				if($element_value=='') {
					$element_value_missing=1;
					include('admin/admin_themes_styles_edit.php');
				} else {
					$style_category = checkSomethingFromTable($table='styles', $what='style_category_id', $key='style_id', $keyvalue=$style_id, $langkey='', $langkeyvalue='', $sqlanswer='');
					$style_tag = checkSomethingFromTable($table='styles', $what='tag', $key='style_id', $keyvalue=$style_id, $langkey='', $langkeyvalue='', $sqlanswer='');
					$style_element = checkSomethingFromTable($table='styles', $what='element', $key='style_id', $keyvalue=$style_id, $langkey='', $langkeyvalue='', $sqlanswer='');
					$style_element_value = checkSomethingFromTable($table='styles', $what='element_value', $key='style_id', $keyvalue=$style_id, $langkey='', $langkeyvalue='', $sqlanswer='');
					if( ($style_category==$style_category_id) AND ($style_tag==$tag) AND ($style_element==$element) ) {
						// update only one row
						echo 'update only one row...<br>';
						echo '<hr>';
						sql_query("UPDATE styles SET element_value='".$element_value."' WHERE style_id='".$style_id."' AND element='".$style_element."' AND theme='".$theme_id."'",$dbi);
						include('admin/admin_themes_styles.php');
					} else {
						// update all rows
						echo 'update all rows...<br>';
						echo '<hr>';
						sql_query("UPDATE styles SET style_category_id='".$style_category_id."', tag='".$tag."', element='".$element."', element_value='".$element_value."'
									WHERE tag='".$style_tag."'
									AND element='".$style_element."'
									AND style_category_id='".$style_category_id."'
									",$dbi);
						if ( $element_value!='')  {
							include('admin/admin_themes_styles.php');
						} else {
							include('admin/admin_themes_styles_edit.php');
						}

					}
				}
			} else { echo _NORIGHTS; }
		break;
		case "themes_styles_delete":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_ELEMENT_DEL') == '1')  {
				sql_query("DELETE FROM styles WHERE tag='$tag' AND element='$element'",$dbi);
				include('admin/admin_themes_styles.php');
			} else { echo _NORIGHTS; }
		break;

		case "themes_styles_make_css_single_theme":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_CREATE_CSS_SINGLE') == '1')  {
				include('admin/admin_themes_styles_make_css_single_theme.php');
			} else { echo _NORIGHTS; }
		break;

		case "themes_logos":
			if ( check_xomol_user_rights_specific($userid, 'A_THEMES_LOGOS') == '1')  {
				include('admin/admin_themes_logos.php');
			} else { echo _NORIGHTS; }
		break;
		case "themes_logos_edit":
			if ( check_xomol_user_rights_specific($userid, 'A_THEMES_LOGOS') == '1')  {
				include('admin/admin_themes_logos_edit.php');
			} else { echo _NORIGHTS; }
		break;

		case "themes_logos_update":
			if ( check_xomol_user_rights_specific($userid, 'A_THEMES_LOGOS') == '1')  {
				$debug .= 'index.php - themes_logos_update -<br>';
				//$MAX_WIDTH = get_config_value($config_key='LOGO_PDF_FOOTER_MAX_WIDTH');
				//$MAX_HEIGHT = get_config_value($config_key='LOGO_PDF_FOOTER_MAX_HEIGHT');
				$PREFIX = '';

				$fileupload_url = 'themes/'.$theme_id.'/images/logos';
				$fileupload_realpath='themes/'.$theme_id.'/images/logos';
				$fileupload_maxk = get_config_value($config_key='FILEUPLOAD_MAXK');
				$MAX_FILE_SIZE=$fileupload_maxk*1024;
				$fileupload_allowedtypes = get_config_value($config_key='OK_MIME_TYPES');
				$fileupload_allowedtypes = 'gif jpg jpeg png gif';

				$debug .= '$theme_id: '.$theme_id.'<br>';
				$debug .= '$MAX_WIDTH: '.$MAX_WIDTH.'<br>';
				$debug .= '$MAX_HEIGHT: '.$MAX_HEIGHT.'<br>';


				if($_FILES['userfile']['name']!='') {
					include('includes/userfile_prefix.php');
					$file_name = $userfile_name;
					if($file_name!='') {
						$file_name=$PREFIX.$file_name;
							$debug .= '$image_selected: '.$image_selected.'<br>';
						switch($image_selected){
							case "main_logo":
								sql_query("UPDATE themes_logos SET main_logo='".$file_name."' WHERE theme='".$theme_id."' ", $dbi);
							break;

							case "main_header":
								sql_query("UPDATE themes_logos SET main_header='".$file_name."' WHERE theme='".$theme_id."' ", $dbi);
							break;
							case "main_footer":
							break;

							case "print_header":
								sql_query("UPDATE themes_logos SET print_header='".$file_name."' WHERE theme='".$theme_id."' ", $dbi);
							break;
							case "print_footer":
								sql_query("UPDATE themes_logos SET print_footer='".$file_name."' WHERE theme='".$theme_id."' ", $dbi);
							break;

							case "pdf_header":
								sql_query("UPDATE themes_logos SET pdf_header='".$file_name."' WHERE theme='".$theme_id."' ", $dbi);
							break;
							case "pdf_footer":
								sql_query("UPDATE themes_logos SET pdf_footer='".$file_name."' WHERE theme='".$theme_id."' ", $dbi);
							break;
						}
					}
				}
				// echo $debug;
				include('admin/admin_themes_logos_edit.php');
			} else { echo _NORIGHTS; }
		break;
		case "themes_logos_update_from_filesys":
			if ( check_xomol_user_rights_specific($userid, 'A_THEMES_LOGOS') == '1')  {
				$logo = $image_selected;

				switch($image_selected){
					case "main_logo":
						sql_query("UPDATE themes_logos SET main_logo='".$choosen_logo."' WHERE theme='".$theme_id."' ", $dbi);
					break;

					case "main_header":
						sql_query("UPDATE themes_logos SET main_header='".$choosen_logo."' WHERE theme='".$theme_id."' ", $dbi);
					break;
					case "main_footer":
					break;

					case "print_header":
						sql_query("UPDATE themes_logos SET print_header='".$choosen_logo."' WHERE theme='".$theme_id."' ", $dbi);
					break;
					case "print_footer":
						sql_query("UPDATE themes_logos SET print_footer='".$choosen_logo."' WHERE theme='".$theme_id."' ", $dbi);
					break;

					case "pdf_header":
						sql_query("UPDATE themes_logos SET pdf_header='".$choosen_logo."' WHERE theme='".$theme_id."' ", $dbi);
					break;
					case "pdf_footer":
						sql_query("UPDATE themes_logos SET pdf_footer='".$choosen_logo."' WHERE theme='".$theme_id."' ", $dbi);
					break;

				}
				// include('admin/admin_themes_logos_edit.php');
				include('admin/admin_themes_logos_update_answer.php');
			} else { echo _NORIGHTS; }
		break;

		/*********************************************************************************************
		* CSS STYLES MANAGMENT
		*********************************************************************************************/
		case "admin_styles":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_ACCESS') == '1')  {
				include('admin/admin_styles.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_styles_add":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_STYLE_ADD') == '1')  {
				include('admin/admin_styles_add.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_styles_insert":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_STYLE_ADD') == '1')  {
				// add tag to all themes
				$handle=opendir('themes');
				$themelist='';
				while ($file = readdir($handle)) {
					if ( (!ereg("[.]",$file)) ) {
						$themelist .= "$file ";
					}
				}
				closedir($handle);
				$themelist = explode(" ", $themelist);
				sort($themelist);
				for ($i=0; $i < sizeof($themelist); $i++) {
					if($themelist[$i] != "") {
						if($element=='') {
							$element_missing=1;
						}
						if($element_value=='') {
							$element_value_missing=1;
						}
						if ( ($element!='') AND ($element_value!='') ) {
							$style_id =time();
							sql_query("INSERT INTO styles ( style_id, style_category_id, theme, tag, element, element_value )
										VALUES ('$style_id', '$style_category_id', '$themelist[$i]', '$tag', '$element', '$element_value')", $dbi);
						}
					}
				}
				if ( ($element!='') AND ($element_value!='') ) {
					include('admin/admin_styles.php');
				} else {
					include('admin/admin_styles_add.php');
				}
			} else { echo _NORIGHTS; }
		break;
		case "admin_styles_edit":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_STYLE_EDIT') == '1')  {
				include('admin/admin_styles_edit.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_styles_update":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_STYLE_EDIT') == '1')  {
				if($element_value=='') {
					$element_value_missing=1;
					include('admin/admin_styles_edit.php');
				} else {
					$style_category = checkSomethingFromTable($table='styles', $what='style_category_id', $key='style_id', $keyvalue=$style_id, $langkey='', $langkeyvalue='', $sqlanswer='');
					$style_tag = checkSomethingFromTable($table='styles', $what='tag', $key='style_id', $keyvalue=$style_id, $langkey='', $langkeyvalue='', $sqlanswer='');
					$style_element = checkSomethingFromTable($table='styles', $what='element', $key='style_id', $keyvalue=$style_id, $langkey='', $langkeyvalue='', $sqlanswer='');
					$style_element_value = checkSomethingFromTable($table='styles', $what='element_value', $key='style_id', $keyvalue=$style_id, $langkey='', $langkeyvalue='', $sqlanswer='');
					if( ($style_category==$style_category_id) AND ($style_tag==$tag) AND ($style_element==$element) ) {
						// update only one row
						echo 'update only one row...<br>';
						echo '<hr>';
						sql_query("UPDATE styles SET element_value='".$element_value."' WHERE style_id='".$style_id."' AND element='".$style_element."' AND theme='".$theme."'",$dbi);
						include('admin/admin_styles.php');
					} else {
						// update all rows
						echo 'update all rows...<br>';
						echo '<hr>';
						sql_query("UPDATE styles SET style_category_id='".$style_category_id."', tag='".$tag."', element='".$element."', element_value='".$element_value."'
									WHERE tag='".$style_tag."'
									AND element='".$style_element."'
									AND style_category_id='".$style_category_id."'
									",$dbi);
						if ( $element_value!='')  {
							include('admin/admin_styles.php');
						} else {
							include('admin/admin_styles_edit.php');
						}

					}
				}
			} else { echo _NORIGHTS; }
		break;

		case "admin_styles_make_css_all_themes":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_CREATE_CSS_ALL') == '1')  {
				include('admin/admin_styles_make_css_all_themes.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_styles_make_css_single_theme":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_CREATE_CSS_SINGLE') == '1')  {
				include('admin/admin_styles_make_css_single_theme.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_styles_make_css_single_theme_test":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_CREATE_TEST') == '1')  {
				include('admin/admin_styles_make_css_single_theme_test.php');
			} else { echo _NORIGHTS; }
		break;

		// STYLE CATEGORIES
		case "admin_styles_categories_add":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_CATEGORY_ADD') == '1')  {
				include('admin/admin_styles_categories_add.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_styles_categories_insert":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_CATEGORY_ADD') == '1')  {
				$style_category_id=time();
				sql_query("INSERT INTO styles_categories ( style_category_id, style_category_name, style_category_description )
							VALUES ('$style_category_id', '$style_category_name', '$style_category_description')", $dbi);
				include('admin/admin_styles.php');
			} else { echo _NORIGHTS; }
		break;

		// TAGS
		case "admin_styles_tags_add":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_TAG_ADD') == '1')  {
				include('admin/admin_styles_tags_add.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_styles_tags_insert":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_TAG_ADD') == '1')  {
				sql_query("INSERT INTO styles_tags ( tag_name )
							VALUES ('$tag_name')", $dbi);
				include('admin/admin_styles.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_styles_tags_edit":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_TAG_EDIT') == '1')  {
				include('admin/admin_styles_tags_edit.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_styles_tags_update":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_TAG_EDIT') == '1')  {
				include('admin/admin_styles.php');
			} else { echo _NORIGHTS; }
		break;


		// ELEMENTS
		case "admin_styles_elements_add":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_ELEMENT_ADD') == '1')  {
				include('admin/admin_styles_elements_add.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_styles_elements_insert":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_ELEMENT_ADD') == '1')  {
				sql_query("INSERT INTO styles_elements ( element_name )
							VALUES ('$element_name')", $dbi);
				include('admin/admin_styles.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_styles_elements_edit":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_ELEMENT_EDIT') == '1')  {
				include('admin/admin_styles_elements_edit.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_styles_elements_update":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_ELEMENT_EDIT') == '1')  {
				include('admin/admin_styles.php');
			} else { echo _NORIGHTS; }
		break;


		case "admin_styles_delete":
			if ( check_xomol_user_rights_specific($userid, 'A_CSS_ELEMENT_DEL') == '1')  {
				sql_query("DELETE FROM styles WHERE tag='$tag' AND element='$element'",$dbi);
				include('admin/admin_styles.php');
			} else { echo _NORIGHTS; }
		break;

		/*********************************************************************************************
		* METATAGS
		*********************************************************************************************/
		case "admin_metatags":
			if ( check_xomol_user_rights_specific($userid, 'A_METAS_ACCESS') == '1')  {
				include('admin/admin_metatags.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_metatags_edit":
			if ( check_xomol_user_rights_specific($userid, 'A_METAS_EDIT') == '1')  {
				include('admin/admin_metatags_edit.php');
			} else { echo _NORIGHTS; }
		break;
		case "admin_metatags_update":
			if ( check_xomol_user_rights_specific($userid, 'A_METAS_EDIT') == '1')  {
				foreach($meta_title AS $fe_lang => $val) {
					$_meta_title 	   = $meta_title[$fe_lang];
					$_meta_keywords    = $meta_keyword1[$fe_lang].','. $meta_keyword2[$fe_lang].','. $meta_keyword3[$fe_lang].','. $meta_keyword4[$fe_lang].','. $meta_keyword5[$fe_lang].','. $meta_keyword6[$fe_lang].','. $meta_keyword7[$fe_lang].','. $meta_keyword8[$fe_lang].','. $meta_keyword9[$fe_lang].','. $meta_keyword10[$fe_lang].','. $meta_keyword11[$fe_lang].','. $meta_keyword12[$fe_lang]; ;
					$_meta_keywords = eregi_replace(',,',',',$_meta_keywords);
					$_meta_keywords = eregi_replace(',,',',',$_meta_keywords);
					$_meta_keywords = eregi_replace(',,',',',$_meta_keywords);
					$_meta_description = $meta_description[$fe_lang];
					$rs_exists = checkSomethingFromTable($table='admin_metatags', $what='lid', $key='language', $keyvalue=$fe_lang, $langkey='', $langkeyvalue='', $sqlanswer='');
					if($rs_exists!='') {
						sql_query("UPDATE admin_metatags   SET  title='".$_meta_title."', keywords='".$_meta_keywords."', description='".$_meta_description."' WHERE language='".$fe_lang."'", $dbi);
					} else {
						sql_query("INSERT INTO admin_metatags ( language, title, keywords, description ) VALUES ('$fe_lang', '$_meta_title','$_meta_keywords','$_meta_description')", $dbi);
					}
				}
				include('admin/admin_metatags.php');
			} else { echo _NORIGHTS; }
		break;
		// EOF MAIN METATAGS
		/////////////////////////////////////////////////////////////////////////////////////////////////

		// add ons....
		case "user_data_delete":
			sql_query("DELETE FROM users_data  WHERE 	user_id='".$userid."' ",$dbi);
			sql_query("DELETE FROM users_data_desc  WHERE 	user_id='".$userid."' ",$dbi);
			include('admin/admin_users_viewdet.php');
		break;

		default:
			include('admin/admin_site.php');
		break;

	}

} else { echo '<br><br>'._NOTLOGED.'<br><br>'; include('includes/login.php'); }
?>