<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename:  seo_converter.php
* Location: /includes/seo_converter.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/

/*********************************************************************************************
* This file will only work if the .htaccess file is saved on the root directory
* of the program.
*
* Create or add the following lines to your .httaccess file:

 RewriteEngine on
 RewriteRule (.*).html$ /index.php?fakepath=$1

*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_realpath($fake)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns an array of elements in field realpath FROM TABLE seo_lookup_realfake
*    *this array will can be
* $fakepath = the document to search (ex. contact.html, basket.html) ..
*********************************************************************************************/
function get_realpath($fakepath) {
	$realpath = getUrlFake2Real($fakepath);
	$reset_options=array();
	if($realpath!='') {
		$paths=split("\?",$realpath);
		$qry_elements = split("&",$paths['1']);
		foreach($qry_elements as $key => $val){
			$tmp=split('=',$val);
			$tmparr=array($tmp[0] => $tmp[1]);
			$reset_options=array_merge($reset_options,$tmparr);
		}
	}
	return $reset_options;
}
/*********************************************************************************************
* Function Name:  getUrlFake2Real($fake)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table seo_lookup_realfake
* Returns the value of FIELD realpath FROM TABLE seo_lookup_realfake
* $fakepath = the document to search (ex. contact.html, basket.html) ..
*********************************************************************************************/
function getUrlFake2Real($fakepath) {
	global $dbi;

	$result = sql_query("SELECT realpath FROM xomol_seo_realfakepaths WHERE fakepath='".$fakepath."'", $dbi);
	$row = sql_fetch_array($result, $dbi);

	return	$row['realpath'];
}

/*********************************************************************************************
* Activate here SEO
* 1 = Active
* 0 = Inactive
*********************************************************************************************/
// Activate here SEO
$seo_active = 1;
if( ($seo_active ==1) AND ($op!='tellafriend') ) {
	$uri=strrev($_SERVER['REQUEST_URI']);
	if( (eregi("lmth.", $uri)!='') OR (eregi("mth.", $uri) !='') ) {
		$fake=$_GET[fakepath];
		$fakep = $fake.'.html';
		$reset_options = get_realpath($fakep);

		if(count($reset_options)==''){
			$array = split('.html',$fake);

			$vars = split('--',$array['0']);
			$vars = array_unique($vars);
			$vars_count = count($vars);
			// echo 'vars_count: '.$vars_count.'<br>';


			if($vars_count=='1') {
				$i=0;
				$i2=0;
				while($i<$vars_count){
					$var = split('-',$vars[$i]);
					$var = array_unique($var);
					$foo='$'.$var['0'].'="'.$var['1'].'";';
					// echo 'foo 0: '.$foo.'<br>';
					eval($foo);
					$i++;
					$i2++;
				}
			}

			if($vars_count>='2') {
				$i=0;
				$i2=0;
				while($i<$vars_count){
					$var = split('-',$vars[$i]);
					$var = array_unique($var);
					$foo='$'.$var['0'].'="'.$var['1'].'";';
					$foox.=$var['0'].'='.$var['1'].'&';
					// echo 'foo 1: '.$foo.'<br>';
					eval($foo);
					$i++;
					$i2++;
				}
			}
			if($vars_count=='') {
				$var = split('-',$fake);
				$var_count = count($var);

				if($var_count>='1') {
					$foo='$'.$var['0'].'="'.$var['1'].'";';
					// echo 'foo 2: '.$foo.'<br>';
					eval($foo);
				} else {
					$ops='op';
					$foo='$'.$ops.'="'.$fake.'";';
					// echo 'foo 3: '.$foo.'<br>';
					eval($foo);
				}
			}
		} else {
			$reset_options = get_realpath($fakep);
			$reset_options_count = count($reset_options);

			foreach($reset_options as $key => $val){
				$foo='$'.$key.'="'.$val.'";';
				$foox.=$foo;
				// echo 'foo 4: '.$foo.'<br>';
				eval($foo);
			}

		}
	}

}
?>