<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename:  index.php
* Location: /index.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/

/*********************************************************************************************
* INCLUDE CONFIGURATION FILES AND START SESSION
*********************************************************************************************/
session_start();
 if (file_exists('includes/config.php')) {								//
 	include('includes/config.php');										//
 	require_once("includes/sql_layer.php");								//
 	if(	!@$dbi=sql_connect($dbhost, $dbuname, $dbpass, $dbname)) {		//
 		Header("Location: install/index.php");							//
	}																	//
} elseif (file_exists('install/index.php')) {							//
    Header("Location: install/index.php");								//
}																		//
$userid=$_SESSION['user_id'];
include_once('includes/functions.php');
if (file_exists('modules/store/functions.php')) {
	include_once('modules/store/functions.php');
}

$preinstaled_tables = array(store_currencies);

/*********************************************************************************************
* SETUP THE HOME MODULE
*********************************************************************************************/
$result = sql_query("SELECT title FROM modules WHERE active='1' AND	inhome='1' ", $dbi);
if($row = sql_fetch_array($result, $dbi)){
	$home_module = $row['title'];
}
/*********************************************************************************************
* Fillup vars not passed on php5 (work around!)
*  -Arrays were not passed trough the loop, so i pharesed the array if in var...
*  -temporarly workarround
*********************************************************************************************/
include_once('includes/fix_post_and_get_vars.php');

/*********************************************************************************************
* Activate / Deactivate SEO
*********************************************************************************************/
// include('includes/seo_converter.php');

/*********************************************************************************************
* Logins
*********************************************************************************************/
if ( validate_email($_POST['email']) AND !empty($_POST['password'])) {
	$sql='SELECT user_id FROM users WHERE user_email="'.$_POST['email'].'"  AND  user_password="'.md5($_POST['password']).'" AND 	user_status=1';
	$result = sql_query($sql, $dbi);
	$row = sql_fetch_array($result, $dbi);
	if(sql_num_rows($result, $dbi)) {
		$_SESSION['login']='loged';
		$_SESSION['user_id']=$row['user_id'];
		$userid=$row['user_id'];

		/********************************************************************************************
			now all module tasks that should be executed before the program begins are loaded are
			beeing loaded here. If you want Xomol to do "something" at the moment of "login" create
			file /modules/modulename/login_tasks.php and put there your instructions.
			Xomol takes care of the rest.
		*********************************************************************************************/
		$result2 = sql_query("SELECT * FROM modules WHERE active_root='1' AND active='1' ORDER BY active_root DESC, active DESC, inhome DESC, title ASC", $dbi);
		while($row2 = sql_fetch_array($result2, $dbi)){
			$module_title  	= $row2['title'];
			$active    		= $row2['active'];
			$active_root    = $row2['active_root'];
			$whocanview    	= $row2['whocanview'];
			$inhome    		= $row2['inhome'];
			$mod_group    	= $row2['mod_group'];
			$admins    		= $row2['admins'];
			if (file_exists('modules/'.$module_title.'/login_tasks.php')) {
				include('modules/'.$module_title.'/login_tasks.php');
			}
		}
		/*
		echo $debug;
		*/
	}
}

if(isset($_SESSION['user_id'])) { $userid = $_SESSION['user_id']; } else { $userid = 2; }

if($_SESSION['login']=='loged') { $loginstatus='loged'; }
if($_SESSION['login']=='notloged') { $loginstatus='notloged'; }
if($_SESSION['login']!='loged') { $loginstatus='notloged'; }

/*********************************************************************************************
* setup LANGUAGE
*********************************************************************************************/
if(!isset($_SESSION['language'])){
	$_SESSION['language'] = get_default_language();
	$_SESSION['language']='mexican';
}

if(isset($langx)) {
	$_SESSION['language']=$langx;
}
$currentlang=$_SESSION['language'];
if($currentlang=='') { $currentlang='mexican'; }
$_SESSION['currentlang']=$currentlang;
include('languages/lang-'.$_SESSION['language'].'.php');

/*********************************************************************************************
* setup CURRENCY
*********************************************************************************************/
$defaultcurrency=get_default_currency();
if(!isset($_SESSION['currency'])){ $_SESSION['currency']= $defaultcurrency; }
if($newcurrency!='') { $currency=$newcurrency; $_SESSION['currency']=$newcurrency; }
if($currency=='') { $currency=$_SESSION['currency']; }


/*********************************************************************************************
* $thisscript
* This part will atempt to clean the querry string comming the actual url.
* Part cleaned will stop the script from updating the database in case of
* changes in Language, Currency.
*********************************************************************************************/
$path_parts = parse_url($_SERVER ['SCRIPT_NAME']);
$query = $_SERVER ['QUERY_STRING'];

if(isset($query)) {
	if(eregi('langx=', $query)==1 ) {
		$langlist = get_languages('active');
		$langlist = split(' ', $langlist);
		foreach ($langlist AS $key => $val) {
			$search = 'langx='.$val;
			$query = str_replace($search, '', $query);
			$query = str_replace('&skipupdate=1', '', $query);
		}
		// $query = $query.'&'.$search;
		$query = str_replace('&&', '&', $query);
		$query = str_replace('add_to_chart', '', $query);
		$thisscript = $_SERVER ['SCRIPT_NAME'].'?'.$query;
	} else {
		$query = str_replace('add_to_chart', '', $query);
		$thisscript = $_SERVER ['SCRIPT_NAME'].'?'.$query;
	}

	if(eregi('newcurrency=', $query)==1 ) {
		$currencylist = get_currencies();
		$currencylist = split(' ', $currencylist);
		for ($ixl=0, $n=sizeof($currencylist); $ixl<$n; $ixl++) {
			if($currencylist[$ixl]!='') {
				$search = 'newcurrency='.$currencylist[$ixl];
				$query = str_replace($search, '', $query);
			}
		}
		$query = str_replace('&&', '&', $query);
		$query = str_replace('add_to_chart', '', $query);
		$thisscript = $_SERVER ['SCRIPT_NAME'].'?'.$query;
	} else {
		$query = str_replace('add_to_chart', '', $query);
		$thisscript = $_SERVER ['SCRIPT_NAME'].'?'.$query;
	}
} else {
	$thisscript = $_SERVER ['SCRIPT_NAME'];
}
$thisscript = str_replace('?&', '?', $thisscript);
$thisscript = trim($thisscript);
$last = $thisscript{strlen($thisscript)-1};
if (!strcmp($last,"&")) {
  $thisscript = rtrim($thisscript, '&');
}

/*********************************************************************************************
* setup THEMES
*********************************************************************************************/
$usertheme = get_user_default_theme($userid);
$sitetheme = get_site_default_theme();

// if ( (file_exists("themes/$usertheme")) AND ($userid<='1') ){
if (file_exists("themes/$usertheme")){
	$theme = $usertheme;
} elseif (file_exists("themes/$sitetheme")) {
	$theme = $sitetheme;
}
if($theme=='') {
	$theme = 'default';
	include('themes/'.$theme.'/theme.php');
} else {
	include('themes/'.$theme.'/theme.php');
}

/*********************************************************************************************
* setup some other variables
*********************************************************************************************/
$random_art_num = get_config_value($config_key='RANDOM_ART_NUM');






/////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////
if($restart=='yes') {
	$userid='';
	$suserid='';
	$directory='';
	$_SESSION['uid']='';
	$loginstatus='notloged';
	$uid='';
	$_SESSION['login']='notloged';
	$_SESSION['user_id']='';
}


/////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////








/*********************************************************************************************
* LETS START THE PROGRAM HERE!
*********************************************************************************************/
switch($op){
	case "admin":
		switch($op2) {
			case "admin_users_edit":
				// include('admin/header_users_edit.php');
				include('admin/header.php');
				themeheader();
				include('admin/index.php');
				themefooter();
			break;
			default:
				include('admin/header.php');
				themeheader();
				include('admin/index.php');
				themefooter();
			break;

		}
	break;
	case "login":
		if($loginstatus!='loged'){
			include('header.php');
			themeheader();
			include('modules/my_account_pls/login.php');
		} else {
			include('header.php');
			themeheader();
			$message = LOGINMSG;
			$message .= '<br>';
			echo $message.'<br>';
			if($goto=='logout') $goto='';
			if($goto=='login') $goto='my_account_pls';
			echo '<br><br><a href="index.php?op='.$goto.'" class="menuHeader14">'.CLICK_HERE_CONTINUE.'</a>';

		}
		themefooter();
	break;

	case "logout":
		$_SESSION['login']='notloged';
		$_SESSION['user_id']='2';
		$userid='2';
		themeheader();
		include('header.php');
		$message = LOGOUTMSG;
		echo $message;
		themefooter();
	break;

	default:
		if(isset($op)) {
			if(check_module_active($op)=='1'){
				include('modules/'.$op.'/index.php');
			} else {
				include('header.php');
				themeheader();
				echo THIS_MODULE_IS_NOT_ACTIVE_MSG;
				themefooter();
			}

		} elseif(isset($home_module)) {
			if(check_module_active($home_module)=='1'){
				include('modules/'.$home_module.'/index.php');
			} else {
				include('header.php');
				themeheader();
				echo THIS_MODULE_IS_NOT_ACTIVE_MSG;
				themefooter();
			}
		}


		/*
		*/
	break;
}
?>