<?
/************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.com
*
* Filename: functions.php
* Location: /install/functions.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
function install_validate_email($input) {
	if (!strstr($input, '@')) { return false; }
	if (!strstr($input, '.')) { return false; }
	if (strstr($input, '/')) { return false; }
	if (strstr($input, './')) { return false; }
	if (strstr($input, '*')) { return false; }
	if (strstr($input, '..')) { return false; }
	if (strstr($input, '\\')) { return false; }
	if (strstr($input, '?')) { return false; }
	if (strstr($input, '"')) { return false; }
	if (strstr($input, "'")) { return false; }
	return true;
}
function split_sql($sql) {
	$sql = trim($sql);
	$sql = ereg_replace("\n#[^\n]*\n", "\n", $sql);

	$buffer = array();
	$ret = array();
	$in_string = false;

	for($i=0; $i<strlen($sql)-1; $i++) {
		if($sql[$i] == ";" && !$in_string) {
			$ret[] = substr($sql, 0, $i);
			$sql = substr($sql, $i + 1);
			$i = 0;
		}

		if($in_string && ($sql[$i] == $in_string) && $buffer[1] != "\\") {
			$in_string = false;
		}
		elseif(!$in_string && ($sql[$i] == '"' || $sql[$i] == "'") && (!isset($buffer[0]) || $buffer[0] != "\\")) {
			$in_string = $sql[$i];
		}
		if(isset($buffer[1])) {
			$buffer[0] = $buffer[1];
		}
		$buffer[1] = $sql[$i];
	}

	if(!empty($sql)) {
		$ret[] = $sql;
	}
	return($ret);
}

function populate_my_db($sql) {
	global $dbi;
	$mqr = @get_magic_quotes_runtime();
	@set_magic_quotes_runtime(0);
	$query = fread( fopen( $sql, 'r' ), filesize( $sql ) );
	@set_magic_quotes_runtime($mqr);
	$strings  = split_sql($query);

	$SCRIPT_NAME = split('/index.ph',$_SERVER['SCRIPT_NAME']);
	$SERVER_RELATIVE_PATH = $SCRIPT_NAME['0'];
	$SERVER_RELATIVE_PATH = split('/instal',$SERVER_RELATIVE_PATH);
	$SERVER_RELATIVE_PATH = $SERVER_RELATIVE_PATH['0'];
	for ($i=0; $i<count($strings); $i++) {
		$strings[$i] = trim($strings[$i]);
		if(!empty($strings[$i]) && $strings[$i] != "#") {
			// echo '$string: '.$string.'<br>';
			$string = eregi_replace('serverrelativepathch/',$SERVER_RELATIVE_PATH.'/',$strings[$i]);
			$string = eregi_replace('alt=""','alt="altimag"',$string);
			$string = eregi_replace('/>',' >',$string);
			// sql_query("$strings[$i]", $dbi);
			// echo '$string: '.$string.'<hr>';
			sql_query("$string", $dbi);
		}
	}
}
function populate_my_db1($sql) {
	global $dbi;
	$mqr = @get_magic_quotes_runtime();
	@set_magic_quotes_runtime(0);
	$query = fread( fopen( $sql, 'r' ), filesize( $sql ) );
	@set_magic_quotes_runtime($mqr);
	$strings  = split_sql($query);

	$SCRIPT_NAME = split('/index.ph',$_SERVER['SCRIPT_NAME']);
	$SERVER_RELATIVE_PATH = $SCRIPT_NAME['0'];
	$SERVER_RELATIVE_PATH = split('/instal',$SERVER_RELATIVE_PATH);
	$SERVER_RELATIVE_PATH = $SERVER_RELATIVE_PATH['0'];
	for ($i=0; $i<count($strings); $i++) {
		$strings[$i] = trim($strings[$i]);
		if(!empty($strings[$i]) && $strings[$i] != "#") {
			$string = eregi_replace('/serverrelativepathch',$SERVER_RELATIVE_PATH.'/',$strings[$i]);
			$string = eregi_replace('alt=""','alt="altimag"',$string);
			$string = eregi_replace('/>',' >',$string);
			// sql_query("$strings[$i]", $dbi);
			sql_query("$string", $dbi);
		}
	}
}
?>