<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename:  index.php
* Location: /modules/content/admin/index.php
*
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
include_once('modules/content/functions.php');
if (file_exists('modules/content/languages/lang-'.$currentlang.'.php')) {
	include('modules/content/languages/lang-'.$currentlang.'.php');
} else {
	echo  '<FONT color"fff000" size=3>Language File;: '.$currentlang.' not defined in this module</FONT><br>';
}
if ( xomol_check_content_user_rights_specific($userid, 'ASYSTEM_ACCESS') == '1')  {
	if(get_content_config_value($config_key='CONT_VIEW_MOD')=='1') {
		$languageslist = get_languages($display='defaultarray');
	} elseif(get_content_config_value($config_key='CONT_VIEW_MOD')=='2') {
		$languageslist = get_languages($display='active');
	}
	if ($_SESSION['login']=='loged') {
		switch($op3){
			/*********************************************************************************************
			*  CONTENT CONFIGURATION
			*********************************************************************************************/
			case "admin_config_view":
				if  (xomol_check_content_user_rights_specific($userid, 'A_CONFIGURE_ACCESS') == '1')  {
					include('modules/content/admin/admin_config_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_config_add":
				if  (xomol_check_content_user_rights_specific($userid, 'A_CONFIGURE_ADD') == '1')  {
					include('modules/content/admin/admin_config_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_config_add1":
				if  (xomol_check_content_user_rights_specific($userid, 'A_CONFIGURE_ADD') == '1')  {
					include('modules/content/admin/admin_config_add1.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_config_add2":
				if  (xomol_check_content_user_rights_specific($userid, 'A_CONFIGURE_ADD') == '1')  {
					include('modules/content/admin/admin_config_add2.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_config_insert":
				if  (xomol_check_content_user_rights_specific($userid, 'A_CONFIGURE_ADD') == '1')  {
						sql_query("INSERT INTO content_configure ( module_name, config_type, config_key, config_title, config_value )
									   VALUES ('$op', '$config_type', '$_config_key', '$config_title', '$config_value')", $dbi);
					include('modules/content/admin/admin_config_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_config_edit":
				if  (xomol_check_content_user_rights_specific($userid, 'A_CONFIGURE_EDIT') == '1')  {
					include('modules/content/admin/admin_config_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_config_update":
				if  (xomol_check_content_user_rights_specific($userid, 'A_CONFIGURE_EDIT') == '1')  {
					$result= sql_query("UPDATE content_configure SET 	config_type='".$config_type."',
																config_key='".$_config_key."',
																config_title='".$config_title."',
																config_value='".$config_value."'
														WHERE 	config_id='".$configure."' ",$dbi);
					include('modules/content/admin/admin_config_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_config_delete":
				if  (xomol_check_content_user_rights_specific($userid, 'A_CONFIGURE_DELETE') == '1')  {
					$result= sql_query("DELETE FROM content_configure WHERE config_id='$configure'",$dbi);
					include('modules/content/admin/admin_config_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			*  CONTENT USERS
			*********************************************************************************************/
			case "xomol_users_view":
				if  (xomol_check_content_user_rights_specific($userid, 'A_USER_DETAILS_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_users_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "statusu":
				$user_group_tochange = check_user_group($user);
				$user_group_operator = check_user_group($userid);
				$ok=0;
				if (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
					if(($user_group_operator==$user_group_tochange)
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					OR (user_is_in_tree($user, $userid)=='1')
					) { $ok=1; }
				} elseif (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
					if((user_is_in_tree($user, $userid)=='1')
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					) { $ok=1; }
				}
				if( ($ok==1) AND ($user!=$userid) ) {
					if($switch=="1") {
						$result= sql_query("UPDATE users SET user_status=1 WHERE user_id='$user'",$dbi);
					} else {
						$result= sql_query("UPDATE users SET user_status=0 WHERE user_id='$user'",$dbi);
					}
					include('modules/'.$op.'/admin/admin_users_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			*  CONTENT USERS RIGHTS
			*********************************************************************************************/
			case "user_rights_override":
				$user_group_tochange = check_user_group($user);
				$user_group_operator = check_user_group($userid);
				$ok=0;
				if (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
					if(($user_group_operator==$user_group_tochange)
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					OR (user_is_in_tree($user, $userid)=='1')
					) { $ok=1; }
				} elseif (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
					if((user_is_in_tree($user, $userid)=='1')
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					) { $ok=1; }
				}
				if( ($ok==1) AND ($user!=$userid) ) {
					include('modules/'.$op.'/admin/admin_user_rights_override.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "user_rights2users_status":
				$user_group_tochange = check_user_group($user);
				$user_group_operator = check_user_group($userid);
				$ok=0;
				if (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
					if(($user_group_operator==$user_group_tochange)
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					OR (user_is_in_tree($user, $userid)=='1')
					) { $ok=1; }
				} elseif (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
					if((user_is_in_tree($user, $userid)=='1')
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					) { $ok=1; }
				}
				if( ($ok==1) AND ($user!=$userid) ) {
					if($switch=="1") {
						$result= sql_query("UPDATE content_user_rights2users SET value=1 WHERE user_id='$user' AND user_rights_id='$task'",$dbi);
					} else {
						$result= sql_query("UPDATE content_user_rights2users SET value=0 WHERE user_id='$user' AND user_rights_id='$task'",$dbi);
					}
					include('modules/'.$op.'/admin/admin_user_rights_override.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "user_rights_reset2group":
				$user_group_tochange = check_user_group($user);
				$user_group_operator = check_user_group($userid);
				$ok=0;
				if (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
					if(($user_group_operator==$user_group_tochange)
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					OR (user_is_in_tree($user, $userid)=='1')
					) { $ok=1; }
				} elseif (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
					if((user_is_in_tree($user, $userid)=='1')
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					) { $ok=1; }
				}
				if( ($ok==1) AND ($user!=$userid) ) {
					$result= sql_query("DELETE FROM content_user_rights2users WHERE user_id='$user' ",$dbi);
					$user_group = checkSomethingFromTable($table='users', $what='user_group', $key='user_id', $keyvalue=$user, $langkey='', $langkeyvalue='', $sqlanswer='');

					$result2 = sql_query("SELECT * FROM content_user_rights2groups WHERE group_id=$user_group  ", $dbi);
					while($row2 = sql_fetch_array($result2, $dbi)){
						$group_id    	= $row2['group_id'];
						$user_rights_id    	= $row2['user_rights_id'];
						$value    	= $row2['value'];
						sql_query("INSERT INTO content_user_rights2users ( user_id, user_rights_id, value )
									   VALUES ('$user', '$user_rights_id', '$value')", $dbi);
					}
					include('modules/'.$op.'/admin/admin_user_rights_override.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			*  CONTENT USERS RIGHTS -TASKS-
			*********************************************************************************************/
			case "user_rights":
				if  (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_user_rights.php');
				} else {
					echo NO_USER_RIGHTS;
				}
			break;

			case "user_rights_add":
				if  (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_TASK_ADD') == '1')  {
					include('modules/'.$op.'/admin/admin_user_rights_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "user_rights_insert":
				if  (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_TASK_ADD') == '1')  {
					$elemental=1;
					sql_query("INSERT INTO content_user_rights ( rights_id, title, description, elemental )
								   VALUES ('', '$task_title', '$description', '$elemental')", $dbi);
					include('modules/'.$op.'/admin/admin_user_rights2groups.php');
				} else {
					echo NO_USER_RIGHTS;
				}
			break;

			/*********************************************************************************************
			* CONTENT USERS RIGHTS -TASKS2GROUPS-
			*********************************************************************************************/
			case "user_rights2groups_edit":
				$user_group_tochange = check_user_group($user);
				$user_group_operator = check_user_group($userid);
				$ok=0;
				if (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_TASK_EDIT_SAME') == '1') {
					if(($user_group_operator==$user_group_tochange)
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					OR (user_is_in_tree($user, $userid)=='1')
					) { $ok=1; }
				} elseif (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_TASK_EDIT_LOW') == '1') {
					if((user_is_in_tree($user, $userid)=='1')
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					) { $ok=1; }
				}
				if( ($ok==1) AND ($user!=$userid) ) {
					include('modules/'.$op.'/admin/admin_user_rights2groups_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "user_rights2groups_status":
				if  (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_TASK2GROUP') == '1')  {
					if($switch=="1") {
						sql_query("UPDATE content_user_rights2groups SET value='1' WHERE group_id='$group' AND user_rights_id='$task'",$dbi);
					} else {
						sql_query("UPDATE content_user_rights2groups SET value='0' WHERE group_id='$group' AND user_rights_id='$task'",$dbi);
					}
					include('modules/'.$op.'/admin/admin_user_rights2groups.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "user_rights2groups":
				if  (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_TASK2GROUP') == '1')  {
					include('modules/'.$op.'/admin/admin_user_rights2groups.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			*  CONTENT CATEGORIES AND ARTICLES -CATEGORIES-
			*********************************************************************************************/
			case "admin_cat_view":
				if ( ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'CAT_EDIT_OWN') == '1') )  {
					include('modules/'.$op.'/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_cat_add":
				if ( ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_ADD_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_ADD_OWN') == '1') )  {
					include('modules/'.$op.'/admin/admin_cat_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_cat_insert":
				if ( ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_ADD_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_ADD_OWN') == '1') )  {
					$cats = checkSomethingFromTable($table='content_cat', $what='category_id', $key='category_parent_id', $keyvalue=$cat_parent_id, $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
					$cats_count = count($cats);
					$view_order = $cats_count+1;
					if( ($target_author!='') OR ($target_author!='2') OR ($target_author!='3') ) {
						$author_id=$target_author;
					} else {
						$author_id=$userid;
					}
					if($skipupdate!=1) {
						///////////////////////////////////////////////////////////////////////////////
						// Insert the category
						$category_id = time();
						$result= sql_query("INSERT INTO content_cat ( category_id, category_status, category_parent_id, author_id, view_order )
									   VALUES ('$category_id', '$category_status', '$cat_parent_id', '$author_id', '$view_order')", $dbi);

						///////////////////////////////////////////////////////////////////////////////
						// FILE UPLOADS
						$MAX_WIDTH = get_content_config_value($config_key='MAX_CAT_IMAGE_WIDTH');
						$MAX_HEIGHT = get_content_config_value($config_key='MAX_CAT_IMAGE_HEIGHT');
						$PREFIX = 'thumb_';
						$fileupload_url = 'modules/'.$op.'/image';
						$fileupload_realpath='modules/'.$op.'/image';
						$fileupload_maxk = get_content_config_value($config_key='FILEUPLOAD_MAXK');
						$MAX_FILE_SIZE=$fileupload_maxk*1024;
						$fileupload_allowedtypes = get_content_config_value($config_key='OK_MIME_TYPES');

						if($_FILES['userfile']['name']!='') {
							include('includes/userfile_prefix.php');
							$file_name = $userfile_name;
							if($file_name!='') {
								sql_query("UPDATE content_cat SET cat_image='".$file_name."'  WHERE category_id='".$category_id."'", $dbi);
							}
						}

						// EOF FILE UPLOADS
						///////////////////////////////////////////////////////////////////////////////
						///////////////////////////////////////////////////////////////////////////////
						// Inserting category content_cat_desc
						///////////////////////////////////////////////////////////////////////////////
						foreach($category_title AS $fe_lang => $valor) {
							$newtitle = $category_title[$fe_lang];
							$newdec1 = $category_description_1[$fe_lang];
							sql_query("INSERT INTO content_cat_desc ( category_id, language, title, description )
													   VALUES ('$category_id', '$fe_lang', '$newtitle', '$newdec1')", $dbi);
						}
						///////////////////////////////////////////////////////////////////////////////
						// Autoconfigure Metatags
						///////////////////////////////////////////////////////////////////////////////
						$array_title = $category_title;
						$array_description = $category_description_1;
						$debug='';
						$metatags = autoconfigre_metatags($op, $array_title, $array_description, $meta_title, $meta_keyword1, $meta_keyword2, $meta_keyword3, $meta_keyword4, $meta_keyword5, $meta_keyword6, $meta_keyword7, $meta_keyword8, $meta_keyword9, $meta_keyword10, $meta_keyword11, $meta_keyword12, $meta_description);
						foreach($metatags AS $key => $val) {
							$_meta_title 	  = $metatags[$key]['meta_title'];
							$_meta_keywords 	  = $metatags[$key]['meta_keywords'];
							$_meta_description = $metatags[$key]['meta_description'];
							sql_query("UPDATE content_cat_desc    SET  meta_title='".$_meta_title."', meta_keywords='".$_meta_keywords."', meta_description='".$_meta_description."' WHERE category_id='".$category_id."' AND language='".$key."'", $dbi);
						}

						////////////////////////////////////////////////////////////////
						// Build the data for SEO_TABLE
						////////////////////////////////////////////////////////////////
						$debug = '';
						foreach($category_title AS $fe_lang => $valor) {
							$realpath	=  'index.php?op='.$op.'&op2=browse&cat='.$category_id.'&xlang='.$fe_lang;
							$newtitle = $category_title[$fe_lang];
							$newlink_title= $link_title[$fe_lang];
							$newlink_title = eregi_replace(".html", "", $newlink_title);
							if($link_type[$fe_lang]=='1'){
								$convertiontype='2';
								$title = $newtitle;
								$title = eregi_replace(' ', '_', $title);
							}
							if($link_type[$fe_lang]=='2'){
								$convertiontype='2';
								$title = $newlink_title;
								$title = eregi_replace(' ', '_', $title);
							}
							$fakepath	=  convert_real2fake_url_update_tb($url=$realpath,$title,$fe_lang,$convertiontype);
							if(getRealPathFromFake($fakepath)=='') {
								sql_query("INSERT INTO xomol_seo_realfakepaths ( fakepath, realpath) VALUES ('$fakepath', '$realpath')", $dbi);
							}
							sql_query("UPDATE content_cat_desc    SET  seo_link='".$fakepath."' WHERE category_id='".$category_id."' AND language='".$fe_lang."'", $dbi);
						}


					}
					$skipupdate=1;
					$category_parent_id = $cat_parent_id;
					include('modules/'.$op.'/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_cat_edit":
				if ( ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_EDIT_OWN') == '1') )  {
					include('modules/content/admin/admin_cat_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_cat_update":
				// echo 'start update<br>';
				if ( ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_EDIT_OWN') == '1') )  {
					if($skipupdate!=1) {
						///////////////////////////////////////////////////////////////////////////////
						// Update the category
						$history='';
						$history = checkSomethingFromTable($table='content_cat', $what='history', $key='category_id', $keyvalue=$cat, $langkey='', $langkeyvalue='', $sqlanswer='');
						$history.= $userid.'_'.date("Y.m.j H:i:s").' '.$history.';';
						$result = sql_query("UPDATE content_cat SET category_status='".$category_status."'  WHERE category_id='".$cat."'", $dbi);
						$result =sql_query("UPDATE content_cat SET history='".$history."'  WHERE category_id='".$cat."'", $dbi);

						///////////////////////////////////////////////////////////////////////////////
						// Inserting category into content_cat_desc
						///////////////////////////////////////////////////////////////////////////////
						foreach($category_title AS $fe_lang => $valor) {
							$newtitle = $category_title[$fe_lang];
							$newdec1 = $category_description_1[$fe_lang];
							$indb = checkSomethingFromTable($table='content_cat_desc', $what='category_id', $key='category_id', $keyvalue=$cat, $langkey='language', $langkeyvalue=$fe_lang, $sqlanswer='');
							if($indb=='') {
								sql_query("INSERT INTO content_cat_desc ( category_id, language, title, description ) VALUES ('$cat', '$fe_lang', '$newtitle', '$newdec1')", $dbi);
							} else {
								sql_query("UPDATE content_cat_desc    SET  title='".$newtitle."', description='".$newdec1."' WHERE category_id='".$cat."' AND language='".$fe_lang."'", $dbi);
							}
						}
						///////////////////////////////////////////////////////////////////////////////
						// Autoconfigure Metatags
						///////////////////////////////////////////////////////////////////////////////
						$array_title = $category_title;
						$array_description = $category_description_1;
						$debug='';
						$metatags = autoconfigre_metatags($op, $array_title, $array_description, $meta_title, $meta_keyword1, $meta_keyword2, $meta_keyword3, $meta_keyword4, $meta_keyword5, $meta_keyword6, $meta_keyword7, $meta_keyword8, $meta_keyword9, $meta_keyword10, $meta_keyword11, $meta_keyword12, $meta_description);
						foreach($metatags AS $key => $val) {
							$_meta_title 	  = $metatags[$key]['meta_title'];
							$_meta_keywords 	  = $metatags[$key]['meta_keywords'];
							$_meta_description = $metatags[$key]['meta_description'];
							sql_query("UPDATE content_cat_desc   SET  meta_title='".$_meta_title."', meta_keywords='".$_meta_keywords."', meta_description='".$_meta_description."' WHERE category_id='".$cat."' AND language='".$key."'", $dbi);
							// $debug .= $metatags[$key]['debug'];
						}

						////////////////////////////////////////////////////////////////
						// Build the data for SEO_TABLE
						////////////////////////////////////////////////////////////////
						// $debug = '';
						foreach($category_title AS $fe_lang => $valor) {
							$realpath	=  'index.php?op='.$op.'&op2=browse&cat='.$cat.'&xlang='.$fe_lang;
							$newtitle = $category_title[$fe_lang];
							$newlink_title= $link_title[$fe_lang];
							$newlink_title = eregi_replace(".html", "", $newlink_title);
							// echo '$cat: '.$cat.'<br>';
							// echo '$fe_lang: '.$fe_lang.'<br>';
							// echo '$realpath: '.$realpath.'<br>';
							// echo '$newtitle: '.$newtitle.'<br>';
							// echo '$newlink_title: '.$newlink_title.'<br>';
							if($link_type[$fe_lang]=='1'){
								$convertiontype='2';
								$title = $newtitle;
								$title = eregi_replace(' ', '_', $title);
							}
							if($link_type[$fe_lang]=='2'){
								$convertiontype='2';
								$title = $newlink_title;
								$title = eregi_replace(' ', '_', $title);
							}
							$fakepath	=  convert_real2fake_url_update_tb($url=$realpath,$title,$fe_lang,$convertiontype);
							if(getRealPathFromFake($fakepath)=='') {
								sql_query("INSERT INTO xomol_seo_realfakepaths ( fakepath, realpath) VALUES ('$fakepath', '$realpath')", $dbi);
							}
							sql_query("UPDATE content_cat_desc    SET  seo_link='".$fakepath."' WHERE category_id='".$cat."' AND language='".$fe_lang."'", $dbi);
						}
						///////////////////////////////////////////////////////////////////////////////
						// FILE UPLOADS
						$MAX_WIDTH = get_content_config_value($config_key='MAX_CAT_IMAGE_WIDTH');
						$MAX_HEIGHT = get_content_config_value($config_key='MAX_CAT_IMAGE_HEIGHT');
						$PREFIX = 'thumb_';
						$fileupload_url = 'modules/'.$op.'/image';
						$fileupload_realpath='modules/'.$op.'/image';
						$fileupload_maxk = get_content_config_value($config_key='FILEUPLOAD_MAXK');
						$MAX_FILE_SIZE=$fileupload_maxk*1024;
						$fileupload_allowedtypes = get_content_config_value($config_key='OK_MIME_TYPES');

						// if(isset($userfile)) {
						if($_FILES['userfile']['name']!='') {
							include('includes/userfile_prefix.php');
							$file_name = $userfile_name;
							if($file_name!='') {
								sql_query("UPDATE content_cat SET cat_image='".$file_name."'  WHERE category_id='".$cat."'", $dbi);
							}
						}
					}
					$skipupdate=1;
					$category_parent_id = get_parent_cat($cat);
					// echo $debug;
					include('modules/content/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_cat_move":
				if ( ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_EDIT_OWN') == '1') )  {
					include('modules/content/admin/admin_cat_move.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_cat_move_update":
				if ( ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_EDIT_OWN') == '1') )  {
					sql_query("UPDATE content_cat SET category_parent_id='$category_parent_id' WHERE category_id='$cat'",$dbi);
					include('modules/content/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "statuscat":
				if ( ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_EDIT_OWN') == '1') )  {
					if($switch=="1") {
						$result= sql_query("UPDATE content_cat SET category_status=1 WHERE category_id='$cat'",$dbi);
					} else {
						$result= sql_query("UPDATE content_cat SET category_status=0 WHERE category_id='$cat'",$dbi);
					}
					$category_parent_id = get_parent_cat($cat);
					include('modules/content/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_cat_order":
				if ( ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_EDIT_OWN') == '1') )  {
					$view_order = checkSomethingFromTable($table='content_cat', $what='view_order', $key='category_id', $keyvalue=$cat, $langkey='', $langkeyvalue='', $sqlanswer='');
					$under = $view_order-1;
					$upper = $view_order+1;
					$parent_category = get_parent_cat($category_id=$cat);
					$categories = checkSomethingFromTable($table='content_cat', $what='category_id', $key='category_parent_id', $keyvalue=$parent_category, $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
					$categories_count = count($categories);

					$result_under = sql_query("SELECT * FROM content_cat WHERE category_parent_id='" . $parent_category . "' AND view_order='" . $under . "' LIMIT 0,1  ", $dbi);
					if($row_under = sql_fetch_array($result_under, $dbi)){
						$view_under_id   = $row_under['category_id'];
					}
					$result_upper = sql_query("SELECT * FROM content_cat WHERE category_parent_id='" . $parent_category . "' AND view_order='" . $upper . "' LIMIT 0,1  ", $dbi);
					if($row_upper = sql_fetch_array($result_upper, $dbi)){
						$view_upper_id   = $row_upper['category_id'];
					}

					$view_order_under = checkSomethingFromTable($table='content_cat', $what='view_order', $key='category_id', $keyvalue=$view_under_id, $langkey='', $langkeyvalue='', $sqlanswer='');
					$view_order_upper = checkSomethingFromTable($table='content_cat', $what='view_order', $key='category_id', $keyvalue=$view_upper_id, $langkey='', $langkeyvalue='', $sqlanswer='');

					$views = checkSomethingFromTable($table='content_cat', $what='category_id', $key='', $keyvalue='', $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
					$views_count = count($views);

					if($switch=="up") {
						if($view_order > $view_order_under) {
							 sql_query("UPDATE content_cat SET view_order='".$view_order_under."' WHERE category_id='".$cat."'",$dbi);
							 sql_query("UPDATE content_cat SET view_order='".$view_order."' WHERE category_id='".$view_under_id."'",$dbi);
						}
					} elseif($switch=="down") {
						if($view_order < $view_order_upper) {
							 sql_query("UPDATE content_cat SET view_order='".$view_order_upper."' WHERE category_id='".$cat."'",$dbi);
							 sql_query("UPDATE content_cat SET view_order='".$view_order."' WHERE category_id='".$view_upper_id."'",$dbi);
						}
					}
					$category_parent_id = get_parent_cat($cat);
					$cat_parent_id=$parent_category;
					include('modules/content/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_cat_del":
				if ( ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_DEL_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'CONTENT_CAT_DEL_OWN') == '1') )  {

					if( (getundercat($cat)=='') AND (getunderarts($cat)=='') ){
						$result= sql_query("DELETE FROM content_cat WHERE category_id='$cat'",$dbi);
						$result= sql_query("DELETE FROM content_cat_desc WHERE category_id='$cat'",$dbi);
						include('modules/content/admin/admin_cat_view.php');
					} else {
						$message= SOME_CATS_OR_ARTS_EXISTS.'<BR>';
						$message.= PLS_DELETE_TO_CONTINUE.'<BR>';
						include('modules/content/admin/admin_cat_view.php');
					}
				 } else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			*  CONTENT CATEGORIES AND ARTICLES -ARTICLES-
			*********************************************************************************************/
			case "admin_art_add":
				if ( ( xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_ADD_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_ADD_OWN') == '1') )  {
					include('modules/content/admin/admin_art_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_art_add2user":
				if (xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_ADD_OTHERS') == '1')   {
					if($desireduser!=''){
						include('modules/content/admin/admin_art_add.php');
					} else {
						include('modules/content/admin/admin_art_add_choose_user.php');
					}
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_art_insert":
				if ( ( xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_ADD_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_ADD_OWN') == '1') )  {
					if($skipupdate!=1) {
						$article_id = time();
						$creation=date("Y.m.j H:i:s");
						if($desiredauthor!='')  {
							$author_id=$desiredauthor;
						} else {
							$author_id=$userid;
						}

						///////////////////////////////////////////////////////////////////////////////
						// Inserting article into content_art
						///////////////////////////////////////////////////////////////////////////////
						$result= sql_query("INSERT INTO content_art ( article_id, article_catid, article_catid_related, viewer_group, targeted_user, article_status, author_id, creation)
									   VALUES ('$article_id', '$article_catid', '$article_catid_related', '$_group_parent_id', '$desireduser', '$article_status', '$author_id', '$creation')", $dbi);
						///////////////////////////////////////////////////////////////////////////////
						// Inserting article into content_art_desc
						///////////////////////////////////////////////////////////////////////////////
						foreach($article_title AS $fe_lang => $valor) {
							$newtitle = $article_title[$fe_lang];
							$newdec1 = $article_description_1[$fe_lang];
							$newdec2 = $article_description_2[$fe_lang];
							sql_query("INSERT INTO content_art_desc ( article_id, language, title, article_description_1,article_description_2 )
													   VALUES ('$article_id', '$fe_lang', '$newtitle', '$newdec1', '$newdec2')", $dbi);
						}


						///////////////////////////////////////////////////////////////////////////////
						// Autoconfigure Metatags
						///////////////////////////////////////////////////////////////////////////////
						$array_title = $article_title;
						$array_description = $article_description_1;
						$debug='';
						$metatags = autoconfigre_metatags($op, $array_title, $array_description, $meta_title, $meta_keyword1, $meta_keyword2, $meta_keyword3, $meta_keyword4, $meta_keyword5, $meta_keyword6, $meta_keyword7, $meta_keyword8, $meta_keyword9, $meta_keyword10, $meta_keyword11, $meta_keyword12, $meta_description);
						foreach($metatags AS $key => $val) {
							$_meta_title 	  = $metatags[$key]['meta_title'];
							$_meta_keywords 	  = $metatags[$key]['meta_keywords'];
							$_meta_description = $metatags[$key]['meta_description'];
							sql_query("UPDATE content_art_desc    SET  meta_title='".$_meta_title."', meta_keywords='".$_meta_keywords."', meta_description='".$_meta_description."' WHERE article_id='".$article_id."' AND language='".$key."'", $dbi);
						}
						////////////////////////////////////////////////////////////////
						// Build the data for SEO_TABLE
						////////////////////////////////////////////////////////////////
						$debug = '';
						foreach($article_title AS $fe_lang => $valor) {
							$realpath	=  'index.php?op='.$op.'&op2=view_details&art='.$article_id.'&xlang='.$fe_lang;
							$newtitle = $article_title[$fe_lang];
							$newlink_title= $link_title[$fe_lang];
							$newlink_title = eregi_replace(".html", "", $newlink_title);
							if($link_type[$fe_lang]=='1'){
								$convertiontype='2';
								$title = $newtitle;
								$title = eregi_replace(' ', '_', $title);
							}
							if($link_type[$fe_lang]=='2'){
								$convertiontype='2';
								$title = $newlink_title;
								$title = eregi_replace(' ', '_', $title);
							}
							$fakepath	=  convert_real2fake_url_update_tb($url=$realpath,$title,$fe_lang,$convertiontype);
							if(getRealPathFromFake($fakepath)=='') {
								sql_query("INSERT INTO xomol_seo_realfakepaths ( fakepath, realpath) VALUES ('$fakepath', '$realpath')", $dbi);
							}
							sql_query("UPDATE content_art_desc    SET  seo_link='".$fakepath."' WHERE article_id='".$article_id."' AND language='".$fe_lang."'", $dbi);
						}
						///////////////////////////////////////////////////////////////////////////////
						// FILE UPLOADS
						$MAX_WIDTH = get_content_config_value($config_key='MAX_ART_IMAGE_WIDTH');
						$MAX_HEIGHT = get_content_config_value($config_key='MAX_ART_IMAGE_HEIGHT');
						$PREFIX = 'thumb_';
						$fileupload_url = 'modules/'.$op.'/image';
						$fileupload_realpath='modules/'.$op.'/image';
						$fileupload_maxk = get_content_config_value($config_key='FILEUPLOAD_MAXK');
						$MAX_FILE_SIZE=$fileupload_maxk*1024;
						$fileupload_allowedtypes = get_content_config_value($config_key='OK_MIME_TYPES');

						if($_FILES['userfile']['name']!='') {
							include('includes/userfile_prefix.php');
							$file_name = $userfile_name;
							if($file_name!='') {
								sql_query("UPDATE content_art SET article_image='".$file_name."'  WHERE article_id='".$article_id."'", $dbi);
							}
						}
						// EOF FILE UPLOADS
						///////////////////////////////////////////////////////////////////////////////



					}
					$skipupdate = 1;
					$cat_parent_id = get_parent_cat($article_catid);
					$focus = $article_catid;
					include('modules/'.$op.'/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_art_edit":
				$author = get_content_owner($art);
				$user_group_tochange = check_user_group($author);
				$user_group_operator = check_user_group($userid);
				$ok=0;
				//echo '$author: '.$author.'<br>';
				//echo '$user_group_tochange: '.$user_group_tochange.'<br>';
				//echo '$user_group_operator: '.$user_group_operator.'<br>';
				if (xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_EDIT_OTHERS_SAME') == '1') {
					if(($user_group_operator==$user_group_tochange)
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					OR (user_is_in_tree($author, $userid)=='1')
					) {  $ok=1; }
				} elseif (xomol_check_content_user_rights_specific($userid, 'CONTENT_EDIT_ADD_OTHERS_LOW') == '1') {
					if((user_is_in_tree($author, $userid)=='1')
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					) { $ok=1;  }
				}
				if($ok==1) {
					include('modules/'.$op.'/admin/admin_art_edit.php');
				} else { echo NO_USER_RIGHTS; }

			break;

			case "admin_art_update":
				$author = get_content_owner($art);
				$user_group_tochange = check_user_group($author);
				$user_group_operator = check_user_group($userid);
				$ok=0;
				if (xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_ADD_OTHERS_SAME') == '1') {
					if(($user_group_operator==$user_group_tochange)
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					OR (user_is_in_tree($author, $userid)=='1')
					) { $ok=1; }
				} elseif (xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_ADD_OTHERS_LOW') == '1') {
					if((user_is_in_tree($author, $userid)=='1')
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					) { $ok=1; }
				}
				if($skipupdate!='1') {
					if($ok==1) {
						if($desiredauthor!='')  {
							$author_id=$desiredauthor;
						} else {
							$author_id=$userid;
						}

						sql_query("UPDATE content_art SET article_catid='".$article_catid."', article_catid_related='".$article_catid_related."', viewer_group='".$_group_parent_id."', targeted_user='".$desireduser_id."', author_id='".$author_id."', article_status='".$article_status."', comments='".$comments."' WHERE article_id='".$art."'", $dbi);

						///////////////////////////////////////////////////////////////////////////////
						// Updating articles into content_art_desc
						///////////////////////////////////////////////////////////////////////////////
						foreach($article_title AS $fe_lang => $value) {
							$newtitle	 = $article_title[$fe_lang];
							$newdesc1	 = $article_description_1[$fe_lang];
							$newdesc2	 = $article_description_2[$fe_lang];

							$indesc = checkSomethingFromTable($table='content_art_desc', $what='article_id', $key='article_id', $keyvalue=$art, $langkey='language', $langkeyvalue=$fe_lang, $sqlanswer='');
							if($indesc!=''){
								sql_query("UPDATE content_art_desc    SET  title='".$newtitle."', article_description_1='".$newdesc1."', article_description_2='".$newdesc2."' WHERE article_id='".$art."' AND language='".$fe_lang."'", $dbi);
							} else {
								sql_query("INSERT INTO content_art_desc ( article_id, language, title, article_description_1,article_description_2) VALUES ('$art','$fe_lang', '$newtitle', '$newdesc1', '$newdesc2')", $dbi);
							}
						}
						///////////////////////////////////////////////////////////////////////////////
						// Autoconfigure Metatags
						///////////////////////////////////////////////////////////////////////////////
						$array_title = $article_title;
						$array_description = $article_description_1;
						$debug='';
						$metatags = autoconfigre_metatags($op, $array_title, $array_description, $meta_title, $meta_keyword1, $meta_keyword2, $meta_keyword3, $meta_keyword4, $meta_keyword5, $meta_keyword6, $meta_keyword7, $meta_keyword8, $meta_keyword9, $meta_keyword10, $meta_keyword11, $meta_keyword12, $meta_description);
						foreach($metatags AS $key => $val) {
							$_meta_title 	  = $metatags[$key]['meta_title'];
							$_meta_keywords 	  = $metatags[$key]['meta_keywords'];
							$_meta_description = $metatags[$key]['meta_description'];
							sql_query("UPDATE content_art_desc    SET  meta_title='".$_meta_title."', meta_keywords='".$_meta_keywords."', meta_description='".$_meta_description."' WHERE article_id='".$art."' AND language='".$key."'", $dbi);
						}
						////////////////////////////////////////////////////////////////
						// Build the data for SEO_TABLE
						////////////////////////////////////////////////////////////////
						$debug = '';
						foreach($article_title AS $fe_lang => $valor) {
							$realpath	=  'index.php?op='.$op.'&op2=view_details&art='.$art.'&xlang='.$fe_lang;
							$newtitle = $article_title[$fe_lang];
							$newlink_title= $link_title[$fe_lang];
							$newlink_title = eregi_replace(".html", "", $newlink_title);
							if($link_type[$fe_lang]=='1'){
								$convertiontype='2';
								$title = $newtitle;
								$title = eregi_replace(' ', '_', $title);
							}
							if($link_type[$fe_lang]=='2'){
								$convertiontype='2';
								$title = $newlink_title;
								$title = eregi_replace(' ', '_', $title);
							}
							$fakepath	=  convert_real2fake_url_update_tb($url=$realpath,$title,$fe_lang,$convertiontype);
							if(getRealPathFromFake($fakepath)=='') {
								sql_query("INSERT INTO xomol_seo_realfakepaths ( fakepath, realpath) VALUES ('$fakepath', '$realpath')", $dbi);
							}
							sql_query("UPDATE content_art_desc    SET  seo_link='".$fakepath."' WHERE  article_id='".$art."' AND language='".$fe_lang."'", $dbi);
						}
						///////////////////////////////////////////////////////////////////////////////
						// FILE UPLOADS
						$MAX_WIDTH = get_content_config_value($config_key='MAX_ART_IMAGE_WIDTH');
						$MAX_HEIGHT = get_content_config_value($config_key='MAX_ART_IMAGE_HEIGHT');
						$PREFIX = 'thumb_';
						$fileupload_url = 'modules/'.$op.'/image';
						$fileupload_realpath='modules/'.$op.'/image';
						$fileupload_maxk = get_content_config_value($config_key='FILEUPLOAD_MAXK');
						$MAX_FILE_SIZE=$fileupload_maxk*1024;
						$fileupload_allowedtypes = get_content_config_value($config_key='OK_MIME_TYPES');

						if($_FILES['userfile']['name']!='') {
							include('includes/userfile_prefix.php');
							$file_name = $userfile_name;
							if($file_name!='') {
								sql_query("UPDATE content_art SET article_image='".$file_name."'  WHERE article_id='".$art."'", $dbi);
							}
						}
						// EOF FILE UPLOADS
						///////////////////////////////////////////////////////////////////////////////

					} else { echo NO_USER_RIGHTS; }
					$skipupdate = 1;
					$cat_parent_id = get_parent_cat($article_catid);
					$focus = $article_catid;
					include('modules/'.$op.'/admin/admin_cat_view.php');
				}
			break;

			case "status":
				$author = get_content_owner($art);
				$user_group_tochange = check_user_group($author);
				$user_group_operator = check_user_group($userid);
				$ok=0;
				if (xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_ADD_OTHERS_SAME') == '1') {
					if(($user_group_operator==$user_group_tochange)
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					OR (user_is_in_tree($author, $userid)=='1')
					) { $ok=1; }
				} elseif (xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_ADD_OTHERS_LOW') == '1') {
					if((user_is_in_tree($author, $userid)=='1')
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					) { $ok=1; }
				}
				if($ok==1) {
					if($switch=="1") {
						$result= sql_query("UPDATE content_art SET article_status=1 WHERE article_id='$art'",$dbi);
					} else {
						$result= sql_query("UPDATE content_art SET article_status=0 WHERE article_id='$art'",$dbi);
					}
					$cat_parent_id = get_parent_cat($article_catid);
					//$cat_parent_id = $article_catid;
					//$category_parent_id = $article_catid;
					$focus = $article_catid;
					include('modules/'.$op.'/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "statusdefault":
				$author = get_content_owner($art);
				$user_group_tochange = check_user_group($author);
				$user_group_operator = check_user_group($userid);
				$ok=0;
				if (xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_ADD_OTHERS_SAME') == '1') {
					if(($user_group_operator==$user_group_tochange)
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					OR (user_is_in_tree($author, $userid)=='1')
					) { $ok=1; }
				} elseif (xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_ADD_OTHERS_LOW') == '1') {
					if((user_is_in_tree($author, $userid)=='1')
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					) { $ok=1; }
				}
				if($ok==1) {
					if($switch=="1") {
						sql_query("UPDATE content_art SET is_default=1 WHERE article_id='$art' AND viewer_group='$group' AND article_catid='$focus'",$dbi);
						sql_query("UPDATE content_art SET is_default=0 WHERE article_id!='$art' AND viewer_group='$group' AND article_catid='$focus' AND language='$xlanguage'", $dbi);
					} else {
						$result= sql_query("UPDATE content_art SET is_default=0 WHERE article_id='$art'",$dbi);
					}
					include('modules/'.$op.'/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "allow_comments":
				$author = get_content_owner($art);
				$user_group_tochange = check_user_group($author);
				$user_group_operator = check_user_group($userid);
				$ok=0;
				if (xomol_check_content_user_rights_specific($userid, 'ALLOW_COMMENTS_STATUS') == '1') {
					$ok=1;
				}
				if($ok==1) {
					if($switch=="1") {
						$result= sql_query("UPDATE content_art SET comments=1 WHERE article_id='$art'",$dbi);
						$result= sql_query("UPDATE content_art SET comments=0 WHERE article_id!='$art' ", $dbi);
					} else {
						$result= sql_query("UPDATE content_art SET comments=0 WHERE article_id='$art'",$dbi);
					}
					include('modules/'.$op.'/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_art_delete":
				if ( ( xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_DEL_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_DEL_OWN') == '1') )  {
					$ok=0;
				$author = get_content_owner($art);
					$author_group = checkSomethingFromTable($table='users', $what='user_group', $key='user_id', $keyvalue=$author, $langkey='', $langkeyvalue='', $sqlanswer='');
					$current_user_group = checkSomethingFromTable($table='users', $what='user_group', $key='user_id', $keyvalue=$userid, $langkey='', $langkeyvalue='', $sqlanswer='');
					if( ($author==$userid) AND (xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_DEL_OWN') == '1') ) {
						$ok=1;
					} elseif (xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_DEL_OTHERS') == '1') {
						if (xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_DEL_OTHERS_SAME') == '1') {
							if(($current_user_group==$author_group) OR (user_is_in_tree($author, $userid)=='1')) {
								$ok=1;
							}
						} elseif (xomol_check_content_user_rights_specific($userid, 'CONTENT_ART_DEL_OTHERS_LOW') == '1') {
							if(user_is_in_tree($author, $userid)=='1') {
								$ok=1;
							}
						}
					}
					if($ok==1) {
						$result= sql_query("DELETE FROM content_art WHERE article_id='$art'",$dbi);
						$result= sql_query("DELETE FROM content_art_desc WHERE article_id='$art'",$dbi);
					}
					include('modules/'.$op.'/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			*  CONTENT POSITIONS
			*********************************************************************************************/
			case "admin_positions":
				if  (xomol_check_content_user_rights_specific($userid, 'A_POSITIONS_ACCESS') == '1')  {
					include('modules/content/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_positions_add":
				if  (xomol_check_content_user_rights_specific($userid, 'A_POSITIONS_POS_ADD') == '1')  {
					include('modules/content/admin/admin_positions_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_positions_insert":
				if  (xomol_check_content_user_rights_specific($userid, 'A_POSITIONS_POS_ADD') == '1')  {
					sql_query("INSERT INTO content_positions ( position_title ) VALUES ('$position_title')", $dbi);
					include('modules/content/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_positions_edit":
				if  (xomol_check_content_user_rights_specific($userid, 'A_POSITIONS_POS_EDIT') == '1')  {
					include('modules/content/admin/admin_positions_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_positions_update":
				if  (xomol_check_content_user_rights_specific($userid, 'A_POSITIONS_POS_EDIT') == '1')  {
					$result= sql_query("UPDATE content_positions SET 	position_title='".$position_title."'
														WHERE 	position_id='".$configure."' ",$dbi);
					include('modules/content/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_positions_delete":
				if  (xomol_check_content_user_rights_specific($userid, 'A_POSITIONS_POS_EDIT') == '1')  {
					$result= sql_query("DELETE FROM content_positions WHERE position_id='$configure'",$dbi);
					include('modules/content/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;


			/*********************************************************************************************
			*  CONTENT POSITIONS -BLOCKS-
			*********************************************************************************************/
			case "admin_blocks_add":
				if  (xomol_check_content_user_rights_specific($userid, 'A_POSITIONS_BLOCK_ADD') == '1')  {
					include('modules/content/admin/admin_blocks_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_blocks_insert":
				if  (xomol_check_content_user_rights_specific($userid, 'A_POSITIONS_BLOCK_ADD') == '1')  {
					$blocks = checkSomethingFromTable($table='content_blocks', $what='block_id', $key='position_id', $keyvalue=$position_id, $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
					$blocks_count = count($blocks);
					$view_order = $blocks_count+1;

					sql_query("INSERT INTO content_blocks ( position_id, module_name, block_title, block_status, view_order ) VALUES ('$position_id', '$module_name', '$block_title', '$block_status', '$view_order')", $dbi);
					include('modules/content/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_blocks_edit":
				if  (xomol_check_content_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
					include('modules/content/admin/admin_blocks_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_blocks_update":
				if  (xomol_check_content_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
					$result= sql_query("UPDATE content_blocks SET 	position_id='".$position_id."', block_title='".$block_title."', block_status='".$block_status."'
														WHERE 	block_id='".$configure."' ",$dbi);
					include('modules/content/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "statusblock":
				if  (xomol_check_content_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
					if($switch=="1") {
						$result= sql_query("UPDATE content_blocks SET block_status=1 WHERE block_id='$block'",$dbi);
					} else {
						$result= sql_query("UPDATE content_blocks SET block_status=0 WHERE block_id='$block'",$dbi);
					}
					$cat_parent_id=get_parent_cat($cat);
					include('modules/content/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_blocks_delete":
				if  (xomol_check_content_user_rights_specific($userid, 'A_POSITIONS_BLOCK_DEL') == '1')  {
					$result= sql_query("DELETE FROM content_blocks WHERE block_id='$configure'",$dbi);
					include('modules/content/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_blocks_order":
				if  (xomol_check_content_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
					$position_id = checkSomethingFromTable($table='content_blocks', $what='position_id', $key='block_id', $keyvalue=$block, $langkey='', $langkeyvalue='', $sqlanswer='');
					$view_order = checkSomethingFromTable($table='content_blocks', $what='view_order', $key='block_id', $keyvalue=$block, $langkey='', $langkeyvalue='', $sqlanswer='');
					$under = $view_order-1;
					$upper = $view_order+1;

					$result_under = sql_query("SELECT * FROM content_blocks WHERE position_id='" . $position_id . "' AND view_order='" . $under . "' LIMIT 0,1  ", $dbi);
					if($row_under = sql_fetch_array($result_under, $dbi)){
						$view_under_id   = $row_under['block_id'];
					}
					$result_upper = sql_query("SELECT * FROM content_blocks WHERE position_id='" . $position_id . "' AND view_order='" . $upper . "' LIMIT 0,1  ", $dbi);
					if($row_upper = sql_fetch_array($result_upper, $dbi)){
						$view_upper_id   = $row_upper['block_id'];
					}

					$view_order_under = checkSomethingFromTable($table='content_blocks', $what='view_order', $key='block_id', $keyvalue=$view_under_id, $langkey='', $langkeyvalue='', $sqlanswer='');
					$view_order_upper = checkSomethingFromTable($table='content_blocks', $what='view_order', $key='block_id', $keyvalue=$view_upper_id, $langkey='', $langkeyvalue='', $sqlanswer='');

					if($switch=="up") {
						if($view_order > $view_order_under) {
							 sql_query("UPDATE content_blocks SET view_order='".$view_order_under."' WHERE block_id='".$block."'",$dbi);
							 sql_query("UPDATE content_blocks SET view_order='".$view_order."' WHERE block_id='".$view_under_id."'",$dbi);
						}
					} elseif($switch=="down") {
						if($view_order < $view_order_upper) {
							 sql_query("UPDATE content_blocks SET view_order='".$view_order_upper."' WHERE block_id='".$block."'",$dbi);
							 sql_query("UPDATE content_blocks SET view_order='".$view_order."' WHERE block_id='".$view_upper_id."'",$dbi);
						}
					}
					include('modules/content/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			*  CONTENT TEMPLATE CONTROL -HEADLINES CONTENT-
			*********************************************************************************************/
			case "admin_frontpages":
				if  (xomol_check_content_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_frontpages_choose_search":
				if  (xomol_check_content_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					include('modules/content/admin/admin_frontpages_choose_search.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_frontpages_choose_article":
				if  (xomol_check_content_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					if($search_option!='') {
						include('modules/'.$op.'/admin/admin_frontpages_choose_article.php');
					} else {
						include('modules/'.$op.'/admin/admin_frontpages_choose_search.php');
					}
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_frontpages_insert":
				if  (xomol_check_content_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					$creation=date("Y.m.j H:i:s");
					$result = sql_query("INSERT INTO content_frontpages (   frontpage_id,
																			article_id,
																			creation,
																			author_id,
																			viewer_group,
																			frontpage_status,
																			random,
																			is_default )
																	VALUES ('',
																			'$_article_id',
																			'$creation',
																			'$userid',
																			'$target_viewer_group',
																			'1',
																			'$random',
																			'$is_default')", $dbi);
					include('modules/'.$op.'/admin/admin_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;


			case "admin_frontpages_update":
				if  (xomol_check_content_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					$result= sql_query("UPDATE content_frontpages SET 	article_id='".$article_id."', creation='".$creation."', author_id='".$author_id."', active='".$active."', random='".$random."'
														WHERE 	frontpage_id='".$configure."'  ",$dbi);
					include('modules/content/admin/admin_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "frontpagerandom":
				if  (xomol_check_content_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					if($switch=="1") {
						$result= sql_query("UPDATE content_frontpages SET random=1 WHERE frontpage_id='$configure' ",$dbi);
					} else {
						$result= sql_query("UPDATE content_frontpages SET random=0 WHERE frontpage_id='$configure' ",$dbi);
					}
					include('modules/'.$op.'/admin/admin_frontpages.php');
				} else {
					echo NO_USER_RIGHTS;
				}
			break;

			case "frontpageactive":
				if  (xomol_check_content_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					if($switch=="1") {
						echo '1 $switch: '.$switch.'<br>';
						sql_query("UPDATE content_frontpages SET frontpage_status=1 WHERE frontpage_id='$configure' AND viewer_group='$group' ",$dbi);
					} else {
						echo '0 $switch: '.$switch.'<br>';
						sql_query("UPDATE content_frontpages SET frontpage_status=0 WHERE frontpage_id='$configure' AND viewer_group='$group' ",$dbi);
					}
					include('modules/'.$op.'/admin/admin_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "frontpagedefault":
				if  (xomol_check_content_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					if($switch=="1") {
						echo 'xx $switch: '.$switch.'<br>';
						sql_query("UPDATE content_frontpages SET is_default=1 WHERE frontpage_id='$configure' AND viewer_group='$group'  ",$dbi);
						sql_query("UPDATE content_frontpages SET is_default=0 WHERE frontpage_id!='$configure' AND viewer_group='$group' ", $dbi);
					} else {
						echo 'xxxx $switch: '.$switch.'<br>';
						$result= sql_query("UPDATE content_frontpages SET is_default=0 WHERE frontpage_id='$configure' AND  viewer_group='$group' ",$dbi);
					}
					include('modules/'.$op.'/admin/admin_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_frontpages_delete":
				if  (xomol_check_content_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					$result= sql_query("DELETE FROM content_frontpages WHERE frontpage_id='$frontpage'",$dbi);
					include('modules/content/admin/admin_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;


			/*********************************************************************************************
			* CONTENT TEMPLATE CONTROL -CATEGORY LISTS-
			*********************************************************************************************/
			case "admin_fp_cat_listing":
				if  (xomol_check_content_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_fp_cat_listing.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_fp_cat_listing_add":
				if  (xomol_check_content_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_fp_cat_listing_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_fp_cat_listing_insert":
				if  (xomol_check_content_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					$fpc_id = checkSomethingFromTable($table='content_fp_cat_lists', $what='fpc_id', $key='category_id', $keyvalue=$category_id, $langkey='', $langkeyvalue='', $sqlanswer='');
					$fpcs = checkSomethingFromTable($table='content_fp_cat_lists', $what='fpc_id', $key='', $keyvalue='', $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
					$fpcs_count = count($fpcs);
					$fpc_order = $fpcs_count+1;
					if($fpc_id=='') {
						$creation=date("Y.m.j H:i:s");
						sql_query("INSERT INTO content_fp_cat_lists ( category_id, creation, author_id, active, fpc_order )
									   VALUES ('$category_id', '$creation', '$userid', '$active', '$fpc_order')", $dbi);
					}
					include('modules/'.$op.'/admin/admin_fp_cat_listing.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_fp_cat_listing_order":
				if  (xomol_check_content_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					$fpc_order = checkSomethingFromTable($table='content_fp_cat_lists', $what='fpc_order', $key='fpc_id', $keyvalue=$fpc, $langkey='', $langkeyvalue='', $sqlanswer='');
					$under = $fpc_order-1;
					$upper = $fpc_order+1;
					$fpc_under_id = checkSomethingFromTable($table='content_fp_cat_lists', $what='fpc_id', $key='fpc_order', $keyvalue=$under, $langkey='', $langkeyvalue='', $sqlanswer='');
					$fpc_upper_id = checkSomethingFromTable($table='content_fp_cat_lists', $what='fpc_id', $key='fpc_order', $keyvalue=$upper, $langkey='', $langkeyvalue='', $sqlanswer='');
					$fpc_order_under = checkSomethingFromTable($table='content_fp_cat_lists', $what='fpc_order', $key='fpc_id', $keyvalue=$fpc_under_id, $langkey='', $langkeyvalue='', $sqlanswer='');
					$fpc_order_upper = checkSomethingFromTable($table='content_fp_cat_lists', $what='fpc_order', $key='fpc_id', $keyvalue=$fpc_upper_id, $langkey='', $langkeyvalue='', $sqlanswer='');

					$fpcs = checkSomethingFromTable($table='content_fp_cat_lists', $what='fpc_id', $key='', $keyvalue='', $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
					$fpcs_count = count($fpcs);

						if($switch=="up") {
							if($fpc_order > $fpc_order_under) {
								 sql_query("UPDATE content_fp_cat_lists SET fpc_order='".$fpc_order_under."' WHERE fpc_id='".$fpc."'",$dbi);
								 sql_query("UPDATE content_fp_cat_lists SET fpc_order='".$fpc_order."' WHERE fpc_id='".$fpc_under_id."'",$dbi);
							}
						} elseif($switch=="down") {
							if($fpc_order < $fpc_order_upper) {
								 sql_query("UPDATE content_fp_cat_lists SET fpc_order='".$fpc_order_upper."' WHERE fpc_id='".$fpc."'",$dbi);
								 sql_query("UPDATE content_fp_cat_lists SET fpc_order='".$fpc_order."' WHERE fpc_id='".$fpc_upper_id."'",$dbi);
							}
						}
					include('modules/'.$op.'/admin/admin_fp_cat_listing.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_fp_cat_active":
				if  (xomol_check_content_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					if($switch=="1") {
						$result= sql_query("UPDATE content_fp_cat_lists SET active=1 WHERE fpc_id='$fpc'",$dbi);
					} else {
						$result= sql_query("UPDATE content_fp_cat_lists SET active=0 WHERE fpc_id='$fpc'",$dbi);
					}
					include('modules/'.$op.'/admin/admin_fp_cat_listing.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_fp_cat_delete":
				if  (xomol_check_content_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					$result= sql_query("DELETE FROM content_fp_cat_lists WHERE fpc_id='$fpc'",$dbi);
					include('modules/'.$op.'/admin/admin_fp_cat_listing.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			*  CONTENT METATAGS
			*********************************************************************************************/
			case "admin_metatags":
				if  (xomol_check_content_user_rights_specific($userid, 'A_METAS_ACCESS') == '1')  {
					include('modules/content/admin/admin_metatags.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_metatags_edit":
				if  (xomol_check_content_user_rights_specific($userid, 'A_METAS_EDIT') == '1')  {
					include('modules/content/admin/admin_metatags_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_metatags_update":
				if  (xomol_check_content_user_rights_specific($userid, 'A_METAS_EDIT') == '1')  {
					foreach($meta_title AS $fe_lang => $val) {
						$_meta_title 	   = $meta_title[$fe_lang];
						$_meta_keywords    = $meta_keyword1[$fe_lang].','. $meta_keyword2[$fe_lang].','. $meta_keyword3[$fe_lang].','. $meta_keyword4[$fe_lang].','. $meta_keyword5[$fe_lang].','. $meta_keyword6[$fe_lang].','. $meta_keyword7[$fe_lang].','. $meta_keyword8[$fe_lang].','. $meta_keyword9[$fe_lang].','. $meta_keyword10[$fe_lang].','. $meta_keyword11[$fe_lang].','. $meta_keyword12[$fe_lang]; ;
						$_meta_keywords = eregi_replace(',,',',',$_meta_keywords);
						$_meta_keywords = eregi_replace(',,',',',$_meta_keywords);
						$_meta_keywords = eregi_replace(',,',',',$_meta_keywords);
						$_meta_description = $meta_description[$fe_lang];
						$rs_exists = checkSomethingFromTable($table='content_metatags', $what='lid', $key='language', $keyvalue=$fe_lang, $langkey='', $langkeyvalue='', $sqlanswer='');
						if($rs_exists!='') {
							sql_query("UPDATE content_metatags   SET  title='".$_meta_title."', keywords='".$_meta_keywords."', description='".$_meta_description."' WHERE language='".$fe_lang."'", $dbi);
						} else {
							sql_query("INSERT INTO content_metatags ( language, title, keywords, description ) VALUES ('$fe_lang', '$_meta_title','$_meta_keywords','$_meta_description')", $dbi);
						}
					}
					include('modules/content/admin/admin_metatags.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* CONTENT SURVEYS
			*********************************************************************************************/
			case "admin_survey_add":
				if ( ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OWN') == '1') )  {
					include('modules/'.$op.'/admin/admin_survey_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_surveys_view_from_module_key":
				if ( ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OWN') == '1') )  {
					include('modules/'.$op.'/admin/admin_surveys_view_from_module_key.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_survey_insert":
				if ( ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OWN') == '1') )  {
					if($skipupdate!=1) {
						$survey_id = time();
						$creation=date("Y.m.j H:i:s");
						if($desiredauthor!='')  {
							$author_id=$desiredauthor;
						} else {
							$author_id=$userid;
						}
						$_module=$op;
						$starts = date( "Ymd" , mktime( 0 , 0 , 0 , $month_start, $day_start, $year_start ) );
						$ends = date( "Ymd" , mktime( 0 , 0 , 0 , $month_end, $day_end, $year_end ) );
						/*
						echo '<pre>';
						// print_r($_POST);
						echo '</pre>';
						echo '$survey_id: '.$survey_id.'<br>';
						echo '$_module: '.$_module.'<br>';
						echo '$module_key: '.$module_key.'<br>';
						echo '$author_id: '.$author_id.'<br>';
						echo '$creation: '.$creation.'<br>';
						echo '$survey_option_values: '.$survey_option_values.'<br>';
						echo '$survey_status: '.$survey_status.'<br>';
						echo '$starts: '.$starts.'<br>';
						echo '$ends: '.$ends.'<br>';
						*/
						///////////////////////////////////////////////////////////////////////////////
						// Inserting survey into surveys
						///////////////////////////////////////////////////////////////////////////////
						$result= sql_query("INSERT INTO surveys ( survey_id,
																module,
																module_key,
																author_id,
																creation,
																survey_option_values,
																survey_status,
																starts,
																ends
																)
									   VALUES ('$survey_id',
									   			'$op',
									   			'$module_key',
									   			'$author_id',
									   			'$creation',
									   			'$survey_option_values',
									   			'$survey_status',
									   			'$starts',
									   			'$ends'
									   			)", $dbi);
						///////////////////////////////////////////////////////////////////////////////
						// Inserting survey into surveys_desc
						///////////////////////////////////////////////////////////////////////////////
						foreach($survey_title AS $fe_lang => $valor) {
							$newtitle = $survey_title[$fe_lang];
							$newdec1 = $survey_description_1[$fe_lang];
							sql_query("INSERT INTO surveys_desc ( survey_id, language, title, description )
													   VALUES ('$survey_id', '$fe_lang', '$newtitle', '$newdec1')", $dbi);
						}


						///////////////////////////////////////////////////////////////////////////////
						// Autoconfigure Metatags
						///////////////////////////////////////////////////////////////////////////////
						$array_title = $survey_title;
						$array_description = $survey_description_1;
						$debug='';
						$metatags = autoconfigre_metatags($op, $array_title, $array_description, $meta_title, $meta_keyword1, $meta_keyword2, $meta_keyword3, $meta_keyword4, $meta_keyword5, $meta_keyword6, $meta_keyword7, $meta_keyword8, $meta_keyword9, $meta_keyword10, $meta_keyword11, $meta_keyword12, $meta_description);
						foreach($metatags AS $key => $val) {
							$_meta_title 	  = $metatags[$key]['meta_title'];
							$_meta_keywords 	  = $metatags[$key]['meta_keywords'];
							$_meta_description = $metatags[$key]['meta_description'];
							sql_query("UPDATE surveys_desc    SET  meta_title='".$_meta_title."', meta_keywords='".$_meta_keywords."', meta_description='".$_meta_description."' WHERE survey_id='".$survey_id."' AND language='".$key."'", $dbi);
						}
						////////////////////////////////////////////////////////////////
						// Build the data for SEO_TABLE
						////////////////////////////////////////////////////////////////
						$debug = '';
						foreach($survey_title AS $fe_lang => $valor) {
							$realpath	=  'index.php?op='.$op.'&op2=view_details&survey='.$survey_id.'&xlang='.$fe_lang;
							$newtitle = $survey_title[$fe_lang];
							$newlink_title= $link_title[$fe_lang];
							$newlink_title = eregi_replace(".html", "", $newlink_title);
							if($link_type[$fe_lang]=='1'){
								$convertiontype='2';
								$title = $newtitle;
								$title = eregi_replace(' ', '_', $title);
							}
							if($link_type[$fe_lang]=='2'){
								$convertiontype='2';
								$title = $newlink_title;
								$title = eregi_replace(' ', '_', $title);
							}
							$fakepath	=  convert_real2fake_url_update_tb($url=$realpath,$title,$fe_lang,$convertiontype);
							if(getRealPathFromFake($fakepath)=='') {
								sql_query("INSERT INTO xomol_seo_realfakepaths ( fakepath, realpath) VALUES ('$fakepath', '$realpath')", $dbi);
							}
							sql_query("UPDATE surveys_desc    SET  seo_link='".$fakepath."' WHERE survey_id='".$survey_id."' AND language='".$fe_lang."'", $dbi);
						}
						///////////////////////////////////////////////////////////////////////////////
						// FILE UPLOADS
						$MAX_WIDTH = get_content_config_value($config_key='MAX_SURVEY_IMAGE_WIDTH');
						$MAX_HEIGHT = get_content_config_value($config_key='MAX_SURVEY_IMAGE_HEIGHT');
						$PREFIX = 'thumb_';
						$fileupload_url = 'modules/'.$op.'/image';
						$fileupload_realpath='modules/'.$op.'/image';
						$fileupload_maxk = get_content_config_value($config_key='FILEUPLOAD_MAXK');
						$MAX_FILE_SIZE=$fileupload_maxk*1024;
						$fileupload_allowedtypes = get_content_config_value($config_key='OK_MIME_TYPES');

						if($_FILES['userfile']['name']!='') {
							include('includes/userfile_prefix.php');
							$file_name = $userfile_name;
							if($file_name!='') {
								sql_query("UPDATE surveys SET survey_image='".$file_name."'  WHERE survey_id='".$survey_id."'", $dbi);
							}
						}
						// EOF FILE UPLOADS
						///////////////////////////////////////////////////////////////////////////////
						/*
						*/


					}
					$skipupdate = 1;
					include('modules/'.$op.'/admin/admin_survey_options_add1.php');
					// include('modules/'.$op.'/admin/admin_surveys_view_from_module_key.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_survey_options_add":
				if ( ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OWN') == '1') )  {
					include('modules/'.$op.'/admin/admin_survey_options_add1.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_survey_options_add2":
				if ( ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OWN') == '1') )  {
					include('modules/'.$op.'/admin/admin_survey_options_add2.php');
				} else { echo NO_USER_RIGHTS; }
			break;


			case "admin_survey_options_insert":
				if ( ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OWN') == '1') )  {
					if($skipupdate!=1) {
						if($add_option!=1) {
							foreach($option_title AS $key => $val) {
								foreach($val AS $fe_lang => $valor) {
									$option = $option_title[$key][$fe_lang];
									if($option!='') {
										sql_query("INSERT INTO surveys_options_desc ( survey_id, option_id, language, title )
																   VALUES ('$survey_id', '$key', '$fe_lang', '$option')", $dbi);
									}
								}
							}
							foreach($initial_value AS $key => $val) {
								$options_values .= $key.','.$val.';';
							}
							$options_values = substr_replace($options_values, '', -1, 1);
							echo '$options_values: '.$options_values.'<br>';


							sql_query("UPDATE surveys SET survey_option_values='".$options_values."'  WHERE survey_id='".$survey_id."'", $dbi);
							$skipupdate = 1;

							include('modules/'.$op.'/admin/admin_surveys_view_from_module_key.php');
						} else {
							$skipupdate = 1;
							include('modules/'.$op.'/admin/admin_survey_options_add2.php');
						}
					}
					// include('modules/'.$op.'/admin/admin_surveys_view_from_module_key.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_survey_options_insert2":
				if ( ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OWN') == '1') )  {
						foreach($initial_value AS $key => $val) {
							$survey_option_values .= $key.','.$val.';';
							$survey_option_values = str_replace(',;', ';', $survey_option_values);
						}
						$survey_option_values = substr_replace($survey_option_values, '', -1, 1);


						sql_query("UPDATE surveys SET 	survey_option_values='".$survey_option_values."'
														WHERE survey_id='".$survey_id."'
														", $dbi);


						///////////////////////////////////////////////////////////////////////////////
						// Updating surveys options into surveys_options_desc
						///////////////////////////////////////////////////////////////////////////////
						foreach($option_title AS $key => $val) {
							$option_id= $key;
							foreach($val AS $key2 => $val2) {
								$option_language = $key2;
								$option_title = $val2;
								$result = sql_query("SELECT * FROM surveys_options_desc
																	WHERE survey_id='" . $survey_id . "'
																	AND option_id='" . $option_id . "'
																	AND language='" . $option_language . "'
																	", $dbi);
								$row = sql_fetch_array($result, $dbi);
								$option_title_exists =	$row['title'];
								if($option_title_exists!=''){
									sql_query("UPDATE surveys_options_desc    SET  title='".$option_title."' WHERE survey_id='".$survey_id."' AND option_id='".$option_id."' AND language='".$option_language."'", $dbi);
								} else {
									sql_query("INSERT INTO surveys_options_desc ( survey_id, option_id, language, title) VALUES ('$survey_id','$option_id','$option_language', '$option_title')", $dbi);
								}
							}

						}


					include('modules/'.$op.'/admin/admin_survey_options_add2.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_survey_options_delete":
				if ( ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OWN') == '1') )  {
					$result = sql_query("SELECT * FROM surveys WHERE survey_id='" . $survey_id . "'", $dbi);
					$row = sql_fetch_array($result, $dbi);

					$survey_option_values   = $row['survey_option_values'];
					$survey_option_values = split(';', $survey_option_values);

						$i=1;
						foreach($survey_option_values AS $key => $val) {
							$val = split(',', $val);
							if($option_id!=$val[0]) {
								$_survey_option_values .= $val[0].','.$val[1].';';
								$i++;
							}

						}
						$_survey_option_values = substr_replace($_survey_option_values, '', -1, 1);


						echo '$_survey_option_values: '.$_survey_option_values.'<br>';
						sql_query("UPDATE surveys SET 	survey_option_values='".$_survey_option_values."'
														WHERE survey_id='".$survey_id."'
														", $dbi);


						///////////////////////////////////////////////////////////////////////////////
						// deleting surveys options from surveys_options_desc
						///////////////////////////////////////////////////////////////////////////////
						sql_query("DELETE FROM surveys_options_desc    WHERE survey_id='".$survey_id."' AND option_id='".$option_id."'", $dbi);

					include('modules/'.$op.'/admin/admin_survey_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_survey_edit":
				$author = get_survey_owner_content($survey_id);
				$user_group_tochange = check_user_group($author);
				$user_group_operator = check_user_group($userid);
				$ok=0;
				//echo '$author: '.$author.'<br>';
				//echo '$user_group_tochange: '.$user_group_tochange.'<br>';
				//echo '$user_group_operator: '.$user_group_operator.'<br>';
				if (xomol_check_content_user_rights_specific($userid, 'SURVEYS_EDIT_OTHERS_SAME') == '1') {
					if(($user_group_operator==$user_group_tochange)
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					OR (user_is_in_tree($author, $userid)=='1')
					) {  $ok=1; }
				} elseif (xomol_check_content_user_rights_specific($userid, 'SURVEYS_EDIT_ADD_OTHERS_LOW') == '1') {
					if((user_is_in_tree($author, $userid)=='1')
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					) { $ok=1;  }
				}
				if($ok==1) {
					include('modules/'.$op.'/admin/admin_survey_edit.php');
				} else { echo NO_USER_RIGHTS; }

			break;


			case "admin_survey_update":
				echo '<pre>';
				//print_r($_POST);
				echo '</pre>';
				$author = get_survey_owner_content($survey_id);
				$user_group_tochange = check_user_group($author);
				$user_group_operator = check_user_group($userid);
				$ok=0;
				if (xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OTHERS_SAME') == '1') {
					if(($user_group_operator==$user_group_tochange)
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					OR (user_is_in_tree($author, $userid)=='1')
					) { $ok=1; }
				} elseif (xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OTHERS_LOW') == '1') {
					if((user_is_in_tree($author, $userid)=='1')
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					) { $ok=1; }
				}
				if($skipupdate!='1') {
					if($ok==1) {
						if($desiredauthor!='')  {
							$author_id=$desiredauthor;
						} else {
							$author_id=$userid;
						}

						if($_module=='')  {
							$_module='all';
						}
						$starts = date( "Ymd" , mktime( 0 , 0 , 0 , $month_start, $day_start, $year_start ) );
						$ends = date( "Ymd" , mktime( 0 , 0 , 0 , $month_end, $day_end, $year_end ) );
						$survey_option_values = $survey_option_values;
						foreach($initial_value AS $key => $val) {
							$survey_option_values .= $key.','.$val.';';
							$survey_option_values = str_replace(',;', ';', $survey_option_values);
						}
						$survey_option_values = substr_replace($survey_option_values, '', -1, 1);


						sql_query("UPDATE surveys SET 	module='".$_module."',
														module_key='".$module_key."',
														author_id='".$author_id."',
														survey_option_values='".$survey_option_values."',
														survey_status='".$survey_status."',
														starts='".$starts."',
														ends='".$ends."',
														survey_image='".$survey_image."',
														comments='".$comments."'
														WHERE survey_id='".$survey_id."'
														", $dbi);

						///////////////////////////////////////////////////////////////////////////////
						// Updating surveys options into surveys_options_desc
						///////////////////////////////////////////////////////////////////////////////
						foreach($option_title AS $key => $val) {
							// echo '$key: '.$key.'<br>';
							// echo '$val: '.$val.'<br>';
							$option_id= $key;
							foreach($val AS $key2 => $val2) {
								// echo '$key2: '.$key2.'<br>';
								// echo '$val2: '.$val2.'<br>';
								$option_language = $key2;
								$option_title = $val2;
								$result = sql_query("SELECT * FROM surveys_options_desc
																	WHERE survey_id='" . $survey_id . "'
																	AND option_id='" . $option_id . "'
																	AND language='" . $option_language . "'
																	", $dbi);
								$row = sql_fetch_array($result, $dbi);
								$option_title_exists =	$row['title'];
								if($option_title_exists!=''){
									sql_query("UPDATE surveys_options_desc    SET  title='".$option_title."' WHERE survey_id='".$survey_id."' AND option_id='".$option_id."' AND language='".$option_language."'", $dbi);
								} else {
									sql_query("INSERT INTO surveys_options_desc ( survey_id, option_id, language, title) VALUES ('$survey_id','$option_id','$option_language', '$option_title')", $dbi);
								}
							}

						}
						///////////////////////////////////////////////////////////////////////////////
						// Updating surveys into surveys_desc
						///////////////////////////////////////////////////////////////////////////////
						foreach($survey_title AS $fe_lang => $value) {
							$newtitle	 = $survey_title[$fe_lang];
							$newdesc1	 = $survey_description_1[$fe_lang];

							$indesc = checkSomethingFromTable($table='surveys_desc', $what='survey_id', $key='survey_id', $keyvalue=$survey_id, $langkey='language', $langkeyvalue=$fe_lang, $sqlanswer='');
							if($indesc!=''){
								sql_query("UPDATE surveys_desc    SET  title='".$newtitle."', description='".$newdesc1."' WHERE survey_id='".$survey_id."' AND language='".$fe_lang."'", $dbi);
							} else {
								sql_query("INSERT INTO surveys_desc ( survey_id, language, title, description) VALUES ('$survey_id','$fe_lang', '$newtitle', '$newdesc1')", $dbi);
							}
						}
						///////////////////////////////////////////////////////////////////////////////
						// Autoconfigure Metatags
						///////////////////////////////////////////////////////////////////////////////
						$array_title = $survey_title;
						$array_description = $survey_description_1;
						$debug='';
						$metatags = autoconfigre_metatags($op, $array_title, $array_description, $meta_title, $meta_keyword1, $meta_keyword2, $meta_keyword3, $meta_keyword4, $meta_keyword5, $meta_keyword6, $meta_keyword7, $meta_keyword8, $meta_keyword9, $meta_keyword10, $meta_keyword11, $meta_keyword12, $meta_description);
						// print_r($metatags);
						foreach($metatags AS $key => $val) {
							$_meta_title 	  = $metatags[$key]['meta_title'];
							$_meta_keywords 	  = $metatags[$key]['meta_keywords'];
							$_meta_description = $metatags[$key]['meta_description'];
							sql_query("UPDATE surveys_desc    SET  meta_title='".$_meta_title."', meta_keywords='".$_meta_keywords."', meta_description='".$_meta_description."' WHERE survey_id='".$survey_id."' AND language='".$key."'", $dbi);
						}
						////////////////////////////////////////////////////////////////
						// Build the data for SEO_TABLE
						////////////////////////////////////////////////////////////////
						$debug = '';
						foreach($survey_title AS $fe_lang => $valor) {
							$realpath	=  'index.php?op='.$op.'&op2=view_details&survey_id='.$survey_id.'&xlang='.$fe_lang;
							$newtitle = $survey_title[$fe_lang];
							$newlink_title= $link_title[$fe_lang];
							$newlink_title = eregi_replace(".html", "", $newlink_title);
							if($link_type[$fe_lang]=='1'){
								$convertiontype='2';
								$title = $newtitle;
								$title = eregi_replace(' ', '_', $title);
							}
							if($link_type[$fe_lang]=='2'){
								$convertiontype='2';
								$title = $newlink_title;
								$title = eregi_replace(' ', '_', $title);
							}
							$fakepath	=  convert_real2fake_url_update_tb($url=$realpath,$title,$fe_lang,$convertiontype);
							if(getRealPathFromFake($fakepath)=='') {
								sql_query("INSERT INTO xomol_seo_realfakepaths ( fakepath, realpath) VALUES ('$fakepath', '$realpath')", $dbi);
							}
							sql_query("UPDATE surveys_desc    SET  seo_link='".$fakepath."' WHERE  survey_id='".$survey_id."' AND language='".$fe_lang."'", $dbi);
						}
						///////////////////////////////////////////////////////////////////////////////
						// FILE UPLOADS
						$MAX_WIDTH = get_content_config_value($config_key='MAX_SURVEY_IMAGE_WIDTH');
						$MAX_HEIGHT = get_content_config_value($config_key='MAX_SURVEY_IMAGE_HEIGHT');
						$PREFIX = 'thumb_';
						$fileupload_url = 'modules/'.$op.'/image';
						$fileupload_realpath='modules/'.$op.'/image';
						$fileupload_maxk = get_content_config_value($config_key='FILEUPLOAD_MAXK');
						$MAX_FILE_SIZE=$fileupload_maxk*1024;
						$fileupload_allowedtypes = get_content_config_value($config_key='OK_MIME_TYPES');

						if($_FILES['userfile']['name']!='') {
							include('includes/userfile_prefix.php');
							$file_name = $userfile_name;
							if($file_name!='') {
								sql_query("UPDATE surveys SET survey_image='".$file_name."'  WHERE survey_id='".$survey_id."'", $dbi);
							}
						}
						// EOF FILE UPLOADS
						///////////////////////////////////////////////////////////////////////////////

					} else { echo NO_USER_RIGHTS; }
					$skipupdate = 1;
					include('modules/'.$op.'/admin/admin_surveys_view_from_module_key.php');
				}
			break;

			case "survey_status":
				$author = get_survey_owner_content($survey_id);
				$user_group_tochange = check_user_group($author);
				$user_group_operator = check_user_group($userid);
				$ok=0;
				if (xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OTHERS_SAME') == '1') {
					if(($user_group_operator==$user_group_tochange)
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					OR (user_is_in_tree($author, $userid)=='1')
					) { $ok=1; }
				} elseif (xomol_check_content_user_rights_specific($userid, 'SURVEYS_ADD_OTHERS_LOW') == '1') {
					if((user_is_in_tree($author, $userid)=='1')
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					) { $ok=1; }
				}
				if($ok==1) {
					if($switch=="1") {
						$result= sql_query("UPDATE surveys SET survey_status=1 WHERE survey_id='$survey_id'",$dbi);
					} else {
						$result= sql_query("UPDATE surveys SET survey_status=0 WHERE survey_id='$survey_id'",$dbi);
					}
					include('modules/'.$op.'/admin/admin_surveys_view_from_module_key.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_survey_delete":
				if ( ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_DEL_OTHERS') == '1') OR ( xomol_check_content_user_rights_specific($userid, 'SURVEYS_DEL_OWN') == '1') )  {
					sql_query("DELETE FROM surveys    WHERE survey_id='".$survey_id."' ", $dbi);
					sql_query("DELETE FROM surveys_desc    WHERE survey_id='".$survey_id."' ", $dbi);
					sql_query("DELETE FROM surveys_options_desc    WHERE survey_id='".$survey_id."' ", $dbi);


					include('modules/'.$op.'/admin/admin_surveys_view_from_module_key.php');
				} else { echo NO_USER_RIGHTS; }
			break;


			/*********************************************************************************************
			* CONTENT DEFAULT
			*********************************************************************************************/
			default:
				if  (xomol_check_content_user_rights_specific($userid, 'CONTENT_ADMIN_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;
		}

	} else {
			echo '<br><br>'._NOTLOGED.'<br><br>';
			$from ='index.php?op=content';
			include('includes/login.php');
	}
} else { echo NO_USER_RIGHTS; }
?>