<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename:  block-surveys.php
* Location: /modules/content/blocks/block-surveys.php
*
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
global $dbi, $op, $op2, $cat, $currentlang, $theme, $userid;
include_once('modules/content/languages/lang-'.$currentlang.'.php');
include_once('modules/content/functions.php');
include_once('modules/surveys/functions.php');
purge_surveys_sessions($timefactor='1day');

if( (check_module_active('surveys')=='1') AND (check_module_active('content')=='1') ) {

	if($op=='content') {
		echo '<table width="100%" border="0" cellspacing="0" cellpadding="2">';
		echo '<tr class="FormBlockHeader">';
		echo '<td class="FormBlockHeader" align="left" colspan="2">';
		$nlink = 'index.php?op=surveys';
		$_title =  checkSomethingFromTable($table='modules_desc', $what='module_custom_name', $key='title', $keyvalue='surveys', $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
		echo draw_link($nlink,$_title,$class='FormBlockHeader',$target);
		echo '</td>';
		echo '</tr>';

		///////////////////////////////////////////////////////////////
		echo '<tr class="textData">';
		echo '<td class="textData" align="left">';

		echo '<form name="vote" method="post" action="index.php?op=surveys&op2=view_details&op3=vote">';
		echo '<table width="100%" border="0" cellspacing="0" cellpadding="2">';

		switch($op2) {
			case "browse":
				$module_key = $cat;
				$result = sql_query("SELECT * FROM surveys
											  WHERE module_key='".$module_key."'
											  AND module='content'
											  AND survey_status='1'
											  ", $dbi);
			break;
			case "view_details":
				$module_key = $art;
				$result = sql_query("SELECT * FROM surveys
											  WHERE module_key='".$module_key."'
											  AND module='content'
											  AND survey_status='1'
											  ", $dbi);
			break;
			default:
				$result = sql_query("SELECT * FROM surveys
											  WHERE module='content'
											  AND survey_status='1'
											  ", $dbi);
			break;
		}
		$survey_current_date = date("Ymd");
		$i=1;
		while($row = sql_fetch_array($result, $dbi)){
			$_survey_id   = $row['survey_id'];
			$module_key   = $row['module_key'];
			$creation   = $row['creation'];
			$survey_option_values   = $row['survey_option_values'];
			$survey_status   = $row['survey_status'];
			$starts   = $row['starts'];
			$ends   = $row['ends'];
			$survey_image   = $row['survey_image'];
			$comments   = $row['comments'];
			// echo  '$_survey_id: '.$_survey_id.'<br>';
			$surveys_array[$_survey_id] = $_survey_id;
			$i++;

		}
		// echo '$surveys_array<br>';
		// print_r($surveys_array);
		if(is_array($surveys_array)) {
			echo '<tr class="textData">';
			echo '<td class="textData" align="left" colspan="2">';
			$random_survey = array_rand($surveys_array, 1);
			// echo '$random_survey:'.$random_survey.'<br>';
			$survey_name = checkSomethingFromTable($table='surveys_desc', $what='title', $key='survey_id', $keyvalue=$random_survey, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
			$nlink = 'index.php?op=surveys&op2=view_details&op3=vote&survey_id='.$random_survey.'';
			echo draw_link($nlink,$survey_name,$class='textData',$target);
			// echo $survey_name.'<br>';
			echo draw_line($image='trans', $width='100%', $height='4');
			echo '</td>';
			echo '</tr>';


			/*
			$sessionid = session_id();
			$result = sql_query("SELECT * FROM surveys_sessions WHERE survey_session='" . $sessionid . "' AND survey_id='" . $random_survey . "' ", $dbi);

			$row = sql_fetch_array($result, $dbi);
			$survey_session  	 =	$row['survey_session'];
			if($survey_session!=''){ $voted = '1'; } else { $voted = ''; }
			*/
			$userip= $_SERVER[REMOTE_ADDR];
			$result = sql_query("SELECT * FROM surveys_sessions WHERE ip='" . $userip . "' AND survey_id='" . $survey_id . "' ", $dbi);
			//  $result = sql_query("SELECT * FROM surveys_sessions WHERE survey_session='" . $sessionid . "' AND survey_id='" . $survey_id . "' ", $dbi);
			$row = sql_fetch_array($result, $dbi);
			$survey_ip  	 =	$row['ip'];
			if($survey_ip!=''){ $voted = '1'; } else { $voted = ''; }


			//echo '$random_survey:'.$random_survey.'<br>';
			$result2 = sql_query("SELECT * FROM surveys
										  WHERE survey_id='".$random_survey."'
										  ", $dbi);
			$row2 = sql_fetch_array($result2, $dbi);
			$module_key   = $row2['module_key'];
			$author_id   = $row2['author_id'];
			$creation   = $row2['creation'];
			$survey_option_values   = $row2['survey_option_values'];
			$survey_status   = $row2['survey_status'];
			$starts   = $row2['starts'];
			$ends   = $row2['ends'];
			$survey_image   = $row2['survey_image'];
			$comments   = $row2['comments'];

			$survey_option_values = split(';',$survey_option_values);
			foreach($survey_option_values AS $key =>$val) {
				$val_array = split(',', $val);
				$survey_option_id = $val_array[0];
				$survey_option_value = $val_array[1];
				$result3 = sql_query("SELECT * FROM surveys_options_desc
											  WHERE survey_id='".$random_survey."'
											  AND   option_id='".$survey_option_id."'
											  AND   language='".$currentlang."'

											  ", $dbi);
				$row3 = sql_fetch_array($result3, $dbi);
				$survey_option_name   = $row3['title'];
				$total_votes = $total_votes+$val_array[1];
			}

			foreach($survey_option_values AS $key =>$val) {
				echo '<tr>';
				$val_array = split(',', $val);
				$survey_option_id = $val_array[0];
				$survey_option_value = $val_array[1];
				if($total_votes=='') { $total_votes = '1'; }
				$survey_option_value_percent = ($survey_option_value*100)/$total_votes;

				$result3 = sql_query("SELECT * FROM surveys_options_desc
											  WHERE survey_id='".$random_survey."'
											  AND   option_id='".$survey_option_id."'
											  AND   language='".$currentlang."'

											  ", $dbi);
				$row3 = sql_fetch_array($result3, $dbi);
				$survey_option_name   = $row3['title'];

				if($voted!='1') {
					echo '<td class="textDataSmall" align="left" width="14">';
					echo '<input name="survey_option" type="radio" value="'.$survey_option_id.'" >';
					echo '</td>';
				}
				echo '<td class="textDataSmall" align="left">';
				echo  $survey_option_name.'<br>';
				if($voted=='1') {
					$survey_option_value_rounded = number_format($survey_option_value_percent, 0, '.', ' ')/'1.5';
					if($survey_option_value_rounded<'1') { $survey_option_value_rounded = '1'; }
					echo draw_line($image='black', $width=$survey_option_value_rounded, $height='10');
					echo ' '.number_format($survey_option_value_percent, 2, '.', ' ').'%<br>';
				}
				echo draw_line($image='black', $width='100%', $height='1');
				echo '</td>';
				echo '</tr>';
			}


		} else {
			echo '<tr class="textData">';
			echo '<td class="textData" align="left">';
			$result = sql_query("SELECT * FROM surveys
										  WHERE module='all'
										  AND survey_status='1'
										  ", $dbi);
			$i=1;
			while($row = sql_fetch_array($result, $dbi)){
				$survey_id   = $row['survey_id'];
				$surveys_array[$survey_id] = $survey_id;
				$i++;
			}

			if(is_array($surveys_array)) {
				$random_survey = array_rand($surveys_array, 1);
				echo '$random_survey:'.$random_survey.'<br>';
				print_r($random_survey);

				echo '<table width="100%" border="0" cellspacing="0" cellpadding="2">';

				echo '<tr class="textData">';
				echo '<td class="textData" align="left" colspan="2">';
				$random_survey = array_rand($surveys_array, 1);
				// echo '$random_survey:'.$random_survey.'<br>';
				$survey_name = checkSomethingFromTable($table='surveys_desc', $what='title', $key='survey_id', $keyvalue=$random_survey, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
				$nlink = 'index.php?op=surveys&op2=view_details&op3=vote&survey_id='.$random_survey.'';
				echo draw_link($nlink,$survey_name,$class='textData',$target);
				// echo $survey_name.'<br>';
				echo draw_line($image='trans', $width='100%', $height='4');
				echo '</td>';
				echo '</tr>';


				/*
				$sessionid = session_id();
				$result = sql_query("SELECT * FROM surveys_sessions WHERE survey_session='" . $sessionid . "' AND survey_id='" . $random_survey . "' ", $dbi);

				$row = sql_fetch_array($result, $dbi);
				$survey_session  	 =	$row['survey_session'];
				if($survey_session!=''){ $voted = '1'; } else { $voted = ''; }
				*/
				$userip= $_SERVER[REMOTE_ADDR];
				$result = sql_query("SELECT * FROM surveys_sessions WHERE ip='" . $userip . "' AND survey_id='" . $survey_id . "' ", $dbi);
				//  $result = sql_query("SELECT * FROM surveys_sessions WHERE survey_session='" . $sessionid . "' AND survey_id='" . $survey_id . "' ", $dbi);
				$row = sql_fetch_array($result, $dbi);
				$survey_ip  	 =	$row['ip'];
				if($survey_ip!=''){ $voted = '1'; } else { $voted = ''; }


				//echo '$random_survey:'.$random_survey.'<br>';
				$result2 = sql_query("SELECT * FROM surveys
											  WHERE survey_id='".$random_survey."'
											  ", $dbi);
				$row2 = sql_fetch_array($result2, $dbi);
				$module_key   = $row2['module_key'];
				$author_id   = $row2['author_id'];
				$creation   = $row2['creation'];
				$survey_option_values   = $row2['survey_option_values'];
				$survey_status   = $row2['survey_status'];
				$starts   = $row2['starts'];
				$ends   = $row2['ends'];
				$survey_image   = $row2['survey_image'];
				$comments   = $row2['comments'];

				$survey_option_values = split(';',$survey_option_values);
				foreach($survey_option_values AS $key =>$val) {
					$val_array = split(',', $val);
					$survey_option_id = $val_array[0];
					$survey_option_value = $val_array[1];
					$result3 = sql_query("SELECT * FROM surveys_options_desc
												  WHERE survey_id='".$random_survey."'
												  AND   option_id='".$survey_option_id."'
												  AND   language='".$currentlang."'

												  ", $dbi);
					$row3 = sql_fetch_array($result3, $dbi);
					$survey_option_name   = $row3['title'];
					$total_votes = $total_votes+$val_array[1];
				}

				foreach($survey_option_values AS $key =>$val) {
					echo '<tr>';
					$val_array = split(',', $val);
					$survey_option_id = $val_array[0];
					$survey_option_value = $val_array[1];
					if($total_votes=='') { $total_votes = '1'; }
					$survey_option_value_percent = ($survey_option_value*100)/$total_votes;

					$result3 = sql_query("SELECT * FROM surveys_options_desc
												  WHERE survey_id='".$random_survey."'
												  AND   option_id='".$survey_option_id."'
												  AND   language='".$currentlang."'

												  ", $dbi);
					$row3 = sql_fetch_array($result3, $dbi);
					$survey_option_name   = $row3['title'];

					if($voted!='1') {
						echo '<td class="textDataSmall" align="left" width="14">';
						echo '<input name="survey_option" type="radio" value="'.$survey_option_id.'" >';
						echo '</td>';
					}
					echo '<td class="textDataSmall" align="left">';
					echo  $survey_option_name.'<br>';
					if($voted=='1') {
						$survey_option_value_rounded = number_format($survey_option_value_percent, 0, '.', ' ')/'1.5';
						if($survey_option_value_rounded<'1') { $survey_option_value_rounded = '1'; }
						echo draw_line($image='black', $width=$survey_option_value_rounded, $height='10');
						echo ' '.number_format($survey_option_value_percent, 2, '.', ' ').'%<br>';
					}
					echo draw_line($image='black', $width='100%', $height='1');
					echo '</td>';
					echo '</tr>';
				}


				echo '</table>';











			}
			echo '</td>';
			echo '</tr>';
		}

		echo '<tr class="textTitleSmall">';
		echo '<td class="textTitleSmall" align="left" colspan="2">';
		echo TOTAL_VOTES.': '.$total_votes;
		echo '</td>';
		echo '</tr>';
		echo '</table>';

		echo '</td>';
		echo '</tr>';

		///////////////////////////////////////////////////////////////

		if($voted!='1') {
			echo '<tr class="textData">';
			echo '<td class="textData" align="right" colspan="2">';
			echo '<input type="hidden" name="survey_id" value="'.$random_survey.'">';
			echo '<input type="hidden" name="module_key" value="'.$module_key.'">';
			echo '<input type="submit" name="Submit" value="'.CLICK_TO_VOTE.'">';

			echo '</td>';
			echo '</tr>';

		}
		echo '</form>';
		echo '</table>';

	}

}

?>