
###########################################################

## 
## Tabellenstruktur fr Tabelle 'content_art'
## 

DROP TABLE IF EXISTS content_art;
CREATE TABLE content_art (
  article_id bigint(20) NOT NULL auto_increment,
  article_catid int(10) NOT NULL default '0',
  article_catid_related text NOT NULL,
  viewer_group int(10) NOT NULL default '0',
  targeted_user int(10) NOT NULL default '0',
  article_status int(1) default NULL,
  author_id int(9) NOT NULL default '0',
  creation varchar(32) NOT NULL default '',
  updates text NOT NULL,
  is_default int(1) NOT NULL default '0',
  viewed int(12) NOT NULL default '0',
  comments int(1) NOT NULL,
  PRIMARY KEY  (article_id),
  KEY article_catid (article_catid,viewer_group,targeted_user,article_status,author_id,is_default,comments)
) ENGINE=MyISAM  ;

## 
## Daten fr Tabelle 'content_art'
## 

INSERT INTO content_art VALUES(1214476030, 1214498934, '', 0, 0, 1, 1187521880, '2008.06.26 12:27:10', '', 1, 0, 0);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'content_art_desc'
## 

DROP TABLE IF EXISTS content_art_desc;
CREATE TABLE content_art_desc (
  article_id int(20) NOT NULL default '0',
  `language` varchar(20) NOT NULL default 'german',
  title text NOT NULL,
  article_description_1 text NOT NULL,
  article_description_2 text NOT NULL,
  meta_title text NOT NULL,
  meta_keywords text NOT NULL,
  meta_description text NOT NULL,
  seo_link varchar(128) NOT NULL,
  PRIMARY KEY  (article_id,`language`),
  KEY seo_link (seo_link)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

## 
## Daten fr Tabelle 'content_art_desc'
## 

INSERT INTO content_art_desc VALUES(1214476030, 'mexican', 'Xomol CMS ha sido instalado con exito!', '<p><strong>Felicidades!</strong></p>\r\n<p><img width="160" hspace="2" height="120" align="right" src="serverrelativepathch/modules/content/image/secuenciador.png" alt="altimag"  ><strong>La instalacion de Xomol CMS a sido exitosa!</strong></p>\r\n<p>Ahora tienes en tus manos uno de los Gestores de Contenido mas potentes del Planeta.</p>\r\n<p><strong><font color="#ff0000"><em>Nota Importante</em>:</font></strong> <em><br  >\r\nPor motivos de seguridad, No te olvides de eliminar el directorio /install. </em></p>\r\n<p><font color="#339966"><strong>Nota Importante 2</strong></font>: <br  >\r\nXomol CMS cuenta una gran variedad de inovaciones tecnologiacas (hipervinculos amigables, metatags, SEO, miltidivisas, multiidiomas, etc. Para sacarle el mejor provecho a estas nuevas tecnologias es necesario que realizes algunos cambios.</p>\r\n<p>Para saber donde efectuar estas modificaciones extiende esta noticia.</p>', '<p><strong>Felicidades!</strong></p>\r\n<p><img width="160" hspace="2" height="120" align="right" src="serverrelativepathch/modules/content/image/secuenciador.png" alt="altimag"  ><strong>La instalacion de Xomol CMS a sido exitosa!</strong></p>\r\n<p>Ahora tienes en tus manos uno de los Gestores de Contenido mas potentes del Planeta.</p>\r\n<p><strong><font color="#ff0000"><em>Nota Importante</em>:</font></strong> <em><br  >\r\nPor motivos de seguridad, No te olvides de eliminar el directorio </em><font color="#0000ff"><strong>/install.</strong></font></p>\r\n<p><font color="#339966"><strong>Nota Importante 2</strong></font>: <br  >\r\nXomol CMS cuenta una gran variedad de inovaciones tecnologiacas (hipervinculos amigables, metatags, SEO, miltidivisas, multiidiomas, etc. Para sacarle el mejor provecho a estas nuevas tecnologias es necesario que realizes algunos cambios.</p>\r\n<p>Los cambios que quieres configurar son estos:</p>\r\n<ul>\r\n    <li><strong>Sistema:</strong><br  >\r\n    <a href="index.php?op=admin&amp;op2=admin_company_docs" class="textTitle">Nuestros PDFs</a> Aqui es necesario que adaptes el PDF numero 1 (nuestras politicas). Este es necesario para el proceso de pago.<br  >\r\n    <a href="index.php?op=admin&amp;op2=admin_metatags" class="textTitle">Metatags</a> aqui los cambios para que Xomol configure automatiamente los headers de tu pagina.</li>\r\n    <li><strong>Modulos: </strong><br  >\r\n    -Checa metatags en todos los modulos. <br  >\r\n    -En el modulo de <strong>store </strong>(tienda virtual) es necesario tambien que configures\r\n    <ul>\r\n        <li>idiomas,</li>\r\n        <li>impuestos</li>\r\n        <li>modulos de flete y pago</li>\r\n    </ul>\r\n    -En el modulo <strong>contactus </strong>(Contactanos) inserta tus datos de contacto.</li>\r\n</ul>\r\n<p>&nbsp;</p>', 'Xomol CMS ha sido instalado con exito', 'xomol cms,open source,instalar,download,gestor de contenido,tienda virtual,linux,apache,php,software gratis,jalisco,mexico,', 'Felicidades!\r\n\r\nLa instalacion de Xomol CMS a sido exitosa!\r\n\r\nAhora tienes en tus manos uno de los Gestores de Contenido mas potentes del Planeta.', 'Xomol_CMS_ha_sido_instalado_con_exito!.html');
INSERT INTO content_art_desc VALUES(1214476030, 'english', 'Xomol CMS has been successfully installed!', '<p><strong>Congratulations!</strong></p>\r\n<p><img width="160" hspace="2" height="120" align="right" src="serverrelativepathch/modules/content/image/secuenciador.png" alt="altimag"  ><strong>Xomol CMS has been successfully installed!</strong></p>\r\n<p>You have now in your hand one of the most powerfull Content Managment Systems on Earth.</p>\r\n<p><strong><font color="#ff0000"><em>Important Notice</em>:</font></strong> <em><br  >\r\nFor security reasons, do not forget to delete directory&nbsp;<strong><font color="#0000ff"> </font></strong></em><strong><font color="#0000ff">/install</font></strong>.<em> </em></p>\r\n<p><font color="#339966"><strong>Important Notice 2</strong></font>: <br  >\r\nXomol CMS comes with lots of innovative technological advances (user friendly links, metatags autoconfigurator, SEO optimizer, etc.). To get the full power of Xomol you should make some necessary modifications.</p>', '<p><strong>Congratulations!</strong></p>\r\n<p><strong><img width="160" hspace="2" height="120" align="right" src="serverrelativepathch/modules/content/image/secuenciador.png" alt="altimag"  >Xomol CMS has been successfully installed!</strong></p>\r\n<p>You have now in your hand one of the most powerfull Content Managment Systems on Earth.</p>\r\n<p><strong><font color="#ff0000"><em>Important Notice</em>:</font> </strong><em><br  >\r\nFor security reasons, do not forget to delete directory<strong>&nbsp;<font color="#0000ff"> </font></strong></em><strong><font color="#0000ff">/install</font>.</strong><em> </em></p>\r\n<p><strong><font color="#339966">Important Notice 2</font>: </strong>Xomol CMS comes with lots of innovative technological advances (user friendly links, metatags autoconfigurator, SEO optimizer, etc.). To get the full power of Xomol you should make some necessary modifications.</p>\r\n<p>The changes to apply are here...</p>\r\n<ul>\r\n    <li><strong>System:</strong><br  >\r\n    <a href="index.php?op=admin&amp;op2=admin_company_docs" class="textTitle">Our PDFs</a> Here is necessary to change PDF Nr. 1 (company policies). You will need it for the payment procedure in module store (virtual store).<a href="index.php?op=admin&amp;op2=admin_metatags" class="textTitle"><br  >\r\n    Metatags</a> Xomol Metatag Configurator needs modifications here</li>\r\n    <li><strong>Modules: </strong><br  >\r\n    -Check metatags in all modules.<br  >\r\n    -In module <strong>store </strong>(virtual store) is necessary to make some changes.\r\n    <ul>\r\n        <li>languages,</li>\r\n        <li>taxes,</li>\r\n        <li>fright and payment modules</li>\r\n    </ul>\r\n    -In module <strong>contactus </strong>(Contact us) insert you company contact data.</li>\r\n</ul>', 'Xomol CMS has been succsesfully installed', 'xomol cms,open source,install,download,content manager,virtual store,linux,apache,php,free software,jalisco,mexico,', 'Xomol CMS has been succesfully intalled!\r\n\r\nYou have now in your heand one of the most powerfull Content Managment Systems on Earth.\r\n', 'Xomol_CMS_has_been_succsesfully_installed!.html');
INSERT INTO content_art_desc VALUES(1214476030, 'german', 'Xomol CMS wurde erfolgreich installiert !', '<p><strong>Gratulation!</strong></p>\r\n<p><img width="160" hspace="2" height="120" align="right" src="serverrelativepathch/modules/content/image/secuenciador.png" alt="altimag"  ><strong>Xomol CMS wurde erfolgreich installiert !</strong></p>\r\n<p>Nun hast du das st&auml;rkste Content Management System der Welt in deinen H&auml;nden.</p>\r\n<p><strong><font color="#ff0000"><em>Wichtige Notiz</em>:</font></strong> <br  >\r\n<em>Aus Sicherheitsgr&uuml;nden, bitte nicht vergessen, das Verzeichnis </em><strong><font color="#0000ff">/install</font></strong><em> zu l&ouml;schen.&nbsp;</em><strong><font color="#0000ff"><em> </em></font></strong></p>\r\n<p><font color="#339966"><strong>Wichtige&nbsp;Notiz 2</strong></font>: <br  >\r\nXomol CMS kommt mit vielen innovativen technologischen Fortschritten (Benutzerfreundliche Links, Metatags, Autokonfigurator, SEO Optimierer,&nbsp; etc.). Um die ganze Power von Xomol zu erreichen, solltest du einige n&ouml;tige &Auml;nderungen vornehmen.</p>', '<p><strong>Gratulation!</strong></p>\r\n<p><img width="160" hspace="2" height="120" align="right" src="serverrelativepathch/modules/content/image/secuenciador.png" alt="altimag"  ><strong>Xomol CMS wurde erfolgreich installiert !</strong></p>\r\n<p>Nun hast du das st&auml;rkste Content Management System der Welt in deinen H&auml;nden.</p>\r\n<p><strong><font color="#ff0000"><em>Wichtige Notiz</em>:</font></strong> <br  >\r\n<em>Aus Sicherheitsgr&uuml;nden, bitte nicht vergessen, das Verzeichnis </em><strong><font color="#0000ff">/install</font></strong><em> zu l&ouml;schen.&nbsp;</em><strong><font color="#0000ff"><em> </em></font></strong></p>\r\n<p><font color="#339966"><strong>Wichtige&nbsp;Notiz 2</strong></font>: <br  >\r\nXomol CMS kommt mit vielen innovativen technologischen Fortschritten (Benutzerfreundliche Links, Metatags, Autokonfigurator, SEO Optimierer,&nbsp; etc.). Um die ganze Power von Xomol zu erreichen, solltest du einige n&ouml;tige &Auml;nderungen vornehmen.</p>\r\n<p>Die vorzunehmenden &Auml;nderungen sind hier...</p>\r\n<ul>\r\n    <li><strong>System:</strong><br  >\r\n    <a href="index.php?op=admin&amp;op2=admin_company_docs"><u><font color="#0000ff">Unsere PDFs</font></u></a>&nbsp;Hier ist es n&ouml;tig,&nbsp; PDF Nr. 1 zu &auml;ndern (Firmenpolicen). Du wirst es f&uuml;r die Zahlungsprozedur im Modul Store (virtual store) brauchen.&nbsp; <a href="index.php?op=admin&amp;op2=admin_metatags" class="textTitle"><br  >\r\n    Metatags</a> Xomol Metatag Konfigurator braucht hier &Auml;nderungen</li>\r\n    <li><strong>Modules: </strong><br  >\r\n    -&Uuml;berpr&uuml;fe die Metatags in allen Modulen.<br  >\r\n    -Im Modul Store (virtual store) ist es n&ouml;tig einige &Auml;nderungen zu machen.\r\n    <ul>\r\n        <li>Sprachen,</li>\r\n        <li>Steuern,</li>\r\n        <li>Fracht und Zahlungs Module</li>\r\n    </ul>\r\n    -im Modul contactus (Contact Form) Deiene Kontaktangaben anpassen.</li>\r\n</ul>', 'Xomol CMS ist erfolgreich installiert worden', 'xomol cms,open source,instalation,download,content manager,virtuele einkaufszenter,linux,apache,php,freie software,jalisco,mexiko,', 'Vielen Dank fr Eure Interesse in Xomol CMS. 6 Monaten nach seine Erste Publikation eine Neue Version vom Xomol CMS ist nun unterwegs.', 'Xomol_CMS_ist_erfolgreich_installiert_worden!.html');

###########################################################

## 
## Tabellenstruktur fr Tabelle 'content_blocks'
## 

DROP TABLE IF EXISTS `content_blocks`;
CREATE TABLE content_blocks (
  block_id int(3) NOT NULL auto_increment,
  position_id int(3) NOT NULL default '0',
  module_name varchar(64) NOT NULL default '0',
  block_title varchar(64) NOT NULL,
  block_status varchar(32) NOT NULL default '',
  undeletable int(1) NOT NULL default '0',
  view_order int(3) NOT NULL default '1',
  PRIMARY KEY  (block_id,position_id,block_title),
  UNIQUE KEY position_id (position_id,block_title),
  KEY module_name (module_name),
  KEY block_status (block_status,undeletable)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'content_blocks'
## 

INSERT INTO content_blocks VALUES(30, 3, 'content', 'frontpage_list_latest_news', '1', 0, 1);
INSERT INTO content_blocks VALUES(31, 4, 'content', 'frontpage_cat_listing', '1', 0, 1);
INSERT INTO content_blocks VALUES(29, 2, 'content', 'frontpage', '1', 0, 1);
INSERT INTO content_blocks VALUES(28, 1, 'content', 'content_Menu_1', '1', 0, 1);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'content_cat'
## 

DROP TABLE IF EXISTS content_cat;
CREATE TABLE content_cat (
  category_id int(20) NOT NULL default '0',
  category_parent_id int(10) NOT NULL,
  category_status int(1) default NULL,
  author_id int(10) NOT NULL,
  view_order int(3) NOT NULL default '1',
  cat_image varchar(64) NOT NULL default '',
  secondary_menu int(1) NOT NULL default '0',
  history text NOT NULL,
  comments int(1) NOT NULL,
  PRIMARY KEY  (category_id,category_parent_id),
  KEY author_id (author_id),
  KEY category_status (category_status),
  KEY comments (comments)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

## 
## Daten fr Tabelle 'content_cat'
## 

INSERT INTO content_cat VALUES(1214498934, 0, 1, 0, 1, 'kb_68x65.gif', 0, '', 0);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'content_cat_desc'
## 

DROP TABLE IF EXISTS `content_cat_desc`;
CREATE TABLE content_cat_desc (
  category_id int(20) NOT NULL default '0',
  `language` varchar(20) NOT NULL default 'german',
  title varchar(124) NOT NULL default '',
  description text NOT NULL,
  meta_title text NOT NULL,
  meta_keywords text NOT NULL,
  meta_description text NOT NULL,
  seo_link varchar(128) NOT NULL,
  PRIMARY KEY  (category_id,`language`),
  KEY seo_link (seo_link)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'content_cat_desc'
## 

INSERT INTO content_cat_desc VALUES(1214498934, 'mexican', 'Noticias', '<p>Noticias y mensajes Importantes</p>', 'Noticias y mensajes', 'noticias,mensajes,xomol,alertas,informacion,xomol cms,gestor de contenido,tienda virtual,open source,codigo libre,programacion,php,', 'Noticias y mensajes de el Proyecto Xomol. Alertas e informacion importante acerca de Xomol CMS. Tienda virtual, gestor de contenido, programacion, php, linux, windows, mysql, perl, open source, codigo libre.', 'Noticias.html');
INSERT INTO content_cat_desc VALUES(1214498934, 'english', 'News', '<p>News and messages</p>', 'News and Mesages', 'news,messages,xomol cms,alerts,information,content manager system,virtual store,downloads,open source,free software,programing,php,', 'News and messages about the Xomol Proyect. Alerts, information, tips. Xomol CMS, the content managment system for the pepole of the free. LAMP and WAMP. Virtual Store, programing, php, linux, windows, perl, mysql, open source, free software, jalisco.', 'News.html');
INSERT INTO content_cat_desc VALUES(1214498934, 'german', 'Nachrichten', '<p>Nachichten und Miteilungen.</p>', 'Nachrichten und Miteilungen', 'nachrichten,miteilungen,xomol cms,warnungen,information,content manager,virtuelle shop,downloads,open source,freie software,programmierung,php,', 'Nachrichten und Miteilungen ber Xomol CMS. Wichtige infos und tips. Xomol CMS ist Open Source for the people of the free! LAMP und WAMP. Virtuele Lade und content manager. programmierung php, linux, windows, perl, mysqul, open source, freie software', 'Nachrichten.html');

###########################################################

## 
## Tabellenstruktur fr Tabelle 'content_configure'
## 

CREATE TABLE `content_configure` (
  `config_id` int(6) NOT NULL auto_increment,
  `module_name` varchar(64) NOT NULL default '',
  `config_type` varchar(64) NOT NULL default '0',
  `config_title` varchar(64) NOT NULL default '',
  `config_description` text NOT NULL,
  `config_key` varchar(128) NOT NULL default '',
  `config_value` varchar(128) NOT NULL default '',
  `undeletable` int(1) NOT NULL default '0',
  PRIMARY KEY  (`config_id`),
  KEY `config_type` (`config_type`),
  KEY `config_key` (`config_key`)
) ENGINE=MyISAM  ;

## 
## Daten fr Tabelle 'content_configure'
## 


INSERT INTO `content_configure` VALUES(1, 'content', 'Main Config', 'View Modus', '', 'CONT_VIEW_MOD', '2', 1);
INSERT INTO `content_configure` VALUES(2, 'content', 'Front Page', 'Frontpage View Modus', '', 'FP_VIEW_MODUS', '2', 1);
INSERT INTO `content_configure` VALUES(3, 'content', 'Front Page', 'Num of Random Articles', '', 'RANDOM_ART_NUM', '5', 1);
INSERT INTO `content_configure` VALUES(9, 'content', 'Front Page', 'Num of Cols on Cat. listings', '', 'FP_NUM_COLS', '2', 1);
INSERT INTO `content_configure` VALUES(10, 'content', 'Article Details', 'Show Autor', '', 'SHOW_AUTHOR', '1', 1);
INSERT INTO `content_configure` VALUES(11, 'content', 'Article Details', 'Show Date', '', 'SHOW_DATE', '', 1);
INSERT INTO `content_configure` VALUES(12, 'content', 'Article Listing', 'Max Search Results', '', 'MAX_SRCH_RES', '5', 1);
INSERT INTO `content_configure` VALUES(13, 'content', 'Browse', 'Show Category Title', '', 'SHOW_CAT_TITLE', '1', 1);
INSERT INTO `content_configure` VALUES(14, 'content', 'Browse', 'Show Category Desc', '', 'SHOW_CAT_DESC', '1', 1);
INSERT INTO `content_configure` VALUES(15, 'content', 'Browse', 'Show Sub Cats', '', 'SHOW_SUBCATS', '1', 1);
INSERT INTO `content_configure` VALUES(16, 'content', 'Browse', 'Show default Cat News', '', 'SHOW_DEF_CAT_NEWS', '1', 1);
INSERT INTO `content_configure` VALUES(17, 'content', 'Max/Min', 'Maximal Size Cat Image', '', 'MAX_CAT_SIZE', '100000', 1);
INSERT INTO `content_configure` VALUES(28, 'content', 'Pictures Upload', 'Max category image Height', '', 'MAX_CAT_IMAGE_HEIGHT', '80', 1);
INSERT INTO `content_configure` VALUES(29, 'content', 'Pictures Upload', 'Max category image width', '', 'MAX_CAT_IMAGE_WIDTH', '100', 1);
INSERT INTO `content_configure` VALUES(30, 'content', 'Pictures Upload', 'Max article image width', '', 'MAX_ART_IMAGE_WIDTH', '200', 1);
INSERT INTO `content_configure` VALUES(31, 'content', 'Pictures Upload', 'Max article image height', '', 'MAX_ART_IMAGE_HEIGHT', '200', 1);
INSERT INTO `content_configure` VALUES(32, 'content', 'Pictures Upload', 'Allowed MIME types', '', 'OK_MIME_TYPES', 'jpeg jpeg jpg gif png', 1);
INSERT INTO `content_configure` VALUES(33, 'content', 'Comments', 'Allow module comments', '', 'ALLOW_MODULE_COMMENTS', '1', 1);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'content_fp_cat_lists'
## 

DROP TABLE IF EXISTS `content_fp_cat_lists`;
CREATE TABLE content_fp_cat_lists (
  fpc_id int(12) NOT NULL auto_increment,
  category_id int(12) NOT NULL default '0',
  creation varchar(16) NOT NULL default '',
  author_id int(12) NOT NULL default '0',
  active int(1) NOT NULL default '0',
  fpc_order int(1) NOT NULL default '1',
  PRIMARY KEY  (fpc_id),
  KEY article_id (category_id,creation,author_id,active)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'content_fp_cat_lists'
## 

INSERT INTO content_fp_cat_lists VALUES(9, 1214498934, '2008.06.28 19:10', 1, 1, 1);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'content_frontpages'
## 

DROP TABLE IF EXISTS `content_frontpages`;
CREATE TABLE content_frontpages (
  frontpage_id int(10) NOT NULL auto_increment,
  article_id int(10) NOT NULL default '0',
  creation varchar(16) NOT NULL default '',
  author_id int(10) NOT NULL default '0',
  frontpage_status int(1) NOT NULL default '0',
  random int(1) NOT NULL default '0',
  is_default int(1) NOT NULL default '0',
  viewer_group int(10) NOT NULL default '0',
  PRIMARY KEY  (frontpage_id),
  KEY author_id (author_id,frontpage_status,random,is_default,viewer_group)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'content_frontpages'
## 

INSERT INTO content_frontpages VALUES(11, 1214476030, '2008.06.26 12:27', 1, 1, 1, 1, 0);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'content_metatags'
## 

DROP TABLE IF EXISTS `content_metatags`;
CREATE TABLE content_metatags (
  lid int(3) NOT NULL auto_increment,
  `language` varchar(20) NOT NULL default 'german',
  title text NOT NULL,
  keywords text NOT NULL,
  description text NOT NULL,
  PRIMARY KEY  (lid),
  KEY `language` (`language`)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'content_metatags'
## 

INSERT INTO content_metatags VALUES(1, 'english', 'Xomol - The open source proyect - Universal Core Engine', 'xomol cms,content manager system,cms,ecommerce,open source,mexico,software development,free software,download,php,seo,content manager', 'Xomol CMS, the open source content management system for quality applications. Download it here for free! PHP Universal Core Engine.');
INSERT INTO content_metatags VALUES(2, 'german', 'Xomol - Das Open Source Projekt - CMS Einfach gemacht!', 'xomol cms,content manager system,cms,ecommerce,open source,mexico,software entwicklung,freie software,download,php,david guttmann,content managment', 'Xomol CMS, die open source content managment system fr anspruchsvolle leistungs applikationen. Downloaden hier, ist gratis!');
INSERT INTO content_metatags VALUES(3, 'mexican', 'Xomol - Content, news, information', 'xomol cms,gestor de contenido,software gratuito,comercio electronico,open source,Mexico,Desarrollo de software,aplicaciones ,software gratis,seo,tienda virtual,download', 'Xomol CMS. Sistemas de proceso de informacion. Gestor de contenido, Tienda virtual, SEO. Open Source, codigo ligre. El Proyecto Xomol, desarrollo de software, seo, software gratuito.');

###########################################################

## 
## Tabellenstruktur fr Tabelle 'content_positions'
## 

DROP TABLE IF EXISTS `content_positions`;
CREATE TABLE content_positions (
  position_id int(3) NOT NULL auto_increment,
  position_key varchar(32) NOT NULL default '',
  position_title varchar(32) NOT NULL default '',
  position_status int(1) NOT NULL default '0',
  udeleteable int(1) NOT NULL default '0',
  PRIMARY KEY  (position_id),
  KEY position_status (position_status),
  KEY position_key (position_key),
  KEY udeleteable (udeleteable)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'content_positions'
## 

INSERT INTO content_positions VALUES(1, 'FP_MAIN_1', 'Main Content Block', 1, 1);
INSERT INTO content_positions VALUES(2, 'FP_MAIN_2', 'Main Frontpage', 1, 1);
INSERT INTO content_positions VALUES(3, 'FP_MAIN_3', 'Position 3', 1, 1);
INSERT INTO content_positions VALUES(4, 'FP_MAIN_4', 'Position 4', 1, 1);
INSERT INTO content_positions VALUES(5, 'FPC_MAIN_1', 'Categories Main', 1, 1);
INSERT INTO content_positions VALUES(6, 'FPC_MAIN_2', 'Categories Position 2', 1, 1);
INSERT INTO content_positions VALUES(7, 'FPC_MAIN_3', 'Categories Position 3', 1, 1);
INSERT INTO content_positions VALUES(8, 'FPC_MAIN_4', 'Categories Position 4', 1, 1);

###########################################################

DROP TABLE IF EXISTS content_user_rights;
CREATE TABLE content_user_rights (
  rights_id int(10) NOT NULL auto_increment,
  title varchar(64) NOT NULL,
  description varchar(128) NOT NULL,
  elemental int(1) NOT NULL,
  PRIMARY KEY  (title),
  KEY task_id (rights_id,elemental)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

##
## Daten fr Tabelle 'content_user_rights'
##

INSERT INTO content_user_rights VALUES(100, 'ASYSTEM_ACCESS', 'Access Content Admin Panel', 1);
INSERT INTO content_user_rights VALUES(110, 'A_CONFIGURE_ACCESS', 'Access Configuration Administration', 1);
INSERT INTO content_user_rights VALUES(111, 'A_CONFIGURE_ADD', 'Add a new configuration key', 1);
INSERT INTO content_user_rights VALUES(112, 'A_CONFIGURE_EDIT', 'Edit configuration key', 1);
INSERT INTO content_user_rights VALUES(113, 'A_CONFIGURE_DELETE', 'Delete configuration key', 1);
INSERT INTO content_user_rights VALUES(130, 'A_METAS_ACCESS', 'Access Metatags Administration', 1);
INSERT INTO content_user_rights VALUES(131, 'A_METAS_EDIT', 'Edit main -Contwent-  header metatags', 1);
INSERT INTO content_user_rights VALUES(140, 'A_MODULES_ACCESS', 'Access Modules Administration', 1);
INSERT INTO content_user_rights VALUES(141, 'A_MODULES_EDIT', 'Edit -Contwent- modules', 1);
INSERT INTO content_user_rights VALUES(150, 'A_POSITIONS_ACCESS', 'Access Positions Administration', 1);
INSERT INTO content_user_rights VALUES(151, 'A_POSITIONS_BLOCK_ADD', 'Add a new Block on a position', 1);
INSERT INTO content_user_rights VALUES(152, 'A_POSITIONS_BLOCK_EDIT', 'Edit Block on a position', 1);
INSERT INTO content_user_rights VALUES(153, 'A_POSITIONS_BLOCK_DEL', 'Delete Block', 1);
INSERT INTO content_user_rights VALUES(154, 'A_POSITIONS_POS_ADD', 'Add a new Position', 1);
INSERT INTO content_user_rights VALUES(155, 'A_POSITIONS_POS_EDIT', 'Edit Position', 1);
INSERT INTO content_user_rights VALUES(156, 'A_POSITIONS_POS_DEL', 'Delete Position', 1);
INSERT INTO content_user_rights VALUES(160, 'A_USER_DETAILS_ACCESS', 'Access User Details', 1);
INSERT INTO content_user_rights VALUES(161, 'A_USER_RIGHTS_ACCESS', 'Access User Rights', 1);
INSERT INTO content_user_rights VALUES(162, 'A_USER_RIGHTS_TASK_ADD', 'Add User Rights', 1);
INSERT INTO content_user_rights VALUES(163, 'A_USER_RIGHTS_TASK_EDIT_SAME', 'Edit User Rights for same/higher Group ', 1);
INSERT INTO content_user_rights VALUES(164, 'A_USER_RIGHTS_TASK_EDIT_LOW', 'Edit User Rights for same/lower Group ', 1);
INSERT INTO content_user_rights VALUES(166, 'A_USER_RIGHTS_TASK2GROUP', 'Edit User Rights (Same UserGroup)', 1);
INSERT INTO content_user_rights VALUES(169, 'A_USER_RIGHTS_TASK_VIEW', 'View User Rights tasks', 1);
INSERT INTO content_user_rights VALUES(165, 'A_USER_RIGHTS_TASK_OVER', 'Override all User Rights from Groups', 1);
INSERT INTO content_user_rights VALUES(167, 'A_USER_RIGHTS_SAME', 'Edit User Rights for same/higher Group', 1);
INSERT INTO content_user_rights VALUES(168, 'A_USER_RIGHTS_LOW', 'Edit User Rights for same/lower Group ', 1);
INSERT INTO content_user_rights VALUES(202, 'CONTENT_ADMIN_ACCESS', 'Access Category & Product Administration', 1);
INSERT INTO content_user_rights VALUES(203, 'CONTENT_ART_ADD_OWN', 'Add article (with own user id)', 1);
INSERT INTO content_user_rights VALUES(204, 'CONTENT_ART_ADD_OTHERS', 'Add article (to other user ids)', 1);
INSERT INTO content_user_rights VALUES(205, 'CONTENT_ART_ADD_OTHERS_SAME', 'Add article to users on the same group', 1);
INSERT INTO content_user_rights VALUES(206, 'CONTENT_ART_ADD_OTHERS_LOW', 'Add article to subusers', 1);
INSERT INTO content_user_rights VALUES(207, 'CONTENT_ART_ADD_TARG_USER', 'Add a article exclusivly to a user', 1);
INSERT INTO content_user_rights VALUES(208, 'CONTENT_ART_ADD_TARG_GROUP', 'Add a article exclusivly to a group', 1);
INSERT INTO content_user_rights VALUES(209, 'CONTENT_ART_EDIT_OWN', 'Edit article (with own user id)', 1);
INSERT INTO content_user_rights VALUES(300, 'CONTENT_ART_EDIT_OTHERS', 'Edit article (to other user ids)', 1);
INSERT INTO content_user_rights VALUES(301, 'CONTENT_ART_EDIT_OTHERS_SAME', 'Edit article to users on the same group', 1);
INSERT INTO content_user_rights VALUES(302, 'CONTENT_ART_EDIT_OTHERS_LOW', 'Edit article to subusers', 1);
INSERT INTO content_user_rights VALUES(303, 'CONTENT_ART_DEL_OWN', 'Delete article (with own user id)', 1);
INSERT INTO content_user_rights VALUES(304, 'CONTENT_ART_DEL_OTHERS', 'Delete article (to other user ids)', 1);
INSERT INTO content_user_rights VALUES(305, 'CONTENT_ART_DEL_OTHERS_SAME', 'Delete article to users on the same group', 1);
INSERT INTO content_user_rights VALUES(306, 'CONTENT_ART_DEL_OTHERS_LOW', 'Delete article to subusers', 1);
INSERT INTO content_user_rights VALUES(307, 'CONTENT_CAT_ADD_OWN', 'Add category (with own user id)', 1);
INSERT INTO content_user_rights VALUES(308, 'CONTENT_CAT_ADD_OTHERS', 'Add category (to other user ids)', 1);
INSERT INTO content_user_rights VALUES(309, 'CONTENT_CAT_ADD_OTHERS_SAME', 'Add category to users on the same group', 1);
INSERT INTO content_user_rights VALUES(400, 'CONTENT_CAT_ADD_OTHERS_LOW', 'Add category to subusers', 1);
INSERT INTO content_user_rights VALUES(401, 'CONTENT_CAT_ADD_TARG_USER', 'Add category exclusivly to a user', 1);
INSERT INTO content_user_rights VALUES(402, 'CONTENT_CAT_ADD_TARG_GROUP', 'Add category exclusivly to a group', 1);
INSERT INTO content_user_rights VALUES(403, 'CONTENT_CAT_EDIT_OWN', 'Edit category (with own user id)', 1);
INSERT INTO content_user_rights VALUES(404, 'CONTENT_CAT_EDIT_OTHERS', 'Edit category (to other user ids)', 1);
INSERT INTO content_user_rights VALUES(405, 'CONTENT_CAT_EDIT_OTHERS_SAME', 'Edit category to users on the same group', 1);
INSERT INTO content_user_rights VALUES(406, 'CONTENT_CAT_EDIT_OTHERS_LOW', 'Edit category to subusers', 1);
INSERT INTO content_user_rights VALUES(407, 'CONTENT_CAT_DEL_OWN', 'Delete category (with own user id)', 1);
INSERT INTO content_user_rights VALUES(508, 'CONTENT_CAT_DEL_OTHERS', 'Delete category (to other user ids)', 1);
INSERT INTO content_user_rights VALUES(509, 'CONTENT_CAT_DEL_OTHERS_SAME', 'Delete category to users on the same group', 1);
INSERT INTO content_user_rights VALUES(500, 'CONTENT_CAT_DEL_OTHERS_LOW', 'Delete category to subusers', 1);
INSERT INTO content_user_rights VALUES(600, 'CONTENT_LAYOUT_ACCESS', 'Access and Manage Content Layout', 1);
INSERT INTO content_user_rights VALUES(601, 'ALLOW_COMMENTS_STATUS', 'Allow to change comment status', 1);
INSERT INTO content_user_rights VALUES(602, 'ALLOW_COMMENTS_ADD', 'Allow user to add comment', 1);

###########################################################

##
## Tabellenstruktur fr Tabelle 'content_user_rights2groups'
##

DROP TABLE IF EXISTS content_user_rights2groups;
CREATE TABLE content_user_rights2groups (
  group_id int(10) NOT NULL,
  user_rights_id int(10) NOT NULL,
  `value` int(1) NOT NULL,
  PRIMARY KEY  (group_id,user_rights_id),
  KEY `value` (`value`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

##
## Daten fr Tabelle 'content_user_rights2groups'
##

INSERT INTO content_user_rights2groups VALUES(1, 100, 1);
INSERT INTO content_user_rights2groups VALUES(2, 100, 0);
INSERT INTO content_user_rights2groups VALUES(100, 100, 1);
INSERT INTO content_user_rights2groups VALUES(101, 100, 1);
INSERT INTO content_user_rights2groups VALUES(102, 100, 0);
INSERT INTO content_user_rights2groups VALUES(200, 100, 0);
INSERT INTO content_user_rights2groups VALUES(1, 110, 1);
INSERT INTO content_user_rights2groups VALUES(2, 110, 0);
INSERT INTO content_user_rights2groups VALUES(100, 110, 1);
INSERT INTO content_user_rights2groups VALUES(101, 110, 0);
INSERT INTO content_user_rights2groups VALUES(102, 110, 0);
INSERT INTO content_user_rights2groups VALUES(200, 110, 0);
INSERT INTO content_user_rights2groups VALUES(1, 111, 1);
INSERT INTO content_user_rights2groups VALUES(2, 111, 0);
INSERT INTO content_user_rights2groups VALUES(100, 111, 1);
INSERT INTO content_user_rights2groups VALUES(101, 111, 0);
INSERT INTO content_user_rights2groups VALUES(102, 111, 0);
INSERT INTO content_user_rights2groups VALUES(200, 111, 0);
INSERT INTO content_user_rights2groups VALUES(1, 113, 1);
INSERT INTO content_user_rights2groups VALUES(2, 113, 0);
INSERT INTO content_user_rights2groups VALUES(100, 113, 1);
INSERT INTO content_user_rights2groups VALUES(101, 113, 0);
INSERT INTO content_user_rights2groups VALUES(102, 113, 0);
INSERT INTO content_user_rights2groups VALUES(200, 113, 0);
INSERT INTO content_user_rights2groups VALUES(1, 112, 1);
INSERT INTO content_user_rights2groups VALUES(2, 112, 0);
INSERT INTO content_user_rights2groups VALUES(100, 112, 1);
INSERT INTO content_user_rights2groups VALUES(101, 112, 1);
INSERT INTO content_user_rights2groups VALUES(102, 112, 0);
INSERT INTO content_user_rights2groups VALUES(200, 112, 0);
INSERT INTO content_user_rights2groups VALUES(1, 130, 1);
INSERT INTO content_user_rights2groups VALUES(2, 130, 0);
INSERT INTO content_user_rights2groups VALUES(100, 130, 1);
INSERT INTO content_user_rights2groups VALUES(101, 130, 1);
INSERT INTO content_user_rights2groups VALUES(102, 130, 0);
INSERT INTO content_user_rights2groups VALUES(200, 130, 0);
INSERT INTO content_user_rights2groups VALUES(1, 131, 1);
INSERT INTO content_user_rights2groups VALUES(2, 131, 0);
INSERT INTO content_user_rights2groups VALUES(100, 131, 1);
INSERT INTO content_user_rights2groups VALUES(101, 131, 1);
INSERT INTO content_user_rights2groups VALUES(102, 131, 0);
INSERT INTO content_user_rights2groups VALUES(200, 131, 0);
INSERT INTO content_user_rights2groups VALUES(1, 140, 1);
INSERT INTO content_user_rights2groups VALUES(2, 140, 0);
INSERT INTO content_user_rights2groups VALUES(100, 140, 1);
INSERT INTO content_user_rights2groups VALUES(101, 140, 1);
INSERT INTO content_user_rights2groups VALUES(102, 140, 0);
INSERT INTO content_user_rights2groups VALUES(200, 140, 0);
INSERT INTO content_user_rights2groups VALUES(1, 141, 1);
INSERT INTO content_user_rights2groups VALUES(2, 141, 0);
INSERT INTO content_user_rights2groups VALUES(100, 141, 1);
INSERT INTO content_user_rights2groups VALUES(101, 141, 1);
INSERT INTO content_user_rights2groups VALUES(102, 141, 0);
INSERT INTO content_user_rights2groups VALUES(200, 141, 0);
INSERT INTO content_user_rights2groups VALUES(1, 150, 1);
INSERT INTO content_user_rights2groups VALUES(2, 150, 0);
INSERT INTO content_user_rights2groups VALUES(100, 150, 1);
INSERT INTO content_user_rights2groups VALUES(101, 150, 1);
INSERT INTO content_user_rights2groups VALUES(102, 150, 0);
INSERT INTO content_user_rights2groups VALUES(200, 150, 0);
INSERT INTO content_user_rights2groups VALUES(1, 151, 1);
INSERT INTO content_user_rights2groups VALUES(2, 151, 0);
INSERT INTO content_user_rights2groups VALUES(100, 151, 1);
INSERT INTO content_user_rights2groups VALUES(101, 151, 1);
INSERT INTO content_user_rights2groups VALUES(102, 151, 0);
INSERT INTO content_user_rights2groups VALUES(200, 151, 0);
INSERT INTO content_user_rights2groups VALUES(1, 153, 1);
INSERT INTO content_user_rights2groups VALUES(2, 153, 0);
INSERT INTO content_user_rights2groups VALUES(100, 153, 1);
INSERT INTO content_user_rights2groups VALUES(101, 153, 1);
INSERT INTO content_user_rights2groups VALUES(102, 153, 0);
INSERT INTO content_user_rights2groups VALUES(200, 153, 0);
INSERT INTO content_user_rights2groups VALUES(1, 152, 1);
INSERT INTO content_user_rights2groups VALUES(2, 152, 0);
INSERT INTO content_user_rights2groups VALUES(100, 152, 1);
INSERT INTO content_user_rights2groups VALUES(101, 152, 1);
INSERT INTO content_user_rights2groups VALUES(102, 152, 0);
INSERT INTO content_user_rights2groups VALUES(200, 152, 0);
INSERT INTO content_user_rights2groups VALUES(1, 154, 1);
INSERT INTO content_user_rights2groups VALUES(2, 154, 0);
INSERT INTO content_user_rights2groups VALUES(100, 154, 1);
INSERT INTO content_user_rights2groups VALUES(101, 154, 1);
INSERT INTO content_user_rights2groups VALUES(102, 154, 0);
INSERT INTO content_user_rights2groups VALUES(200, 154, 0);
INSERT INTO content_user_rights2groups VALUES(1, 156, 1);
INSERT INTO content_user_rights2groups VALUES(2, 156, 0);
INSERT INTO content_user_rights2groups VALUES(100, 156, 1);
INSERT INTO content_user_rights2groups VALUES(101, 156, 1);
INSERT INTO content_user_rights2groups VALUES(102, 156, 0);
INSERT INTO content_user_rights2groups VALUES(200, 156, 0);
INSERT INTO content_user_rights2groups VALUES(1, 155, 1);
INSERT INTO content_user_rights2groups VALUES(2, 155, 0);
INSERT INTO content_user_rights2groups VALUES(100, 155, 1);
INSERT INTO content_user_rights2groups VALUES(101, 155, 1);
INSERT INTO content_user_rights2groups VALUES(102, 155, 0);
INSERT INTO content_user_rights2groups VALUES(200, 155, 0);
INSERT INTO content_user_rights2groups VALUES(1, 160, 1);
INSERT INTO content_user_rights2groups VALUES(2, 160, 0);
INSERT INTO content_user_rights2groups VALUES(100, 160, 1);
INSERT INTO content_user_rights2groups VALUES(101, 160, 1);
INSERT INTO content_user_rights2groups VALUES(102, 160, 0);
INSERT INTO content_user_rights2groups VALUES(200, 160, 0);
INSERT INTO content_user_rights2groups VALUES(1, 161, 1);
INSERT INTO content_user_rights2groups VALUES(2, 161, 0);
INSERT INTO content_user_rights2groups VALUES(100, 161, 1);
INSERT INTO content_user_rights2groups VALUES(101, 161, 1);
INSERT INTO content_user_rights2groups VALUES(102, 161, 0);
INSERT INTO content_user_rights2groups VALUES(200, 161, 0);
INSERT INTO content_user_rights2groups VALUES(1, 168, 1);
INSERT INTO content_user_rights2groups VALUES(2, 168, 0);
INSERT INTO content_user_rights2groups VALUES(100, 168, 1);
INSERT INTO content_user_rights2groups VALUES(101, 168, 1);
INSERT INTO content_user_rights2groups VALUES(102, 168, 0);
INSERT INTO content_user_rights2groups VALUES(200, 168, 0);
INSERT INTO content_user_rights2groups VALUES(1, 167, 1);
INSERT INTO content_user_rights2groups VALUES(2, 167, 0);
INSERT INTO content_user_rights2groups VALUES(100, 167, 0);
INSERT INTO content_user_rights2groups VALUES(101, 167, 0);
INSERT INTO content_user_rights2groups VALUES(102, 167, 0);
INSERT INTO content_user_rights2groups VALUES(200, 167, 0);
INSERT INTO content_user_rights2groups VALUES(1, 166, 1);
INSERT INTO content_user_rights2groups VALUES(2, 166, 0);
INSERT INTO content_user_rights2groups VALUES(100, 166, 1);
INSERT INTO content_user_rights2groups VALUES(101, 166, 0);
INSERT INTO content_user_rights2groups VALUES(102, 166, 0);
INSERT INTO content_user_rights2groups VALUES(200, 166, 0);
INSERT INTO content_user_rights2groups VALUES(1, 162, 1);
INSERT INTO content_user_rights2groups VALUES(2, 162, 0);
INSERT INTO content_user_rights2groups VALUES(100, 162, 0);
INSERT INTO content_user_rights2groups VALUES(101, 162, 0);
INSERT INTO content_user_rights2groups VALUES(102, 162, 0);
INSERT INTO content_user_rights2groups VALUES(200, 162, 0);
INSERT INTO content_user_rights2groups VALUES(1, 164, 1);
INSERT INTO content_user_rights2groups VALUES(2, 164, 0);
INSERT INTO content_user_rights2groups VALUES(100, 164, 0);
INSERT INTO content_user_rights2groups VALUES(101, 164, 0);
INSERT INTO content_user_rights2groups VALUES(102, 164, 0);
INSERT INTO content_user_rights2groups VALUES(200, 164, 0);
INSERT INTO content_user_rights2groups VALUES(1, 163, 1);
INSERT INTO content_user_rights2groups VALUES(2, 163, 0);
INSERT INTO content_user_rights2groups VALUES(100, 163, 0);
INSERT INTO content_user_rights2groups VALUES(101, 163, 0);
INSERT INTO content_user_rights2groups VALUES(102, 163, 0);
INSERT INTO content_user_rights2groups VALUES(200, 163, 0);
INSERT INTO content_user_rights2groups VALUES(1, 165, 1);
INSERT INTO content_user_rights2groups VALUES(2, 165, 0);
INSERT INTO content_user_rights2groups VALUES(100, 165, 1);
INSERT INTO content_user_rights2groups VALUES(101, 165, 1);
INSERT INTO content_user_rights2groups VALUES(102, 165, 0);
INSERT INTO content_user_rights2groups VALUES(200, 165, 0);
INSERT INTO content_user_rights2groups VALUES(1, 202, 1);
INSERT INTO content_user_rights2groups VALUES(2, 202, 0);
INSERT INTO content_user_rights2groups VALUES(100, 202, 1);
INSERT INTO content_user_rights2groups VALUES(101, 202, 1);
INSERT INTO content_user_rights2groups VALUES(102, 202, 0);
INSERT INTO content_user_rights2groups VALUES(200, 202, 0);
INSERT INTO content_user_rights2groups VALUES(1, 204, 1);
INSERT INTO content_user_rights2groups VALUES(2, 204, 0);
INSERT INTO content_user_rights2groups VALUES(100, 204, 1);
INSERT INTO content_user_rights2groups VALUES(101, 204, 1);
INSERT INTO content_user_rights2groups VALUES(102, 204, 0);
INSERT INTO content_user_rights2groups VALUES(200, 204, 0);
INSERT INTO content_user_rights2groups VALUES(1, 206, 1);
INSERT INTO content_user_rights2groups VALUES(2, 206, 0);
INSERT INTO content_user_rights2groups VALUES(100, 206, 1);
INSERT INTO content_user_rights2groups VALUES(101, 206, 1);
INSERT INTO content_user_rights2groups VALUES(102, 206, 0);
INSERT INTO content_user_rights2groups VALUES(200, 206, 0);
INSERT INTO content_user_rights2groups VALUES(1, 205, 1);
INSERT INTO content_user_rights2groups VALUES(2, 205, 0);
INSERT INTO content_user_rights2groups VALUES(100, 205, 1);
INSERT INTO content_user_rights2groups VALUES(101, 205, 1);
INSERT INTO content_user_rights2groups VALUES(102, 205, 0);
INSERT INTO content_user_rights2groups VALUES(200, 205, 0);
INSERT INTO content_user_rights2groups VALUES(1, 203, 1);
INSERT INTO content_user_rights2groups VALUES(2, 203, 0);
INSERT INTO content_user_rights2groups VALUES(100, 203, 1);
INSERT INTO content_user_rights2groups VALUES(101, 203, 1);
INSERT INTO content_user_rights2groups VALUES(102, 203, 0);
INSERT INTO content_user_rights2groups VALUES(200, 203, 0);
INSERT INTO content_user_rights2groups VALUES(1, 208, 1);
INSERT INTO content_user_rights2groups VALUES(2, 208, 0);
INSERT INTO content_user_rights2groups VALUES(100, 208, 1);
INSERT INTO content_user_rights2groups VALUES(101, 208, 1);
INSERT INTO content_user_rights2groups VALUES(102, 208, 0);
INSERT INTO content_user_rights2groups VALUES(200, 208, 0);
INSERT INTO content_user_rights2groups VALUES(1, 207, 1);
INSERT INTO content_user_rights2groups VALUES(2, 207, 0);
INSERT INTO content_user_rights2groups VALUES(100, 207, 1);
INSERT INTO content_user_rights2groups VALUES(101, 207, 1);
INSERT INTO content_user_rights2groups VALUES(102, 207, 0);
INSERT INTO content_user_rights2groups VALUES(200, 207, 0);
INSERT INTO content_user_rights2groups VALUES(1, 304, 1);
INSERT INTO content_user_rights2groups VALUES(2, 304, 0);
INSERT INTO content_user_rights2groups VALUES(100, 304, 1);
INSERT INTO content_user_rights2groups VALUES(101, 304, 1);
INSERT INTO content_user_rights2groups VALUES(102, 304, 0);
INSERT INTO content_user_rights2groups VALUES(200, 304, 0);
INSERT INTO content_user_rights2groups VALUES(1, 306, 1);
INSERT INTO content_user_rights2groups VALUES(2, 306, 0);
INSERT INTO content_user_rights2groups VALUES(100, 306, 1);
INSERT INTO content_user_rights2groups VALUES(101, 306, 1);
INSERT INTO content_user_rights2groups VALUES(102, 306, 0);
INSERT INTO content_user_rights2groups VALUES(200, 306, 0);
INSERT INTO content_user_rights2groups VALUES(1, 305, 1);
INSERT INTO content_user_rights2groups VALUES(2, 305, 0);
INSERT INTO content_user_rights2groups VALUES(100, 305, 1);
INSERT INTO content_user_rights2groups VALUES(101, 305, 1);
INSERT INTO content_user_rights2groups VALUES(102, 305, 0);
INSERT INTO content_user_rights2groups VALUES(200, 305, 0);
INSERT INTO content_user_rights2groups VALUES(1, 303, 1);
INSERT INTO content_user_rights2groups VALUES(2, 303, 0);
INSERT INTO content_user_rights2groups VALUES(100, 303, 1);
INSERT INTO content_user_rights2groups VALUES(101, 303, 1);
INSERT INTO content_user_rights2groups VALUES(102, 303, 0);
INSERT INTO content_user_rights2groups VALUES(200, 303, 0);
INSERT INTO content_user_rights2groups VALUES(1, 300, 1);
INSERT INTO content_user_rights2groups VALUES(2, 300, 0);
INSERT INTO content_user_rights2groups VALUES(100, 300, 1);
INSERT INTO content_user_rights2groups VALUES(101, 300, 1);
INSERT INTO content_user_rights2groups VALUES(102, 300, 0);
INSERT INTO content_user_rights2groups VALUES(200, 300, 0);
INSERT INTO content_user_rights2groups VALUES(1, 302, 1);
INSERT INTO content_user_rights2groups VALUES(2, 302, 0);
INSERT INTO content_user_rights2groups VALUES(100, 302, 1);
INSERT INTO content_user_rights2groups VALUES(101, 302, 1);
INSERT INTO content_user_rights2groups VALUES(102, 302, 0);
INSERT INTO content_user_rights2groups VALUES(200, 302, 0);
INSERT INTO content_user_rights2groups VALUES(1, 301, 1);
INSERT INTO content_user_rights2groups VALUES(2, 301, 0);
INSERT INTO content_user_rights2groups VALUES(100, 301, 1);
INSERT INTO content_user_rights2groups VALUES(101, 301, 1);
INSERT INTO content_user_rights2groups VALUES(102, 301, 0);
INSERT INTO content_user_rights2groups VALUES(200, 301, 0);
INSERT INTO content_user_rights2groups VALUES(1, 209, 1);
INSERT INTO content_user_rights2groups VALUES(2, 209, 0);
INSERT INTO content_user_rights2groups VALUES(100, 209, 1);
INSERT INTO content_user_rights2groups VALUES(101, 209, 1);
INSERT INTO content_user_rights2groups VALUES(102, 209, 0);
INSERT INTO content_user_rights2groups VALUES(200, 209, 0);
INSERT INTO content_user_rights2groups VALUES(1, 308, 1);
INSERT INTO content_user_rights2groups VALUES(2, 308, 0);
INSERT INTO content_user_rights2groups VALUES(100, 308, 1);
INSERT INTO content_user_rights2groups VALUES(101, 308, 1);
INSERT INTO content_user_rights2groups VALUES(102, 308, 0);
INSERT INTO content_user_rights2groups VALUES(200, 308, 0);
INSERT INTO content_user_rights2groups VALUES(1, 400, 1);
INSERT INTO content_user_rights2groups VALUES(2, 400, 0);
INSERT INTO content_user_rights2groups VALUES(100, 400, 1);
INSERT INTO content_user_rights2groups VALUES(101, 400, 1);
INSERT INTO content_user_rights2groups VALUES(102, 400, 0);
INSERT INTO content_user_rights2groups VALUES(200, 400, 0);
INSERT INTO content_user_rights2groups VALUES(1, 309, 1);
INSERT INTO content_user_rights2groups VALUES(2, 309, 0);
INSERT INTO content_user_rights2groups VALUES(100, 309, 1);
INSERT INTO content_user_rights2groups VALUES(101, 309, 1);
INSERT INTO content_user_rights2groups VALUES(102, 309, 0);
INSERT INTO content_user_rights2groups VALUES(200, 309, 0);
INSERT INTO content_user_rights2groups VALUES(1, 307, 1);
INSERT INTO content_user_rights2groups VALUES(2, 307, 0);
INSERT INTO content_user_rights2groups VALUES(100, 307, 1);
INSERT INTO content_user_rights2groups VALUES(101, 307, 1);
INSERT INTO content_user_rights2groups VALUES(102, 307, 0);
INSERT INTO content_user_rights2groups VALUES(200, 307, 0);
INSERT INTO content_user_rights2groups VALUES(1, 402, 1);
INSERT INTO content_user_rights2groups VALUES(2, 402, 0);
INSERT INTO content_user_rights2groups VALUES(100, 402, 1);
INSERT INTO content_user_rights2groups VALUES(101, 402, 1);
INSERT INTO content_user_rights2groups VALUES(102, 402, 0);
INSERT INTO content_user_rights2groups VALUES(200, 402, 0);
INSERT INTO content_user_rights2groups VALUES(1, 401, 1);
INSERT INTO content_user_rights2groups VALUES(2, 401, 0);
INSERT INTO content_user_rights2groups VALUES(100, 401, 1);
INSERT INTO content_user_rights2groups VALUES(101, 401, 1);
INSERT INTO content_user_rights2groups VALUES(102, 401, 0);
INSERT INTO content_user_rights2groups VALUES(200, 401, 0);
INSERT INTO content_user_rights2groups VALUES(1, 508, 1);
INSERT INTO content_user_rights2groups VALUES(2, 508, 0);
INSERT INTO content_user_rights2groups VALUES(100, 508, 1);
INSERT INTO content_user_rights2groups VALUES(101, 508, 1);
INSERT INTO content_user_rights2groups VALUES(102, 508, 0);
INSERT INTO content_user_rights2groups VALUES(200, 508, 0);
INSERT INTO content_user_rights2groups VALUES(1, 500, 1);
INSERT INTO content_user_rights2groups VALUES(2, 500, 0);
INSERT INTO content_user_rights2groups VALUES(100, 500, 1);
INSERT INTO content_user_rights2groups VALUES(101, 500, 1);
INSERT INTO content_user_rights2groups VALUES(102, 500, 0);
INSERT INTO content_user_rights2groups VALUES(200, 500, 0);
INSERT INTO content_user_rights2groups VALUES(1, 509, 1);
INSERT INTO content_user_rights2groups VALUES(2, 509, 0);
INSERT INTO content_user_rights2groups VALUES(100, 509, 1);
INSERT INTO content_user_rights2groups VALUES(101, 509, 1);
INSERT INTO content_user_rights2groups VALUES(102, 509, 0);
INSERT INTO content_user_rights2groups VALUES(200, 509, 0);
INSERT INTO content_user_rights2groups VALUES(1, 407, 1);
INSERT INTO content_user_rights2groups VALUES(2, 407, 0);
INSERT INTO content_user_rights2groups VALUES(100, 407, 1);
INSERT INTO content_user_rights2groups VALUES(101, 407, 1);
INSERT INTO content_user_rights2groups VALUES(102, 407, 0);
INSERT INTO content_user_rights2groups VALUES(200, 407, 0);
INSERT INTO content_user_rights2groups VALUES(1, 404, 1);
INSERT INTO content_user_rights2groups VALUES(2, 404, 0);
INSERT INTO content_user_rights2groups VALUES(100, 404, 1);
INSERT INTO content_user_rights2groups VALUES(101, 404, 1);
INSERT INTO content_user_rights2groups VALUES(102, 404, 0);
INSERT INTO content_user_rights2groups VALUES(200, 404, 0);
INSERT INTO content_user_rights2groups VALUES(1, 406, 1);
INSERT INTO content_user_rights2groups VALUES(2, 406, 0);
INSERT INTO content_user_rights2groups VALUES(100, 406, 1);
INSERT INTO content_user_rights2groups VALUES(101, 406, 1);
INSERT INTO content_user_rights2groups VALUES(102, 406, 0);
INSERT INTO content_user_rights2groups VALUES(200, 406, 0);
INSERT INTO content_user_rights2groups VALUES(1, 405, 1);
INSERT INTO content_user_rights2groups VALUES(2, 405, 0);
INSERT INTO content_user_rights2groups VALUES(100, 405, 1);
INSERT INTO content_user_rights2groups VALUES(101, 405, 1);
INSERT INTO content_user_rights2groups VALUES(102, 405, 0);
INSERT INTO content_user_rights2groups VALUES(200, 405, 0);
INSERT INTO content_user_rights2groups VALUES(1, 403, 1);
INSERT INTO content_user_rights2groups VALUES(2, 403, 0);
INSERT INTO content_user_rights2groups VALUES(100, 403, 1);
INSERT INTO content_user_rights2groups VALUES(101, 403, 1);
INSERT INTO content_user_rights2groups VALUES(102, 403, 0);
INSERT INTO content_user_rights2groups VALUES(200, 403, 0);
INSERT INTO content_user_rights2groups VALUES(1, 600, 1);
INSERT INTO content_user_rights2groups VALUES(2, 600, 0);
INSERT INTO content_user_rights2groups VALUES(100, 600, 1);
INSERT INTO content_user_rights2groups VALUES(101, 600, 1);
INSERT INTO content_user_rights2groups VALUES(102, 600, 0);
INSERT INTO content_user_rights2groups VALUES(200, 600, 0);
INSERT INTO content_user_rights2groups VALUES(1, 169, 1);
INSERT INTO content_user_rights2groups VALUES(2, 169, 0);
INSERT INTO content_user_rights2groups VALUES(100, 169, 1);
INSERT INTO content_user_rights2groups VALUES(101, 169, 1);
INSERT INTO content_user_rights2groups VALUES(102, 169, 0);
INSERT INTO content_user_rights2groups VALUES(200, 169, 0);
INSERT INTO content_user_rights2groups VALUES(1, 601, 1);
INSERT INTO content_user_rights2groups VALUES(2, 601, 0);
INSERT INTO content_user_rights2groups VALUES(100, 601, 1);
INSERT INTO content_user_rights2groups VALUES(101, 601, 1);
INSERT INTO content_user_rights2groups VALUES(102, 601, 0);
INSERT INTO content_user_rights2groups VALUES(200, 601, 0);
INSERT INTO content_user_rights2groups VALUES(1, 602, 1);
INSERT INTO content_user_rights2groups VALUES(2, 602, 1);
INSERT INTO content_user_rights2groups VALUES(100, 602, 1);
INSERT INTO content_user_rights2groups VALUES(101, 602, 1);
INSERT INTO content_user_rights2groups VALUES(102, 602, 1);
INSERT INTO content_user_rights2groups VALUES(200, 602, 1);

###########################################################

##
## Tabellenstruktur fr Tabelle 'content_user_rights2users'
##

DROP TABLE IF EXISTS content_user_rights2users;
CREATE TABLE content_user_rights2users (
  user_id int(10) NOT NULL,
  user_rights_id int(10) NOT NULL,
  `value` int(1) NOT NULL,
  PRIMARY KEY  (user_id,user_rights_id),
  KEY `value` (`value`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

##
## Daten fr Tabelle 'content_user_rights2users'
##


###########################################################

##
## Tabellenstruktur fr Tabelle 'content_user_rights_desc'
##

DROP TABLE IF EXISTS content_user_rights_desc;
CREATE TABLE content_user_rights_desc (
  rights_id varchar(10) NOT NULL,
  `language` varchar(32) NOT NULL,
  description varchar(128) NOT NULL,
  PRIMARY KEY  (rights_id,`language`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

## 
## Daten fr Tabelle 'content_user_rights_desc'
## 

## 
## Recordsets for other Tables neeeded to be updated for automatitation.
## 

INSERT INTO xomol_seo_realfakepaths VALUES('Noticias.html', 'index.php?op=content&op2=browse&cat=1214498934&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('News.html', 'index.php?op=content&op2=browse&cat=1214498934&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('Nachrichten.html', 'index.php?op=content&op2=browse&cat=1214498934&xlang=german');
