<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename: functions.php
* Location: /modules/directory/functions.php
*
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/

/*********************************************************************************************
* User Rights functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  xomol_check_directory_user_rights_specific($user, $rights_title)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users, users_rights
* Returns field user_rights FROM TABLE users
* $user 	= to check own rights use $_SESSION['user_id'] or $userid;
*         	  to check others rights pass the desired user id as string..
* $task 	= desired field value in TABLE xomol_user_rights_tasks2users
*			  if no overrided user rights then check from  TABLE xomol_user_rights_tasks2groups
*********************************************************************************************/

function xomol_check_directory_user_rights_specific($user, $rights_title){
	global $dbi;
	$rights_id = checkSomethingFromTable($table='directory_user_rights', $what='rights_id', $key='title', $keyvalue=$rights_title, $langkey='', $langkeyvalue='', $sqlanswer='');
	$user_group = check_user_group($user);
	$is_overrided = checkSomethingFromTable($table='directory_user_rights2users', $what='user_id', $key='user_id', $keyvalue=$user, $langkey='', $langkeyvalue='', $sqlanswer='');
	if($is_overrided>='2') {
		$result2 = sql_query("SELECT * FROM directory_user_rights2users WHERE user_id='".$user."' AND user_rights_id='".$rights_id."'", $dbi);
		$row2 = sql_fetch_array($result2, $dbi);
		return $row2['value'];
	} else {
		$result3 = sql_query("SELECT * FROM directory_user_rights2groups WHERE group_id='".$user_group."' AND user_rights_id='".$rights_id."'", $dbi);
		$row3 = sql_fetch_array($result3, $dbi);
		return $row3['value'];
	}
}
/*********************************************************************************************
* Function Name:  purge_directory_blocks()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Resets and reorder the Blocks on Positions order
*********************************************************************************************/
function purge_directory_blocks() {
	global $dbi, $op;
	$result = sql_query("SELECT * FROM directory_positions ORDER BY position_id", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$position_id    		= $row['position_id'];
		$result2 = sql_query("SELECT * FROM directory_blocks WHERE position_id='".$position_id."' ORDER BY view_order", $dbi);
		$i = 1;
		while($row2 = sql_fetch_array($result2, $dbi)){
			$block_id    		= $row2['block_id'];
			sql_query("UPDATE directory_blocks SET view_order='".$i."' WHERE block_id='".$block_id."'", $dbi);
			$i++;
		}
	}
}

/*********************************************************************************************
* Function Name:  directory_categories_browsing($category_parent_id,$start)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Table with stuff for the editions
* $group_id = the group_id;
*********************************************************************************************/
function directory_categories_browsing($directory_parent_id,$start, $focus){
	global $dbi, $userid, $currentlang, $op, $get_langs;
	$content .= '<table width="400" border="0" cellspacing="1" cellpadding="0">';
	if($start==''){ $colspan='8'; $colspan2='14'; } else { $colspan=$start+2; $colspan2='14';  }
	if($start=='') {
		$content .= '<tr>';

		$content .= '<td class="AdminFormTbHeader"  colspan="20">';
		$content .= CATEGORIES;
		$content .= '</td>';
		$content .= '</tr>';
	}
	$start++;
		echo '<br>';

	$result = sql_query("SELECT * FROM directory WHERE directory_parent_id='" . $directory_parent_id . "' ORDER BY view_order ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$directory_id   = $row['directory_id'];
		$directory_name = checkSomethingFromTable($table='directory_desc', $what='title', $key='directory_id', $keyvalue=$directory_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
		$view_order   = $row['view_order'];
		$status   = $row['directory_status'];

		$up='<a href="index.php?op='.$op.'&op2=admin&op3=admin_cat_order&switch=up&cat='.$directory_id.'"><img src="images/up.gif" width="16" height="16" border="0" alt="'.UP.'"></a>';

		$down='<a href="index.php?op='.$op.'&op2=admin&op3=admin_cat_order&switch=down&cat='.$directory_id.'"><img src="images/down.gif" width="16" height="16" border="0" alt="'.DOWN.'"></a>';

		if ( xomol_check_directory_user_rights_specific($userid, 'DIRECTORY_CAT_EDIT_OTHERS') == '1') {
			if($status==1) {
				$status='<a href="index.php?op='.$op.'&op2=admin&op3=statuscat&switch=0&cat='.$directory_id.'"><img src="images/green_dot.gif" width="10" height="10" border="0"></a>';
			} else {
				$status='<a href="index.php?op='.$op.'&op2=admin&op3=statuscat&switch=1&cat='.$directory_id.'"><img src="images/red_dot.gif" width="10" height="10" border="0"></a>';
			}
		} else {
			if($status==1) {
				$status='<img src="images/green_dot.gif" width="10" height="10" border="0"></a>';
			} else {
				$status='<img src="images/red_dot.gif" width="10" height="10" border="0">';
			}
		}
		// $directory_name = checkSomethingFromTable($table='directory_cat_desc', $what='title', $key='directory_id', $keyvalue=$directory_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');


		if($focus==$directory_id) {
			$rwclass = "rowActive"; $i=0;
		} else {
			if($i1=='1') { $rwclass = 'AdminFormTbRowDark'; $i1='0'; } else { $rwclass = 'AdminFormTbRowLight'; $i1++; }
		}

		$content .= '<tr class="'.$rwclass.'" onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\''.$rwclass.'\';"  >';

		$content .= '<td width="20" align="left" valign="top" nowrap>';
		$content .= draw_line($image='trans', $width='20', $height='1').'<br>';
		$content .= '<div class="textTitle">&curren;</div>';
		$content .= '</td>';

		$content .= '<td  align="left" valign="top" nowrap >';
		$content .= '<a href="index.php?op='.$op.'&op2=admin&op3=admin_cat_view&focus='.$directory_id.'&cat_parent_id='.$directory_parent_id.'" class="'.$rwclass.'">'.$directory_name.'</a>';
		$content .= '</td>';



		$content .= '<td width="18" align="center" valign="top">';

		if ( ( xomol_check_directory_user_rights_specific($userid, 'DIRECTORY_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_directory_user_rights_specific($userid, 'DIRECTORY_CAT_EDIT_OWN') == '1') )  {
			$content .= ' <a href="index.php?op=directory&op2=admin&op3=admin_cat_add&cat_parent_id='.$directory_id.'">';
			$content .= '<img src="images/b_insrow.png" width="16" height="16" border="0" alt="'.ADD_CATEGORY.'">';
			$content .= '</a>';
		}
		$content .= '</td>';

		$content .= '<td width="14" align="center" valign="top">';
		$content .= draw_line($image='trans', $width='14', $height='1').'<br>';

		if ( ( xomol_check_directory_user_rights_specific($userid, 'DIRECTORY_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_directory_user_rights_specific($userid, 'DIRECTORY_CAT_EDIT_OWN') == '1') )  {
			$content .= ' <a href="index.php?op=directory&op2=admin&op3=admin_cat_move&cat='.$directory_id.'">';
			$content .= '<img src="images/b_move.png" width="16" height="16" border="0" alt="'.MOVE_CATEGORY.'">';
			$content .= '</a>';
		}
		$content .= '</td>';

		$content .= '<td width="18" align="center" valign="top">';
		if ( ( xomol_check_directory_user_rights_specific($userid, 'DIRECTORY_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_directory_user_rights_specific($userid, 'DIRECTORY_CAT_EDIT_OWN') == '1') )  {
			$content .= $up;
		}
		$content .= '</td>';
		$content .= '<td width="18"align="center"  valign="top">';
		if ( ( xomol_check_directory_user_rights_specific($userid, 'DIRECTORY_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_directory_user_rights_specific($userid, 'DIRECTORY_CAT_EDIT_OWN') == '1') )  {
			$content .= $down;
		}
		$content .= '</td>';

		$content .= '<td width="18" align="center" valign="top">';
		if ( ( xomol_check_directory_user_rights_specific($userid, 'DIRECTORY_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_directory_user_rights_specific($userid, 'DIRECTORY_CAT_EDIT_OWN') == '1') )  {
			$content .= $status;
		}
		$content .= '</td>';

		$content .= '<td width="18" align="center" valign="top">';
		if ( ( xomol_check_directory_user_rights_specific($userid, 'DIRECTORY_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_directory_user_rights_specific($userid, 'DIRECTORY_CAT_EDIT_OWN') == '1') )  {
			$content .= '<a href="index.php?op='.$op.'&op2=admin&op3=admin_cat_edit&cat='.$directory_id.'&cat_parent_id='.$directory_parent_id.'"><img src="images/b_edit.png" width="16" height="16" border="0" alt="'.EDIT_CATEGORY.'"></a>';
		}
		$content .= '</td>';

		$content .= '<td width="18" align="center" valign="top">';
		if ( xomol_check_directory_user_rights_specific($userid, 'DIRECTORY_CAT_DEL_OTHERS') == '1') {
			$content .= '<a href="index.php?op='.$op.'&op2=admin&op3=admin_cat_del&cat='.$directory_id.'&cat_parent_id='.$directory_parent_id.'"><img src="images/b_drop.png" width="16" height="16" border="0" alt="'.DELETE_CATEGORY.'"></a>';
		}
		$content .= '</td>';

		/*************************************************************************************************
		* this is turned off, because i plan to interconnect module directories with module regions.
		* it is at the moment not implemented jet anywhere...
		$content .= '<td width="18" align="center" valign="top">';
			$content .= '<a href="index.php?op=directory&op2=admin&op3=admin_choose_locations&cat='.$directory_id.'&cat_parent_id='.$directory_parent_id.'"><img src="images/img_btn_article.gif" width="16" height="16" border="0" alt="'.LOCATE_CATEGORY.'"></a>';
		$content .= '</td>';
		**************************************************************************************************/

		$content .= '</tr>';



		if(get_directory_undercat_status0($directory_id)!='') {

			if($i2=='1') { $rwclass = 'AdminFormTbRowDark'; $i2='0'; } else { $rwclass = 'AdminFormTbRowLight'; $i2++; }
			$content .= '<tr class="'.$rwclass.'"  onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\''.$rwclass.'\';">';
			$content .= '<td width="20" align="left" valign="top"><div class="textTitle">&curren;</div></td>';
			$content .= '<td align="left" colspan="10" valign="top">';
			// $colspan = $start+1;
			//$content .= '<td align="left" colspan="'.$colspan.'" nowrap>';
			$content .= directory_categories_browsing($directory_id, $start, $focus);
			$content .= '</td>';
			$content .= '</tr>';
		/*
		*/
		}
		$content .= '<tr>';
		$content .= '<td class="AdminFormTbHeader"  width="18" align="center" colspan="16">';
		$content .= draw_line($image='black', $width='18', $height='3');
		$content .= '</td>';
		$content .= '</tr>';
	}

	$content .= '</table>';
	return $content;
}

/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename:  functions.php
* Location: /modules/directory/includes/functions.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
*********************************************************************************************/

function check_directory_user_rights_specific($userid, $what){
	global $dbi, $userid;
	$result = sql_query("SELECT user_rights from users WHERE user_id='".$userid."'", $dbi);
	$row = sql_fetch_array($result, $dbi);

	$user_rights = $row['user_rights'];

	$result = sql_query("SELECT ".$what." from directory_users_rights WHERE user_right_id='".$user_rights."'", $dbi);
	$row = sql_fetch_array($result, $dbi);
	return $row["$what"];
}



if (!function_exists("stripos")) {
  function stripos($str,$needle) {
   return strpos(strtolower($str),strtolower($needle));
  }
}

function get_directory_config_value($config_key) {
	global $dbi;
	if($result = sql_query("SELECT * FROM directory_configure WHERE config_key='".$config_key."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['config_value'];
	}
}


////////////////////////////////////////////////////////////////////
// News 3
function get_directory_frontpage_search_options($search_option) {
	if($search_option=='direct') { $search_option_direct_checked = ' checked'; }
	if($search_option=='latest') { $search_option_latest_checked = ' checked'; }
	if($search_option=='directory_listing') { $search_option_directory_listing_checked = ' checked'; }

	echo '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
	echo '<tr>';
	echo '<td>';

	echo '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
	echo '<tr>';
	echo '<td width="120">Direct ArticleID Imput</td>';
	echo '<td><input name="directory_id" type="text" value="'.$directory_id.'" size="20" maxlength="256" /></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td>Latest</td>';
	echo '<td><input name="search_option" type="radio" value="latest"'.$search_option_latest_checked.'></td>';
	echo '</tr>';

	echo '</table>';

	echo '</td>';
	echo '<td><input type="submit" name="Submit" value="Submit"></td>';

	echo '</tr>';
	echo '</table>';
	echo '</form>';

}
function get_directory_frontpage_latest_news() {
	global $dbi, $currentlang, $userid;
	$viewer_group = checkSomethingFromTable($table='users', $what='user_group', $key='user_id', $keyvalue=$userid, $langkey='', $langkeyvalue='', $sqlanswer='');
	$max_search_results = get_directory_config_value($config_key='MAX_SRCH_RES');
	$view_mod = get_directory_config_value($config_key='CONT_VIEW_MOD');
	echo '<form name="form1" method="post" action="index.php?op=directory&op2=admin&op3=admin_frontpages_insert">';
	echo '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
	echo '<tr class="horizNavBar12">';
	echo '<td width="100" align="left" valign="top">'.AUTHOR.'</td>';
	echo '<td align="left" valign="top">'.LISTING_MAX_SRCH_RES.': '.$max_search_results.'</td>';
	echo '<td width="10" align="left" valign="top"></td>';
	echo '</tr>';
	echo '<tr class="horizNavBar12">';
	echo '<td width="100" align="left" valign="top">'.CREATED.'</td>';
	echo '<td align="left" valign="top">'.ARTICLE_TITLE.'</td>';
	echo '<td width="10" align="left" valign="top"></td>';
	echo '</tr>';

		$result = sql_query("  SELECT * FROM directory_art WHERE directory_status='1' AND language='".$currentlang."' AND (viewer_group='$viewer_group' OR viewer_group='0') ORDER BY creation DESC ", $dbi);
		$i=1;
		while($row = sql_fetch_array($result, $dbi)){

			$_directory_id   			= $row['directory_id'];
			$directory_id   		= $row['directory_id'];
			$directory_status   		= $row['directory_status'];
			$creation   			= $row['creation'];
			$author_id   			= $row['author_id'];
			$article_language		= $row['language'];

			/*
			$directory_title   		= $row['directory_title'];
			$directory_description_1	= $row['directory_description_1'];
			$directory_description_2	= $row['directory_description_2'];
			*/

			$author_name = checkSomethingFromTable($table='users', $what='user_firstname', $key='user_id', $keyvalue=$author_id, $langkey='', $langkeyvalue='', $sqlanswer='');
			$author_name .= ' '.checkSomethingFromTable($table='users', $what='user_lastname', $key='user_id', $keyvalue=$author_id, $langkey='', $langkeyvalue='', $sqlanswer='');
			$directory_title = checkSomethingFromTable($table='directory_art_desc', $what='title', 				$key='directory_id', $keyvalue=$directory_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
			$directory_description_1 = checkSomethingFromTable($table='directory_art_desc', $what='directory_description_1', $key='directory_id', $keyvalue=$directory_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
			$directory_description_2 = checkSomethingFromTable($table='directory_art_desc', $what='directory_description_2', $key='directory_id', $keyvalue=$directory_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');

			// limit function not working on qry? workaround with $max_search_results.
			if($i<=$max_search_results) {
				echo '<tr>';
				echo '<td width="120"  align="left" valign="top">aaa'.$i.' '.$max_search_results.' '.$creation.'<br>'.$author_name.'</td>';
				echo '<td width="10" align="left" valign="top">'.$directory_id.'<input name="_directory_id" type="radio" value="'.$_directory_id.'"></td>';
				echo '<td align="left" valign="top"><a href="index.php?op=directory&op2=view_details&art='.$_directory_id.'" class="horizNavBar12">'.$directory_title.'</a><br>'.$directory_description_1.'</td>';
				echo '</tr>';
			}
			$i++;
		}
			echo '<tr>';
			echo '<td width="120"  align="left" valign="top"></td>';
			echo '<td><input type="submit" name="Submit" value="Submit"></td>';
			echo '<td align="left" valign="top"></td>';
			echo '</tr>';

		echo '</table>';
		echo '</form>';
}
function get_directory_latest_news() {
	global $dbi, $currentlang, $userid;
	$viewer_group = checkSomethingFromTable($table='users', $what='user_group', $key='user_id', $keyvalue=$userid, $langkey='', $langkeyvalue='', $sqlanswer='');
	echo '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
	echo '<tr class="horizNavBar12">';
	echo '<td width="100" align="left" valign="top">'.CREATED.'</td>';
	echo '<td width="10" align="left" valign="top"></td>';
	echo '<td align="left" valign="top">'.ARTICLE_TITLE.'</td>';
	echo '<td width="100" align="left" valign="top">'.AUTHOR.'</td>';
	echo '</tr>';

	$max_search_results = get_directory_config_value($config_key='MAX_SRCH_RES');
	$view_mod = get_directory_config_value($config_key='CONT_VIEW_MOD');
		$result = sql_query("  SELECT * FROM directory_art WHERE directory_status='1' AND language='".$currentlang."' AND (viewer_group='$viewer_group' OR viewer_group='0') ORDER BY creation DESC ", $dbi);
		$i=1;
		while($row = sql_fetch_array($result, $dbi)){

			$_directory_id   			= $row['directory_id'];
			$directory_id   		= $row['directory_id'];
			$directory_status   		= $row['directory_status'];
			$creation   			= $row['creation'];
			$author_id   			= $row['author_id'];

			$author_name = checkSomethingFromTable($table='users', $what='user_firstname', $key='user_id', $keyvalue=$author_id, $langkey='', $langkeyvalue='', $sqlanswer='');
			$author_name .= ' '.checkSomethingFromTable($table='users', $what='user_lastname', $key='user_id', $keyvalue=$author_id, $langkey='', $langkeyvalue='', $sqlanswer='');
			$directory_title = checkSomethingFromTable($table='directory_art_desc', $what='title', 				$key='directory_id', $keyvalue=$directory_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
			$directory_description_1 = checkSomethingFromTable($table='directory_art_desc', $what='directory_description_1', $key='directory_id', $keyvalue=$directory_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
			$directory_description_2 = checkSomethingFromTable($table='directory_art_desc', $what='directory_description_2', $key='directory_id', $keyvalue=$directory_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');

			// limit function not working? workaround.
			if($i<=$max_search_results) {
				echo '<tr>';
				echo '<td width="120"  align="left" valign="top">'.$i.' '.$max_search_results.' '.$creation.'</td>';
				echo '<td width="10" align="left" valign="top"><input name="directory_id" type="radio" value="'.$_directory_id.'"></td>';
				echo '<td align="left" valign="top"><a href="index.php?op=directory&op2=view_details&art='.$_directory_id.'" class="horizNavBar12">'.$directory_title.'</a><br>'.$directory_description_1.'</td>';
				echo '<td width="100" align="left" valign="top">'.$author_name.'</td>';
				echo '</tr>';
			}
			$i++;
		}
		echo '</table>';

}

function get_directory_owner($directory_id) {
	global $dbi;
	if($result = sql_query("SELECT author_id FROM directory_art WHERE directory_id='".$directory_id."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['author_id'];
	}
}
function get_directory_parent_cat($directory_id) {
	global $dbi;
	if($result = sql_query("SELECT * FROM directory WHERE directory_id='".$directory_id."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['directory_parent_id'];
	}
}

function get_directory_cat_name($directory_id) {
	// global $dbi, $currentlang;
	global $dbi, $currentlang;
	$result = sql_query("SELECT title FROM directory_desc WHERE directory_id='".$directory_id."' AND language='".$currentlang."'", $dbi);
	$row = sql_fetch_array($result, $dbi);

	return	$row['title'];
}
function get_directory_all_upper_cats($directory_id) {
	$content .= get_directory_parent_cat($directory_id).' ';
	if(get_directory_parent_cat($directory_id)!='') {
		$content .= get_directory_all_upper_cats(get_directory_parent_cat($directory_id)).' ';
	}
	// $content = strrev($content);
	return $content;
}
function directory_navigation($directory_id, $directory_id)  {
	if(isset($directory_id)){
		$cat_id = checkSomethingFromTable($table='directory_art', $what='directory_id', $key='directory_id', $keyvalue=$directory_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
		$content = get_directory_all_upper_cats($cat_id);
	} elseif(isset($directory_id)) {
		$content = get_directory_all_upper_cats($directory_id);
		// $cat_id = $directory_id;
	}
	$content = $cat_id.' '.$content;
	$content = rtrim($content);
	$content = split(' ', $content);
	$content = array_reverse($content);
	for($i=0; $i<count($content); $i++){
		if($content[$i]=='0') {
			$contents .= '<a href="index.php" class="bgBody">Home</a>  ';
		}
		$contents .= '<a href="index.php?op=directory&op2=browse&cat='.$cat_id.'" class="bgBody">'.get_directory_cat_name($directory_id=$content[$i]).'</a> | ';
	}
	return $contents;
}


function prepare_update_directory_undercats($directory_id, $country, $directories){
	global $dbi;
	// $result = sql_query("SELECT directory_id FROM directory WHERE directory_parent_id='".$directory_id."' AND directory_countries='".$country."' AND directory_parent_id!='0' AND directory_status='1' ", $dbi);
	$result = sql_query("SELECT directory_id FROM directory WHERE directory_parent_id='".$directory_id."' AND directory_parent_id!='0' AND directory_status='1' ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$reg_id   = $row['directory_id'];
		$directories .= $reg_id.' ';
		$_SESSION['directory']= $_SESSION['directory'].' '.$reg_id;
		// echo '$----------: '.$directories.'<br>';
		prepare_update_directory_undercats($reg_id,$country, $directories);
	}
	return $directories;
}

function get_directory_undercat_status0($directory_id){
	global $dbi, $currentlang;
	$result = sql_query("SELECT directory_id FROM directory WHERE directory_parent_id='".$directory_id."' AND directory_parent_id!='0'  ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['directory_id'];
		$content .= ''.$cat_id.',';
	}
	return $content;
}
function get_directory_undercat($directory_id){
	global $dbi, $currentlang;
	$result = sql_query("SELECT directory_id FROM directory WHERE directory_parent_id='".$directory_id."' AND directory_parent_id!='0' AND directory_status='1' ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['directory_id'];
		$content .= ''.$cat_id.',';
	}
	return $content;
}
function get_directory_underarts($directory_id){
	global $dbi, $currentlang;
	$result = sql_query("SELECT directory_id FROM directory_art WHERE directory_id='".$directory_id."'  ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$art_id   = $row['directory_id'];
		$content .= ' '.$art_id.',';
	}
	return $content;
}

/*********************************************************************************************
* Function Name:  directory_categories_dropdown_menu($name, $directory_id, $expected, $space, $start)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Drop Down menu list of the given irectory_id.
* $name			= the name of the INPUT field to be generated ($_POST[$name])
* $directory_id	= the id of the irectory
* $cat_exp		= the id of the selected irectory
* $space		= leave blank -this makes spaces on options
* $start		= leave blank -this is the counter...
*********************************************************************************************/
function directory_categories_dropdown_menu($name, $directory_id, $expected, $space, $start) {
	global $dbi, $userid;
	$start++;
	if($start=='1') {
		$content = '<select name="'.$name.'" >';
		$content .= '<option value="0" '.$selected.'>'.ROOT_CATEGORY.'</option>';
	}
	$space .= '&nbsp;&nbsp;&nbsp;';
	$result = sql_query("SELECT * FROM directory WHERE  directory_parent_id='".$directory_id."'", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['directory_id'];
		if($cat_id==$expected) { $selected = ' selected'; } else { $selected = ' '; }
		$content .= '<option value="'.$cat_id.'" '.$selected.'>'.$space.' '.get_directory_cat_name($cat_id).'</option>';
		if(get_directory_undercat($cat_id)!='') {
			$start++;
			$content .= directory_categories_dropdown_menu($name, $cat_id, $expected, $space, $start);
		}
	}
	if($start=='1') { $content .= '</select>'; }
	return $content;
}



function directory_dropdown_menu($directory_id, $cat_exp){
	global $dbi, $directory_id;
	$result = sql_query("SELECT * FROM directory WHERE  directory_parent_id='".$directory_id."'", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['directory_id'];
		if( get_directory_parent_cat($cat_id) =='0') {
			$space = '';
		}
		if( get_directory_parent_cat(get_directory_parent_cat($cat_id)) =='0') {
			$space = '&nbsp;&nbsp;';
		}
		if( get_directory_parent_cat(get_directory_parent_cat(get_directory_parent_cat($cat_id))) =='0') {
			$space = '&nbsp;&nbsp;&nbsp;&nbsp;';
		}
		if( get_directory_parent_cat(get_directory_parent_cat(get_directory_parent_cat(get_directory_parent_cat($cat_id)))) =='0') {
			$space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
		}
		if( get_directory_parent_cat(get_directory_parent_cat(get_directory_parent_cat(get_directory_parent_cat(get_directory_parent_cat($cat_id))))) =='0') {
			$space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
		}
		if( get_directory_parent_cat(get_directory_parent_cat(get_directory_parent_cat(get_directory_parent_cat(get_directory_parent_cat(get_directory_parent_cat($cat_id)))))) =='0') {
			$space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
		}

		if($cat_id==$cat_exp) {
			$selected = ' selected';
		} else {
			$selected = ' ';
		}

		$content .= '<option value="'.$cat_id.'" '.$selected.'>'.$space.get_directory_cat_name($cat_id).'</option>';
		$i++;
		$category = directory_dropdown_menu($cat_id, $cat_exp);
		if(isset($category)){
			$content .= $category;
		}
	}
	return $content;
}

/*////////////////////////////////////////////////////////////////////////////////
* Funciton check_directory_user_rights_specific($userid, $what);
* Autor: David Guttmann
* Returns field user_rights FROM TABLE users
* $userid 	= to check own rights use $_SESSION['user_id'] or $userid;
*         	  to check others rights pass the desired user id as string..
* $what 	= desired field value in TABLE users_rights
*/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
// POSITIONS STUFF
/////////////////////////////////////////////////////////////////////////////
// under development
function get_directory_blocks($position_id) {
	global $dbi;
	$result = sql_query("SELECT * FROM directory_blocks WHERE position_id='".$position_id."' AND block_status='1'  ORDER BY view_order ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$block_id   	= $row['block_id'];
		$module_name   	= $row['module_name'];
		$block_title   	= $row['block_title'];
		$block_status   = $row['block_status'];

		// echo 'block_title: block-'.$block_title.'.php<br>';
		if (is_file('modules/directory/blocks/block-'.$block_title.'.php')) {
			include('modules/directory/blocks/block-'.$block_title.'.php');
		}
		echo '<br>';
	}
	echo '<br>';
}
function directory_menu1($directory_id, $space){
	global $dbi;
	$result = sql_query("SELECT * FROM directory WHERE  directory_parent_id='".$directory_id."'  ORDER BY view_order ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['directory_id'];
		$i=0;
		$n=$space;
		while($i<$n) {
			// $content .= '&nbsp;&nbsp;';
			$content .= '..';
			$i++;
		}
		$content .= $cat_id.'<br>';
		if(get_directory_undercat($directory_id=$cat_id)!='') {
			$space++;
			$content .= directory_menu1($cat_id, $space);
		}
	}
	return $content;
}
function directory_menu2($directory_id){
	global $dbi, $currentlang;
	$content = '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
	$result = sql_query("SELECT * FROM directory WHERE  directory_parent_id='".$directory_id."' AND directory_status='1'  ORDER BY view_order ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['directory_id'];
		$title 			= checkSomethingFromTable($table='directory_desc', $what='title', $key='directory_id', $keyvalue=$cat_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
		$description 	= checkSomethingFromTable($table='directory_desc', $what='description', $key='directory_id', $keyvalue=$cat_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
		$content .= '<tr bgcolor="#fffccc">';
		$content .= '<td width="10" align="left"></td>';
		$content .= '<td align="left" class="textTitle14">';
		$content .= '<a href="index.php?op=directory&op2=browse&cat='.$cat_id.'" class="horizNavBar10">'.$title.'</a>';
		$content .= '</td>';
		$content .= '</tr>';
		if(get_directory_undercat($directory_id=$cat_id)!='') {
			$space++;
			$content .= '<tr bgcolor="#e5e5e5">';
			$content .= '<td width="10" align="left"></td>';
			$content .= '<td align="left">';
			$content .= directory_menu2($cat_id, $space);
			$content .= '</td>';
			$content .= '</tr>';
		}
	}
	$content .= '</table>';
	return $content;
}

function directory_metatags_string($directory_id)  {
	global $op;
	$content = $directory_id.' ';
	$content .= get_directory_all_upper_cats($directory_id);
	$content = split(' ', $content);
	$content = array_reverse($content);
	$content = array_unique($content);
	foreach($content AS $key => $val) {
		if($val>='1'){
			$contents .= ' | '.get_directory_cat_name($val);
		}
	}
	return $contents;
}


function groups_and_users_directory($group_id, $start){
	global $dbi, $userid, $op, $theme;
	$content = '<table width="600" border="0" cellspacing="0" cellpadding="0">';
	if($start=='') {
		$content .= '<tr>';
		$content .= '<td class="AdminFormTbHeader" colspan="6">'.GROUP.'</td>';
		$content .= '<tr>';
		$start++;
	}
	$result = sql_query("SELECT * FROM user_groups WHERE  group_parent_id='".$group_id."' ORDER BY group_title ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$_group_id   = $row['group_id'];
		$group_parent_id   = $row['group_parent_id'];
		$group_title   = $row['group_title'];
		$group_status   = $row['group_status'];
		$group_deletable   = $row['group_deletable'];

		$content .= '<tr class="AdminFormTbRowLight" onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\'AdminFormTbRowLight\';" >';
		$content .= '<td width="10" align="left" valign="top"><img src="themes/'.$theme.'/images/arrow_icon.gif" border="0" ></td>';
		$content .= '<td width="80" align="left" valign="top" ><div class="textTitle">'.$group_title.'<div></td>';
		$content .= '<td align="right">';
		// edit group
		$result2 = sql_query("SELECT * FROM users WHERE user_group='".$_group_id."' ORDER BY user_group, user_firstname, user_lastname, user_company ASC", $dbi);
		while($row2 = sql_fetch_array($result2, $dbi)){
			$_user_id   	= $row2['user_id'];
			$user_firstname = $row2['user_firstname'];
			$user_lastname  = $row2['user_lastname'];
			$user_company   = $row2['user_company'];
			$user_city    	= $row2['user_city'];
			$user_state    	= $row2['user_state'];
			$user_country   = $row2['user_country'];
			$user_group    	= $row2['user_group'];
			$status    		= $row2['user_status'];

			$content .= '<table width="450" border="0" cellspacing="0" cellpadding="0">';
			$content .= '<tr onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\'AdminFormTbRowLight\';" >';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$content .= $user_company;
			$content .= '</td>';
			$content .= '<td width="16" valign="top" align="left" nowrap>';
			$is_overrided = checkSomethingFromTable($table='content_user_rights2users', $what='user_id', $key='user_id', $keyvalue=$_user_id, $langkey='', $langkeyvalue='', $sqlanswer='');

			// Allow edition for subusers
			$ok=0;
			if (xomol_check_directory_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_directory_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($_user_id!=$userid) ) {
				if($is_overrided>'1') {
					$content .= '<a href="index.php?op='.$op.'&op2=admin&op3=user_rights_override&user='.$_user_id.'"><img src="images/b_edit_rights1.png" width="16" height="16" border="0" alt="'.EDIT_USER.'"></a>';
				} else {
					$content .= '<a href="index.php?op='.$op.'&op2=admin&op3=user_rights_override&user='.$_user_id.'"><img src="images/b_edit_rights2.png" width="16" height="16" border="0" alt="'.EDIT_USER.'"></a>';
				}
			}
			$content .= '</td>';
			$content .= '<td width="16" valign="top" align="center" nowrap>';
			$ok=0;
			if (xomol_check_directory_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_directory_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if($ok==1) {
				$content .= '<a href="index.php?op=admin&op2=admin_users_viewdet&user='.$_user_id.'" class="AdminFormRsTitle" target="viewdet"><img src="themes/'.$theme.'/images/information.gif" border="0" alt="'.EDIT_USER.'"></a>';
			}
			$content .= '</td>';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$content .= '<div class="textTitle">'.$user_firstname.' '.$user_lastname.'</div>';
			$content .= '</td>';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$user_city = checkSomethingFromTable($table='geo_cities', $what='place', $key='city_id', $keyvalue=$user_city, $langkey='', $langkeyvalue='', $sqlanswer='');
			$user_state = checkSomethingFromTable($table='geo_states', $what='state_code', $key='state_id', $keyvalue=$user_state, $langkey='', $langkeyvalue='', $sqlanswer='');
			$user_country = checkSomethingFromTable($table='geo_countries', $what='countries_name', $key='countries_id', $keyvalue=$user_country, $langkey='', $langkeyvalue='', $sqlanswer='');
			$content .= $user_city.',<br>'.$user_state.'/'.$user_country;
			$content .= '</td>';
			$content .= '<td width="20" valign="top" align="center" nowrap>';

			$ok=0;
			if (xomol_check_directory_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($_user_id, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_directory_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($_user_id!=$userid) ) {
				if($status==1) {
					$status='<a href="index.php?op='.$op.'&op2=admin&op3=statusu&switch=0&user='.$_user_id.'">
								<img src="images/green_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS2.'"></a>';
				} else {
					$status='<a href="index.php?op='.$op.'&op2=admin&op3=statusu&switch=1&user='.$_user_id.'">
								<img src="images/red_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS1.'"></a>';
					}
			} else {
				if($status==1) {
					$status='<img src="images/green_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS2.'">';
				} else {
					$status='<img src="images/red_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS1.'">';
				}
			}
			$content .= $status;
			$content .= '</td>';
			$content .= '</tr>';
			$content .= '<tr  >';
			$content .= '<td height="1" colspan="6">';
			$content .= draw_line($image='black', $width='100%', $height='1');
			$content .= '</td>';
			$content .= '<tr>';
			$content .= '</table>';
		}
		$content .= '</td>';
		$content .= '</tr>';

			$content .= '<tr  >';
			$content .= '<td height="1" colspan="3">';
			$content .= draw_line($image='black', $width='100%', $height='1');
			$content .= '</td>';
			$content .= '<tr>';
		if(get_subgroups($_group_id)!='') {

			$content .= '<tr class="AdminFormTbRowLight">';
			$content .= '<td width="10" align="left" valign="top">&nbsp;</td>';
			$content .= '<td align="left" colspan="4" valign="top">';
			$content .= groups_and_users_directory($_group_id, $start);
			$content .= '</td>';
			$content .= '</tr>';
		}
	}
	$content .= '</table>';
	return $content;
}
/*********************************************************************************************
* Function Name:  get_directory_category_metas($directory_id, $what)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* browse.php has own header meta-tags settings.
* $what = 'title'		returns the meta-tag title
* $what = 'keywords'	returns the meta-tag keywords
* $what = 'description'	returns the meta-tag description
*********************************************************************************************/
function get_directory_category_metas($directory_id, $what) {
	global $dbi, $currentlang;
	$result = sql_query("SELECT * FROM directory_desc WHERE directory_id='" . $directory_id . "' AND language='" . $currentlang . "'", $dbi);
	if($row = sql_fetch_array($result, $dbi)){
		$meta_title   = $row['meta_title'];
		$meta_keywords   = $row['meta_keywords'];
		$meta_description   = $row['meta_description'];
	}
	if($what=='title') { return $meta_title; }
	if($what=='keywords') { return $meta_keywords; }
	if($what=='description') { return $meta_description; }
}


/*********************************************************************************************
* Function Name:  get_user_directories($user)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
*********************************************************************************************/
function get_user_directories($user) {
	global $dbi, $currentlang;
	$result = sql_query("SELECT * FROM directory_2_users WHERE  user_id='".$user."' ORDER BY view_order ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$directory_id   = $row['directory_id'];
		$directory_ids .= ' '.$directory_id;
		// echo '$directory_id: '.$directory_id.'<br>';
		$i++;
	}
	return $directory_ids;
}

/*********************************************************************************************
* Function Name:  build_directories_fields($category_id_expected, $user)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
*********************************************************************************************/
function build_directories_fields($category_id_expected, $user){
	global $dbi, $currentlang;
	$user_directories= split(' ',get_user_directories($user));

	$content = '<table width="100%" border="0" cellspacing="0" cellpadding="0">';

	$result = sql_query("SELECT * FROM directory WHERE  directory_parent_id='".$category_id_expected."' AND directory_status='1'   AND secondary_menu='0' ORDER BY view_order ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['directory_id'];
		$title 			= checkSomethingFromTable($table='directory_desc', $what='title', $key='directory_id', $keyvalue=$cat_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
		$description 	= checkSomethingFromTable($table='directory_desc', $what='description', $key='directory_id', $keyvalue=$cat_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
		if (in_array($cat_id, $user_directories)) {
			// echo "1000010000 gefunden<br>";
			$checked='checked';
		} else {
			$checked='';
		}
		if( ($category_id_expected=='') ) {
			if($i2>='1') { $rwclass = "AdminFormTbRowLight"; $i2=0; } else { $rwclass = "AdminFormTbRowDark"; $i2++; }
		} else {
			if($i>='1') { $rwclass = "AdminFormTbRowLight"; $i=0; } else { $rwclass = "AdminFormTbRowDark"; $i++; }
		}
		$content .= '<tr class="'.$rwclass.'">';
		$content .= '<td width="10" align="left"></td>';
		$content .= '<td height="15" align="left"  class="'.$rwclass.'" onmouseover="className=\'rowover\';" onmouseout="className=\''.$rwclass.'\';">';
		$content .= '<input name="directories_array[]" type="checkbox" value="'.$cat_id.'"  '.$checked.'>';

		$content .= '<a href="index.php?op=directory&op2=browse&cat='.$cat_id.'" class="'.$rwclass.'" target="debug">'.$title.'</a>';
		$content .= '</td>';
		$content .= '</tr>';
		if(get_directory_undercat($directory_id=$cat_id)!='') {
			$space++;
			// if($i2>='1') { $rwclass = "AdminFormTbRowLight"; $i2=0; } else { $rwclass = "AdminFormTbRowDark"; $i2++; }
			if( ($category_id_expected!='') ) {
				if($i2>='1') { $rwclass = "AdminFormTbRowLight"; $i2=0; } else { $rwclass = "AdminFormTbRowDark"; $i2++; }
			} else {
				if($i>='1') { $rwclass = "AdminFormTbRowLight"; $i=0; } else { $rwclass = "AdminFormTbRowDark"; $i++; }
			}

			$content .= '<tr >';
			$content .= '<td width="10" align="left"></td>';
			$content .= '<td align="left" class="'.$rwclass.'">';
			$content .= build_directories_fields($cat_id, $user);
			$content .= '</td>';
			$content .= '</tr>';
		}
	}
	$content .= '</table>';
	return $content;
}

?>