<?php
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename: lang-mexican.php
* Location: /modules/directory/languages/lang-mexican.php
*
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*
*
* MEXICAN FILE
*
* This is the language module with all the system messages
*
* If you made a translation, please go to the site and send to me
* the translated file. Please keep the original text order by modules,
* and just one message per line, also double check your translation!
*
* You need to change the second quoted phrase, not the capital one!
*
* If you need to use double quotes (") remember to add a backslash (\),
* so your entry will look like: This is \"double quoted\" text.
* And, if you use HTML code, please double check it.
*
*********************************************************************************************/

define("ADD_CATEGORY", "Nueva Categoria");
define("ADD_DIRECTORIES", "Adeherir directorios");
define("ADD_FRONTPAGE", "Nueva Frontpage");
define("ADD_USER_DATA", "Adeherir data");
define("ALL_LANG_ONE_ARTID", "All Languages on single Article ID");
define("ALL_LANG_SEPARETED_ARTID", "Languages on separeted Article ID");
define("ALL_LANGUAGES", "Todas las lenguas");
define("ARTICLE_DESC_1", "Descripcion 1");
define("ARTICLE_DESC_2", "Descripcion 2");
define("ARTICLE_NAME", "Artikel name");
define("ARTICLE_TITLE", "Titulo");
define("AT", "en");
define("AUTHOR", "Autor");

define("BY", "de");
define("BY_CITY_ASC", "por ciudad orden acendente");
define("BY_CITY_DESC", "por ciudad orden decendiente");
define("BY_COMPANY_NAME_ASC", "por compaia orden acendente");
define("BY_COMPANY_NAME_DESC", "por compaia orden decendiente");
define("BY_STATE_ASC", "por estado orden acendente");
define("BY_STATE_DESC", "por estado orden decendiente");
define("BY_ZIP_ASC", "por cogigo postal (zip) orden acendente");
define("BY_ZIP_DESC", "por cogigo postal (zip) orden decendiente");

define("CATEGORY", "Categoria");
define("CATEGORIES_ARTICLES", "Categorias y articulos");
define("CHECK_ALL_AVAILABLE_CITIES", "Escoger todas las ciudades disponibles");
define("CONT_ART_ADD", "Artikel hinzufgen");
define("CONT_ART_DELETE_ALL", "Borrar todos los Articulos");
define("CONT_ART_DELETE_OWN", "Borrar Articulos propios");
define("CONT_ART_EDIT_ALL", "Editar todos los Articulos");
define("CONT_ART_EDIT_OWN", "Editar Articulos propios");
define("CONT_CAT_ADD", "Adeherir Categorias");
define("CONT_CAT_DELETE", "Borrar Categorias");
define("CONT_CAT_EDIT", "Editar Categorias");
define("CONT_EDIT_POSITIONS", "Editar posiciones");
define("CONT_EDIT_USERS_RIGHTS", "Editar derechos");
define("CHOOSE_CATEGORY", "Whle eine Kategorie");
define("CHOOSE_CITIES", "Escoge un(as) ciudad(es).");
define("CHOOSE_COUNTRIES", "Escoge un(os) pais(es)");
define("CHOOSE_COUNTRY", "Escoge un pais");
define("CHOOSE_STATES", "Escoge un estado");
define("CHOOSEN_DIRECTORIES", "Directorios escogidos");
define("CREATED", "Creada");
define("CREATED_BY", "Erstellt bei");
define("CREATED_ON", "Creada el");
define("CREATION_DATE", "Erstellt Date");
define("CURRENT_WEBSITE", "Pagina actual");

define("DIRECTORY", "Directorio");

define("EDIT_THIS_IMAGE", "Editar imagen...");
define("EMAIL_NOT_RIGHT", "Email ist falsch...");

define("FIRST_CHOOSE_VIEWER_GROUP", "1. Escoge el grupo de usuaro");
define("FOR_ALL_GROUPS", "En todos los Grupos");
define("FOR_ANONIMUS", "En Grupo Anonimo");
define("FORUSER", "para el usuario");
define("FP_CAT_LISTS", "FP Kat-Listen");
define("FP_DEFAULT", "Default");
define("FPC_ORDER", "Anordnung");
define("FRONTPAGE_DESIRED", "Gewnschte Frontpage");
define("FRONTPAGES", "Frontpages");

define("GET_ALL_STATES", "Tomar todos los estados");
define("GETALLLANG", "Todos los articulos en todos los lenguajes");
define("GETCURRENTLANG", "Articulos en el lenguaje actual");

define("HEIGHT", "alto");

define("IMAGE", "Imagen");
define("IMAGE_MY_DIRECTORY", "Imagen utilizada en el directorio");
define("IMAGE_MY_HEADER", "Imagen utilizada como cabezal de mi pagina Web interna");
define("IMAGE_SHOULD_BE", "Tamao de la imagen");
define("INSERT_ART_NR", "Insertando numero de articulo.");
define("INSERT_LATEST_ART", "Ultimas noticias");
define("S_ACTIVE", "Is active");
define("S_DEFAULT", "Is default");
define("S_RANDOM", "Is random");

define("LANGUAGE2PUBLISH", "Lenguaje");
define("LISTING_MAX_SRCH_RES", "Maximo resultados de busqueda");
define("LOGOS_AND_STUFF", "Logotipos e imagenes");

define("MANAGE_DIRECTORY", "Directorio -Administracion-");
define("MY_ACCOUNT_ADD_DIRECTORIES", "Adeherir o eleiminar directorios");
define("MY_ACCOUNT_USER_DATA_ADD", "Adeherir datos personales");
define("MY_ACCOUNT_USER_DATA_EDIT", "Editar mis datos");

define("NEW_WEBSITE","Nueva Website");
define("NO", "nein");
define("NO_DATA_YET", "No existen datos registrados!");
define("NO_DIRECTORY_COOSEN_YET", "No has definido tus directorios todavia, hazlo ahora!");
define("NOT_MEMBER_YET", "No te has registrado todavia? No hay problema!");

define("ONE_ARTID_ONE_LANG", "NOticias en 1 lengua");
define("ONE_ARTID_X_LANG_DESC_BY_LANG", "Noticias en multiples lenguas (for each Language 1 Desc");
define("ONE_ONE_ARTICLE", "Nur ein Artickel");

define("PLS_DELETE_TO_CONTINUE", "Pls. delete them before continuing.");

define("RANDOM", "Zufahl");
define("RANDOM_ARTICLES", "Artikel per Zufall");
define("READ_MORE", "...leer mas");

define("SECOND_CHOOSE_SEARCH_OPTION", "2. Escoge tu opcion de busqueda");
define("SOME_CATS_OR_ARTS_EXISTS", "Some subcategories of articles are still under this category!");
define("STATE", "Estado");

define("TEXT_HEADER1", "Content Manager");
define("TEXT_HEADER2", "Noticias y mensajes importantes.");

define("UPLOAD_NEW_IMAGE", "Subir imagen");
define("USER_DATA_ADD", "Adeherir datos");
define("USER_DATA_EDIT", "Editar datos de usuario");
define("USER_DATA_IMAGE_1", "Imagen cabezal");
define("USER_DATA_IMAGE_2", "");
define("USER_DATA_IMAGE_3", "Imagen directorio");
define("USER_RIGHT_ID", "ID");
define("USER_RIGHT_TITLE", "Derechos de usuario");
define("USER_RIGHTS", "Derechos de usuario");
define("USER_RIGHTS_EDIT", "Editar derechos de usuario");

define("VIEWER_GROUP", "Grupo");

define("WIDTH", "ancho");

define("YES", "ja");
?>