<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename:  block-frontpage_cat_listing.php
* Location: /modules/downloads/blocks/block-frontpage_cat_listing.php
*
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
function show_cat_list($category_id) {
	global $dbi, $currentlang, $theme, $userid, $op;
	include_once('modules/downloads/languages/lang-'.$currentlang.'.php');
	$viewer_group = checkSomethingFromTable($table='users', $what='user_group', $key='user_id', $keyvalue=$userid, $langkey='', $langkeyvalue='', $sqlanswer='');

	$content  = '<table width="100%" border="0" cellspacing="01" cellpadding="1">';
	$content .= '<tr class="FormBlockHeader">';
	$category = checkSomethingFromTable($table='downloads_cat_desc', $what='title', $key='category_id', $keyvalue=$category_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$content .= '<td class="FormBlockHeader" align="left" valign="top"><a href="index.php?op=downloads&op2=browse&cat='.$category_id.'" class="FormBlockHeader">'.$category.'</a></td>';
	$content .= '</tr>';

	$max_search_results = get_downloads_config_value($config_key='MAX_SRCH_RES');

	$result = sql_query("  SELECT * FROM downloads_art WHERE downloads_status='1' AND downloads_catid='".$category_id."' AND (viewer_group='".$viewer_group."' OR viewer_group='0')  AND (targeted_user='$userid' OR targeted_user='0') ORDER BY creation DESC ", $dbi);
	$i=1;
	while($row = sql_fetch_array($result, $dbi)){

		$downloads_id   		= $row['downloads_id'];
		$downloads_catid   		= $row['downloads_catid'];
		$downloads_status   	= $row['downloads_status'];
		$creation   			= $row['creation'];
		$author_id   			= $row['author_id'];

		if($i<=$max_search_results) {
			$downloads_title 			= checkSomethingFromTable($table='downloads_art_desc', $what='title', 				$key='downloads_id', $keyvalue=$downloads_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
			$downloads_description_1 	= checkSomethingFromTable($table='downloads_art_desc', $what='downloads_description_1', $key='downloads_id', $keyvalue=$downloads_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
			$downloads_description_2 	= checkSomethingFromTable($table='downloads_art_desc', $what='downloads_description_2', $key='downloads_id', $keyvalue=$downloads_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
			if($ix>='1') { $rwclass = "rowBright"; $ix=0; } else { $rwclass = "rowDark";  $ix++; }
			$content .= '<tr class="'. $rwclass.'">';
			$content .= '<td align="left" valign="top" class="'. $rwclass.'">';
			$nlink = 'index.php?op=downloads&op2=view_details&art='.$downloads_id;
			$content .=  draw_link($nlink,$downloads_title,$rwclass,$target);
			$content .= '</td>';
			$content .= '</tr>';
		}
		$i++;
	}
	$content .= '</table>';
	return $content;
}
// show_cat_list($category_id);
$fpcs = checkSomethingFromTable($table='downloads_fp_cat_lists', $what='fpc_id', $key='', $keyvalue='', $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
if(!is_array($fpcs)) { $fpcs_count='1'; }  else { $fpcs_count = count($fpcs); }
$fp_num_cols = get_downloads_config_value($config_key='FP_NUM_COLS');

$content = '<table width="100%" border="0" cellspacing="2" cellpadding="0">';
$content .= '<tr>';
$result = sql_query("SELECT * FROM downloads_fp_cat_lists WHERE active='1' ORDER BY fpc_order", $dbi);
$i=0;
if($fpcs_count<$fp_num_cols){
	$td_width = (100/$fpcs_count)-$fpcs_count-1;
} else {
	$td_width = (100/$fp_num_cols)-$fp_num_cols-1;
}
while($row = sql_fetch_array($result, $dbi)){
	$fpc_id    		= $row['fpc_id'];
	$category_id    = $row['category_id'];
	$creation    	= $row['creation'];
	$author_id    	= $row['author_id'];
	$active    		= $row['active'];
	$fpc_order    	= $row['fpc_order'];
	$category = checkSomethingFromTable($table='downloads_cat_desc', $what='title', $key='category_id', $keyvalue=$category_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');

	$content .= '<td width="'.$td_width.'%" align="left" valign="top">';
	$content .= show_cat_list($category_id);
	$content .= '</td>';
	$i++;
	if($i==$fp_num_cols){
		$content .= '</tr><tr>';
		$i=0;
	}
}
$content .= '</tr>';
$content .= '</table>';
echo $content;
?>