<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename: browse.php
* Location: /modules/downloads/browse.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
include_once('modules/'.$op.'/functions.php');
if (file_exists('modules/'.$op.'/languages/lang-'.$currentlang.'.php')) {
	include('modules/'.$op.'/languages/lang-'.$currentlang.'.php');
} else {
	echo  '<FONT color"fff000" size=3>Language File;: '.$currentlang.' not defined in this module</FONT><br>';
}

$viewer_group = checkSomethingFromTable($table='users', $what='user_group', $key='user_id', $keyvalue=$userid, $langkey='', $langkeyvalue='', $sqlanswer='');
$title 		  = checkSomethingFromTable($table='downloads_cat_desc', $what='title', $key='category_id', $keyvalue=$cat, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
$description  = checkSomethingFromTable($table='downloads_cat_desc', $what='description', $key='category_id', $keyvalue=$cat, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
$cat_image 	  = checkSomethingFromTable($table='downloads_cat', $what='cat_image', $key='category_id', $keyvalue=$cat, $langkey='', $langkeyvalue='', $sqlanswer='');

echo '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
echo '<tr>';
echo '<td>';
draw_search_form($keyword,$op,'right');
echo '</td>';
echo '</tr>';

echo '<tr>';
echo '<td>';
echo cat_downloads_navigation($cat, '');
echo '</td>';
echo '</tr>';

if(get_downloads_config_value($config_key='SHOW_CAT_TITLE')=='1') {
	echo '<tr>';
	echo '<td class="textTitleBig">';
	echo $title;
	echo '</td>';
	echo '</tr>';
}

if(get_downloads_config_value($config_key='SHOW_CAT_DESC')=='1') {
	echo '<tr>';
	echo '<td class="textData">';
	if(is_file('modules/'.$op.'/images/thumb_'.$cat_image)) {
		echo '<img src="modules/'.$op.'/images/thumb_'.$cat_image.'" border="0" align="right"><br>';
	}
	echo $description;
	echo '</td>';
	echo '</tr>';
}

	echo '<tr>';
	echo '<td class="textTitle">';
	echo draw_line($image='black', $width='100%', $height='1');
	echo '</td>';
	echo '</tr>';

if(get_downloads_config_value($config_key='SHOW_SUBCATS')=='1') {
	$fpcs = checkSomethingFromTable($table='downloads_cat', $what='category_id', $key='category_parent_id', $keyvalue=$cat, $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
	$fpcs_count = count($fpcs);
	$fp_num_cols = get_downloads_config_value($config_key='FP_NUM_COLS');
	// $fp_num_cols = '4';
	if($fpcs_count!='') {
		$content = '<tr>';
		$content .= '<td>';
		$content .= '<table width="100%" border="0" cellspacing="2" cellpadding="0">';
		$content .= '<tr>';
		$result = sql_query("SELECT cc.category_id, ccd.title
			FROM downloads_cat cc, downloads_cat_desc ccd
			WHERE cc.category_parent_id= '".$cat."'
			AND cc.category_id= ccd.category_id
			AND cc.category_status= '1'
			AND ccd.language='".$currentlang."'
			GROUP BY ccd.title
			ORDER BY cc.view_order ASC", $dbi);
		$i=0;
		if($fpcs_count=='') $fpcs_count=1;
		if($fpcs_count<$fp_num_cols){
			$td_width = (100/$fpcs_count)-$fpcs_count-1;
		} else {
			$td_width = (100/$fp_num_cols)-$fp_num_cols-1;
		}
		while($row = sql_fetch_array($result, $dbi)){
			$_cat_id   = $row['category_id'];
			$title   = $row['title'];

			$content .= '<td width="'.$td_width.'%" align="left" valign="top"  class="rowBright" onmouseover="className=\'rowDark\';" onmouseout="className=\'rowBright\';">';
			$content .= '<a href="index.php?op=downloads&op2=browse&cat='.$_cat_id.'" class="bgBody10">'.$title.'</a>';
			$content .= '</td>';
			$i++;
			if($i==$fp_num_cols){
				$content .= '</tr><tr>';
				$i=0;
			}
			$icatlistcount++;
		}

		$content .= '</tr>';
		$content .= '</table>';

		$content .= '</td>';
		$content .= '</tr>';
		$content .= '<tr>';
		$content .= '<td class="textTitle">';
		$content .= draw_line($image='black', $width='100%', $height='1');
		$content .= '</td>';
		$content .= '</tr>';
	}

	echo $content;
}

if(get_downloads_config_value($config_key='SHOW_DEF_CAT_NEWS')=='1') {
	$result = sql_query("SELECT * FROM downloads_art
									WHERE downloads_status='1'
									AND is_default='1'
									AND downloads_catid='".$cat."'
									AND (viewer_group='$viewer_group' OR viewer_group='0')
									AND (targeted_user='$userid' OR targeted_user='0')
									", $dbi);
	$row = sql_fetch_array($result, $dbi);

	$downloads_id   = $row['downloads_id'];
	$downloads_catid = $row['downloads_catid'];
	$is_default   = $row['is_default'];
	$creation   = $row['creation'];
	$downloads_title = checkSomethingFromTable($table='downloads_art_desc', $what='title', $key='downloads_id', $keyvalue=$downloads_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$downloads_description_1 = checkSomethingFromTable($table='downloads_art_desc', $what='downloads_description_1', $key='downloads_id', $keyvalue=$downloads_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');

	if($is_default=='1') {
		echo '<tr>';
		echo '<td align="left" valign="top">';
		echo draw_line($image='trans', $width='100%', $height='5');
		echo '</td>';
		echo '<tr>';
		echo '<tr>';
		echo '<td align="left" valign="top">';
		$nlink = 'index.php?op='.$op.'&op2=view_details&art='.$downloads_id.'&cat='.$downloads_catid;
		echo draw_link($nlink,$downloads_title,'textTitle',$target);
		echo '<br>';
		echo '<div class="textDataSmall">'.$creation.'</div>';
		echo '<FONT  class="textData">'.$downloads_description_1.'</FONT>';
		$url_dir = "http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']);
		$newwindow = $url_dir.'/index.php?op=downloads&op2=download&art='.$downloads_id;
		echo '<br><a href="" class="textTitleSmall"  onclick="window.open(\''.$newwindow.'\',\'downloadwindow\',\'width=650,height=300\',\'return=true\')" >'.DOWNLOAD.'</a>';
		echo '</td>';
		echo '<tr>';
	}
}
	echo '<tr>';
	echo '<td class="textTitle">';
	echo draw_line($image='black', $width='100%', $height='1');
	echo '</td>';
	echo '</tr>';

echo '</table>';
echo '<br>';



//////////////////////////////////////////////////////////////////////////////////////////////////////////
// $and = "AND is_default!='1'";


	$undercats = get_downloads_all_under_cats($cat);
	$allcatstosearch = $undercats.$cat;
	$allcatstosearch = split(',', $allcatstosearch);
	// echo 'print_r($allcatstosearch) <pre>';
	// print_r($allcatstosearch);
	// echo '</pre>';
	$i=0;
	foreach($allcatstosearch AS $key => $val) {
		$result = sql_query("SELECT * FROM downloads_art WHERE downloads_status='1'   AND downloads_catid='".$val."'   ", $dbi);
		while($row = sql_fetch_array($result, $dbi)){
			$downloads[$i]   = $row['downloads_id'];
			$i++;
		}
	}

	if(is_array($downloads)) {
		echo '<table width="100%" border="0" cellspacing="1" cellpadding="2">';
		arsort($downloads);
		foreach($downloads AS $key => $val) {
			$result = sql_query("SELECT * FROM downloads_art WHERE downloads_status='1' AND downloads_id='".$val."'     ", $dbi);
			$row = sql_fetch_array($result, $dbi);
			$downloads_id   = $row['downloads_id'];
			$creation   = $row['creation'];
			$downloads_image   = $row['downloads_image'];

			$creation		    = $row['creation'];
			$is_default		    = $row['is_default'];
			$date_available	    = $row['date_available'];

			$downloads_title = checkSomethingFromTable($table='downloads_art_desc', $what='title', $key='downloads_id', $keyvalue=$downloads_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
			$downloads_description_1 = checkSomethingFromTable($table='downloads_art_desc', $what='downloads_description_1', $key='downloads_id', $keyvalue=$downloads_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
			if($start=='') {
				echo '<tr class="FormBlockHeader">';
				echo '<td colspan="2" align="left" valign="top" class="FormBlockHeader">';
				echo DOWNLOADS.'</td>';
				echo '</tr>';
			}
			$start++;
			if($is_default!='1') {
				if($i1=='1') { $rwclass = 'rowDark'; $i1='0'; } else { $rwclass = 'rowBright'; $i1++; }
				echo '<tr class="'.$rwclass.'"  onmouseover="className=\'rowOver\';" onmouseout="className=\''.$rwclass.'\';">';
				echo '<td class="'. $rwclass.'" align="left" valign="top">';
				$nlink = 'index.php?op=downloads&op2=view_details&art='.$downloads_id.'&cat='.$cat;
				echo draw_link($nlink,$downloads_title,'textTitle',$target);
				echo '<br>';
				echo '<div>'. $downloads_description_1.'</div>';
				echo '</td>';

				echo '<td align="left" valign="top">';
				// echo '<img src="images/arrow-down-red.gif">';
				// echo '<a href="index.php?op=downloads&op2=view_details&art='.$downloads_id.'" class="textTitle">'.$downloads_title.'</a><br>'.$downloads_description_1;
				$url_dir = "http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']);
				$newwindow = $url_dir.'/index.php?op=downloads&op2=download&art='.$downloads_id;
				echo '<a href="" class="textTitle"  onclick="window.open(\''.$newwindow.'\',\'downloadwindow\',\'width=650,height=300\',\'return=true\')" >'.DOWNLOAD.'</a>';

				echo '</td>';

				echo '<tr>';
				echo '<td colspan="2">';
				echo draw_line($image='black', $width='100%', $height='1');
				echo '</td>';
				echo '</tr>';
			}
		}
		echo '</table>';
	} else {
		// echo NO_DOWNLOADS_UNDER_THIS_CATEGORY;
	}
	/*

	*/


/*


echo '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
if(get_downloads_config_value($config_key='SHOW_DEF_CAT_NEWS')=='1') {
	$and = "AND is_default!='1'";
}
$result = sql_query("SELECT * FROM downloads_art WHERE downloads_status='1'  AND downloads_catid='".$cat."' AND (viewer_group='$viewer_group' OR viewer_group='0')  AND (targeted_user='$userid' OR targeted_user='0')   $and ", $dbi);
while($row = sql_fetch_array($result, $dbi)){
	$downloads_id   = $row['downloads_id'];
	$creation   = $row['creation'];
	$downloads_title = checkSomethingFromTable($table='downloads_art_desc', $what='title', $key='downloads_id', $keyvalue=$downloads_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$downloads_description_1 = checkSomethingFromTable($table='downloads_art_desc', $what='downloads_description_1', $key='downloads_id', $keyvalue=$downloads_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	if($illn>='1') { $rwclass = "rowBright"; $rwclass2 = "rowBright"; $illn=0; } else { $rwclass = "rowDark"; $rwclass2 = "rowDark"; $illn++; }
	echo '<tr class="'.$rwclass.'">';
	echo '<td width="100" align="left" valign="top">'.$creation.'</td>';
	echo '<td align="left" valign="top"><a href="index.php?op=downloads&op2=view_details&art='.$downloads_id.'" class="textTitle">'.$downloads_title.'</a><br>'.$downloads_description_1;
	$url_dir = "http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']);
	$newwindow = $url_dir.'/index.php?op=downloads&op2=download&art='.$downloads_id;
	echo '<br>-<a href="" class="textTitle"  onclick="window.open(\''.$newwindow.'\',\'downloadwindow\',\'width=650,height=300\',\'return=true\')" >'.DOWNLOAD.'</a>';

	echo '</td>';
	echo '<tr>';
}
echo '</table>';

//////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////
*/

?>