<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename: admin_users_details_addon.php
* Location: /modules/store/admin/admin_users_details_addon.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
if (file_exists('modules/store/languages/lang-'.$currentlang.'.php')) {
	include_once('modules/store/languages/lang-'.$currentlang.'.php');
} else {
	echo '<FONT color"fff000" size=3>Language File;: '.$currentlang.' not defined in this module</FONT><br>';
}
global $dbi, $userid, $defaultcurrency, $currency, $currentlang;
include_once('modules/store/functions.php');

function store_details_addon($user){
	global $dbi, $defaultcurrency, $currency, $currentlang;
	$content = '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
	$content .= '<tr  class="FormBlockHeader">';
	$content .= '<td align="right" valign="top" colspan="2" class="FormBlockHeader">';
	$content .= MY_ORDERS;
	$content .= '</td>';
	$content .= '</tr>';
	$content .= '</table>';
	$content .= '<br>';
	$content .= '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
	$content .= '<tr  class="FormBlockHeader">';
	$content .= '<td align="left" valign="top" colspan="2" class="FormBlockHeader">';
	$content .= ORDERS;
	$content .= '</td>';
	$content .= '</tr>';

	$orders_status_name = checkSomethingFromTable($table='store_orders_status', $what='orders_status_name', $key='orders_status_id', $keyvalue='1', $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$content .= '<tr  class="textTitle">';
	$content .= '<td align="center" valign="top" width="20" class="textTitle">';
	$content .= number_of_user_orders('1',$user);
	$content .= '</td>';
	$content .= '<td align="left" valign="top" class="textData">';
	$content .= '<a href="index.php?op=store&op2=admin&op3=admin_users_details_orders_pending&user='.$user.'" class="textData">'.$orders_status_name.'</a>';
	$content .= '</td>';
	$content .= '</tr>';

	$orders_status_name = checkSomethingFromTable($table='store_orders_status', $what='orders_status_name', $key='orders_status_id', $keyvalue='2', $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$content .= '<tr  class="textTitle">';
	$content .= '<td align="center" valign="top" width="20" class="textTitle">';
	$content .= number_of_user_orders('2',$user);
	$content .= '</td>';
	$content .= '<td align="left" valign="top" class="textData">';
	$content .= '<a href="index.php?op=store&op2=admin&op3=admin_users_details_orders_processing&user='.$user.'" class="textData">'.$orders_status_name.'</a>';
	$content .= '</td>';
	$content .= '</tr>';

	$orders_status_name = checkSomethingFromTable($table='store_orders_status', $what='orders_status_name', $key='orders_status_id', $keyvalue='3', $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$content .= '<tr  class="textTitle">';
	$content .= '<td align="center" valign="top" width="20" class="textTitle">';
	$content .= number_of_user_orders('3',$user);
	$content .= '</td>';
	$content .= '<td align="left" valign="top" class="textData">';
	$content .= '<a href="index.php?op=store&op2=admin&op3=admin_users_details_orders_finished&user='.$user.'" class="textData">'.$orders_status_name.'</a>';
	$content .= '</td>';
	$content .= '</tr>';

	$orders_status_name = checkSomethingFromTable($table='store_orders_status', $what='orders_status_name', $key='orders_status_id', $keyvalue='4', $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$content .= '<tr  class="textTitle">';
	$content .= '<td align="center" valign="top" width="20" class="textTitle">';
	$content .= number_of_user_orders('4',$user);
	$content .= '</td>';
	$content .= '<td align="left" valign="top" class="textData">';
	$content .= '<a href="index.php?op=store&op2=admin&op3=admin_users_details_orders_paid&user='.$user.'" class="textData">'.$orders_status_name.'</a>';
	$content .= '</td>';
	$content .= '</tr>';

	$orders_status_name = checkSomethingFromTable($table='store_orders_status', $what='orders_status_name', $key='orders_status_id', $keyvalue='5', $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$content .= '<tr  class="textTitle">';
	$content .= '<td align="center" valign="top" width="20" class="textTitle">';
	$content .= number_of_user_orders('5',$user);
	$content .= '</td>';
	$content .= '<td align="left" valign="top" class="textData">';
	$content .= '<a href="index.php?op=store&op2=admin&op3=admin_users_details_orders_condoned&user='.$user.'" class="textData">'.$orders_status_name.'</a>';
	$content .= '</td>';
	$content .= '</tr>';

	$orders_status_name = checkSomethingFromTable($table='store_orders_status', $what='orders_status_name', $key='orders_status_id', $keyvalue='6', $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$content .= '<tr  class="textTitle">';
	$content .= '<td align="center" valign="top" width="20" class="textTitle">';
	$content .= number_of_user_orders('6',$user);
	$content .= '</td>';
	$content .= '<td align="left" valign="top" class="textData">';
	$content .= '<a href="index.php?op=store&op2=admin&op3=admin_users_details_orders_canceled&user='.$user.'" class="textData">'.$orders_status_name.'</a>';
	$content .= '</td>';
	$content .= '</tr>';

	$orders_status_name = checkSomethingFromTable($table='store_orders_status', $what='orders_status_name', $key='orders_status_id', $keyvalue='7', $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$content .= '<tr  class="textTitle">';
	$content .= '<td align="center" valign="top" width="20" class="textTitle">';
	$content .= number_of_user_orders('7',$user);
	$content .= '</td>';
	$content .= '<td align="left" valign="top" class="textData">';
	$content .= '<a href="index.php?op=store&op2=admin&op3=admin_users_details_orders_wait4payment&user='.$user.'" class="textData">'.$orders_status_name.'</a>';
	$content .= '</td>';
	$content .= '</tr>';

	$orders_status_name = checkSomethingFromTable($table='store_orders_status', $what='orders_status_name', $key='orders_status_id', $keyvalue='8', $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$content .= '<tr  class="textTitle">';
	$content .= '<td align="center" valign="top" width="20" class="textTitle">';
	$content .= number_of_user_orders('8',$user);
	$content .= '</td>';
	$content .= '<td align="left" valign="top" class="textData">';
	$content .= '<a href="index.php?op=store&op2=admin&op3=admin_users_details_orders_delivered_wait4payment&user='.$user.'" class="textData">'.$orders_status_name.'</a>';
	$content .= '</td>';
	$content .= '</tr>';

	$orders_status_name = checkSomethingFromTable($table='store_orders_status', $what='orders_status_name', $key='orders_status_id', $keyvalue='9', $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$content .= '<tr  class="textTitle">';
	$content .= '<td align="center" valign="top" width="20" class="textTitle">';
	$content .= number_of_user_orders('9',$user);
	$content .= '</td>';
	$content .= '<td align="left" valign="top" class="textData">';
	$content .= '<a href="index.php?op=store&op2=admin&op3=admin_users_details_orders_delivered_paid&user='.$user.'" class="textData">'.$orders_status_name.'</a>';
	$content .= '</td>';
	$content .= '</tr>';



	$content .= '</table>';
	return $content;
}

echo store_details_addon($user);


?>
