<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename:  index.php
* Location: /modules/store/admin/index.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
include_once('modules/'.$op.'/functions.php');
if (file_exists('modules/'.$op.'/languages/lang-'.$currentlang.'.php')) {
	include('modules/'.$op.'/languages/lang-'.$currentlang.'.php');
} else {
	echo  '<FONT color"fff000" size=3>Language File;: '.$currentlang.' not defined in this module</FONT><br>';
}
if ( xomol_check_store_user_rights_specific($userid, 'ASYSTEM_ACCESS') == '1')  {
	if(get_store_config_value($config_key='CONTENT_VIEW_MOD')=='1') {
		$languageslist = get_languages($display='defaultarray');
	} elseif(get_store_config_value($config_key='CONTENT_VIEW_MOD')=='2') {
		$languageslist = get_languages($display='active');
	}

	if ($_SESSION['login']=='loged') {
		if(get_store_config_value('CURRENCIES_AUTO_UPDATE')=='1') {
			update_all_currencies_automatic();
		}
		switch($op3){
			/*********************************************************************************************
			* STORE METATAGS
			*********************************************************************************************/
			// STORE METATAGS
			case "admin_metatags":
				if  (xomol_check_store_user_rights_specific($userid, 'A_METAS_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_metatags.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_metatags_edit":
				if  (xomol_check_store_user_rights_specific($userid, 'A_METAS_EDIT') == '1')  {
					include('modules/'.$op.'/admin/admin_metatags_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_metatags_update":
				if  (xomol_check_store_user_rights_specific($userid, 'A_METAS_EDIT') == '1')  {
					foreach($meta_title AS $fe_lang => $val) {
						$_meta_title 	   = $meta_title[$fe_lang];
						$_meta_keywords    = $meta_keyword1[$fe_lang].','. $meta_keyword2[$fe_lang].','. $meta_keyword3[$fe_lang].','. $meta_keyword4[$fe_lang].','. $meta_keyword5[$fe_lang].','. $meta_keyword6[$fe_lang].','. $meta_keyword7[$fe_lang].','. $meta_keyword8[$fe_lang].','. $meta_keyword9[$fe_lang].','. $meta_keyword10[$fe_lang].','. $meta_keyword11[$fe_lang].','. $meta_keyword12[$fe_lang]; ;
						$_meta_keywords = eregi_replace(',,',',',$_meta_keywords);
						$_meta_keywords = eregi_replace(',,',',',$_meta_keywords);
						$_meta_keywords = eregi_replace(',,',',',$_meta_keywords);
						$_meta_description = $meta_description[$fe_lang];
						$rs_exists = checkSomethingFromTable($table='store_metatags', $what='lid', $key='language', $keyvalue=$fe_lang, $langkey='', $langkeyvalue='', $sqlanswer='');
						if($rs_exists!='') {
							sql_query("UPDATE store_metatags   SET  title='".$_meta_title."', keywords='".$_meta_keywords."', description='".$_meta_description."' WHERE language='".$fe_lang."'", $dbi);
						} else {
							sql_query("INSERT INTO store_metatags ( language, title, keywords, description ) VALUES ('$fe_lang', '$_meta_title','$_meta_keywords','$_meta_description')", $dbi);
						}
					}
					include('modules/'.$op.'/admin/admin_metatags.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE MODULES
			*********************************************************************************************/
			case "store_modules":
				if  (xomol_check_store_user_rights_specific($userid, 'A_MODULES_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_modules.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "store_modules_edit":
				if  (xomol_check_store_user_rights_specific($userid, 'A_MODULES_EDIT') == '1')  {

					$module_type_id = checkSomethingFromTable($table='store_modules', $what='module_type_id', $key='module_name', $keyvalue=$store_module, $langkey='', $langkeyvalue='', $sqlanswer='');
					if($module_type_id=='1') {
						$module_directory = 'fright';
					} elseif($module_type_id=='2') {
						$module_directory = 'payment';
					}
					if (file_exists('modules/store/modules/'.$module_directory.'/'.$store_module.'/admin/index.php')) {
						include('modules/store/modules/'.$module_directory.'/'.$store_module.'/admin/index.php');
					} else {
						include('modules/store/admin/admin_modules_edit.php');
					}
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_modules_update":
				if  (xomol_check_store_user_rights_specific($userid, 'A_MODULES_EDIT') == '1')  {
					foreach($module_custom_name AS $fe_lang => $val) {
						$rs_exists = checkSomethingFromTable($table='store_modules_desc', $what='module_custom_name', $key='module_id', $keyvalue=$module_id, $langkey='language', $langkeyvalue=$fe_lang, $sqlanswer='');
						if($rs_exists!='') {
							sql_query("UPDATE store_modules_desc SET module_custom_name='".$val."' WHERE 	module_id='".$module_id."' AND 	language='".$fe_lang."' ",$dbi);
						} else {
							sql_query("INSERT INTO store_modules_desc ( module_id, module_custom_name, language ) VALUES ('$module_id', '$val','$fe_lang')", $dbi);
						}
					}

					include('modules/'.$op.'/admin/admin_modules.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "module_status":
				if  (xomol_check_store_user_rights_specific($userid, 'A_MODULES_EDIT') == '1')  {
					if($switch=="1") {
						$result= sql_query("UPDATE store_modules SET module_status=1 WHERE module_id='$store_module'",$dbi);
					} else {
						$result= sql_query("UPDATE store_modules SET module_status=0 WHERE module_id='$store_module'",$dbi);
					}
					include('modules/'.$op.'/admin/admin_modules.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_modules_delete":
				if  (xomol_check_store_user_rights_specific($userid, 'A_MODULES_EDIT') == '1')  {
					sql_query("DELETE FROM store_modules WHERE module_id='".$store_module."' ",$dbi);
					include('modules/'.$op.'/admin/admin_modules.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE CURRENCIES
			*********************************************************************************************/
			case "currencies":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CURRENCIES_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/currencies.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "currencies_add":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CURRENCIES_ADD') == '1')  {
					include('modules/'.$op.'/admin/currencies_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "currencies_insert":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CURRENCIES_ADD') == '1')  {
					$currency_name = checkSomethingFromTable($table='geo_countries', $what='currency_name', $key='currency_code_3', $keyvalue=$currency_code_3, $langkey='', $langkeyvalue='', $sqlanswer='');
					// $currency_date = time();
					$currency_date=date("Y.m.j H:i:s");
					$currency_value = quote_xe_currency($to=$currency_code_3, $from = get_default_currency() );
					sql_query("INSERT INTO store_currencies ( currency_code_3, currency_name, currency_date, currency_value )
													 VALUES ('$currency_code_3', '$currency_name', '$currency_date', '$currency_value')", $dbi);
					include('modules/'.$op.'/admin/currencies.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "currencies_edit":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CURRENCIES_EDIT') == '1')  {
					include('modules/'.$op.'/admin/currencies_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "currencies_update":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CURRENCIES_EDIT') == '1')  {
					// $currency_date = time();
					$currency_date=date("Y.m.j H:i:s");
					$currency_history = checkSomethingFromTable($table='store_currencies', $what='currency_history', $key='currency_code_3', $keyvalue=$currency_code_3, $langkey='', $langkeyvalue='', $sqlanswer='');

					$currency_value = quote_xe_currency($to=$currency_code_3, $from = get_default_currency() );
					if($currency_value==''){
						$currency_value = checkSomethingFromTable($table='store_currencies', $what='currency_value', $key='currency_code_3', $keyvalue=$currency_code_3, $langkey='', $langkeyvalue='', $sqlanswer='');
					}
					if($currency_value!=''){
						$currency_history = $currency_date. ' '.$currency_value. '; '.$currency_history.'; ';
					}
					echo '$currency_value: '.$currency_value.'<br>';

					sql_query("UPDATE store_currencies SET 	currency_date='".$currency_date."',
															currency_value='".$currency_value."',
															currency_history='".$currency_history."'
														WHERE 	currency_code_3='".$currency_code_3."' ",$dbi);
					include('modules/'.$op.'/admin/currencies.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "currencies_update_all":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CURRENCIES_UPDATE_ALL') == '1')  {
					// $currency_date = time();
					update_all_currencies_manual();
					include('modules/'.$op.'/admin/currencies.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "currency_status":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CURRENCIES_EDIT') == '1')  {
					if($switch=="1") {
						$result= sql_query("UPDATE store_currencies SET currency_status=1 WHERE currency_code_3='$currency_code_3'",$dbi);
					} else {
						$result= sql_query("UPDATE store_currencies SET currency_status=0 WHERE currency_code_3='$currency_code_3'",$dbi);
					}
					$cat_parent_id=get_store_parent_cat($cat);
					include('modules/'.$op.'/admin/currencies.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "currencies_delete":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CURRENCIES_DELETE') == '1')  {
					if(get_default_currency()!=$currency_code_3) {
						sql_query("DELETE FROM store_currencies WHERE currency_code_3='".$currency_code_3."' ",$dbi);
					}
					include('modules/'.$op.'/admin/currencies.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "status_default_currency":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CURRENCIES_EDIT') == '1')  {
					if($switch=="1") {
						sql_query("UPDATE store_currencies SET is_default=1 WHERE currency_code_3='$currency_code_3'",$dbi);
						sql_query("UPDATE store_currencies SET is_default=0 WHERE currency_code_3!='$currency_code_3'",$dbi);
					}
					update_all_currencies_manual();
					include('modules/'.$op.'/admin/currencies.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE POSITIONS
			*********************************************************************************************/
			case "admin_positions":
				if  (xomol_check_store_user_rights_specific($userid, 'A_POSITIONS_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_positions_add":
				if  (xomol_check_store_user_rights_specific($userid, 'A_POSITIONS_POS_ADD') == '1')  {
					include('modules/'.$op.'/admin/admin_positions_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_positions_insert":
				if  (xomol_check_store_user_rights_specific($userid, 'A_POSITIONS_POS_ADD') == '1')  {
					sql_query("INSERT INTO store_positions ( position_title ) VALUES ('$position_title')", $dbi);
					include('modules/'.$op.'/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_positions_edit":
				if  (xomol_check_store_user_rights_specific($userid, 'A_POSITIONS_POS_EDIT') == '1')  {
					include('modules/'.$op.'/admin/admin_positions_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_positions_update":
				if  (xomol_check_store_user_rights_specific($userid, 'A_POSITIONS_POS_EDIT') == '1')  {
					$result= sql_query("UPDATE store_positions SET 	position_title='".$position_title."'
														WHERE 	position_id='".$configure."' ",$dbi);
					include('modules/'.$op.'/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_positions_delete":
				if  (xomol_check_store_user_rights_specific($userid, 'A_POSITIONS_POS_DEL') == '1')  {
					$result= sql_query("DELETE FROM store_positions WHERE position_id='$configure'",$dbi);
					include('modules/'.$op.'/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE POSITIONS -BLOCKS-
			*********************************************************************************************/
			case "admin_blocks_add":
				if  (xomol_check_store_user_rights_specific($userid, 'A_POSITIONS_BLOCK_ADD') == '1')  {
					include('modules/'.$op.'/admin/admin_blocks_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_blocks_insert":
				if  (xomol_check_store_user_rights_specific($userid, 'A_POSITIONS_BLOCK_ADD') == '1')  {
					$blocks = checkSomethingFromTable($table='store_blocks', $what='block_id', $key='position_id', $keyvalue=$position_id, $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
					$blocks_count = count($blocks);
					$view_order = $blocks_count+1;
					sql_query("INSERT INTO store_blocks ( position_id, module_name, block_title, block_status, view_order ) VALUES ('$position_id', '$module_name', '$block_title', '$block_status', '$view_order')", $dbi);
					include('modules/'.$op.'/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_blocks_edit":
				if  (xomol_check_store_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
					include('modules/'.$op.'/admin/admin_blocks_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_blocks_update":
				if  (xomol_check_store_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
					$result= sql_query("UPDATE store_blocks SET 	position_id='".$position_id."', block_title='".$block_title."', block_status='".$block_status."'
														WHERE 	block_id='".$configure."' ",$dbi);
					include('modules/'.$op.'/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "statusblock":
				if  (xomol_check_store_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
					if($switch=="1") {
						$result= sql_query("UPDATE store_blocks SET block_status=1 WHERE block_id='$block'",$dbi);
					} else {
						$result= sql_query("UPDATE store_blocks SET block_status=0 WHERE block_id='$block'",$dbi);
					}
					$cat_parent_id=get_store_parent_cat($cat);
					include('modules/'.$op.'/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_blocks_delete":
				if  (xomol_check_store_user_rights_specific($userid, 'A_POSITIONS_BLOCK_DEL') == '1')  {
					$result= sql_query("DELETE FROM store_blocks WHERE block_id='$configure'",$dbi);
					include('modules/'.$op.'/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_blocks_order":
				if  (xomol_check_store_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
					$position_id = checkSomethingFromTable($table='store_blocks', $what='position_id', $key='block_id', $keyvalue=$block, $langkey='', $langkeyvalue='', $sqlanswer='');
					$view_order = checkSomethingFromTable($table='store_blocks', $what='view_order', $key='block_id', $keyvalue=$block, $langkey='', $langkeyvalue='', $sqlanswer='');
					$under = $view_order-1;
					$upper = $view_order+1;

					$result_under = sql_query("SELECT * FROM store_blocks WHERE position_id='" . $position_id . "' AND view_order='" . $under . "' LIMIT 0,1  ", $dbi);
					if($row_under = sql_fetch_array($result_under, $dbi)){
						$view_under_id   = $row_under['block_id'];
					}
					$result_upper = sql_query("SELECT * FROM store_blocks WHERE position_id='" . $position_id . "' AND view_order='" . $upper . "' LIMIT 0,1  ", $dbi);
					if($row_upper = sql_fetch_array($result_upper, $dbi)){
						$view_upper_id   = $row_upper['block_id'];
					}

					$view_order_under = checkSomethingFromTable($table='store_blocks', $what='view_order', $key='block_id', $keyvalue=$view_under_id, $langkey='', $langkeyvalue='', $sqlanswer='');
					$view_order_upper = checkSomethingFromTable($table='store_blocks', $what='view_order', $key='block_id', $keyvalue=$view_upper_id, $langkey='', $langkeyvalue='', $sqlanswer='');

					if($switch=="up") {
						if($view_order > $view_order_under) {
							 sql_query("UPDATE store_blocks SET view_order='".$view_order_under."' WHERE block_id='".$block."'",$dbi);
							 sql_query("UPDATE store_blocks SET view_order='".$view_order."' WHERE block_id='".$view_under_id."'",$dbi);
						}
					} elseif($switch=="down") {
						if($view_order < $view_order_upper) {
							 sql_query("UPDATE store_blocks SET view_order='".$view_order_upper."' WHERE block_id='".$block."'",$dbi);
							 sql_query("UPDATE store_blocks SET view_order='".$view_order."' WHERE block_id='".$view_upper_id."'",$dbi);
						}
					}
					include('modules/'.$op.'/admin/admin_positions.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE TAXES
			*********************************************************************************************/
			case "admin_taxes":
				if  (xomol_check_store_user_rights_specific($userid, 'A_TAXES_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_taxes.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_taxes_class_add":
				if  (xomol_check_store_user_rights_specific($userid, 'A_TAXES_CLASS_ADD') == '1')  {
					include('modules/'.$op.'/admin/admin_taxes_class_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_taxes_class_insert":
				if  (xomol_check_store_user_rights_specific($userid, 'A_TAXES_CLASS_ADD') == '1')  {
					$tax_class_id = time();
					$date_added=date("Y.n.j G:i:s");

					sql_query("INSERT INTO store_tax_class (tax_class_id, date_added )
								   VALUES ('$tax_class_id', '$date_added')", $dbi);
					foreach($tax_class_title AS $fe_lang => $valor) {
						$newtitle = $tax_class_title[$fe_lang];
						$newdec = $tax_class_description[$fe_lang];
						sql_query("INSERT INTO store_tax_class_desc ( tax_class_id, tax_class_title, tax_class_description, language )
												   VALUES ('$tax_class_id', '$newtitle', '$newdec', '$fe_lang')", $dbi);
					}
					include('modules/'.$op.'/admin/admin_taxes.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_taxes_class_edit":
				if  (xomol_check_store_user_rights_specific($userid, 'A_TAXES_CLASS_EDIT') == '1')  {
					include('modules/'.$op.'/admin/admin_taxes_class_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_taxes_class_delete":
				if  (xomol_check_store_user_rights_specific($userid, 'A_TAXES_CLASS_DEL') == '1')  {
					sql_query("DELETE FROM store_tax_class WHERE tax_class_id='$tax_class'",$dbi);
					sql_query("DELETE FROM store_tax_class_desc WHERE tax_class_id='$tax_class'",$dbi);
					include('modules/'.$op.'/admin/admin_taxes.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_taxes_class_update":
				if  (xomol_check_store_user_rights_specific($userid, 'A_TAXES_CLASS_EDIT') == '1')  {
					foreach($tax_class_title AS $fe_lang => $val) {
						$_tax_class_title = $tax_class_title[$fe_lang];
						$_tax_class_description = $tax_class_description[$fe_lang];
						$rs_exists = checkSomethingFromTable($table='store_tax_class_desc', $what='tax_class_id', $key='tax_class_id', $keyvalue=$tax_class_id, $langkey='language', $langkeyvalue=$fe_lang, $sqlanswer='');
						if($rs_exists!='') {
							sql_query("UPDATE store_tax_class_desc SET tax_class_title='".$_tax_class_title."', tax_class_description='".$_tax_class_description."' WHERE 	tax_class_id='".$tax_class."' AND 	language='".$fe_lang."' ",$dbi);
						} else {
							sql_query("INSERT INTO store_tax_class_desc ( tax_class_id, tax_class_title, tax_class_description, language ) VALUES ('$tax_class', '$_tax_class_title', '$_tax_class_description','$fe_lang')", $dbi);
						}
					}

					include('modules/'.$op.'/admin/admin_taxes.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_taxes_rate_add":
				if  (xomol_check_store_user_rights_specific($userid, 'A_TAXES_RATE_ADD') == '1')  {
					include('modules/'.$op.'/admin/admin_taxes_rate_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_taxes_rate_insert":
				if  (xomol_check_store_user_rights_specific($userid, 'A_TAXES_RATE_ADD') == '1')  {
					$tax_rates_id = time();
					$date_added=date("Y.n.j G:i:s");

					sql_query("INSERT INTO store_tax_rates (tax_rates_id, tax_class_id, tax_rate_status, tax_rate, last_modified, date_added )
								   VALUES ('$tax_rates_id', '$tax_class', '', '$tax_rate', '', '$date_added')", $dbi);
					foreach($tax_description AS $fe_lang => $valor) {
						$description = $tax_description[$fe_lang];
						sql_query("INSERT INTO store_tax_rates_desc ( tax_rates_id, tax_description, language )
												   VALUES ('$tax_rates_id', '$description', '$fe_lang')", $dbi);
					}
					include('modules/'.$op.'/admin/admin_taxes.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_taxes_rate_status":
				if  (xomol_check_store_user_rights_specific($userid, 'A_TAXES_RATE_EDIT') == '1')  {
					if($switch=="1") {
						$result= sql_query("UPDATE store_tax_rates SET tax_rate_status=1 WHERE tax_rates_id='$tax_rates_id'",$dbi);
					} else {
						sql_query("UPDATE store_tax_rates SET tax_rate_status='0' WHERE tax_rates_id='$tax_rates_id'",$dbi);
					}
					include('modules/'.$op.'/admin/admin_taxes.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_taxes_rate_edit":
				if  (xomol_check_store_user_rights_specific($userid, 'A_TAXES_RATE_EDIT') == '1')  {
					include('modules/'.$op.'/admin/admin_taxes_rate_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_taxes_rate_update":
				if  (xomol_check_store_user_rights_specific($userid, 'A_TAXES_RATE_EDIT') == '1')  {

					foreach($tax_description AS $fe_lang => $val) {
						$_tax_description = $tax_description[$fe_lang];
						$rs_exists = checkSomethingFromTable($table='store_tax_rates_desc', $what='tax_rates_id', $key='tax_rates_id', $keyvalue=$tax_rates_id, $langkey='language', $langkeyvalue=$fe_lang, $sqlanswer='');
						if($rs_exists!='') {
							sql_query("UPDATE store_tax_rates_desc SET tax_description='".$_tax_description."' WHERE 	tax_rates_id='".$tax_rates_id."' AND 	language='".$fe_lang."' ",$dbi);
						} else {
							sql_query("INSERT INTO store_tax_rates_desc ( tax_rates_id, tax_description, language ) VALUES ('$tax_rates_id', '$_tax_description','$fe_lang')", $dbi);
						}
					}
					include('modules/'.$op.'/admin/admin_taxes.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			/*********************************************************************************************
			* STORE CONFIGURATION
			*********************************************************************************************/
			case "admin_config_view":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CONFIGURE_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_config_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_config_add":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CONFIGURE_ADD') == '1')  {
					include('modules/'.$op.'/admin/admin_config_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_config_add1":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CONFIGURE_ADD') == '1')  {
					include('modules/'.$op.'/admin/admin_config_add1.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_config_add2":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CONFIGURE_ADD') == '1')  {
					include('modules/'.$op.'/admin/admin_config_add2.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_config_add3":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CONFIGURE_ADD') == '1')  {
					include('modules/'.$op.'/admin/admin_config_add3.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_config_insert":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CONFIGURE_ADD') == '1')  {
					sql_query("INSERT INTO store_configure ( module_name, config_type, config_key, config_title, config_value )
								   VALUES ('store', '$config_type', '$_config_key', '$config_title', '$config_value')", $dbi);
					include('modules/'.$op.'/admin/admin_config_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_config_edit":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CONFIGURE_EDIT') == '1')  {
					include('modules/'.$op.'/admin/admin_config_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_config_update":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CONFIGURE_EDIT') == '1')  {
					$result= sql_query("UPDATE store_configure SET 	config_type='".$config_type."',
																config_key='".$_config_key."',
																config_title='".$config_title."',
																config_value='".$config_value."'
														WHERE 	config_id='".$configure."' ",$dbi);
					include('modules/'.$op.'/admin/admin_config_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_config_delete":
				if  (xomol_check_store_user_rights_specific($userid, 'A_CONFIGURE_DELETE') == '1')  {
					$result= sql_query("DELETE FROM store_configure WHERE config_id='$configure'",$dbi);
					include('modules/'.$op.'/admin/admin_config_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE USERS
			*********************************************************************************************/
			case "xomol_users_view":
				if  (xomol_check_store_user_rights_specific($userid, 'A_USER_DETAILS_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_users_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "statusu":
				$user_group_tochange = check_user_group($user);
				$user_group_operator = check_user_group($userid);
				$ok=0;
				if (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
					if(($user_group_operator==$user_group_tochange)
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					OR (user_is_in_tree($user, $userid)=='1')
					) { $ok=1; }
				} elseif (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
					if((user_is_in_tree($user, $userid)=='1')
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					) { $ok=1; }
				}
				if( ($ok==1) AND ($user!=$userid) ) {
					if($switch=="1") {
						$result= sql_query("UPDATE users SET user_status=1 WHERE user_id='$user'",$dbi);
					} else {
						$result= sql_query("UPDATE users SET user_status=0 WHERE user_id='$user'",$dbi);
					}
					include('modules/'.$op.'/admin/admin_users_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE USERS RIGHTS
			*********************************************************************************************/

			case "user_rights_override":
				$user_group_tochange = check_user_group($user);
				$user_group_operator = check_user_group($userid);
				$ok=0;
				if (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
					if(($user_group_operator==$user_group_tochange)
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					OR (user_is_in_tree($user, $userid)=='1')
					) { $ok=1; }
				} elseif (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
					if((user_is_in_tree($user, $userid)=='1')
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					) { $ok=1; }
				}
				if( ($ok==1) AND ($user!=$userid) ) {
					include('modules/'.$op.'/admin/admin_user_rights_override.php');
				} else { echo NO_USER_RIGHTS; }
			break;
				case "user_rights2users_status":
					$user_group_tochange = check_user_group($user);
					$user_group_operator = check_user_group($userid);
					$ok=0;
					if (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
						if(($user_group_operator==$user_group_tochange)
						OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
						OR (user_is_in_tree($user, $userid)=='1')
						) { $ok=1; }
					} elseif (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
						if((user_is_in_tree($user, $userid)=='1')
						OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
						) { $ok=1; }
					}
					if( ($ok==1) AND ($user!=$userid) ) {
						if($switch=="1") {
							$result= sql_query("UPDATE store_user_rights2users SET value=1 WHERE user_id='$user' AND user_rights_id='$task'",$dbi);
						} else {
							$result= sql_query("UPDATE store_user_rights2users SET value=0 WHERE user_id='$user' AND user_rights_id='$task'",$dbi);
						}
						include('modules/'.$op.'/admin/admin_user_rights_override.php');
					} else { echo NO_USER_RIGHTS; }
				break;
				case "user_rights_reset2group":
					$user_group_tochange = check_user_group($user);
					$user_group_operator = check_user_group($userid);
					$ok=0;
					if (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
						if(($user_group_operator==$user_group_tochange)
						OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
						OR (user_is_in_tree($user, $userid)=='1')
						) { $ok=1; }
					} elseif (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
						if((user_is_in_tree($user, $userid)=='1')
						OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
						) { $ok=1; }
					}
					if( ($ok==1) AND ($user!=$userid) ) {
						$result= sql_query("DELETE FROM store_user_rights2users WHERE user_id='$user' ",$dbi);
						$user_group = checkSomethingFromTable($table='users', $what='user_group', $key='user_id', $keyvalue=$user, $langkey='', $langkeyvalue='', $sqlanswer='');

						$result2 = sql_query("SELECT * FROM store_user_rights2groups WHERE group_id=$user_group  ", $dbi);
						while($row2 = sql_fetch_array($result2, $dbi)){
							$group_id    	= $row2['group_id'];
							$user_rights_id    	= $row2['user_rights_id'];
							$value    	= $row2['value'];
							sql_query("INSERT INTO store_user_rights2users ( user_id, user_rights_id, value )
										   VALUES ('$user', '$user_rights_id', '$value')", $dbi);
						}
						include('modules/'.$op.'/admin/admin_user_rights_override.php');
					} else { echo NO_USER_RIGHTS; }
				break;

			/*********************************************************************************************
			* STORE USERS RIGHTS -TASKS-
			*********************************************************************************************/
			case "user_rights":
				if  (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_user_rights.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "user_rights_add":
				if  (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_TASK_ADD') == '1')  {
					include('modules/'.$op.'/admin/admin_user_rights_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "user_rights_insert":
				if  (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_TASK_ADD') == '1')  {
					$elemental=1;
					sql_query("INSERT INTO store_user_rights ( rights_id, title, description, elemental )
								   VALUES ('', '$task_title', '$description', '$elemental')", $dbi);
					include('modules/'.$op.'/admin/admin_user_rights2groups.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE USERS RIGHTS TASKS2GROUPS
			*********************************************************************************************/
			case "user_rights2groups_edit":
				$user_group_tochange = check_user_group($user);
				$user_group_operator = check_user_group($userid);
				$ok=0;
				if (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_TASK_EDIT_SAME') == '1') {
					if(($user_group_operator==$user_group_tochange)
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					OR (user_is_in_tree($user, $userid)=='1')
					) { $ok=1; }
				} elseif (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_TASK_EDIT_LOW') == '1') {
					if((user_is_in_tree($user, $userid)=='1')
					OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
					) { $ok=1; }
				}
				if( ($ok==1) AND ($user!=$userid) ) {
					include('modules/'.$op.'/admin/admin_user_rights2groups_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "user_rights2groups_status":
				if  (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_TASK2GROUP') == '1')  {
					if($switch=="1") {
						sql_query("UPDATE store_user_rights2groups SET value='1' WHERE group_id='$group' AND user_rights_id='$task'",$dbi);
					} else {
						sql_query("UPDATE store_user_rights2groups SET value='0' WHERE group_id='$group' AND user_rights_id='$task'",$dbi);
					}
					include('modules/'.$op.'/admin/admin_user_rights2groups.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "user_rights2groups":
				if  (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_TASK2GROUP') == '1')  {
					include('modules/'.$op.'/admin/admin_user_rights2groups.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE MANUFACTURERS
			*********************************************************************************************/
			case "manufacturers":
				if  (xomol_check_store_user_rights_specific($userid, 'STORE_MANUFACTURER_VIEW') == '1')  {
					include('modules/'.$op.'/admin/admin_manufacturers.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_manufacturers_add":
				if  (xomol_check_store_user_rights_specific($userid, 'STORE_MANUFACTURER_ADD') == '1')  {
					include('modules/'.$op.'/admin/admin_manufacturers_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_manufacturers_insert":
				if  (xomol_check_store_user_rights_specific($userid, 'STORE_MANUFACTURER_ADD') == '1')  {
					if(skipinsert!=1) {
						$manufacturer_id=time();
						sql_query("INSERT INTO store_manufacturers ( manufacturer_id, manufacturer_title ) VALUES ('$manufacturer_id', '$manufacturer_title')", $dbi);
					}
					$skipinsert=1;
					include('modules/'.$op.'/admin/admin_manufacturers.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_manufacturers_edit":
				if  (xomol_check_store_user_rights_specific($userid, 'STORE_MANUFACTURER_EDIT') == '1')  {
					include('modules/'.$op.'/admin/admin_manufacturers_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_manufacturers_update":
				if  (xomol_check_store_user_rights_specific($userid, 'STORE_MANUFACTURER_EDIT') == '1')  {
					$result= sql_query("UPDATE store_manufacturers SET 	manufacturer_title='".$manufacturer_title."'
														WHERE 	manufacturer_id='".$manufacturer."' ",$dbi);
					include('modules/'.$op.'/admin/admin_manufacturers.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_manufacturers_delete":
				if  (xomol_check_store_user_rights_specific($userid, 'STORE_MANUFACTURER_DELETE') == '1')  {
					$result= sql_query("DELETE FROM store_manufacturers WHERE manufacturer_id='$manufacturer'",$dbi);
					include('modules/'.$op.'/admin/admin_manufacturers.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE CATEGORIES AND PRODUCTS -CATEGORIES-
			*********************************************************************************************/
			case "admin_cat_view":
				if ( ( xomol_check_store_user_rights_specific($userid, 'STORE_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_store_user_rights_specific($userid, 'STORE_STORE_CAT_EDIT_OWN') == '1') )  {
					include('modules/'.$op.'/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_cat_add":
				if ( ( xomol_check_store_user_rights_specific($userid, 'STORE_CAT_ADD_OTHERS') == '1') OR ( xomol_check_store_user_rights_specific($userid, 'STORE_CAT_ADD_OWN') == '1') )  {
					include('modules/'.$op.'/admin/admin_cat_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_cat_insert":
				if ( ( xomol_check_store_user_rights_specific($userid, 'STORE_CAT_ADD_OTHERS') == '1') OR ( xomol_check_store_user_rights_specific($userid, 'STORE_CAT_ADD_OWN') == '1') )  {

					$cats = checkSomethingFromTable($table='store_products_cat', $what='category_id', $key='category_parent_id', $keyvalue=$cat_parent_id, $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
					$cats_count = count($cats);
					$view_order = $cats_count+1;
					if($skipupdate!=1) {
						///////////////////////////////////////////////////////////////////////////////
						// Insert the category
						$category_id = time();
						$result= sql_query("INSERT INTO store_products_cat ( category_id, category_status, category_parent_id, view_order )
									   VALUES ('$category_id', '$category_status', '$cat_parent_id', '$view_order')", $dbi);

						///////////////////////////////////////////////////////////////////////////////
						// Inserting category into store_products_cat_desc
						///////////////////////////////////////////////////////////////////////////////
						foreach($category_title AS $fe_lang => $valor) {
							$newtitle = $category_title[$fe_lang];
							$newdec1 = $category_description_1[$fe_lang];
							sql_query("INSERT INTO store_products_cat_desc ( category_id, language, title, description )
													   VALUES ('$category_id', '$fe_lang', '$newtitle', '$newdec1')", $dbi);
						}

						///////////////////////////////////////////////////////////////////////////////
						// Autoconfigure Metatags
						///////////////////////////////////////////////////////////////////////////////
						$array_title = $category_title;
						$array_description = $category_description_1;
						$debug='';
						$metatags = autoconfigre_metatags($op, $array_title, $array_description, $meta_title, $meta_keyword1, $meta_keyword2, $meta_keyword3, $meta_keyword4, $meta_keyword5, $meta_keyword6, $meta_keyword7, $meta_keyword8, $meta_keyword9, $meta_keyword10, $meta_keyword11, $meta_keyword12, $meta_description);
						foreach($metatags AS $key => $val) {
							$_meta_title 	  = $metatags[$key]['meta_title'];
							$_meta_keywords 	  = $metatags[$key]['meta_keywords'];
							$_meta_description = $metatags[$key]['meta_description'];
							sql_query("UPDATE store_products_cat_desc    SET  meta_title='".$_meta_title."', meta_keywords='".$_meta_keywords."', meta_description='".$_meta_description."' WHERE category_id='".$category_id."' AND language='".$key."'", $dbi);
						}

						///////////////////////////////////////////////////////////////////////////////
						// FILE UPLOADS
						$MAX_WIDTH = get_store_config_value($config_key='MAX_CAT_IMAGE_WIDTH');
						$MAX_HEIGHT = get_store_config_value($config_key='MAX_CAT_IMAGE_HEIGHT');
						$PREFIX = 'thumb_';
						$fileupload_url = 'modules/'.$op.'/image';
						$fileupload_realpath='modules/'.$op.'/image';
						$fileupload_maxk = get_store_config_value($config_key='FILEUPLOAD_MAXK');
						$MAX_FILE_SIZE=$fileupload_maxk*1024;
						$fileupload_allowedtypes = get_store_config_value($config_key='OK_MIME_TYPES');
						if($_FILES['userfile']['name']!='') {
							include('includes/userfile_prefix.php');
							$file_name = $userfile_name;
							if($file_name!='') {
								sql_query("UPDATE store_products_cat SET cat_image='".$file_name."'  WHERE category_id='".$category_id."'", $dbi);
							}
						}
						////////////////////////////////////////////////////////////////
						// Build the data for SEO_TABLE
						////////////////////////////////////////////////////////////////
						$debug = '';
						foreach($category_title AS $fe_lang => $valor) {
							$realpath	=  'index.php?op='.$op.'&op2=browse&cat='.$category_id.'&xlang='.$fe_lang;
							$newtitle = $category_title[$fe_lang];
							$newlink_title= $link_title[$fe_lang];
							$newlink_title = eregi_replace(".html", "", $newlink_title);
							if($link_type[$fe_lang]=='1'){
								$convertiontype='2';
								$title = $newtitle;
								$title = eregi_replace(' ', '_', $title);
							}
							if($link_type[$fe_lang]=='2'){
								$convertiontype='2';
								$title = $newlink_title;
								$title = eregi_replace(' ', '_', $title);
							}
							$fakepath	=  convert_real2fake_url_update_tb($url=$realpath,$title,$fe_lang,$convertiontype);
							if(getRealPathFromFake($fakepath)=='') {
								sql_query("INSERT INTO xomol_seo_realfakepaths ( fakepath, realpath) VALUES ('$fakepath', '$realpath')", $dbi);
							}
							sql_query("UPDATE store_products_cat_desc    SET  seo_link='".$fakepath."' WHERE category_id='".$category_id."' AND language='".$fe_lang."'", $dbi);
						}
					}
					$skipupdate=1;
					$category_parent_id = $cat_parent_id;
					include('modules/'.$op.'/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_cat_edit":
				if ( ( xomol_check_store_user_rights_specific($userid, 'STORE_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_store_user_rights_specific($userid, 'STORE_STORE_CAT_EDIT_OWN') == '1') )  {
					include('modules/'.$op.'/admin/admin_cat_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_cat_update":
				if ( ( xomol_check_store_user_rights_specific($userid, 'STORE_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_store_user_rights_specific($userid, 'STORE_STORE_CAT_EDIT_OWN') == '1') )  {
					if($skipupdate!=1) {
						///////////////////////////////////////////////////////////////////////////////
						// Update the category
						sql_query("UPDATE store_products_cat SET category_status='".$category_status."'  WHERE category_id='".$cat."'", $dbi);
						///////////////////////////////////////////////////////////////////////////////
						// updateing category into store_products_cat_desc
						///////////////////////////////////////////////////////////////////////////////
						foreach($category_title AS $fe_lang => $valor) {
							$newtitle = $category_title[$fe_lang];
							$newdec1 = $category_description_1[$fe_lang];
							$indb = checkSomethingFromTable($table='store_products_cat_desc', $what='category_id', $key='category_id', $keyvalue=$cat, $langkey='language', $langkeyvalue=$fe_lang, $sqlanswer='');
							if($indb=='') {
								sql_query("INSERT INTO store_products_cat_desc ( category_id, language, title, description ) VALUES ('$cat', '$fe_lang', '$newtitle', '$newdec1')", $dbi);
							} else {
								sql_query("UPDATE store_products_cat_desc    SET  title='".$newtitle."', description='".$newdec1."' WHERE category_id='".$cat."' AND language='".$fe_lang."'", $dbi);
							}
						}
						///////////////////////////////////////////////////////////////////////////////
						// Autoconfigure Metatags
						///////////////////////////////////////////////////////////////////////////////
						$array_title = $category_title;
						$array_description = $category_description_1;
						$debug='';
						$metatags = autoconfigre_metatags($op, $array_title, $array_description, $meta_title, $meta_keyword1, $meta_keyword2, $meta_keyword3, $meta_keyword4, $meta_keyword5, $meta_keyword6, $meta_keyword7, $meta_keyword8, $meta_keyword9, $meta_keyword10, $meta_keyword11, $meta_keyword12, $meta_description);
						foreach($metatags AS $key => $val) {
							$_meta_title 	  = $metatags[$key]['meta_title'];
							$_meta_keywords 	  = $metatags[$key]['meta_keywords'];
							$_meta_description = $metatags[$key]['meta_description'];
							sql_query("UPDATE store_products_cat_desc    SET  meta_title='".$_meta_title."', meta_keywords='".$_meta_keywords."', meta_description='".$_meta_description."' WHERE category_id='".$cat."' AND language='".$key."'", $dbi);
						}

						///////////////////////////////////////////////////////////////////////////////
						// FILE UPLOADS
						$MAX_WIDTH = get_store_config_value($config_key='MAX_CAT_IMAGE_WIDTH');
						$MAX_HEIGHT = get_store_config_value($config_key='MAX_CAT_IMAGE_HEIGHT');
						$PREFIX = 'thumb_';

						$fileupload_url = 'modules/'.$op.'/image';
						$fileupload_realpath='modules/'.$op.'/image';
						$fileupload_maxk = get_store_config_value($config_key='FILEUPLOAD_MAXK');
						$MAX_FILE_SIZE=$fileupload_maxk*1024;
						$fileupload_allowedtypes = get_store_config_value($config_key='OK_MIME_TYPES');
						if($_FILES['userfile']['name']!='') {
							include('includes/userfile_prefix.php');
							$file_name = $userfile_name;
							if($file_name!='') {
								sql_query("UPDATE store_products_cat SET cat_image='".$file_name."'  WHERE category_id='".$cat."'", $dbi);
							}
						}
						////////////////////////////////////////////////////////////////
						// Build the data for SEO_TABLE
						////////////////////////////////////////////////////////////////
						// $debug = '';
						foreach($category_title AS $fe_lang => $valor) {
							$realpath	=  'index.php?op='.$op.'&op2=browse&cat='.$cat.'&xlang='.$fe_lang;
							$newtitle = $category_title[$fe_lang];
							$newlink_title= $link_title[$fe_lang];
							$newlink_title = eregi_replace(".html", "", $newlink_title);
							if($link_type[$fe_lang]=='1'){
								$convertiontype='2';
								$title = $newtitle;
								$title = eregi_replace(' ', '_', $title);
							}
							if($link_type[$fe_lang]=='2'){
								$convertiontype='2';
								$title = $newlink_title;
								$title = eregi_replace(' ', '_', $title);
							}
							$fakepath	=  convert_real2fake_url_update_tb($url=$realpath,$title,$fe_lang,$convertiontype);
							if(getRealPathFromFake($fakepath)=='') {
								sql_query("INSERT INTO xomol_seo_realfakepaths ( fakepath, realpath) VALUES ('$fakepath', '$realpath')", $dbi);
							}
							sql_query("UPDATE store_products_cat_desc    SET  seo_link='".$fakepath."' WHERE category_id='".$cat."' AND language='".$fe_lang."'", $dbi);
						}
					}
					$category_parent_id = get_store_parent_cat($cat);
					$skipupdate=1;
					include('modules/store/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "statuscat":
				if ( ( xomol_check_store_user_rights_specific($userid, 'STORE_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_store_user_rights_specific($userid, 'STORE_STORE_CAT_EDIT_OWN') == '1') )  {
					if($switch=="1") {
						$result= sql_query("UPDATE store_products_cat SET category_status=1 WHERE category_id='$cat'",$dbi);
					} else {
						$result= sql_query("UPDATE store_products_cat SET category_status=0 WHERE category_id='$cat'",$dbi);
					}
					$cat_parent_id=get_store_parent_cat($cat);
					include('modules/'.$op.'/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_cat_order":
				if ( ( xomol_check_store_user_rights_specific($userid, 'STORE_CAT_EDIT_OTHERS') == '1') OR ( xomol_check_store_user_rights_specific($userid, 'STORE_STORE_CAT_EDIT_OWN') == '1') )  {
					$view_order = checkSomethingFromTable($table='store_products_cat', $what='view_order', $key='category_id', $keyvalue=$cat, $langkey='', $langkeyvalue='', $sqlanswer='');
					$under = $view_order-1;
					$upper = $view_order+1;
					$parent_category = get_store_parent_cat($category_id=$cat);
					$categories = checkSomethingFromTable($table='store_products_cat', $what='category_id', $key='category_parent_id', $keyvalue=$parent_category, $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
					$categories_count = count($categories);

					$result_under = sql_query("SELECT * FROM store_products_cat WHERE category_parent_id='" . $parent_category . "' AND view_order='" . $under . "' LIMIT 0,1  ", $dbi);
					if($row_under = sql_fetch_array($result_under, $dbi)){
						$view_under_id   = $row_under['category_id'];
					}
					$result_upper = sql_query("SELECT * FROM store_products_cat WHERE category_parent_id='" . $parent_category . "' AND view_order='" . $upper . "' LIMIT 0,1  ", $dbi);
					if($row_upper = sql_fetch_array($result_upper, $dbi)){
						$view_upper_id   = $row_upper['category_id'];
					}

					$view_order_under = checkSomethingFromTable($table='store_products_cat', $what='view_order', $key='category_id', $keyvalue=$view_under_id, $langkey='', $langkeyvalue='', $sqlanswer='');
					$view_order_upper = checkSomethingFromTable($table='store_products_cat', $what='view_order', $key='category_id', $keyvalue=$view_upper_id, $langkey='', $langkeyvalue='', $sqlanswer='');

					$views = checkSomethingFromTable($table='store_products_cat', $what='category_id', $key='', $keyvalue='', $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
					$views_count = count($views);

					if($switch=="up") {
						if($view_order > $view_order_under) {
							 sql_query("UPDATE store_products_cat SET view_order='".$view_order_under."' WHERE category_id='".$cat."'",$dbi);
							 sql_query("UPDATE store_products_cat SET view_order='".$view_order."' WHERE category_id='".$view_under_id."'",$dbi);
						}
					} elseif($switch=="down") {
						if($view_order < $view_order_upper) {
							 sql_query("UPDATE store_products_cat SET view_order='".$view_order_upper."' WHERE category_id='".$cat."'",$dbi);
							 sql_query("UPDATE store_products_cat SET view_order='".$view_order."' WHERE category_id='".$view_upper_id."'",$dbi);
						}
					}
					$cat_parent_id=$parent_category;
					include('modules/'.$op.'/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_cat_del":
				if ( ( xomol_check_store_user_rights_specific($userid, 'STORE_CAT_DEL_OTHERS') == '1') OR ( xomol_check_store_user_rights_specific($userid, 'STORE_CAT_DEL_OWN') == '1') )  {

					if( (get_store_under_cat($cat)=='') AND (get_store_under_arts($cat)=='') ){
						$result= sql_query("DELETE FROM store_products_cat WHERE category_id='$cat'",$dbi);
						$result= sql_query("DELETE FROM store_products_cat_desc WHERE category_id='$cat'",$dbi);
						include('modules/store/admin/admin_cat_view.php');
					} else {
						$message= SOME_CATS_OR_ARTS_EXISTS.'<BR>';
						$message.= PLS_DELETE_TO_CONTINUE.'<BR>';
						include('modules/store/admin/admin_cat_view.php');
					}
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE CATEGORIES AND PRODUCTS -PRODUCTS-
			*********************************************************************************************/
			case "admin_art_add":
				if ( ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ADD_OTHERS') == '1') OR ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ADD_OWN') == '1') )  {
					include('modules/'.$op.'/admin/admin_art_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_art_insert":
				if ( ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ADD_OTHERS') == '1') OR ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ADD_OWN') == '1') )  {
					if($skipupdate!=1) {
						$product_id = time();
						$creation=date("Y.n.j G:i:s");
						/*****************************************************************************
						* Inserting product into store_products
						******************************************************************************/
						$result= sql_query("INSERT INTO store_products ( product_id, product_catid, product_status, author_id, manufacturer_id, model, preis, tax_class_id, weight, package_type, creation, is_default, in_stock, ordered  )
									   VALUES ('$product_id', '$product_catid', '1', '$userid', '$manufacturer_id', '$model', '$preis', '$tax_class_id', '$weight', '$package_type', '$creation', '$is_default', '$in_stock', '$ordered')", $dbi);

						/*****************************************************************************
						* Inserting product into store_products_desc
						******************************************************************************/
						foreach($product_title AS $fe_lang => $valor) {
							$newtitle = $product_title[$fe_lang];
							$newdec1 = $product_description_1[$fe_lang];
							$newdec2 = $product_description_2[$fe_lang];
							sql_query("INSERT INTO store_products_desc ( product_id, language, title, product_description_1,product_description_2 )
													   VALUES ('$product_id', '$fe_lang', '$newtitle', '$newdec1', '$newdec2')", $dbi);
						}

						/*****************************************************************************
						* Metatags
						******************************************************************************/
						$array_title = $product_title;
						$array_description = $product_description_1;
						$debug='';
						$metatags = autoconfigre_metatags($op, $array_title, $array_description, $meta_title, $meta_keyword1, $meta_keyword2, $meta_keyword3, $meta_keyword4, $meta_keyword5, $meta_keyword6, $meta_keyword7, $meta_keyword8, $meta_keyword9, $meta_keyword10, $meta_keyword11, $meta_keyword12, $meta_description);
						foreach($metatags AS $key => $val) {
							$_meta_title 	  = $metatags[$key]['meta_title'];
							$_meta_keywords 	  = $metatags[$key]['meta_keywords'];
							$_meta_description = $metatags[$key]['meta_description'];
							sql_query("UPDATE store_products_desc    SET  meta_title='".$_meta_title."', meta_keywords='".$_meta_keywords."', meta_description='".$_meta_description."' WHERE product_id='".$product_id."' AND language='".$key."'", $dbi);
						}

						/*****************************************************************************
						* SEO_TABLE
						******************************************************************************/
						foreach($product_title AS $fe_lang => $valor) {
							$realpath	=  'index.php?op='.$op.'&op2=view_details&product='.$product.'&xlang='.$fe_lang;
							$newtitle = $product_title[$fe_lang];
							$newlink_title= $link_title[$fe_lang];
							$newlink_title = eregi_replace(".html", "", $newlink_title);
							if($link_type[$fe_lang]=='1'){
								$convertiontype='2';
								$title = $newtitle;
								$title = eregi_replace(' ', '_', $title);
							}
							if($link_type[$fe_lang]=='2'){
								$convertiontype='2';
								$title = $newlink_title;
								$title = eregi_replace(' ', '_', $title);
							}
							$fakepath	=  convert_real2fake_url_update_tb($url=$realpath,$title,$fe_lang,$convertiontype);
							if(getRealPathFromFake($fakepath)=='') {
								sql_query("INSERT INTO xomol_seo_realfakepaths ( fakepath, realpath) VALUES ('$fakepath', '$realpath')", $dbi);
							}
							sql_query("UPDATE store_products_desc    SET  seo_link='".$fakepath."' WHERE product_id='".$product_id."' AND language='".$fe_lang."'", $dbi);
						}

						/*****************************************************************************
						* FILE UPLOADS
						******************************************************************************/
						$MAX_WIDTH = get_store_config_value($config_key='MAX_ART_THUMB_IMAGE__WIDTH');
						$MAX_HEIGHT = get_store_config_value($config_key='MAX_ART_THUMB_IMAGE__HEIGHT');
						$PREFIX = 'thumb_';

						$fileupload_url = 'modules/'.$op.'/image';
						$fileupload_realpath='modules/'.$op.'/image';
						$fileupload_maxk = get_store_config_value($config_key='FILEUPLOAD_MAXK');
						$MAX_FILE_SIZE=$fileupload_maxk*1024;
						$fileupload_allowedtypes = get_store_config_value($config_key='OK_MIME_TYPES');
						if($_FILES['userfile']['name']!='') {
							include('includes/userfile_prefix.php');
							$file_name = $userfile_name;
							if($file_name!='') {
								sql_query("UPDATE store_products SET product_image='".$file_name."'  WHERE product_id='".$product_id."'", $dbi);
							}
						}
					}
					$skipupdate = 1;
					$cat_parent_id = get_store_parent_cat($product_catid);
					$focus = $product_catid;
					include('modules/'.$op.'/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_art_edit":
				if ( ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OTHERS') == '1') OR ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OWN') == '1') )  {
					$author = get_store_prod_author($product);
					$author_group = checkSomethingFromTable($table='users', $what='user_group', $key='user_id', $keyvalue=$author, $langkey='', $langkeyvalue='', $sqlanswer='');
					$current_user_group = checkSomethingFromTable($table='users', $what='user_group', $key='user_id', $keyvalue=$userid, $langkey='', $langkeyvalue='', $sqlanswer='');
					if( ($author==$userid) AND (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OWN') == '1') ) {
						include('modules/'.$op.'/admin/admin_art_edit.php');
					} elseif (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OTHERS') == '1') {
						if (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OTHERS_SAME') == '1') {
							if(($current_user_group==$author_group) OR (user_is_in_tree($author, $userid)=='1')) {
								include('modules/'.$op.'/admin/admin_art_edit.php');
							}
						} elseif (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OTHERS_LOW') == '1') {
							if(user_is_in_tree($author, $userid)=='1') {
								include('modules/'.$op.'/admin/admin_art_edit.php');
							}
						} else { echo NO_USER_RIGHTS; }
					}
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_art_update":
				if ( ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OTHERS') == '1') OR ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OWN') == '1') )  {
					if($skipupdate!='1') {
						$author = get_store_prod_author($product);
						$user_group_tochange = check_user_group($author);
						$user_group_operator = check_user_group($userid);
						$ok=0;
						if (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OTHERS_SAME') == '1') {
							if(($user_group_operator==$user_group_tochange)
							OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
							OR (user_is_in_tree($author, $userid)=='1')
							) { $ok=1; }
						} elseif (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OTHERS_LOW') == '1') {
							if((user_is_in_tree($author, $userid)=='1')
							OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
							) { $ok=1; }
						}
						if($ok==1) {
							// print_r($_POST);
							// echo '$product: '.$product.'<br>';
							// echo '$tax_rates_id: '.$tax_rates_id.'<br>';
							/*****************************************************************************
							* Updating product into store_products
							******************************************************************************/
							sql_query("UPDATE store_products SET product_catid='".$product_catid."', product_status='".$product_status."', product_status='".$product_status."', author_id='".$author_id."', manufacturer_id='".$manufacturer_id."', model='".$model."', preis='".$preis."', tax_class_id='".$tax_class_id."', tax_rates_id='".$tax_rates_id."', weight='".$weight."', package_type='".$package_type."',  in_stock='".$in_stock."' , ordered='".$ordered."' , date_available='".$date_available."' , last_modified='".$last_modified."' WHERE product_id='".$product."'", $dbi);
							/*****************************************************************************
							* Updating product into store_products_desc
							******************************************************************************/
							foreach($product_title AS $fe_lang => $value) {
								$newtitle	 = $product_title[$fe_lang];
								$newdesc1	 = $product_description_1[$fe_lang];
								$newdesc2	 = $product_description_2[$fe_lang];

								$indesc = checkSomethingFromTable($table='store_products_desc', $what='product_id', $key='product_id', $keyvalue=$product, $langkey='language', $langkeyvalue=$fe_lang, $sqlanswer='');
								if($indesc!=''){
									sql_query("UPDATE store_products_desc    SET  title='".$newtitle."', product_description_1='".$newdesc1."', product_description_2='".$newdesc2."' WHERE product_id='".$product."' AND language='".$fe_lang."'", $dbi);
								} else {
									sql_query("INSERT INTO store_products_desc ( product_id, title, product_description_1,product_description_2, language) VALUES ('$product','$newtitle', '$newdesc1', '$newdesc2', '$fe_lang')", $dbi);
								}

							}
							/*****************************************************************************
							* Updating Metatags
							******************************************************************************/
							$array_title = $product_title;
							$array_description = $product_description_1;
							$debug='';
							$metatags = autoconfigre_metatags($op, $array_title, $array_description, $meta_title, $meta_keyword1, $meta_keyword2, $meta_keyword3, $meta_keyword4, $meta_keyword5, $meta_keyword6, $meta_keyword7, $meta_keyword8, $meta_keyword9, $meta_keyword10, $meta_keyword11, $meta_keyword12, $meta_description);
							foreach($metatags AS $key => $val) {
								$_meta_title 	  = $metatags[$key]['meta_title'];
								$_meta_keywords 	  = $metatags[$key]['meta_keywords'];
								$_meta_description = $metatags[$key]['meta_description'];
								sql_query("UPDATE store_products_desc    SET  meta_title='".$_meta_title."', meta_keywords='".$_meta_keywords."', meta_description='".$_meta_description."' WHERE product_id='".$product."' AND language='".$key."'", $dbi);
							}
							/*****************************************************************************
							* Updating SEO_TABLE
							******************************************************************************/
							foreach($product_title AS $fe_lang => $valor) {
								$realpath	=  'index.php?op='.$op.'&op2=view_details&product='.$product.'&xlang='.$fe_lang;
								$newtitle = $product_title[$fe_lang];
								$newlink_title= $link_title[$fe_lang];
								$newlink_title = eregi_replace(".html", "", $newlink_title);
								if($link_type[$fe_lang]=='1'){
									$convertiontype='2';
									$title = $newtitle;
									$title = eregi_replace(' ', '_', $title);
								}
								if($link_type[$fe_lang]=='2'){
									$convertiontype='2';
									$title = $newlink_title;
									$title = eregi_replace(' ', '_', $title);
								}
								$fakepath	=  convert_real2fake_url_update_tb($url=$realpath,$title,$fe_lang,$convertiontype);
								if(getRealPathFromFake($fakepath)=='') {
									sql_query("INSERT INTO xomol_seo_realfakepaths ( fakepath, realpath) VALUES ('$fakepath', '$realpath')", $dbi);
								}
								sql_query("UPDATE store_products_desc    SET  seo_link='".$fakepath."' WHERE product_id='".$product."' AND language='".$fe_lang."'", $dbi);
							}
							/*****************************************************************************
							* FILE UPLOADS
							******************************************************************************/
							///////////////////////////////////////////////////////////////////////////////
							// FILE UPLOADS
							$MAX_WIDTH 	= get_store_config_value($config_key='MAX_ART_THUMB_IMAGE_WIDTH');
							// ups! why is MAX_ART_THUMB_IMAGE_WIDTH not working and MAX_CAT_IMAGE_WIDTH works??
							// i will use temporarly MAX_CAT_IMAGE_WIDTH... so now it works...
							$MAX_WIDTH 	= get_store_config_value($config_key='MAX_CAT_IMAGE_WIDTH');
							$MAX_HEIGHT = get_store_config_value($config_key='MAX_ART_THUMB_IMAGE_HEIGTH');
							$PREFIX = 'thumb_';
							$debug .= '$MAX_WIDTH: '.$MAX_WIDTH.'<br>';
							$debug .= '$MAX_HEIGHT: '.$MAX_HEIGHT.'<br>';

							$fileupload_url = 'modules/'.$op.'/images';
							$fileupload_realpath='modules/'.$op.'/images';
							$fileupload_maxk = get_store_config_value($config_key='FILEUPLOAD_MAXK');
							$MAX_FILE_SIZE=$fileupload_maxk*1024;
							$fileupload_allowedtypes = get_store_config_value($config_key='OK_MIME_TYPES');

							if($_FILES['userfile']['name']!='') {
								include('includes/userfile_prefix.php');
								$file_name = $userfile_name;
								if($file_name!='') {
									sql_query("UPDATE store_products SET product_image='".$file_name."'  WHERE product_id='".$product."'", $dbi);
								}
							}
						}
					}
					$skipupdate = 1;
					$cat_parent_id = get_store_parent_cat($product_catid);
					$focus = $product_catid;
					// echo $debug;
					include('modules/'.$op.'/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "status":
				if ( ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OTHERS') == '1') OR ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OWN') == '1') )  {
					$ok=0;
					$author = get_store_prod_author($product);
					$author_group = checkSomethingFromTable($table='users', $what='user_group', $key='user_id', $keyvalue=$author, $langkey='', $langkeyvalue='', $sqlanswer='');
					$current_user_group = checkSomethingFromTable($table='users', $what='user_group', $key='user_id', $keyvalue=$userid, $langkey='', $langkeyvalue='', $sqlanswer='');
					if( ($author==$userid) AND (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OWN') == '1') ) {
						$ok=1;
					} elseif (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OTHERS') == '1') {
						if (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OTHERS_SAME') == '1') {
							if(($current_user_group==$author_group) OR (user_is_in_tree($author, $userid)=='1')) {
								$ok=1;
							}
						} elseif (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OTHERS_LOW') == '1') {
							if(user_is_in_tree($author, $userid)=='1') {
								$ok=1;
							}
						}
					}
					if($ok==1) {
						if($switch=="1") {
							$result= sql_query("UPDATE store_products SET product_status=1 WHERE product_id='$product'",$dbi);
						} else {
							$result= sql_query("UPDATE store_products SET product_status=0 WHERE product_id='$product'",$dbi);
						}
					}
					include('modules/'.$op.'/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "statusdefault":
				if ( ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OTHERS') == '1') OR ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OWN') == '1') )  {
					$ok=0;
					$author = get_store_prod_author($product);
					$author_group = checkSomethingFromTable($table='users', $what='user_group', $key='user_id', $keyvalue=$author, $langkey='', $langkeyvalue='', $sqlanswer='');
					$current_user_group = checkSomethingFromTable($table='users', $what='user_group', $key='user_id', $keyvalue=$userid, $langkey='', $langkeyvalue='', $sqlanswer='');
					if( ($author==$userid) AND (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OWN') == '1') ) {
						$ok=1;
					} elseif (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OTHERS') == '1') {
						if (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OTHERS_SAME') == '1') {
							if(($current_user_group==$author_group) OR (user_is_in_tree($author, $userid)=='1')) {
								$ok=1;
							}
						} elseif (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_EDIT_OTHERS_LOW') == '1') {
							if(user_is_in_tree($author, $userid)=='1') {
								$ok=1;
							}
						}
					}
					if($ok==1) {
						if($switch=="1") {
							sql_query("UPDATE store_products SET is_default=1 WHERE product_id='$product' AND product_catid='$focus'",$dbi);
							sql_query("UPDATE store_products SET is_default=0 WHERE product_id!='$product' AND product_catid='$focus'", $dbi);
						} else {
							$result= sql_query("UPDATE store_products SET is_default=0 WHERE product_id='$product'",$dbi);
						}
					}
					include('modules/'.$op.'/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_art_delete":
				if ( ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_DEL_OTHERS') == '1') OR ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_DEL_OWN') == '1') )  {
					$ok=0;
					$author = get_store_prod_author($product);
					$author_group = checkSomethingFromTable($table='users', $what='user_group', $key='user_id', $keyvalue=$author, $langkey='', $langkeyvalue='', $sqlanswer='');
					$current_user_group = checkSomethingFromTable($table='users', $what='user_group', $key='user_id', $keyvalue=$userid, $langkey='', $langkeyvalue='', $sqlanswer='');
					if( ($author==$userid) AND (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_DEL_OWN') == '1') ) {
						$ok=1;
					} elseif (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_DEL_OTHERS') == '1') {
						if (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_DEL_OTHERS_SAME') == '1') {
							if(($current_user_group==$author_group) OR (user_is_in_tree($author, $userid)=='1')) {
								$ok=1;
							}
						} elseif (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_DEL_OTHERS_LOW') == '1') {
							if(user_is_in_tree($author, $userid)=='1') {
								$ok=1;
							}
						}
					}
					if($ok==1) {
						$result= sql_query("DELETE FROM store_products WHERE product_id='$product'",$dbi);
						$result= sql_query("DELETE FROM store_products_desc WHERE product_id='$product'",$dbi);
					}
					include('modules/'.$op.'/admin/admin_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE CATEGORIES AND PRODUCTS -PRODUCT OPTIONS-
			*********************************************************************************************/
			case "admin_store_prod_attrib_ops":
				if ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ATTR_VIEW') == '1') {
					include('modules/'.$op.'/admin/admin_store_prod_attrib_ops.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_store_prod_attrib_ops_insert":
				if ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ATTR_ADD') == '1')   {
					$option_id = time();
					foreach($xoption1 as $key => $val){
						sql_query("INSERT INTO store_products_options ( options_id, language, options_name )
										   VALUES ('$option_id', '$key', '$val')", $dbi);
					}
					$op4='product_options';
					include('modules/'.$op.'/admin/admin_store_prod_attrib_ops.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_store_prod_attrib_ops_edit":
				if ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ATTR_EDIT') == '1')   {
					include('modules/'.$op.'/admin/admin_store_prod_attrib_ops_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_prod_attrib_ops_update":
				if ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ATTR_EDIT') == '1')   {

					foreach($option2update as $key => $val){
						sql_query("UPDATE store_products_options SET options_name='$val' WHERE options_id='$option' AND language='$key'",$dbi);
					}
					// sql_query("UPDATE store_products_options SET options_name='$art' WHERE product_id='$art'",$dbi);
					$focus=$option;
					include('modules/'.$op.'/admin/admin_store_prod_attrib_ops.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_prod_attrib_ops_default":
				if  (xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ATTR_EDIT') == '1')  {
					if($switch=="1") {
						sql_query("UPDATE store_products_options_values SET is_default=1 WHERE options_values_id='$option_value' AND options_id='$option'",$dbi);
						sql_query("UPDATE store_products_options_values SET is_default=0 WHERE options_values_id!='$option_value' AND options_id='$option'",$dbi);
					}
					$focus=$option;
					$op4='product_options';
					include('modules/'.$op.'/admin/admin_store_prod_attrib_ops.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_prod_attrib_ops_delete":
				if ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ATTR_DEL') == '1')   {
					sql_query("DELETE FROM store_products_options WHERE options_id='$option'",$dbi);
					sql_query("DELETE FROM store_products_options_values WHERE options_id='$option'",$dbi);
					include('modules/'.$op.'/admin/admin_store_prod_attrib_ops.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_prod_attrib_ops_values_insert":
				if ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ATTR_ADD') == '1')   {
					$option_value_id=time();

					$xoption = $_POST['xoption'];
					$xoption_value = $_POST['xoption_value'];
					foreach($xoption_value as $key => $val){
						sql_query("INSERT INTO store_products_options_values ( options_values_id, options_id, language, products_options_values_name )
										   VALUES ('$option_value_id', '$xoption', '$key', '$val')", $dbi);
					}
					$focus=$xoption;
					$op4='product_options';
					include('modules/'.$op.'/admin/admin_store_prod_attrib_ops.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_store_prod_attrib_ops_values_edit":
				if ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ATTR_EDIT') == '1')   {
					include('modules/'.$op.'/admin/admin_store_prod_attrib_ops_values_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_store_prod_attrib_ops_values_update":
				if ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ATTR_EDIT') == '1')   {
					foreach($option_values as $fe_lang => $val){
						$result = sql_query("SELECT *
											 FROM store_products_options_values
											 WHERE options_id='" . $option . "'
											 AND options_values_id='" . $option_value . "'
											 AND language='" . $fe_lang . "'
											 ORDER BY products_options_values_name ASC", $dbi);
						$row = sql_fetch_array($result, $dbi);
						$rs_exists 	   = $row['options_values_id'];
						if($rs_exists!='') {
							sql_query("	UPDATE store_products_options_values
										SET products_options_values_name='$val'
										WHERE options_values_id='$option_value'
										AND options_id='$option'
										AND language='$fe_lang'"
										,$dbi);
						} else {
							sql_query("INSERT INTO store_products_options_values
										( options_values_id, options_id, language, products_options_values_name )
										VALUES ('$option_value', '$option', '$fe_lang', '$val')", $dbi);
						}
					}
					$op4='product_options';
					$focus=$option;
					include('modules/'.$op.'/admin/admin_store_prod_attrib_ops.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_store_prod_attrib_ops_values_delete":
				if ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ATTR_DEL') == '1')   {
					sql_query("DELETE FROM store_products_options_values WHERE options_id='$option' AND options_values_id='$option_value'",$dbi);
					$focus=$option;
					include('modules/'.$op.'/admin/admin_store_prod_attrib_ops.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_prod_attrib_insert":
				$debug .= 'case "admin_store_prod_attrib_insert":<br>';
				$debug .= 'STORE_PROD_ATTR_ADD:<br>';
				$debug .= xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ATTR_ADD').'<br>';
				if ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ATTR_ADD') == '1')   {

					$products_id=$_POST['product'];
					$options_id=$_POST['xoption'];
					$options_values_id=$_POST['xoption_value'];
					$options_values_price=$_POST['preis'];
					$price_prefix=$_POST['prefix'];
					$userfile=$_POST['userfile'];
					$userfile2=$_FILES['userfile'];
					$products_attributes_maxcount=$_POST['products_attributes_maxcount'];
					$products_attributes_maxdays=$_POST['products_attributes_maxdays'];

					$debug .= '$products_id: '.$products_id.'<br>';
					$debug .= '$options_id: '.$options_id.'<br>';
					$debug .= '$options_values_id: '.$options_values_id.'<br>';
					$debug .= '$options_values_price: '.$options_values_price.'<br>';
					$debug .= '$price_prefix: '.$price_prefix.'<br>';
					$debug .= '$file: '.$file.'<br>';
					$debug .= '$userfile: '.$userfile.'<br>';
					$debug .= '$userfile2: '.$userfile2.'<br>';


					$products_attributes_id=time();
					if( ($products_attributes_id!='')
						AND ($products_id!='')
						AND ($options_id!='')
						AND ($options_values_id!='') ) {
						sql_query("INSERT INTO store_products_attributes 	( products_attributes_id, products_id, options_id, options_values_id, options_values_price, price_prefix )
																VALUES 		('$products_attributes_id', '$products_id', '$options_id', '$options_values_id', '$options_values_price', '$price_prefix')", $dbi);
						$debug .= 'lets check files.<br>';
						if($file!='') {
							$debug .= 'update ---------$file: '.$file.'<br>';
							sql_query("INSERT INTO store_products_attributes_download ( products_attributes_id, products_attributes_filename, products_attributes_maxdays, products_attributes_maxcount )
											   VALUES ('$products_attributes_id', '$file', '$products_attributes_maxdays', '$products_attributes_maxcount')", $dbi);
						} else {
							$debug .= 'insert ---------$_FILES: '.$file.'<br>';
							$fileupload_realpath='modules/'.$op.'/downloads';
							$fileupload_url = '/modules/'.$op.'/downloads/';
							$fileupload_maxk = get_store_config_value($config_key='DOWNLOAD_FILE_MAX_SIZE');
							$fileupload_allowedtypes = get_store_config_value($config_key='DOWNLOAD_FILE_OK_MIME_TYPES');

							$debug .= '$fileupload_realpath: '.$fileupload_realpath.'<br>';
							$debug .= '$fileupload_url: '.$fileupload_url.'<br>';
							$debug .= '$fileupload_maxk: '.$fileupload_maxk.'<br>';
							$debug .= '$fileupload_allowedtypes: '.$fileupload_allowedtypes.'<br>';
							$debug .= '$_FILES[userfile][name]: '.$_FILES['userfile']['name'].'<br>';
							$debug .= '$userfile: '.$userfile.'<br>';
							if($_FILES['userfile']['userfile']!='') {
							// if($file!='') {
								include('modules/'.$op.'/includes/userfile_downloads.php');
								$file_name = $userfile_name;
								if($file_name!='') {
									sql_query("INSERT INTO store_products_attributes_download ( products_attributes_id, products_attributes_filename, products_attributes_maxdays, products_attributes_maxcount )
												   VALUES ('$products_attributes_id', '$file_name', '$products_attributes_maxdays', '$products_attributes_maxcount')", $dbi);
								}
							}
						}
					}
					// echo $debug;
					include('modules/'.$op.'/admin/admin_store_prod_attrib_ops.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_prod_attrib_edit":
				if ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ATTR_EDIT') == '1')   {
					$focus=$attribute;
					$xoption = checkSomethingFromTable($table='store_products_attributes', 		 $what='options_id', 		$key='products_attributes_id', $keyvalue=$attribute, $langkey='', $langkeyvalue='', $sqlanswer='');
					$xoption_value = checkSomethingFromTable($table='store_products_attributes', $what='options_values_id', $key='products_attributes_id', $keyvalue=$attribute, $langkey='', $langkeyvalue='', $sqlanswer='');
					$xoptions_values_price = checkSomethingFromTable($table='store_products_attributes', $what='options_values_price', $key='products_attributes_id', $keyvalue=$attribute, $langkey='', $langkeyvalue='', $sqlanswer='');
					$xprice_prefix = checkSomethingFromTable($table='store_products_attributes', $what='price_prefix', $key='products_attributes_id', $keyvalue=$attribute, $langkey='', $langkeyvalue='', $sqlanswer='');

					$_SESSION['xoption'] = $xoption;
					$_SESSION['xoption_value'] = $xoption_value;
					$_SESSION['xoptions_values_price'] = $xoptions_values_price;
					$_SESSION['xprice_prefix'] = $xprice_prefix;

					$edit=$attribute;
					include('modules/'.$op.'/admin/admin_store_prod_attrib_ops.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_store_prod_attrib_update":
				if ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ATTR_EDIT') == '1')   {

					// echo '$attribute: '.$attribute.'<hr>';

					$products_id=$_POST['product'];
					$options_id=$_SESSION['xoption'];
					$options_values_id=$_SESSION['xoption_value'];
					$options_values_price=$_SESSION['options_values_price'];
					$price_prefix=$_SESSION['price_prefix'];

					$products_attributes_maxcount=$_POST['products_attributes_maxcount'];
					$products_attributes_maxdays=$_POST['products_attributes_maxdays'];

					$products_attributes_id=$attribute;
					$focus=$products_attributes_id;

					if($options_values_id=='') { $options_values_id=$_POST['xoption_value']; }
					if($options_values_price=='') { $options_values_id=$_POST['options_values_price']; }
					if($price_prefix=='') { $options_values_id=$_POST['price_prefix']; }
					if( ($products_attributes_id!='')
						AND ($products_id!='')
						AND ($options_id!='')
						AND ($options_values_id!='') ) {

							echo '111111111<br>';
							sql_query("	UPDATE 	store_products_attributes
										SET 	products_id='".$products_id."',
												options_id='".$options_id."',
												options_values_id='".$options_values_id."',
												options_values_price='".$options_values_price."',
												price_prefix='".$price_prefix."'
										WHERE 	products_attributes_id='".$products_attributes_id."'
										", $dbi);
							if($file!='') {
								sql_query("	UPDATE 	store_products_attributes_download
											SET 	products_attributes_filename='".$file."',
													products_attributes_maxdays='".$products_attributes_maxdays."',
													products_attributes_maxcount='".$products_attributes_maxcount."'
											WHERE 	products_attributes_id='".$products_attributes_id."'
											", $dbi);
							} else {
								sql_query("	UPDATE 	store_products_attributes_download
											SET 	products_attributes_maxdays='".$products_attributes_maxdays."',
													products_attributes_maxcount='".$products_attributes_maxcount."'
											WHERE 	products_attributes_id='".$products_attributes_id."'
											", $dbi);
								$fileupload_realpath='modules/'.$op.'/downloads';
								$fileupload_url = '/modules/'.$op.'/downloads/';
								$fileupload_maxk = get_store_config_value($config_key='DOWNLOAD_FILE_MAX_SIZE');
								$fileupload_allowedtypes = get_store_config_value($config_key='DOWNLOAD_FILE_OK_MIME_TYPES');
								if($_FILES['userfile']['name']!='') {
									include('modules/'.$op.'/includes/userfile_downloads.php');
									$file_name = $userfile_name;
									if($file_name != '' ) {
										$indb = checkSomethingFromTable($table='store_products_attributes_download', $what='products_attributes_id', $key='products_attributes_id', $keyvalue=$products_attributes_id, $langkey='', $langkeyvalue='', $sqlanswer='');
										if($indb=='') {
											sql_query("INSERT INTO store_products_attributes_download ( products_attributes_id, products_attributes_filename, products_attributes_maxdays, products_attributes_maxcount )
																	   VALUES ('$products_attributes_id', '$file_name', '$products_attributes_maxdays', '$products_attributes_maxcount')", $dbi);
										} else {
											sql_query("	UPDATE 	store_products_attributes_download
														SET 	products_attributes_filename='".$file_name."'
														WHERE 	products_attributes_id='".$products_attributes_id."'
														", $dbi);
										}
									}
								}
							}

					} elseif( ($products_attributes_id!='')
						AND ($products_id!='') ) {
							sql_query("	UPDATE 	store_products_attributes
										SET 	products_id='".$products_id."',
												options_values_price='".$options_values_price."',
												price_prefix='".$price_prefix."'
										WHERE 	products_attributes_id='".$products_attributes_id."'
										", $dbi);
							if($file!='') {
								sql_query("	UPDATE 	store_products_attributes_download
											SET 	products_attributes_filename='".$file."',
													products_attributes_maxdays='".$products_attributes_maxdays."',
													products_attributes_maxcount='".$products_attributes_maxcount."'
											WHERE 	products_attributes_id='".$products_attributes_id."'
											", $dbi);
							} else {

								sql_query("	UPDATE 	store_products_attributes_download
											SET 	products_attributes_maxdays='".$products_attributes_maxdays."',
													products_attributes_maxcount='".$products_attributes_maxcount."'
											WHERE 	products_attributes_id='".$products_attributes_id."'
											", $dbi);

								$fileupload_realpath='modules/'.$op.'/downloads';
								$fileupload_url = '/modules/'.$op.'/downloads/';
								$fileupload_maxk = get_store_config_value($config_key='DOWNLOAD_FILE_MAX_SIZE');
								$fileupload_allowedtypes = get_content_config_value($config_key='DOWNLOAD_FILE_OK_MIME_TYPES');
								if($_FILES['userfile']['name']!='') {
									include('modules/'.$op.'/includes/userfile_downloads.php');
									$file_name = $userfile_name;
									if($file_name != '' ) {
										$indb = checkSomethingFromTable($table='store_products_attributes_download', $what='products_attributes_id', $key='products_attributes_id', $keyvalue=$products_attributes_id, $langkey='', $langkeyvalue='', $sqlanswer='');
										if($indb=='') {
											sql_query("INSERT INTO store_products_attributes_download ( products_attributes_id, products_attributes_filename, products_attributes_maxdays, products_attributes_maxcount )
																	   VALUES ('$products_attributes_id', '$file_name', '$products_attributes_maxdays', '$products_attributes_maxcount')", $dbi);
										} else {
											sql_query("	UPDATE 	store_products_attributes_download
														SET 	products_attributes_filename='".$file_name."'
														WHERE 	products_attributes_id='".$products_attributes_id."'
														", $dbi);
										}
									}
								}
							}
					}
					$focus=$products_attributes_id;
					include('modules/'.$op.'/admin/admin_store_prod_attrib_ops.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_prod_attrib_delete":
				if ( xomol_check_store_user_rights_specific($userid, 'STORE_PROD_ATTR_DEL') == '1')   {
					sql_query("DELETE FROM store_products_attributes WHERE products_attributes_id='$attribute' ",$dbi);
					$focus=$option;
					include('modules/'.$op.'/admin/admin_store_prod_attrib_ops.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE ORDERS
			*
			* Yes i know.... the orders administration is missing, but I am working on it!
			* Tranquilos...
			*********************************************************************************************/
			// status=1
			case "orders_pending":
				if  (xomol_check_store_user_rights_specific($userid, 'FINANCES_ORDERS_PENDING') == '1')  {
					include('modules/'.$op.'/admin/orders_pending.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			// status=2
			case "orders_processing":
				if  (xomol_check_store_user_rights_specific($userid, 'FINANCES_ORDERS_PROCESSING') == '1')  {
					include('modules/'.$op.'/admin/orders_processing.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			// status=3
			case "orders_finished":
				if  (xomol_check_store_user_rights_specific($userid, 'FINANCES_ORDERS_FINISHED') == '1')  {
					include('modules/'.$op.'/admin/orders_finished.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			// status=4
			case "orders_paid":
				if  (xomol_check_store_user_rights_specific($userid, 'FINANCES_ORDERS_FINISHED') == '1')  {
					include('modules/'.$op.'/admin/orders_paid.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			// status=5
			case "orders_condoned":
				if  (xomol_check_store_user_rights_specific($userid, 'FINANCES_ORDERS_FINISHED') == '1')  {
					include('modules/'.$op.'/admin/orders_condoned.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			// status=6
			case "orders_canceled":
				if  (xomol_check_store_user_rights_specific($userid, 'FINANCES_ORDERS_FINISHED') == '1')  {
					include('modules/'.$op.'/admin/orders_canceled.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			// status=7
			case "orders_wait4payment":
				if  (xomol_check_store_user_rights_specific($userid, 'FINANCES_ORDERS_FINISHED') == '1')  {
					include('modules/'.$op.'/admin/orders_wait4payment.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			// status=8
			case "orders_delivered_wait4payment":
				if(xomol_check_store_user_rights_specific($userid, 'FINANCES_ORDERS_EDIT_OTHERS') == '1')   {
					include('modules/'.$op.'/admin/orders_delivered_wait4payment.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			// status=9
			case "orders_delivered_paid":
				if(xomol_check_store_user_rights_specific($userid, 'FINANCES_ORDERS_EDIT_OTHERS') == '1')   {
					include('modules/'.$op.'/admin/orders_delivered_paid.php');
				} else { echo NO_USER_RIGHTS; }
			break;





			case "orders_edit":
				if(xomol_check_store_user_rights_specific($userid, 'FINANCES_ORDERS_EDIT_OTHERS') == '1')   {
					include('modules/'.$op.'/admin/orders_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "orders_update":
				if(xomol_check_store_user_rights_specific($userid, 'FINANCES_ORDERS_EDIT_OTHERS') == '1')  {
					$date_added=date("Y.m.j H:i:s");
					$last_modified=date("Y.m.j H:i:s");
					$customer_notified=1;
					sql_query("UPDATE store_orders SET order_status='".$order_status."', last_modified='".$last_modified."' WHERE orders_id='".$order."'",$dbi);
					sql_query("INSERT INTO store_orders_status_history ( orders_status_history_id, orders_id, order_status_id, date_added, customer_notified, comments, posted_by)
									   VALUES ('', '$order', '$order_status', '$date_added', '$customer_notified', '$comments', '$userid')", $dbi);
					include('modules/'.$op.'/admin/orders_edit.php');
					// include('modules/'.$op.'/admin/default.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE CONTENT CATEGORIES
			*********************************************************************************************/
			case "admin_store_content_cat_view":
				if ( xomol_check_store_user_rights_specific($userid, 'CONTENT_ADMIN_ACCESS') == '1' ){
					include('modules/'.$op.'/admin/admin_store_content_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_content_cat_add":
				if ( xomol_check_store_user_rights_specific($userid, 'CONTENT_CAT_ADD') == '1' ){
					include('modules/'.$op.'/admin/admin_store_content_cat_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_content_cat_insert":

				if ( xomol_check_store_user_rights_specific($userid, 'CONTENT_CAT_ADD') == '1'){
					$cats = checkSomethingFromTable($table='store_content_cat', $what='category_id', $key='category_parent_id', $keyvalue=$cat_parent_id, $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
					$cats_count = count($cats);
					$view_order = $cats_count+1;
					if($skipinsert!=1) {
						$category_id = time();
						$result= sql_query("INSERT INTO store_content_cat ( category_id, category_status, category_parent_id, view_order )
									   VALUES ('$category_id', '$category_status', '$cat_parent_id', '$view_order')", $dbi);
						///////////////////////////////////////////////////////////////////////////////
						// Inserting category into store_content_cat_desc
						///////////////////////////////////////////////////////////////////////////////
						foreach($category_title AS $fe_lang => $valor) {
							$newtitle = $category_title[$fe_lang];
							$newdec1 = $category_description_1[$fe_lang];
							sql_query("INSERT INTO store_content_cat_desc ( category_id, language, title, description )
													   VALUES ('$category_id', '$fe_lang', '$newtitle', '$newdec1')", $dbi);
						}

						///////////////////////////////////////////////////////////////////////////////
						// Autoconfigure Metatags
						///////////////////////////////////////////////////////////////////////////////
						$array_title = $category_title;
						$array_description = $category_description_1;
						$debug='';
						$metatags = autoconfigre_metatags($op, $array_title, $array_description, $meta_title, $meta_keyword1, $meta_keyword2, $meta_keyword3, $meta_keyword4, $meta_keyword5, $meta_keyword6, $meta_keyword7, $meta_keyword8, $meta_keyword9, $meta_keyword10, $meta_keyword11, $meta_keyword12, $meta_description);
						foreach($metatags AS $key => $val) {
							$_meta_title 	  = $metatags[$key]['meta_title'];
							$_meta_keywords 	  = $metatags[$key]['meta_keywords'];
							$_meta_description = $metatags[$key]['meta_description'];
							sql_query("UPDATE store_content_cat_desc    SET  meta_title='".$_meta_title."', meta_keywords='".$_meta_keywords."', meta_description='".$_meta_description."' WHERE category_id='".$category_id."' AND language='".$key."'", $dbi);
						}

						///////////////////////////////////////////////////////////////////////////////
						// FILE UPLOADS
						$MAX_WIDTH = get_store_config_value($config_key='MAX_CAT_IMAGE_WIDTH');
						$MAX_HEIGHT = get_store_config_value($config_key='MAX_CAT_IMAGE_HEIGHT');
						$PREFIX = 'thumb_';

						$fileupload_url = 'modules/'.$op.'/image';
						$fileupload_realpath='modules/'.$op.'/image';
						$fileupload_maxk = get_store_config_value($config_key='FILEUPLOAD_MAXK');
						$MAX_FILE_SIZE=$fileupload_maxk*1024;
						$fileupload_allowedtypes = get_store_config_value($config_key='OK_MIME_TYPES');

						if($_FILES['userfile']['name']!='') {
							include('includes/userfile_prefix.php');
							$file_name = $userfile_name;
							if($file_name!='') {
								sql_query("UPDATE store_content_cat SET cat_image='".$file_name."'  WHERE category_id='".$category_id."'", $dbi);
							}
						}

						////////////////////////////////////////////////////////////////
						// Build the data for SEO_TABLE
						////////////////////////////////////////////////////////////////
						$debug = '';
						foreach($category_title AS $fe_lang => $valor) {
							$realpath	=  'index.php?op='.$op.'&op2=store_content_browse&cat='.$category_id.'&xlang='.$fe_lang;
							$newtitle = $category_title[$fe_lang];
							$newlink_title= $link_title[$fe_lang];
							$newlink_title = eregi_replace(".html", "", $newlink_title);
							if($link_type[$fe_lang]=='1'){
								$convertiontype='2';
								$title = $newtitle;
								$title = eregi_replace(' ', '_', $title);
							}
							if($link_type[$fe_lang]=='2'){
								$convertiontype='2';
								$title = $newlink_title;
								$title = eregi_replace(' ', '_', $title);
							}
							$fakepath	=  convert_real2fake_url_update_tb($url=$realpath,$title,$fe_lang,$convertiontype);
							if(getRealPathFromFake($fakepath)=='') {
								sql_query("INSERT INTO xomol_seo_realfakepaths ( fakepath, realpath) VALUES ('$fakepath', '$realpath')", $dbi);
							}
							sql_query("UPDATE store_content_cat_desc    SET  seo_link='".$fakepath."' WHERE category_id='".$category_id."' AND language='".$fe_lang."'", $dbi);
						}
						////////////////////////////////////////////////////////////////
					}
					$category_parent_id = $cat_parent_id;
					$skipinsert=1;
					include('modules/'.$op.'/admin/admin_store_content_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_content_cat_update":

				if ( xomol_check_store_user_rights_specific($userid, 'CONTENT_CAT_EDIT') =='1'){
					if($skipupdate!=1) {
						sql_query("UPDATE store_content_cat SET category_status='".$category_status."'  WHERE category_id='".$cat."'", $dbi);
						///////////////////////////////////////////////////////////////////////////////
						// Inserting category into store_products_cat_desc
						///////////////////////////////////////////////////////////////////////////////
						foreach($category_title AS $fe_lang => $valor) {
							$newtitle = $category_title[$fe_lang];
							$newdec1 = $category_description_1[$fe_lang];
							$indb = checkSomethingFromTable($table='store_content_cat_desc', $what='category_id', $key='category_id', $keyvalue=$cat, $langkey='language', $langkeyvalue=$fe_lang, $sqlanswer='');
							if($indb=='') {
								sql_query("INSERT INTO store_content_cat_desc ( category_id, language, title, description ) VALUES ('$category_id', '$fe_lang', '$newtitle', '$newdec1')", $dbi);
							} else {
								sql_query("UPDATE store_content_cat_desc    SET  title='".$newtitle."', description='".$newdec1."' WHERE category_id='".$cat."' AND language='".$fe_lang."'", $dbi);
							}
						}

						///////////////////////////////////////////////////////////////////////////////
						// Autoconfigure Metatags
						///////////////////////////////////////////////////////////////////////////////
						$array_title = $category_title;
						$array_description = $category_description_1;
						$debug='';
						$metatags = autoconfigre_metatags($op, $array_title, $array_description, $meta_title, $meta_keyword1, $meta_keyword2, $meta_keyword3, $meta_keyword4, $meta_keyword5, $meta_keyword6, $meta_keyword7, $meta_keyword8, $meta_keyword9, $meta_keyword10, $meta_keyword11, $meta_keyword12, $meta_description);
						foreach($metatags AS $key => $val) {
							$_meta_title 	  = $metatags[$key]['meta_title'];
							$_meta_keywords 	  = $metatags[$key]['meta_keywords'];
							$_meta_description = $metatags[$key]['meta_description'];
							sql_query("UPDATE store_content_cat_desc    SET  meta_title='".$_meta_title."', meta_keywords='".$_meta_keywords."', meta_description='".$_meta_description."' WHERE category_id='".$cat."' AND language='".$key."'", $dbi);
						}
						///////////////////////////////////////////////////////////////////////////////
						// FILE UPLOADS
						$MAX_WIDTH = get_store_config_value($config_key='MAX_CAT_IMAGE_WIDTH');
						$MAX_HEIGHT = get_store_config_value($config_key='MAX_CAT_IMAGE_HEIGHT');
						$PREFIX = 'thumb_';

						$fileupload_url = 'modules/'.$op.'/image';
						$fileupload_realpath='modules/'.$op.'/image';
						$fileupload_maxk = get_store_config_value($config_key='FILEUPLOAD_MAXK');
						$MAX_FILE_SIZE=$fileupload_maxk*1024;
						$fileupload_allowedtypes = get_store_config_value($config_key='OK_MIME_TYPES');

						if($_FILES['userfile']['name']!='') {
							include('includes/userfile_prefix.php');
							$file_name = $userfile_name;
							if($file_name!='') {
								sql_query("UPDATE store_content_cat SET cat_image='".$file_name."'  WHERE category_id='".$cat."'", $dbi);
							}
						}
						////////////////////////////////////////////////////////////////
						// Build the data for SEO_TABLE
						////////////////////////////////////////////////////////////////
						// $debug = '';
						foreach($category_title AS $fe_lang => $valor) {
							$realpath	=  'index.php?op='.$op.'&op2=store_content_browse&cat='.$cat.'&xlang='.$fe_lang;
							$newtitle = $category_title[$fe_lang];
							$newlink_title= $link_title[$fe_lang];
							$newlink_title = eregi_replace(".html", "", $newlink_title);
							if($link_type[$fe_lang]=='1'){
								$convertiontype='2';
								$title = $newtitle;
								$title = eregi_replace(' ', '_', $title);
							}
							if($link_type[$fe_lang]=='2'){
								$convertiontype='2';
								$title = $newlink_title;
								$title = eregi_replace(' ', '_', $title);
							}
							$fakepath	=  convert_real2fake_url_update_tb($url=$realpath,$title,$fe_lang,$convertiontype);
							if(getRealPathFromFake($fakepath)=='') {
								sql_query("INSERT INTO xomol_seo_realfakepaths ( fakepath, realpath) VALUES ('$fakepath', '$realpath')", $dbi);
							}
							sql_query("UPDATE store_content_cat_desc    SET  seo_link='".$fakepath."' WHERE category_id='".$cat."' AND language='".$fe_lang."'", $dbi);
						}
					}
					$category_parent_id = get_store_config_value($cat);
					$skipupdate='1';
					include('modules/'.$op.'/admin/admin_store_content_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "store_content_statuscat":
				if ( xomol_check_store_user_rights_specific($userid, 'CONTENT_CAT_EDIT') =='1'){
					if($switch=="1") {
						$result= sql_query("UPDATE store_content_cat SET category_status=1 WHERE category_id='$cat'",$dbi);
					} else {
						$result= sql_query("UPDATE store_content_cat SET category_status=0 WHERE category_id='$cat'",$dbi);
					}
					$cat_parent_id=get_store_config_value($cat);
					include('modules/'.$op.'/admin/admin_store_content_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_content_cat_order":
				if ( xomol_check_store_user_rights_specific($userid, 'CONTENT_CAT_EDIT') =='1'){
					$view_order = checkSomethingFromTable($table='store_content_cat', $what='view_order', $key='category_id', $keyvalue=$cat, $langkey='', $langkeyvalue='', $sqlanswer='');
					$under = $view_order-1;
					$upper = $view_order+1;
					$parent_category = get_store_config_value($category_id=$cat);
					$categories = checkSomethingFromTable($table='store_content_cat', $what='category_id', $key='category_parent_id', $keyvalue=$parent_category, $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
					$categories_count = count($categories);

					$result_under = sql_query("SELECT * FROM store_content_cat WHERE category_parent_id='" . $parent_category . "' AND view_order='" . $under . "' LIMIT 0,1  ", $dbi);
					if($row_under = sql_fetch_array($result_under, $dbi)){
						$view_under_id   = $row_under['category_id'];
					}
					$result_upper = sql_query("SELECT * FROM store_content_cat WHERE category_parent_id='" . $parent_category . "' AND view_order='" . $upper . "' LIMIT 0,1  ", $dbi);
					if($row_upper = sql_fetch_array($result_upper, $dbi)){
						$view_upper_id   = $row_upper['category_id'];
					}

					$view_order_under = checkSomethingFromTable($table='store_content_cat', $what='view_order', $key='category_id', $keyvalue=$view_under_id, $langkey='', $langkeyvalue='', $sqlanswer='');
					$view_order_upper = checkSomethingFromTable($table='store_content_cat', $what='view_order', $key='category_id', $keyvalue=$view_upper_id, $langkey='', $langkeyvalue='', $sqlanswer='');

					$views = checkSomethingFromTable($table='store_content_cat', $what='category_id', $key='', $keyvalue='', $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
					$views_count = count($views);

					if($switch=="up") {
						if($view_order > $view_order_under) {
							 sql_query("UPDATE store_content_cat SET view_order='".$view_order_under."' WHERE category_id='".$cat."'",$dbi);
							 sql_query("UPDATE store_content_cat SET view_order='".$view_order."' WHERE category_id='".$view_under_id."'",$dbi);
						}
					} elseif($switch=="down") {
						if($view_order < $view_order_upper) {
							 sql_query("UPDATE store_content_cat SET view_order='".$view_order_upper."' WHERE category_id='".$cat."'",$dbi);
							 sql_query("UPDATE store_content_cat SET view_order='".$view_order."' WHERE category_id='".$view_upper_id."'",$dbi);
						}
					}
					$cat_parent_id=$parent_category;
					include('modules/'.$op.'/admin/admin_store_content_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_content_cat_edit":
				if ( xomol_check_store_user_rights_specific($userid, 'CONTENT_CAT_EDIT') =='1'){
					include('modules/'.$op.'/admin/admin_store_content_cat_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_content_cat_del":
				if ( xomol_check_store_user_rights_specific($userid, 'CONTENT_CAT_DEL') =='1'){
					$result= sql_query("DELETE FROM store_content_cat WHERE category_id='$cat'",$dbi);
					$result= sql_query("DELETE FROM store_content_cat_desc WHERE category_id='$cat'",$dbi);
					include('modules/'.$op.'/admin/admin_store_content_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE CONTENT ARTICLES
			*********************************************************************************************/
			case "admin_store_content_art_add":
				if ( xomol_check_store_user_rights_specific($userid, 'CONTENT_ART_ADD') =='1'){
					include('modules/'.$op.'/admin/admin_store_content_art_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_content_art_add2user":
				if ( xomol_check_store_user_rights_specific($userid, 'CONTENT_ART_ADD_TARGETED') =='1' ){
					if($desireduser!=''){
						include('modules/'.$op.'/admin/admin_store_content_art_add.php');
					} else {
						include('modules/'.$op.'/admin/admin_store_content_art_add_choose_user.php');
					}
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_content_art_insert":
				if ( ( xomol_check_store_user_rights_specific($userid, 'CONTENT_ART_ADD') =='1' )  OR ( xomol_check_store_user_rights_specific($userid, 'CONTENT_ART_ADD_TARGETED') =='1' ) ){
					if($skipinsert!=1) {
						$article_id = time();
						$creation=date("Y.n.j G:i:s");
						$result= sql_query("INSERT INTO store_content_art ( article_id, article_catid, article_catid_related, viewer_group, targeted_user, article_status, author_id, creation )
									   VALUES ('$article_id', '$article_catid', '$article_catid_related', '$viewer_group', '$desireduser', '$article_status', '$userid', '$creation')", $dbi);

						///////////////////////////////////////////////////////////////////////////////
						// Inserting product into store_content_art_desc
						///////////////////////////////////////////////////////////////////////////////
						foreach($article_title AS $fe_lang => $valor) {
							$newtitle = $article_title[$fe_lang];
							$newdec1 = $article_description_1[$fe_lang];
							$newdec2 = $article_description_2[$fe_lang];
							sql_query("INSERT INTO store_content_art_desc ( article_id, language, title, article_description_1,article_description_2 )
													   VALUES ('$article_id', '$fe_lang', '$newtitle', '$newdec1', '$newdec2')", $dbi);
						}

						///////////////////////////////////////////////////////////////////////////////
						// Autoconfigure Metatags
						///////////////////////////////////////////////////////////////////////////////
						$array_title = $article_title;
						$array_description = $article_description_1;
						$debug='';
						$metatags = autoconfigre_metatags($op, $array_title, $array_description, $meta_title, $meta_keyword1, $meta_keyword2, $meta_keyword3, $meta_keyword4, $meta_keyword5, $meta_keyword6, $meta_keyword7, $meta_keyword8, $meta_keyword9, $meta_keyword10, $meta_keyword11, $meta_keyword12, $meta_description);
						foreach($metatags AS $key => $val) {
							$_meta_title 	  = $metatags[$key]['meta_title'];
							$_meta_keywords 	  = $metatags[$key]['meta_keywords'];
							$_meta_description = $metatags[$key]['meta_description'];
							sql_query("UPDATE store_content_art_desc    SET  meta_title='".$_meta_title."', meta_keywords='".$_meta_keywords."', meta_description='".$_meta_description."' WHERE article_id='".$article_id."' AND language='".$key."'", $dbi);
						}

						////////////////////////////////////////////////////////////////
						// Build the data for SEO_TABLE
						////////////////////////////////////////////////////////////////
						$debug = '';
						foreach($article_title AS $fe_lang => $valor) {
							$realpath	=  'index.php?op='.$op.'&op2=store_content_view_details&art='.$article_id.'&xlang='.$fe_lang;
							$newtitle = $article_title[$fe_lang];
							$newlink_title= $link_title[$fe_lang];
							$newlink_title = eregi_replace(".html", "", $newlink_title);
							if($link_type[$fe_lang]=='1'){
								$convertiontype='2';
								$title = $newtitle;
								$title = eregi_replace(' ', '_', $title);
							}
							if($link_type[$fe_lang]=='2'){
								$convertiontype='2';
								$title = $newlink_title;
								$title = eregi_replace(' ', '_', $title);
							}
							$fakepath	=  convert_real2fake_url_update_tb($url=$realpath,$title,$fe_lang,$convertiontype);
							if(getRealPathFromFake($fakepath)=='') {
								sql_query("INSERT INTO xomol_seo_realfakepaths ( fakepath, realpath) VALUES ('$fakepath', '$realpath')", $dbi);
							}
							sql_query("UPDATE store_content_art_desc    SET  seo_link='".$fakepath."' WHERE article_id='".$article_id."' AND language='".$fe_lang."'", $dbi);
						}
						////////////////////////////////////////////////////////////////


					}
					$skipinsert='1';
					$cat_parent_id = get_store_content_parent_cat($article_id);
					$focus = $article_catid;
					include('modules/'.$op.'/admin/admin_store_content_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_content_art_view":
				if ( xomol_check_store_user_rights_specific($userid, 'CONTENT_ADMIN_ACCESS') == '1'){
					include('modules/'.$op.'/admin/admin_store_content_art_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_content_art_viewdet":
				if ( xomol_check_store_user_rights_specific($userid, 'CONTENT_ADMIN_ACCESS') =='1' ){
					include('modules/'.$op.'/admin/admin_store_content_art_viewdet.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_content_art_edit":
				if ( xomol_check_store_user_rights_specific($userid, 'CONTENT_ART_EDIT') =='1' ){
					include('modules/'.$op.'/admin/admin_store_content_art_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_content_art_update":
				if ( xomol_check_store_user_rights_specific($userid, 'CONTENT_ART_EDIT') =='1' ){
					if($skipupdate!=1) {
						sql_query("UPDATE store_content_art SET article_catid='".$article_catid."', article_catid_related='".$article_catid_related."', viewer_group='".$viewer_group."', targeted_user='".$desireduser."', article_status='".$article_status."' WHERE article_id='".$art."'", $dbi);
						///////////////////////////////////////////////////////////////////////////////
						// updating product into store_content_art_desc
						///////////////////////////////////////////////////////////////////////////////

						foreach($article_title AS $fe_lang => $valor) {
							$newtitle = $article_title[$fe_lang];
							$newdec1 = $article_description_1[$fe_lang];
							$newdec2 = $article_description_2[$fe_lang];
							$indb = checkSomethingFromTable($table='store_content_art_desc', $what='article_id', $key='article_id', $keyvalue=$art, $langkey='language', $langkeyvalue=$fe_lang, $sqlanswer='');
							if($indb=='') {
								sql_query("INSERT INTO store_content_art_desc ( article_id, language, title, article_description_1,article_description_2 )
														   VALUES ('$art', '$fe_lang', '$newtitle', '$newdec1', '$newdec2')", $dbi);
							} else {
								sql_query("UPDATE store_content_art_desc    SET  title='".$newtitle."', article_description_1='".$newdec1."', article_description_2='".$newdec2."' WHERE article_id='".$art."' AND language='".$fe_lang."'", $dbi);
							}
						}

						///////////////////////////////////////////////////////////////////////////////
						// Autoconfigure Metatags
						///////////////////////////////////////////////////////////////////////////////
						$array_title = $article_title;
						$array_description = $article_description_1;
						$debug='';
						$metatags = autoconfigre_metatags($op, $array_title, $array_description, $meta_title, $meta_keyword1, $meta_keyword2, $meta_keyword3, $meta_keyword4, $meta_keyword5, $meta_keyword6, $meta_keyword7, $meta_keyword8, $meta_keyword9, $meta_keyword10, $meta_keyword11, $meta_keyword12, $meta_description);
						foreach($metatags AS $key => $val) {
							$_meta_title 	  = $metatags[$key]['meta_title'];
							$_meta_keywords 	  = $metatags[$key]['meta_keywords'];
							$_meta_description = $metatags[$key]['meta_description'];
							sql_query("UPDATE store_content_art_desc    SET  meta_title='".$_meta_title."', meta_keywords='".$_meta_keywords."', meta_description='".$_meta_description."' WHERE article_id='".$art."' AND language='".$key."'", $dbi);
						}

						////////////////////////////////////////////////////////////////
						// Build the data for SEO_TABLE
						////////////////////////////////////////////////////////////////
						$debug = '';
						foreach($article_title AS $fe_lang => $valor) {
							$realpath	=  'index.php?op='.$op.'&op2=store_content_view_details&art='.$art.'&xlang='.$fe_lang;
							$newtitle = $article_title[$fe_lang];
							$newlink_title= $link_title[$fe_lang];
							$newlink_title = eregi_replace(".html", "", $newlink_title);
							if($link_type[$fe_lang]=='1'){
								$convertiontype='2';
								$title = $newtitle;
								$title = eregi_replace(' ', '_', $title);
							}
							if($link_type[$fe_lang]=='2'){
								$convertiontype='2';
								$title = $newlink_title;
								$title = eregi_replace(' ', '_', $title);
							}
							$fakepath	=  convert_real2fake_url_update_tb($url=$realpath,$title,$fe_lang,$convertiontype);
							if(getRealPathFromFake($fakepath)=='') {
								sql_query("INSERT INTO xomol_seo_realfakepaths ( fakepath, realpath) VALUES ('$fakepath', '$realpath')", $dbi);
							}
							sql_query("UPDATE store_content_art_desc    SET  seo_link='".$fakepath."' WHERE article_id='".$art."' AND language='".$fe_lang."'", $dbi);
						}
					}
					$skipupdate = '1';
					$cat_parent_id = get_store_content_parent_cat($art);
					$focus = $article_catid;
					include('modules/'.$op.'/admin/admin_store_content_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "store_content_status":
				if ( xomol_check_store_user_rights_specific($userid, 'CONTENT_ART_EDIT') ){
					if($switch=="1") {
						$result= sql_query("UPDATE store_content_art SET article_status=1 WHERE article_id='$art'",$dbi);
					} else {
						$result= sql_query("UPDATE store_content_art SET article_status=0 WHERE article_id='$art'",$dbi);
					}
					include('modules/'.$op.'/admin/admin_store_content_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "store_content_statusdefault":
				if ( xomol_check_store_user_rights_specific($userid, 'CONTENT_ART_EDIT') ){
					if($switch=="1") {
						sql_query("UPDATE store_content_art SET is_default=1 WHERE article_id='$art' AND viewer_group='$group' AND article_catid='$focus'",$dbi);
						sql_query("UPDATE store_content_art SET is_default=0 WHERE article_id!='$art' AND viewer_group='$group' AND article_catid='$focus'", $dbi);
					} else {
						$result= sql_query("UPDATE store_content_art SET is_default=0 WHERE article_id='$art'",$dbi);
					}
					include('modules/'.$op.'/admin/admin_store_content_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_content_art_delete":
				if ( xomol_check_store_user_rights_specific($userid, 'CONTENT_ART_DEL') ){
					$result= sql_query("DELETE FROM store_content_art WHERE article_id='$art'",$dbi);
					$result= sql_query("DELETE FROM store_content_art_desc WHERE article_id='$art'",$dbi);
					include('modules/'.$op.'/admin/admin_store_content_cat_view.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE LAYOUT -FRONTPAGES-
			*********************************************************************************************/
			case "admin_store_frontpages":
				if  (xomol_check_store_user_rights_specific($userid, 'STORE_LAYOUT_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_store_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_frontpages_choose_search":
				if  (xomol_check_store_user_rights_specific($userid, 'STORE_LAYOUT_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_store_frontpages_choose_search.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_store_frontpages_choose_article":
				if  (xomol_check_store_user_rights_specific($userid, 'STORE_LAYOUT_ACCESS') == '1')  {
					if($search_option!='') {
						include('modules/'.$op.'/admin/admin_store_frontpages_choose_article.php');
					} else {
						include('modules/'.$op.'/admin/admin_store_frontpages_choose_search.php');
					}
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_store_frontpages_insert":
				if  (xomol_check_store_user_rights_specific($userid, 'STORE_LAYOUT_ACCESS') == '1')  {
					$creation=date("Y.m.j H:i:s");
					$result = sql_query("INSERT INTO store_frontpages (   frontpage_id,
																			product_id,
																			viewer_group,
																			creation,
																			author_id,
																			frontpage_status,
																			random,
																			is_default )
																	VALUES ('',
																			'$_product_id',
																			'$_group_parent_id',
																			'$creation',
																			'$userid',
																			'1',
																			'$random',
																			'$is_default')", $dbi);

					include('modules/store/admin/admin_store_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_frontpages_edit":
				if  (xomol_check_store_user_rights_specific($userid, 'STORE_LAYOUT_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_store_frontpages_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_frontpages_update":
				if  (xomol_check_store_user_rights_specific($userid, 'STORE_LAYOUT_ACCESS') == '1')  {
					if($group!=''){ $and=' AND viewer_group='.$group; }
					$result= sql_query("UPDATE store_frontpages SET 	product_id='".$product_id."', creation='".$creation."', author_id='".$author_id."', active='".$active."', random='".$random."'
														WHERE 	frontpage_id='".$configure."' $and",$dbi);
					include('modules/'.$op.'/admin/admin_store_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "store_frontpagerandom":
				if  (xomol_check_store_user_rights_specific($userid, 'STORE_LAYOUT_ACCESS') == '1')  {
					if($group!=''){ $and=' AND viewer_group='.$group; }
					if($switch=="1") {
						$result= sql_query("UPDATE store_frontpages SET random=1 WHERE frontpage_id='$configure' $and",$dbi);
					} else {
						$result= sql_query("UPDATE store_frontpages SET random=0 WHERE frontpage_id='$configure' $and",$dbi);
					}
					include('modules/'.$op.'/admin/admin_store_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "store_frontpageactive":
				if  (xomol_check_store_user_rights_specific($userid, 'STORE_LAYOUT_ACCESS') == '1')  {
					if($group!=''){ $and=' AND viewer_group='.$group; }
					if($switch=='1') {
						sql_query("UPDATE store_frontpages SET active='1' WHERE frontpage_id='$configure' $and",$dbi);
					} else {
						sql_query("UPDATE store_frontpages SET active=0 WHERE frontpage_id='$configure'  $and",$dbi);
					}
					include('modules/'.$op.'/admin/admin_store_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "store_frontpagedefault":
				if  (xomol_check_store_user_rights_specific($userid, 'STORE_LAYOUT_ACCESS') == '1')  {
					if($group!=''){ $and=' AND viewer_group='.$group; }
					if($switch=="1") {
						sql_query("UPDATE store_frontpages SET is_default=1 WHERE frontpage_id='$configure' $and",$dbi);
						sql_query("UPDATE store_frontpages SET is_default=0 WHERE frontpage_id!='$configure' $and", $dbi);
					} else {
						$result= sql_query("UPDATE store_frontpages SET is_default=0 WHERE frontpage_id='$configure' $and",$dbi);
					}
					include('modules/'.$op.'/admin/admin_store_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_frontpages_delete":
				if  (xomol_check_store_user_rights_specific($userid, 'STORE_LAYOUT_ACCESS') == '1')  {
					if($group!=''){ $and=' AND viewer_group='.$group; }
					$result= sql_query("DELETE FROM store_frontpages WHERE frontpage_id='$frontpage' $and",$dbi);
					include('modules/'.$op.'/admin/admin_store_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE LAYOUT -CATEGORY LISTS-
			*********************************************************************************************/
			case "admin_fp_cat_listing":
				if  (xomol_check_store_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_fp_cat_listing.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_fp_cat_listing_add":
				if  (xomol_check_store_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_fp_cat_listing_add.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_fp_cat_listing_insert":
				if  (xomol_check_store_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					$fpc_id = checkSomethingFromTable($table='store_fp_cat_lists', $what='fpc_id', $key='category_id', $keyvalue=$product_catid, $langkey='', $langkeyvalue='', $sqlanswer='');
					$fpcs = checkSomethingFromTable($table='store_fp_cat_lists', $what='fpc_id', $key='', $keyvalue='', $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
					$fpcs_count = count($fpcs);
					$fpc_order = $fpcs_count+1;
					if($fpc_id=='') {
						$creation=date("Y.m.j H:i:s");
						sql_query("INSERT INTO store_fp_cat_lists ( category_id, creation, author_id, active, fpc_order )
									   VALUES ('$product_catid', '$creation', '$userid', '$active', '$fpc_order')", $dbi);
					}
					include('modules/'.$op.'/admin/admin_fp_cat_listing.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_fp_cat_listing_order":
				if  (xomol_check_store_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					$fpc_order = checkSomethingFromTable($table='store_fp_cat_lists', $what='fpc_order', $key='fpc_id', $keyvalue=$fpc, $langkey='', $langkeyvalue='', $sqlanswer='');
					$under = $fpc_order-1;
					$upper = $fpc_order+1;
					$fpc_under_id = checkSomethingFromTable($table='store_fp_cat_lists', $what='fpc_id', $key='fpc_order', $keyvalue=$under, $langkey='', $langkeyvalue='', $sqlanswer='');
					$fpc_upper_id = checkSomethingFromTable($table='store_fp_cat_lists', $what='fpc_id', $key='fpc_order', $keyvalue=$upper, $langkey='', $langkeyvalue='', $sqlanswer='');
					$fpc_order_under = checkSomethingFromTable($table='store_fp_cat_lists', $what='fpc_order', $key='fpc_id', $keyvalue=$fpc_under_id, $langkey='', $langkeyvalue='', $sqlanswer='');
					$fpc_order_upper = checkSomethingFromTable($table='store_fp_cat_lists', $what='fpc_order', $key='fpc_id', $keyvalue=$fpc_upper_id, $langkey='', $langkeyvalue='', $sqlanswer='');

					$fpcs = checkSomethingFromTable($table='store_fp_cat_lists', $what='fpc_id', $key='', $keyvalue='', $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
					$fpcs_count = count($fpcs);

						if($switch=="up") {
							if($fpc_order > $fpc_order_under) {
								 sql_query("UPDATE store_fp_cat_lists SET fpc_order='".$fpc_order_under."' WHERE fpc_id='".$fpc."'",$dbi);
								 sql_query("UPDATE store_fp_cat_lists SET fpc_order='".$fpc_order."' WHERE fpc_id='".$fpc_under_id."'",$dbi);
							}
						} elseif($switch=="down") {
							if($fpc_order < $fpc_order_upper) {
								 sql_query("UPDATE store_fp_cat_lists SET fpc_order='".$fpc_order_upper."' WHERE fpc_id='".$fpc."'",$dbi);
								 sql_query("UPDATE store_fp_cat_lists SET fpc_order='".$fpc_order."' WHERE fpc_id='".$fpc_upper_id."'",$dbi);
							}
						}
					include('modules/'.$op.'/admin/admin_fp_cat_listing.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_fp_cat_active":
				if  (xomol_check_store_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					if($switch=="1") {
						$result= sql_query("UPDATE store_fp_cat_lists SET active=1 WHERE fpc_id='$fpc'",$dbi);
					} else {
						$result= sql_query("UPDATE store_fp_cat_lists SET active=0 WHERE fpc_id='$fpc'",$dbi);
					}
					include('modules/'.$op.'/admin/admin_fp_cat_listing.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_fp_cat_delete":
				if  (xomol_check_store_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					$result= sql_query("DELETE FROM store_fp_cat_lists WHERE fpc_id='$fpc'",$dbi);
					include('modules/'.$op.'/admin/admin_fp_cat_listing.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* STORE CONTENT LAYOUT -HEADLINES-
			*********************************************************************************************/
			case "admin_store_content_frontpages":
				if  (xomol_check_store_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_store_content_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;


			case "admin_store_content_frontpages_choose_search":
				if  (xomol_check_store_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					include('modules/'.$op.'/admin/admin_store_content_frontpages_choose_search.php');
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_store_content_frontpages_choose_article":
				if  (xomol_check_store_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					if($search_option!='') {
						include('modules/'.$op.'/admin/admin_store_content_frontpages_choose_article.php');
					} else {
						include('modules/'.$op.'/admin/admin_store_content_frontpages_choose_search.php');
					}
				} else { echo NO_USER_RIGHTS; }
			break;
			case "admin_store_content_frontpages_insert":
				if  (xomol_check_store_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					$creation=date("Y.m.j H:i:s");
					$frontpage_id=time();
					sql_query("INSERT INTO store_content_frontpages (   frontpage_id, article_id, creation, author_id, frontpage_status, random, is_default, viewer_group) VALUES ('$frontpage_id', '$_article_id', '$creation', '$userid', '1', '$random', '$is_default', '$target_viewer_group')", $dbi);
					include('modules/'.$op.'/admin/admin_store_content_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;


			case "store_content_frontpagerandom":
				if  (xomol_check_store_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					if($switch=="1") {
						$result= sql_query("UPDATE store_content_frontpages SET random=1 WHERE frontpage_id='$configure' ",$dbi);
					} else {
						$result= sql_query("UPDATE store_content_frontpages SET random=0 WHERE frontpage_id='$configure' ",$dbi);
					}
					include('modules/'.$op.'/admin/admin_store_content_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "store_content_frontpageactive":
				if  (xomol_check_store_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					if($switch=="1") {
						$result= sql_query("UPDATE store_content_frontpages SET frontpage_status=1 WHERE frontpage_id='$configure' ",$dbi);
					} else {
						$result= sql_query("UPDATE store_content_frontpages SET frontpage_status=0 WHERE frontpage_id='$configure' ",$dbi);
					}
					include('modules/'.$op.'/admin/admin_store_content_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "store_content_frontpagedefault":
				if  (xomol_check_store_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					if($switch=="1") {
						sql_query("UPDATE store_content_frontpages SET is_default=1 WHERE frontpage_id='$configure' AND viewer_group='$group'",$dbi);
						sql_query("UPDATE store_content_frontpages SET is_default=0 WHERE frontpage_id!='$configure' AND viewer_group='$group' ", $dbi);
					} else {
						$result= sql_query("UPDATE store_content_frontpages SET is_default=0 WHERE frontpage_id='$configure' AND viewer_group='$group'",$dbi);
					}
					include('modules/'.$op.'/admin/admin_store_content_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_store_content_frontpages_delete":
				if  (xomol_check_store_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
					$result= sql_query("DELETE FROM store_content_frontpages WHERE frontpage_id='$frontpage'",$dbi);
					include('modules/'.$op.'/admin/admin_store_content_frontpages.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			* MODULE -FREIGHT-
			*********************************************************************************************/
			case "modules":
				include('modules/'.$op.'/modules/'.$module_type.'/'.$op4.'/admin/index.php');
			break;

			/*********************************************************************************************
			* MODULE -PAYMENT-
			*********************************************************************************************/

			/*********************************************************************************************
			*  STORE USER DETAILS ADDON
			*********************************************************************************************/
			// status=1
			case "admin_users_details_orders_pending":
				include('modules/store/admin/admin_users_details_orders_pending.php');
			break;

			// status=2
			case "admin_users_details_orders_processing":
				include('modules/store/admin/admin_users_details_orders_processing.php');
			break;

			// status=3
			case "admin_users_details_orders_finished":
				include('modules/store/admin/admin_users_details_orders_finished.php');
			break;

			// status=4
			case "admin_users_details_orders_paid":
				include('modules/store/admin/admin_users_details_orders_paid.php');
			break;

			// status=5
			case "admin_users_details_orders_condoned":
				include('modules/store/admin/admin_users_details_orders_condoned.php');
			break;

			// status=6
			case "admin_users_details_orders_canceled":
				include('modules/store/admin/admin_users_details_orders_canceled.php');
			break;

			// status=7
			case "admin_users_details_orders_wait4payment":
				include('modules/store/admin/admin_users_details_orders_wait4payment.php');
			break;

			// status=8
			case "admin_users_details_orders_delivered_paid":
				include('modules/store/admin/admin_users_details_orders_delivered_paid.php');
			break;
			// status=9
			case "admin_users_details_orders_delivered_wait4payment":
				include('modules/store/admin/admin_users_details_orders_delivered_wait4payment.php');
			break;
			case "admin_users_details_orders_edit":
				if(xomol_check_store_user_rights_specific($userid, 'FINANCES_ORDERS_EDIT_OTHERS') == '1')   {
					include('modules/store/admin/admin_users_details_orders_edit.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			case "admin_users_details_orders_update":
				if(xomol_check_store_user_rights_specific($userid, 'FINANCES_ORDERS_EDIT_OTHERS') == '1')  {
					$date_added=date("Y.m.j H:i:s");
					$last_modified=date("Y.m.j H:i:s");
					$customer_notified=1;
					sql_query("UPDATE store_orders SET order_status='".$order_status."', last_modified='".$last_modified."' WHERE orders_id='".$order."'",$dbi);
					sql_query("INSERT INTO store_orders_status_history ( orders_status_history_id, orders_id, order_status_id, date_added, customer_notified, comments, posted_by)
									   VALUES ('', '$order', '$order_status', '$date_added', '$customer_notified', '$comments', '$userid')", $dbi);
					$user_firstname = checkSomethingFromTable($table='users', $what='user_firstname', $key='user_id', $keyvalue=$user, $langkey='', $langkeyvalue='', $sqlanswer='');
					$user_lastname = checkSomethingFromTable($table='users', $what='user_lastname', $key='user_id', $keyvalue=$user, $langkey='', $langkeyvalue='', $sqlanswer='');
					$user_name = $user_firstname.' '.$user_lastname;
					echo '<a href="index.php?op=admin" class="textTitle">'.ADMIN.'</a>';
					echo '<br>';
					echo '<br>';
					echo '<a href="index.php?op=admin&op2=admin_users_view" class="textTitle">'.USERS.'</a> :: ';
					echo '<br>';
					echo '<br>';
					echo '<FONT  class="textTitle">'.ORDERS.' '.FORUSER.' '.$user_name.'</FONT>  ';
					echo '<br>';
					echo '<a href="index.php?op=admin&op2=admin_users_viewdet&user='.$user.'" class="textTitle">'.USER_DETAILS.'</a>';
					echo '<br>';
					echo '<br>';

					include('modules/store/admin/admin_users_details_addon.php');
				} else { echo NO_USER_RIGHTS; }
			break;

			/*********************************************************************************************
			*  EOF STORE USER DETAILS ADDON
			*********************************************************************************************/

			/*********************************************************************************************
			* DEFAULT
			*********************************************************************************************/
			default:
				include('modules/'.$op.'/admin/default.php');
			break;
		}

	} else {
			echo '<br><br>'.NOT_LOGGED.'<br><br>';
			$from ='index.php?op=store';
			include('includes/login.php');
	}
} else { echo NO_USER_RIGHTS; }
?>