<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename: myAccountUpdater.php
* Location: /modules/regions/includes/ajax/myAccountUpdater.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
include_once('../../../../includes/config.php');
include_once('../../../../includes/sql_layer.php');
$dbi = sql_connect($dbhost, $dbuname, $dbpass, $dbname);
include_once('../../../../includes/functions.php');

session_start();
$currentlang=$_SESSION['language'];
include_once('../../../../languages/lang-'.$currentlang.'.php');

$userid=$_SESSION['user_id'];

if($_GET['user_gender']!='') {
	$user_gender=$_GET["user_gender"];
	$_SESSION['user_gender']=$user_gender;
}

if($_GET['user_theme']!='') {
	$user_theme=$_GET["user_theme"];
	$_SESSION['user_theme']=$user_theme;
}

if($_GET['user_company']!='') {
	$user_company=$_GET["user_company"];
	$_SESSION['user_company']=$user_company;
}

if($_GET['user_firstname']!='') {
	$usr_name_min_chrs = get_config_value($config_key='USR_NAME_MIN_CHAR');
	$user_firstname=$_GET["user_firstname"];
	if ( strlen($user_firstname) < $usr_name_min_chrs ) {
		$message_firstname_too_short = USER_FIRSTNAME_TOO_SHORT.' '.$usr_name_min_chrs.'<br>';
		$_SESSION['message_firstname_too_short']=$message_firstname_too_short;
	} else {
		$_SESSION['user_firstname']=$user_firstname;
		$_SESSION['message_firstname_too_short']='';
	}
}

if($_GET['user_lastname']!='') {
	$usr_lname_min_chrs = get_config_value($config_key='USR_LNAME_MIN_CHAR');
	$user_lastname=$_GET["user_lastname"];
	if ( strlen($user_lastname) < $usr_lname_min_chrs ) {
		$message_lastname_too_short = USER_LASTNAME_TOO_SHORT.' '.$usr_lname_min_chrs.'<br>';
		$_SESSION['message_lastname_too_short']=$message_lastname_too_short;
	} else {
		$_SESSION['user_lastname']=$user_lastname;
		$_SESSION['message_lastname_too_short']='';
	}
}

if($_GET['user_phone']!='') {
	$user_phone=$_GET["user_phone"];
	$_SESSION['user_phone']=$user_phone;
}

if($_GET['user_mobile']!='') {
	$user_mobile=$_GET["user_mobile"];
	$_SESSION['user_mobile']=$user_mobile;
}

if($_GET['user_fax']!='') {
	$user_fax=$_GET["user_fax"];
	$_SESSION['user_fax']=$user_fax;
}

if($_GET['user_street']!='') {
	$usr_address_min_chrs = get_config_value($config_key='USR_ADDRESS_MIN_CHAR');
	$user_street=$_GET["user_street"];
	if ( strlen($user_street) < $usr_address_min_chrs ) {
		$message_street_too_short = USER_ADDRESS_TOO_SHORT.' '.$usr_address_min_chrs.'<br>';
		$_SESSION['message_street_too_short']=$message_street_too_short;
	} else {
		$_SESSION['user_street']=$user_street;
		$_SESSION['message_street_too_short']='';
	}
}

if($_GET['user_street_nr']!='') {
	$user_street_nr=$_GET["user_street_nr"];
	$_SESSION['user_street_nr']=$user_street_nr;
}

if($_GET['newzip']!='') {
	$newzip=$_GET["newzip"];
	$_SESSION['newzip']=$newzip;
}

if($_GET['newcity']!='') {
	$newcity=$_GET["newcity"];
	$_SESSION['newcity']=$newcity;
}

if( ($_SESSION['newzip']!='') AND ($_SESSION['newcity']!='') ){
	$country=$_SESSION['country'];
	$state=$_SESSION['state'];
	$newzip=$_SESSION['newzip'];
	$newcity=$_SESSION['newcity'];
	$statecode = checkSomethingFromTable($table='geo_states', $what='state_code', $key='state_id', $keyvalue=$state, $langkey='', $langkeyvalue='', $sqlanswer='');

	$result = sql_query("SELECT * FROM geo_cities
									WHERE  city_country_id='".$country."'
									AND  city_state_id='".$state."'
									AND  zip='".$newzip."'
									AND  place='".$newcity."'
									", $dbi);
	$row = sql_fetch_array($result, $dbi);
	$city_id = $row['city_id'];
	if($city_id=='') {
		sql_query("INSERT INTO geo_cities (
					city_id, city_country_id, city_state_id, zip, place, state, user_id )
			VALUES ('', '$country', '$state','$newzip','$newcity','$statecode','$userid')", $dbi);
	}
}
if($_GET['user_theme']!='') {
	$user_theme=$_GET["user_theme"];
	$_SESSION['user_theme']=$user_theme;
}
?>