<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename: print_view.php
* Location: /modules/store/print_view.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
/*********************************************************************************************
* Fillup vars not passed on php5 (work around!)
*  -Arrays were not passed trough the loop, so i pharesed the array if in var...
*  -temporarly workarround
*********************************************************************************************/
include_once('includes/fix_post_and_get_vars.php');

include_once('modules/store/functions.php');
if (file_exists('modules/store/languages/lang-'.$currentlang.'.php')) {
	include('modules/store/languages/lang-'.$currentlang.'.php');
} else {
	echo  '<FONT color"fff000" size=3>Language File;: '.$currentlang.' not defined in this module</FONT><br>';
}
global $userid, $defaultcurrency;
global $dbi, $product;

$result = sql_query("SELECT * FROM store_products WHERE product_id='" . $product . "' AND product_status=1 ", $dbi);
if($row = sql_fetch_array($result, $dbi)){
	$product_id   			= $row['product_id'];
	$product_catid   		= $row['product_catid'];
	$product_status   		= $row['product_status'];

	$author_id   			= $row['author_id'];
	$manufacturer_id   		= $row['manufacturer_id'];
	$model   				= $row['model'];
	$preis   				= $row['preis'];
	$tax_class_id   		= $row['tax_class_id'];
	$weight   				= $row['weight'];

	$creation   			= $row['creation'];
	$author_id   			= $row['author_id'];
	$product_title = checkSomethingFromTable($table='store_products_desc', $what='title', 				$key='product_id', $keyvalue=$product_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$product_description_1 = checkSomethingFromTable($table='store_products_desc', $what='product_description_1', $key='product_id', $keyvalue=$product_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$product_description_2 = checkSomethingFromTable($table='store_products_desc', $what='product_description_2', $key='product_id', $keyvalue=$product_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');

	$date_available   		= $row['date_available'];
	$product_image   		= $row['product_image'];
	$cat_name = checkSomethingFromTable($table='store_products_cat_desc', $what='title', $key='category_id', $keyvalue=$product_catid, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$manufacturer = checkSomethingFromTable($table='store_manufacturers', $what='manufacturer_title', $key='manufacturer_id', $keyvalue=$manufacturer_id, $langkey='', $langkeyvalue='', $sqlanswer='');

	echo '<table width="100%" border="0" cellspacing="1" cellpadding="1">';

	echo '<tr>';
	echo '<td class="textTitleBig" colspan="2">'.$cat_name.'</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="textTitleBig" colspan="2">';
	echo draw_line($image='black', $width='100%', $height='1');
	echo '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="textTitleBig"  valign="top">';
	echo $product_title.'<br>';

	echo '<font class="textTitleSmall">'.MANUFACTURER.': '.$manufacturer.'</font><br>';
	echo '<font class="textTitleSmall">'.MODEL.': '.$model.'</font><br>';
	echo '<font class="textTitleSmall">'.PRICE.': </font>'.$currency.' '.number_format(convert_currency($preis), 2, '.', ',');

	echo '<div class="textTitleSmall">';
	echo '<FONT class="textTitleSmall">';
	if(get_store_config_value($config_key='SHOW_AUTHOR')=='1') {
		$author_name = checkSomethingFromTable($table='users', $what='user_firstname', $key='user_id', $keyvalue=$author_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		$author_name .= ' '.checkSomethingFromTable($table='users', $what='user_lastname', $key='user_id', $keyvalue=$author_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		echo AUTHOR.': ';
		echo $author_name.'<br>';
	}
	if(get_store_config_value($config_key='SHOW_DATE')=='1') {
		echo CREATED_ON.': ';
		echo $creation.'<br>';
	}
	echo '</FONT>';
	echo '</td>';
	echo '<td width="160" align="right" valign="top">';
	echo '<table width="300" border="0" cellspacing="0" cellpadding="2">';
	$result = sql_query("SELECT * FROM 		store_products_attributes WHERE 		products_id=  '".$product."' GROUP  BY options_id ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$products_attributes_id 	   = $row['products_attributes_id'];
		$products_id   = $row['products_id'];
		$options_id   = $row['options_id'];
		$options_name = checkSomethingFromTable($table='store_products_options', $what='options_name', $key='options_id', $keyvalue=$options_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
		if($start=='') {
			echo '<tr>';
			echo '<td class="FormBlockHeader" align="left" colspan="2">'.PRODUCT_OPTIONS.':</td>';
			echo '</tr>';
		}
		$start++;
		echo '<tr>';
		echo '<td class="textTitleSmall" width="50" align="left" valign="top">';
		echo $options_name.'<br>';
		echo '</td>';
		echo '<td class="textData" align="left" valign="top">';

		$result2 = sql_query("SELECT * FROM 		store_products_attributes WHERE 		products_id=  '".$product."' AND 		options_id=  '".$options_id."' ", $dbi);
		while($row2 = sql_fetch_array($result2, $dbi)){
			$options_values_id   = $row2['options_values_id'];
			$options_values_price   = $row2['options_values_price'];
			$price_prefix   = $row2['price_prefix'];
			$products_options_values_name = checkSomethingFromTable($table='store_products_options_values', $what='products_options_values_name', $key='options_values_id', $keyvalue=$options_values_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');

			$result21 = sql_query("SELECT * FROM store_products_options_values
									WHERE 		options_values_id=  '".$options_values_id."'

									", $dbi);
			$row21 = sql_fetch_array($result21, $dbi);
			$is_default   = $row21['is_default'];

			if($options_values_price > '0') {
				$pricetag = '('.$options_values_price.' '.$price_prefix.')';
			} else {
				$pricetag = '';
			}
			echo $products_options_values_name.' '.$pricetag.'<br>';
		}
		echo '</td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td class="textTitleBig" colspan="2">';
		echo draw_line($image='black', $width='100%', $height='1');
		echo '</td>';
		echo '</tr>';
	}
	echo '</table>';

	echo '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="textData" colspan="2">'.$product_description_2.'</td>';
	echo '</tr>';



	/////////////////////////////////////////////////////////////////////////
	// Product options
	echo '<tr>';
	echo '<td colspan="2" align="right">';


	echo '</td>';
	echo '</tr>';


	echo '</table>';
}?>