<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename: index.php
* Location: /modules/surveys/index.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/

include_once('modules/surveys/functions.php');
if(check_module_active($title='surveys') == '1') {
	purge_surveys_sessions($timefactor='1day');
	if (file_exists('modules/surveys/languages/lang-'.$currentlang.'.php')) {
		include('modules/surveys/languages/lang-'.$currentlang.'.php');
	}
	switch($op2){
		//////////////////////////////////////////////////////////////////////////////////////////////////
		//  SURVEYS CATEGORIES
		case "admin":
			include('modules/'.$op.'/admin/header.php');
			themeheader();
			if  (xomol_check_surveys_user_rights_specific($userid, 'ASYSTEM_ACCESS') == '1')  {
				include('modules/'.$op.'/admin/index.php');
			} else { echo _NORIGHTS; }
			themefooter();
		break;
		case "view_details":
			switch($op3) {
				case "insert_comment":

					if($sec_code=='') { $wrongseccode='1'; }
					if($sec_code!=$_SESSION['code']) { $wrongseccode='1'; }
					$message .= 'stsurvey insert comments<br>';
					$comment_id = time();
					$creation = date("Y.m.d H:i:s");
					$module_key = $survey_id;
					$comment_partent_id = '';
					$message .= '$comment_id: '. $comment_id.'<br>';
					$message .= '$creation: '. $creation.'<br>';
					$message .= '$userid: '. $userid.'<br>';
					if($wrongseccode!='1') {
						$message .= '$wrongseccode: '. $wrongseccode.'<br>';
						$okresponse .= YOUR_COMMENT_INSERTED.'<br>';
						sql_query("INSERT INTO comments
												  ( comment_id, comment_partent_id, module, module_key, author_id, creation, comment )
										   VALUES ('$comment_id', '$comment_partent_id', '$op', '$module_key', '$userid', '$creation', '$comment')", $dbi);
					}
					$comment_id = '';
					$comment_partent_id = '';
				break;

				case "vote":
					$survey_option_values = checkSomethingFromTable($table='surveys', $what='survey_option_values', $key='survey_id', $keyvalue=$survey_id, $langkey='', $langkeyvalue='', $sqlanswer='');
					$survey_option_values = split(';', $survey_option_values);
					foreach($survey_option_values AS $key => $val) {
						$val = split(',', $val);
						if($survey_option == $val[0]) {
							$val[1] =$val[1]+1;
						}
						$survey_option_string .= $val[0].','.$val[1].';';
					}
					$survey_option_string = substr_replace($survey_option_string, '', -1, 1);

					// select if session exists
					$now  = date("YmdHis");
					$sessionid = session_id();
					$userip= $_SERVER[REMOTE_ADDR];
					$result = sql_query("SELECT *
										FROM surveys_sessions
										WHERE ip='" . $userip . "'
										AND survey_id='" . $survey_id . "'
										", $dbi);

					$row = sql_fetch_array($result, $dbi);
					$survey_ip  	 =	$row['ip'];
					// $survey_id  	 =	$row['survey_id'];
					// $vote_date  	 =	$row['vote_date'];
					if($survey_ip!=''){
					} else {
						// echo '2$survey_session:'.$survey_session.'<br>';
						sql_query("INSERT INTO surveys_sessions ( survey_session, survey_id, vote_date, user_id, ip) VALUES ('$sessionid','$survey_id','$now','$userid','$userip')", $dbi);
						sql_query("UPDATE surveys SET survey_option_values='".$survey_option_string."'  WHERE  survey_id='".$survey_id."'", $dbi);
					}
				break;

				default:
					$result = sql_query("SELECT * FROM surveys WHERE  survey_id='" . $survey_id . "' AND  survey_status=1 ", $dbi);
					$row = sql_fetch_array($result, $dbi);
					$viewed = $row['viewed'];
					$viewed = $viewed+1;
					// echo '$viewed: '. $viewed.'<br>';
					sql_query("UPDATE surveys SET viewed='".$viewed."'  WHERE  survey_id='".$survey_id."'", $dbi);
				break;
			}




			include('modules/'.$op.'/header_view_details.php');
			themeheader();
			include('modules/'.$op.'/view_details.php');
			themefooter();
		break;





		case "view_details_replay_comment":
			global $dbi;

			switch($op3) {
				case "insert_comment":
					$message =  'insert_comment from view_details_replay_comment<br>';
					if($sec_code=='') { $wrongseccode='1'; }
					if($sec_code!=$_SESSION['code']) { $wrongseccode='1'; }
					$message .= 'stsurvey insert comments<br>';
					$comment_partent_id = $comment_id;
					$new_comment_id = time();
					$creation = date("Y.m.d H:i:s");
					$module_key = $survey;
					$message .= '$comment_id: '. $comment_id.'<br>';
					$message .= '$creation: '. $creation.'<br>';
					$message .= '$userid: '. $userid.'<br>';
					if($wrongseccode!='1') {
						$message .= '$wrongseccode: '. $wrongseccode.'<br>';
						sql_query("INSERT INTO comments
												  ( comment_id, comment_partent_id, module, module_key, author_id, creation, comment )
										   VALUES ('$new_comment_id', '$comment_partent_id', '$op', '$module_key', '$userid', '$creation', '$comment')", $dbi);
					}
					include('modules/'.$op.'/header_view_details.php');
					themeheader();
					$comment_id = '';
					$comment_parent_id = '';
					$okresponse .= YOUR_COMMENT_INSERTED.'<br>';
					include('modules/'.$op.'/view_details.php');
					themefooter();
				break;
				default:
					include('modules/'.$op.'/header_view_details.php');
					themeheader();
					include('modules/'.$op.'/view_details_replay_comment.php');
					themefooter();
				break;
			}

		break;



		case "view_details_add_comment":
			include('modules/'.$op.'/header_view_details.php');
			themeheader();
			include('modules/'.$op.'/view_details_add_comment.php');
			themefooter();
		break;





		case "view_details_debug":
			include('modules/'.$op.'/header_view_details.php');
			themeheader();
			include('modules/'.$op.'/view_details_debug.php');
			themefooter();
		break;
		case "browse":
			include('modules/'.$op.'/header_browse.php');
			themeheader();
			include('modules/'.$op.'/browse.php');
			themefooter();
		break;

		case "print_view":
			include('modules/'.$op.'/header_view_details.php');
			themeheader_print_view();
			include('modules/'.$op.'/print_view.php');
			themefooter_print_view();
		break;
		case "print_view_browse":
			include('modules/'.$op.'/header_browse.php');
			themeheader_print_view();
			include('modules/'.$op.'/print_view_browse.php');
			themefooter_print_view();
		break;
		//////////////////////////////////////////////////////////////////////////////////////////////////
		case "search":
			include('modules/'.$op.'/header.php');
			themeheader();
			include('modules/'.$op.'/search.php');
			themefooter();
		break;

		default:
			include('modules/'.$op.'/header.php');
			themeheader();
			include('modules/'.$op.'/start.php');
			themefooter();
		break;
		//////////////////////////////////////////////////////////////////////////////////////////////////
	}
} else {
	include('modules/'.$op.'/header.php');
	themeheader();
	echo 'This module is currently under mantainance, we will be back shortly';
	themefooter();
}



?>