###########################################################

##
## Tabellenstruktur fr Tabelle 'tellafriend_metatags'
##

DROP TABLE IF EXISTS `tellafriend_metatags`;
CREATE TABLE tellafriend_metatags (
  lid int(3) NOT NULL auto_increment,
  `language` varchar(20) NOT NULL default 'german',
  title text NOT NULL,
  keywords text NOT NULL,
  description text NOT NULL,
  PRIMARY KEY  (lid),
  KEY `language` (`language`)
) TYPE=MyISAM ;

##
## Daten fr Tabelle 'tellafriend_metatags'
##

INSERT INTO tellafriend_metatags VALUES(1, 'english', 'Xomol - Recomend our Proyect and help Xomol grow!', 'Xomol,tellafriend,recomend,help, promote, distribute, download, seo, open source, nahual', 'This project is growing from day to day. Recomend Xomol and help our Proyect grow.');
INSERT INTO tellafriend_metatags VALUES(2, 'german', 'Empfhlen Sie Xomol weiter und untersttzen Sie unsere Project', 'Xomol,empfhlen, verteilen, distribution, SEO,Suchmaschinenoptimierung ,Search Engine Optimization,ranking', 'Untersttzen sie Xomol, empfhlen Sie uns weiter...');
INSERT INTO tellafriend_metatags VALUES(3, 'mexican', 'Recomienda Xomol a tus amigos.', 'Xomol,recomienda, distribulle, download, ayuda, open source, nahual, contactanos, SEO,Suchmaschinenoptimierung ,Optimizacion,motores de busqueda,Search Engine Optimization,ranking', 'La mejor manera de ayudar a Xomol es recomendandonos. Entre mas programadores se incorporen a nuestro projecto, mas rapido crecera!.');


## 
## Recordsets for other Tables neeeded to be updated for automatitation.
## 


INSERT INTO `modules` VALUES('tellafriend', 1, 1, '', 0, 0, '');

INSERT INTO `modules_desc` VALUES('tellafriend', 'Recomiendanos', 'mexican');
INSERT INTO `modules_desc` VALUES('tellafriend', 'Tell a friend', 'english');
INSERT INTO `modules_desc` VALUES('tellafriend', 'Weiter empfhlen', 'german');

INSERT INTO themes_blocks VALUES('', 1191298880, 'tellafriend', 'tellafriend2', '1', 0, 5);
INSERT INTO themes_blocks VALUES('', 1213741183, 'tellafriend', 'tellafriend', '1', 0, 5);

