<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename: index.php
* Location: /modules/usersonline/admin/index.php
*
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
include_once('modules/usersonline/functions.php');
if (file_exists('modules/usersonline/languages/lang-'.$currentlang.'.php')) {
	include('modules/usersonline/languages/lang-'.$currentlang.'.php');
} else {
	echo  '<FONT color"fff000" size=3>Language File;: '.$currentlang.' not defined in this module</FONT><br>';
}
if ( xomol_check_usersonline_user_rights_specific($userid, 'ASYSTEM_ACCESS') == '1')  {
	$languageslist = get_languages($display='active');
	switch($op3){
		/*********************************************************************************************
		*  CONTACTUS CONFIGURATION
		*********************************************************************************************/
		case "admin_config_view":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_CONFIGURE_ACCESS') == '1')  {
				include('modules/usersonline/admin/admin_config_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_config_add":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_CONFIGURE_ADD') == '1')  {
				include('modules/usersonline/admin/admin_config_add.php');
			} else { echo NO_USER_RIGHTS; }
		break;
		case "admin_config_add1":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_CONFIGURE_ADD') == '1')  {
				include('modules/usersonline/admin/admin_config_add1.php');
			} else { echo NO_USER_RIGHTS; }
		break;
		case "admin_config_add2":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_CONFIGURE_ADD') == '1')  {
				include('modules/usersonline/admin/admin_config_add2.php');
			} else { echo NO_USER_RIGHTS; }
		break;
		case "admin_config_insert":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_CONFIGURE_ADD') == '1')  {
					sql_query("INSERT INTO usersonline_configure ( module_name, config_type, config_key, config_title, config_value )
								   VALUES ('$op', '$config_type', '$_config_key', '$config_title', '$config_value')", $dbi);
				include('modules/usersonline/admin/admin_config_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_config_edit":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_CONFIGURE_EDIT') == '1')  {
				include('modules/usersonline/admin/admin_config_edit.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_config_update":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_CONFIGURE_EDIT') == '1')  {
				$result= sql_query("UPDATE usersonline_configure SET 	config_type='".$config_type."',
															config_key='".$_config_key."',
															config_title='".$config_title."',
															config_value='".$config_value."'
													WHERE 	config_id='".$configure."' ",$dbi);
				include('modules/usersonline/admin/admin_config_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_config_delete":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_CONFIGURE_DEL') == '1')  {
				$result= sql_query("DELETE FROM usersonline_configure WHERE config_id='$configure'",$dbi);
				include('modules/usersonline/admin/admin_config_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		/*********************************************************************************************
		*  CONTACTUS USERS
		*********************************************************************************************/
		case "xomol_users_view":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_DETAILS_ACCESS') == '1')  {
				include('modules/'.$op.'/admin/admin_users_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;
		case "statusu":
			$user_group_tochange = check_user_group($user);
			$user_group_operator = check_user_group($userid);
			$ok=0;
			if (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($user, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($user!=$userid) ) {
				if($switch=="1") {
					$result= sql_query("UPDATE users SET user_status=1 WHERE user_id='$user'",$dbi);
				} else {
					$result= sql_query("UPDATE users SET user_status=0 WHERE user_id='$user'",$dbi);
				}
				include('modules/'.$op.'/admin/admin_users_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		/*********************************************************************************************
		*  CONTACTUS USERS RIGHTS
		*********************************************************************************************/
		case "user_rights_override":
			$user_group_tochange = check_user_group($user);
			$user_group_operator = check_user_group($userid);
			$ok=0;
			if (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($user, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($user!=$userid) ) {
				include('modules/'.$op.'/admin/admin_user_rights_override.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "user_rights2users_status":
			$user_group_tochange = check_user_group($user);
			$user_group_operator = check_user_group($userid);
			$ok=0;
			if (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($user, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($user!=$userid) ) {
				if($switch=="1") {
					$result= sql_query("UPDATE contactus_user_rights2users SET value=1 WHERE user_id='$user' AND user_rights_id='$task'",$dbi);
				} else {
					$result= sql_query("UPDATE contactus_user_rights2users SET value=0 WHERE user_id='$user' AND user_rights_id='$task'",$dbi);
				}
				include('modules/'.$op.'/admin/admin_user_rights_override.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "user_rights_reset2group":
			$user_group_tochange = check_user_group($user);
			$user_group_operator = check_user_group($userid);
			$ok=0;
			if (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($user, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($user!=$userid) ) {
				$result= sql_query("DELETE FROM contactus_user_rights2users WHERE user_id='$user' ",$dbi);
				$user_group = checkSomethingFromTable($table='users', $what='user_group', $key='user_id', $keyvalue=$user, $langkey='', $langkeyvalue='', $sqlanswer='');

				$result2 = sql_query("SELECT * FROM usersonline_user_rights2groups WHERE group_id=$user_group  ", $dbi);
				while($row2 = sql_fetch_array($result2, $dbi)){
					$group_id    	= $row2['group_id'];
					$user_rights_id    	= $row2['user_rights_id'];
					$value    	= $row2['value'];
					sql_query("INSERT INTO contactus_user_rights2users ( user_id, user_rights_id, value )
								   VALUES ('$user', '$user_rights_id', '$value')", $dbi);
				}
				include('modules/'.$op.'/admin/admin_user_rights_override.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		/*********************************************************************************************
		*  CONTACTUS USERS RIGHTS -TASKS-
		*********************************************************************************************/
		case "user_rights":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_ACCESS') == '1')  {
				include('modules/'.$op.'/admin/admin_user_rights.php');
			} else {
				echo NO_USER_RIGHTS;
			}
		break;

		case "user_rights_add":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_TASK_ADD') == '1')  {
				include('modules/'.$op.'/admin/admin_user_rights_add.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "user_rights_insert":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_TASK_ADD') == '1')  {
				$elemental=1;
				sql_query("INSERT INTO contactus_user_rights ( rights_id, title, description, elemental )
							   VALUES ('', '$task_title', '$description', '$elemental')", $dbi);
				include('modules/'.$op.'/admin/admin_user_rights2groups.php');
			} else {
				echo NO_USER_RIGHTS;
			}
		break;

		/*********************************************************************************************
		* CONTACTUS USERS RIGHTS -TASKS2GROUPS-
		*********************************************************************************************/
		case "user_rights2groups_edit":
			$user_group_tochange = check_user_group($user);
			$user_group_operator = check_user_group($userid);
			$ok=0;
			if (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_TASK_EDIT_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_TASK_EDIT_LOW') == '1') {
				if((user_is_in_tree($user, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($user!=$userid) ) {
				include('modules/'.$op.'/admin/admin_user_rights2groups_edit.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "user_rights2groups_status":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_TASK2GROUP') == '1')  {
				if($switch=="1") {
					sql_query("UPDATE usersonline_user_rights2groups SET value='1' WHERE group_id='$group' AND user_rights_id='$task'",$dbi);
				} else {
					sql_query("UPDATE usersonline_user_rights2groups SET value='0' WHERE group_id='$group' AND user_rights_id='$task'",$dbi);
				}
				include('modules/'.$op.'/admin/admin_user_rights2groups.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "user_rights2groups":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_TASK2GROUP') == '1')  {
				include('modules/'.$op.'/admin/admin_user_rights2groups.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		/*********************************************************************************************
		*  CONTACTUS POSITIONS
		*********************************************************************************************/
		case "admin_positions":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_POSITIONS_ACCESS') == '1')  {
				include('modules/usersonline/admin/admin_positions.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_positions_add":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_POSITIONS_POS_ADD') == '1')  {
				include('modules/usersonline/admin/admin_positions_add.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_positions_insert":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_POSITIONS_POS_ADD') == '1')  {
				sql_query("INSERT INTO contactus_positions ( position_title ) VALUES ('$position_title')", $dbi);
				include('modules/usersonline/admin/admin_positions.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_positions_edit":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_POSITIONS_POS_EDIT') == '1')  {
				include('modules/usersonline/admin/admin_positions_edit.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_positions_update":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_POSITIONS_POS_EDIT') == '1')  {
				$result= sql_query("UPDATE contactus_positions SET 	position_title='".$position_title."'
													WHERE 	position_id='".$configure."' ",$dbi);
				include('modules/usersonline/admin/admin_positions.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_positions_delete":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_POSITIONS_POS_EDIT') == '1')  {
				$result= sql_query("DELETE FROM contactus_positions WHERE position_id='$configure'",$dbi);
				include('modules/usersonline/admin/admin_positions.php');
			} else { echo NO_USER_RIGHTS; }
		break;


		/*********************************************************************************************
		*  CONTACTUS POSITIONS -BLOCKS-
		*********************************************************************************************/
		case "admin_blocks_add":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_POSITIONS_BLOCK_ADD') == '1')  {
				include('modules/usersonline/admin/admin_blocks_add.php');
			} else { echo NO_USER_RIGHTS; }
		break;
		case "admin_blocks_insert":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_POSITIONS_BLOCK_ADD') == '1')  {
				$blocks = checkSomethingFromTable($table='contactus_blocks', $what='block_id', $key='position_id', $keyvalue=$position_id, $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
				$blocks_count = count($blocks);
				$view_order = $blocks_count+1;

				sql_query("INSERT INTO contactus_blocks ( position_id, module_name, block_title, block_status, view_order ) VALUES ('$position_id', '$module_name', '$block_title', '$block_status', '$view_order')", $dbi);
				include('modules/usersonline/admin/admin_positions.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_blocks_edit":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
				include('modules/usersonline/admin/admin_blocks_edit.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_blocks_update":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
				$result= sql_query("UPDATE contactus_blocks SET 	position_id='".$position_id."', block_title='".$block_title."', block_status='".$block_status."'
													WHERE 	block_id='".$configure."' ",$dbi);
				include('modules/usersonline/admin/admin_positions.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "statusblock":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
				if($switch=="1") {
					$result= sql_query("UPDATE contactus_blocks SET block_status=1 WHERE block_id='$block'",$dbi);
				} else {
					$result= sql_query("UPDATE contactus_blocks SET block_status=0 WHERE block_id='$block'",$dbi);
				}
				$cat_parent_id=get_parent_cat($cat);
				include('modules/usersonline/admin/admin_positions.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_blocks_delete":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_POSITIONS_BLOCK_DEL') == '1')  {
				$result= sql_query("DELETE FROM contactus_blocks WHERE block_id='$configure'",$dbi);
				include('modules/usersonline/admin/admin_positions.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_blocks_order":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_POSITIONS_BLOCK_EDIT') == '1')  {
				$position_id = checkSomethingFromTable($table='contactus_blocks', $what='position_id', $key='block_id', $keyvalue=$block, $langkey='', $langkeyvalue='', $sqlanswer='');
				$view_order = checkSomethingFromTable($table='contactus_blocks', $what='view_order', $key='block_id', $keyvalue=$block, $langkey='', $langkeyvalue='', $sqlanswer='');
				$under = $view_order-1;
				$upper = $view_order+1;

				$result_under = sql_query("SELECT * FROM contactus_blocks WHERE position_id='" . $position_id . "' AND view_order='" . $under . "' LIMIT 0,1  ", $dbi);
				if($row_under = sql_fetch_array($result_under, $dbi)){
					$view_under_id   = $row_under['block_id'];
				}
				$result_upper = sql_query("SELECT * FROM contactus_blocks WHERE position_id='" . $position_id . "' AND view_order='" . $upper . "' LIMIT 0,1  ", $dbi);
				if($row_upper = sql_fetch_array($result_upper, $dbi)){
					$view_upper_id   = $row_upper['block_id'];
				}

				$view_order_under = checkSomethingFromTable($table='contactus_blocks', $what='view_order', $key='block_id', $keyvalue=$view_under_id, $langkey='', $langkeyvalue='', $sqlanswer='');
				$view_order_upper = checkSomethingFromTable($table='contactus_blocks', $what='view_order', $key='block_id', $keyvalue=$view_upper_id, $langkey='', $langkeyvalue='', $sqlanswer='');

				if($switch=="up") {
					if($view_order > $view_order_under) {
						 sql_query("UPDATE contactus_blocks SET view_order='".$view_order_under."' WHERE block_id='".$block."'",$dbi);
						 sql_query("UPDATE contactus_blocks SET view_order='".$view_order."' WHERE block_id='".$view_under_id."'",$dbi);
					}
				} elseif($switch=="down") {
					if($view_order < $view_order_upper) {
						 sql_query("UPDATE contactus_blocks SET view_order='".$view_order_upper."' WHERE block_id='".$block."'",$dbi);
						 sql_query("UPDATE contactus_blocks SET view_order='".$view_order."' WHERE block_id='".$view_upper_id."'",$dbi);
					}
				}
				include('modules/usersonline/admin/admin_positions.php');
			} else { echo NO_USER_RIGHTS; }
		break;


		/*********************************************************************************************
		*  CONTACTUS METATAGS
		*********************************************************************************************/
		case "admin_metatags":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_METAS_ACCESS') == '1')  {
				include('modules/usersonline/admin/admin_metatags.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_metatags_edit":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_METAS_EDIT') == '1')  {
				include('modules/usersonline/admin/admin_metatags_edit.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_metatags_update":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'A_METAS_EDIT') == '1')  {
				foreach($meta_title AS $fe_lang => $val) {
					$_meta_title 	   = $meta_title[$fe_lang];
					$_meta_keywords    = $meta_keyword1[$fe_lang].','. $meta_keyword2[$fe_lang].','. $meta_keyword3[$fe_lang].','. $meta_keyword4[$fe_lang].','. $meta_keyword5[$fe_lang].','. $meta_keyword6[$fe_lang].','. $meta_keyword7[$fe_lang].','. $meta_keyword8[$fe_lang].','. $meta_keyword9[$fe_lang].','. $meta_keyword10[$fe_lang].','. $meta_keyword11[$fe_lang].','. $meta_keyword12[$fe_lang]; ;
					$_meta_keywords = eregi_replace(',,',',',$_meta_keywords);
					$_meta_keywords = eregi_replace(',,',',',$_meta_keywords);
					$_meta_keywords = eregi_replace(',,',',',$_meta_keywords);
					$_meta_description = $meta_description[$fe_lang];
					$rs_exists = checkSomethingFromTable($table='contactus_metatags', $what='lid', $key='language', $keyvalue=$fe_lang, $langkey='', $langkeyvalue='', $sqlanswer='');
					if($rs_exists!='') {
						sql_query("UPDATE contactus_metatags   SET  title='".$_meta_title."', keywords='".$_meta_keywords."', description='".$_meta_description."' WHERE language='".$fe_lang."'", $dbi);
					} else {
						sql_query("INSERT INTO contactus_metatags ( language, title, keywords, description ) VALUES ('$fe_lang', '$_meta_title','$_meta_keywords','$_meta_description')", $dbi);
					}
				}
				include('modules/usersonline/admin/admin_metatags.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		/*********************************************************************************************
		* MY DEPARTMENTS DEFAULT
		*********************************************************************************************/
		case "admin_departments_view":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'DEPARTMENTS_ACCESS') == '1')  {
				include('modules/usersonline/admin/admin_departments_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;
		case "admin_departments_add":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'DEPARTMENTS_ADD') == '1')  {
				include('modules/usersonline/admin/admin_departments_add.php');
			} else { echo NO_USER_RIGHTS; }
		break;
		case "admin_departments_insert":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'DEPARTMENTS_ADD') == '1')  {
				$department_id = time();
				echo '<pre>';
				print_r($_POST);
				echo '</pre>';
				sql_query("INSERT INTO contactus_departments ( department_id, department_contact, department_address, department_phone, department_fax, department_email, show_contact, show_phone, show_fax, show_email, view_order )
							   VALUES ('$department_id', '$department_contact', '$department_address', '$department_phone', '$department_fax', '$department_email', '$show_contact', '$show_phone', '$show_fax', '$show_email', '$view_order')", $dbi);
				foreach($department_name AS $fe_lang => $valor) {
					$newname = $department_name[$fe_lang];
					sql_query("INSERT INTO contactus_departments_desc ( department_id, department_name, language)
											   VALUES ('$department_id', '$newname', '$fe_lang')", $dbi);
				}

				include('modules/usersonline/admin/admin_departments_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;
		case "admin_departments_edit":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'DEPARTMENTS_EDIT') == '1')  {
				include('modules/usersonline/admin/admin_departments_edit.php');
			} else { echo NO_USER_RIGHTS; }
		break;
		case "admin_departments_update":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'DEPARTMENTS_EDIT') == '1')  {
				$result =sql_query("UPDATE contactus_departments
									SET 	department_contact='".$department_contact."',
											department_address='".$department_address."',
											department_phone='".$department_phone."',
											department_fax='".$department_fax."',
											department_email='".$department_email."'
									WHERE department_id='".$department."'", $dbi);

				foreach($department_name AS $fe_lang => $valor) {
					$newname = $department_name[$fe_lang];
					$indb = checkSomethingFromTable($table='contactus_departments_desc', $what='department_name', $key='department_id', $keyvalue=$department, $langkey='language', $langkeyvalue=$fe_lang, $sqlanswer='');
					if($indb=='') {
						sql_query("INSERT INTO contactus_departments_desc ( department_id, department_name, ) VALUES ('$department', '$newname', '$fe_lang')", $dbi);
					} else {
						sql_query("UPDATE contactus_departments_desc    SET  department_name='".$newname."' WHERE department_id='".$department."' AND language='".$fe_lang."'", $dbi);
					}
				}

				include('modules/usersonline/admin/admin_departments_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_departments_delete":
			sql_query("DELETE FROM contactus_departments  WHERE department_id='".$department."' ", $dbi);
			include('modules/usersonline/admin/admin_departments_view.php');
		break;

		// Show the Department in the Contact Form
		case "department_status":
			if ( xomol_check_usersonline_user_rights_specific($userid, 'DEPARTMENTS_SHOW_ADATA') == '1') {
				if($switch=="1") {
					$result= sql_query("UPDATE contactus_departments SET department_status=1 WHERE department_id='$department'",$dbi);
				} else {
					$result= sql_query("UPDATE contactus_departments SET department_status=0 WHERE department_id='$department'",$dbi);
				}
				include('modules/'.$op.'/admin/admin_departments_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		// If the Department is shown on the contact form you can choose wich data will be shown
		// Show the Department name
		case "department_status":
			if ( xomol_check_usersonline_user_rights_specific($userid, 'DEPARTMENTS_SHOW_ADATA') == '1') {
				if($switch=="1") {
					$result= sql_query("UPDATE contactus_departments SET department_status=1 WHERE department_id='$department'",$dbi);
				} else {
					$result= sql_query("UPDATE contactus_departments SET department_status=0 WHERE department_id='$department'",$dbi);
				}
				include('modules/'.$op.'/admin/admin_departments_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;
		// Show the Department Name
		case "show_department":
			if ( xomol_check_usersonline_user_rights_specific($userid, 'DEPARTMENTS_SHOW_DEP') == '1') {
				if($switch=="1") {
					$result= sql_query("UPDATE contactus_departments SET show_department=1 WHERE department_id='$department'",$dbi);
				} else {
					$result= sql_query("UPDATE contactus_departments SET show_department=0 WHERE department_id='$department'",$dbi);
				}
				include('modules/'.$op.'/admin/admin_departments_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;
		// Show the Contact
		case "show_contact":
			if ( xomol_check_usersonline_user_rights_specific($userid, 'DEPARTMENTS_SHOW_CONT') == '1') {
				if($switch=="1") {
					$result= sql_query("UPDATE contactus_departments SET show_contact=1 WHERE department_id='$department'",$dbi);
				} else {
					$result= sql_query("UPDATE contactus_departments SET show_contact=0 WHERE department_id='$department'",$dbi);
				}
				include('modules/'.$op.'/admin/admin_departments_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;
		// Show the Address
		case "show_address":
			if ( xomol_check_usersonline_user_rights_specific($userid, 'DEPARTMENTS_SHOW_ADDR') == '1') {
				if($switch=="1") {
					$result= sql_query("UPDATE contactus_departments SET show_address=1 WHERE department_id='$department'",$dbi);
				} else {
					$result= sql_query("UPDATE contactus_departments SET show_address=0 WHERE department_id='$department'",$dbi);
				}
				include('modules/'.$op.'/admin/admin_departments_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;
		// Show the Phone
		case "show_phone":
			if ( xomol_check_usersonline_user_rights_specific($userid, 'DEPARTMENTS_SHOW_ADDR') == '1') {
				if($switch=="1") {
					$result= sql_query("UPDATE contactus_departments SET show_phone=1 WHERE department_id='$department'",$dbi);
				} else {
					$result= sql_query("UPDATE contactus_departments SET show_phone=0 WHERE department_id='$department'",$dbi);
				}
				include('modules/'.$op.'/admin/admin_departments_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;
		// Show the Fax
		case "show_fax":
			if ( xomol_check_usersonline_user_rights_specific($userid, 'DEPARTMENTS_SHOW_ADDR') == '1') {
				if($switch=="1") {
					$result= sql_query("UPDATE contactus_departments SET show_fax=1 WHERE department_id='$department'",$dbi);
				} else {
					$result= sql_query("UPDATE contactus_departments SET show_fax=0 WHERE department_id='$department'",$dbi);
				}
				include('modules/'.$op.'/admin/admin_departments_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;
		// Show the Email
		case "show_email":
			if ( xomol_check_usersonline_user_rights_specific($userid, 'DEPARTMENTS_SHOW_ADDR') == '1') {
				if($switch=="1") {
					$result= sql_query("UPDATE contactus_departments SET show_email=1 WHERE department_id='$department'",$dbi);
				} else {
					$result= sql_query("UPDATE contactus_departments SET show_email=0 WHERE department_id='$department'",$dbi);
				}
				include('modules/'.$op.'/admin/admin_departments_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "department_order":
			if ( ( xomol_check_usersonline_user_rights_specific($userid, 'DEPARTMENTS_EDIT') == '1') OR ( xomol_check_usersonline_user_rights_specific($userid, 'CONTENT_CAT_EDIT_OWN') == '1') )  {
				purge_departments();

				$view_order = checkSomethingFromTable($table='contactus_departments', $what='view_order', $key='department_id', $keyvalue=$department, $langkey='', $langkeyvalue='', $sqlanswer='');
				$under = $view_order-1;
				$upper = $view_order+1;

				$result_under = sql_query("SELECT * FROM contactus_departments WHERE view_order='" . $under . "' LIMIT 0,1  ", $dbi);
				if($row_under = sql_fetch_array($result_under, $dbi)){
					$view_under_id   = $row_under['department_id'];
				}
				$result_upper = sql_query("SELECT * FROM contactus_departments WHERE view_order='" . $upper . "' LIMIT 0,1  ", $dbi);
				if($row_upper = sql_fetch_array($result_upper, $dbi)){
					$view_upper_id   = $row_upper['department_id'];
				}

				$view_order_under = checkSomethingFromTable($table='contactus_departments', $what='view_order', $key='department_id', $keyvalue=$view_under_id, $langkey='', $langkeyvalue='', $sqlanswer='');
				$view_order_upper = checkSomethingFromTable($table='contactus_departments', $what='view_order', $key='department_id', $keyvalue=$view_upper_id, $langkey='', $langkeyvalue='', $sqlanswer='');

				if($switch=="up") {
					if($view_order > $view_order_under) {
						 sql_query("UPDATE contactus_departments SET view_order='".$view_order_under."' WHERE department_id='".$department."'",$dbi);
						 sql_query("UPDATE contactus_departments SET view_order='".$view_order."' WHERE department_id='".$view_under_id."'",$dbi);
					}
				} elseif($switch=="down") {
					if($view_order < $view_order_upper) {
						 sql_query("UPDATE contactus_departments SET view_order='".$view_order_upper."' WHERE department_id='".$department."'",$dbi);
						 sql_query("UPDATE contactus_departments SET view_order='".$view_order."' WHERE department_id='".$view_upper_id."'",$dbi);
					}
				}
				include('modules/'.$op.'/admin/admin_departments_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_form_edit":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'FORM_EDIT') == '1')  {
				include('modules/usersonline/admin/admin_form_edit.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		case "admin_form_update":
			if  (xomol_check_usersonline_user_rights_specific($userid, 'FORM_EDIT') == '1')  {
				foreach($header_data_post AS $fe_lang => $valor) {
					$newheader = $header_data_post[$fe_lang];
					$newfooter = $footer_data_post[$fe_lang];
					$indb = checkSomethingFromTable($table='contactus_form_desc', $what='language', $key='language', $keyvalue=$fe_lang, $langkey='', $langkeyvalue='', $sqlanswer='');
					if($indb=='') {
						sql_query("INSERT INTO contactus_form_desc ( header_data, footer_data, language ) VALUES ('$newheader', '$newfooter', '$fe_lang')", $dbi);
					} else {
						sql_query("UPDATE contactus_form_desc    SET  header_data='".$newheader."', footer_data='".$newfooter."' WHERE  language='".$fe_lang."'", $dbi);
					}
				}
				include('modules/usersonline/admin/admin_departments_view.php');
			} else { echo NO_USER_RIGHTS; }
		break;

		default:
			echo '<a href="index.php?op=admin" class="AdminFormRsTitleBig">'.ADMIN.'</a> ::  ';
			echo '<a href="index.php?op=usersonline&op2=admin" class="AdminFormRsTitleBig">'.MANAGE_USERSONLINE.'</a>';
			echo '<br>';
			echo '<br>';
			include_once('modules/usersonline/blocks/block-usersonline2.php');
		break;
	}
} else { echo NO_USER_RIGHTS; }
?>