<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename: functions.php
* Location: /modules/usersonline/functions.php
*
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
if (file_exists('modules/usersonline/languages/lang-'.$currentlang.'.php')) {
	include('modules/usersonline/languages/lang-'.$currentlang.'.php');
} else {
	echo  '<FONT color"fff000" size=3>Language File;: '.$currentlang.' not defined in this module</FONT><br>';
}

/*********************************************************************************************
* Function Name:  xomol_check_usersonline_user_rights_specific($user, $rights_title)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users, users_rights
* Returns field user_rights FROM TABLE users
* $user 	= to check own rights use $_SESSION['user_id'] or $userid;
*         	  to check others rights pass the desired user id as string..
* $task 	= desired field value in TABLE xomol_user_rights2users
*			  if no overrided user rights then check from  TABLE xomol_user_rights_tasks2groups
*********************************************************************************************/
function xomol_check_usersonline_user_rights_specific($user, $rights_title){
	global $dbi;
	$rights_id = checkSomethingFromTable($table='usersonline_user_rights', $what='rights_id', $key='title', $keyvalue=$rights_title, $langkey='', $langkeyvalue='', $sqlanswer='');
	$user_group = check_user_group($user);
	$is_overrided = checkSomethingFromTable($table='usersonline_user_rights2users', $what='user_id', $key='user_id', $keyvalue=$user, $langkey='', $langkeyvalue='', $sqlanswer='');
	if($is_overrided>='2') {
		$result2 = sql_query("SELECT * FROM usersonline_user_rights2users WHERE user_id='".$user."' AND user_rights_id='".$rights_id."'", $dbi);
		$row2 = sql_fetch_array($result2, $dbi);
		return $row2['value'];
	} else {
		$result3 = sql_query("SELECT * FROM usersonline_user_rights2groups WHERE group_id='".$user_group."' AND user_rights_id='".$rights_id."'", $dbi);
		$row3 = sql_fetch_array($result3, $dbi);
		return $row3['value'];
	}
}
/*********************************************************************************************
* Function Name:  users_online()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns an array with the current users online (guests and members)
*********************************************************************************************/
function users_online() {
	global $userid, $dbi;
	$session_id = session_id();
	$prefix='';
	$ip = $_SERVER['REMOTE_ADDR'];
	$guest = 0;
	if ( ($userid!='') AND ($userid!='2') AND ($userid!='3') ) {
		$user_id = $userid;
		$guest = 0;
	} else {
		$user_id = 2;
	  	$guest = 1;
	}
	$past = time()-3600;

    sql_query("DELETE FROM usersonline WHERE time<'".$past."'",$dbi);

	$result = sql_query("SELECT time FROM usersonline WHERE session_id='".$session_id."' ", $dbi);
	$row = sql_fetch_array($result, $dbi);
	$time    	= $row['time'];

	$current_time = time();
	if (!empty($user_id)) {
		$user_id = substr($user_id, 0,25);
		if ($time!='') {
			sql_query("UPDATE usersonline SET user_id='$user_id', time='$current_time', host='$ip', guest='$guest' WHERE session_id='$session_id'",$dbi);
		} else {
			sql_query("INSERT INTO usersonline ( user_id, time, host, guest, session_id )
						   VALUES ('$user_id', '$current_time', '$ip', '$guest', '$session_id')", $dbi);
		}
	}
	$guests_online = checkSomethingFromTable($table='usersonline', $what='user_id',$key='guest', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
	$members_online = checkSomethingFromTable($table='usersonline', $what='user_id',$key='guest', $keyvalue='0', $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');

	if(is_array($guests_online)) {
		$guests_online=count($guests_online);
	}
	if(is_array($members_online)) {
		$members_online=count($members_online);
	}
	$usersonline['guests'] = $guests_online;
	$usersonline['members'] = $members_online;

	return $usersonline;
}


function groups_and_users_usersonline($group_id, $start){
	global $dbi, $userid, $theme;
	$content = '<table width="600" border="0" cellspacing="0" cellpadding="0">';
	if($start=='') {
		$content .= '<tr>';
		$content .= '<td class="AdminFormTbHeader" colspan="6">'.GROUP.'</td>';
		$content .= '<tr>';
		$start++;
	}
	$result = sql_query("SELECT * FROM user_groups WHERE  group_parent_id='".$group_id."' ORDER BY group_title ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$_group_id   = $row['group_id'];
		$group_parent_id   = $row['group_parent_id'];
		$group_title   = $row['group_title'];
		$group_status   = $row['group_status'];
		$group_deletable   = $row['group_deletable'];

		$content .= '<tr class="AdminFormTbRowLight" onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\'AdminFormTbRowLight\';" >';
		$content .= '<td width="10" align="left" valign="top"><img src="themes/'.$theme.'/images/arrow_icon.gif" border="0" ></td>';
		$content .= '<td width="80" align="left" valign="top" ><div class="textTitle">'.$group_title.'<div></td>';
		$content .= '<td align="right">';
		// edit group
		$result2 = sql_query("SELECT * FROM users WHERE user_group='".$_group_id."' ORDER BY user_group, user_firstname, user_lastname, user_company ASC", $dbi);
		while($row2 = sql_fetch_array($result2, $dbi)){
			$_user_id   	= $row2['user_id'];
			$user_firstname = $row2['user_firstname'];
			$user_lastname  = $row2['user_lastname'];
			$user_company   = $row2['user_company'];
			$user_city    	= $row2['user_city'];
			$user_state    	= $row2['user_state'];
			$user_country   = $row2['user_country'];
			$user_group    	= $row2['user_group'];
			$status    		= $row2['user_status'];

			$content .= '<table width="450" border="0" cellspacing="0" cellpadding="0">';
			$content .= '<tr onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\'AdminFormTbRowLight\';" >';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$content .= $user_company;
			$content .= '</td>';
			$content .= '<td width="16" valign="top" align="left" nowrap>';
			$is_overrided = checkSomethingFromTable($table='content_user_rights2users', $what='user_id', $key='user_id', $keyvalue=$_user_id, $langkey='', $langkeyvalue='', $sqlanswer='');

			// Allow edition for subusers
			$ok=0;
			if (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($_user_id!=$userid) ) {
				if($is_overrided>'1') {
					$content .= '<a href="index.php?op='.$op.'&op2=admin&op3=user_rights_override&user='.$_user_id.'"><img src="images/b_edit_rights1.png" width="16" height="16" border="0" alt="'.EDIT_USER.'"></a>';
				} else {
					$content .= '<a href="index.php?op='.$op.'&op2=admin&op3=user_rights_override&user='.$_user_id.'"><img src="images/b_edit_rights2.png" width="16" height="16" border="0" alt="'.EDIT_USER.'"></a>';
				}
			}
			$content .= '</td>';
			$content .= '<td width="16" valign="top" align="center" nowrap>';
			$ok=0;
			if (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if($ok==1) {
				$content .= '<a href="index.php?op=admin&op2=admin_users_viewdet&user='.$_user_id.'" class="AdminFormRsTitle" target="viewdet"><img src="themes/'.$theme.'/images/information.gif" border="0" alt="'.EDIT_USER.'"></a>';
			}
			$content .= '</td>';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$content .= '<div class="textTitle">'.$user_firstname.' '.$user_lastname.'</div>';
			$content .= '</td>';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$user_city = checkSomethingFromTable($table='geo_cities', $what='place', $key='city_id', $keyvalue=$user_city, $langkey='', $langkeyvalue='', $sqlanswer='');
			$user_state = checkSomethingFromTable($table='geo_states', $what='state_code', $key='state_id', $keyvalue=$user_state, $langkey='', $langkeyvalue='', $sqlanswer='');
			$user_country = checkSomethingFromTable($table='geo_countries', $what='countries_name', $key='countries_id', $keyvalue=$user_country, $langkey='', $langkeyvalue='', $sqlanswer='');
			$content .= $user_city.',<br>'.$user_state.'/'.$user_country;
			$content .= '</td>';
			$content .= '<td width="20" valign="top" align="center" nowrap>';

			$ok=0;
			if (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($_user_id, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_usersonline_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($_user_id!=$userid) ) {
				if($status==1) {
					$status='<a href="index.php?op='.$op.'&op2=admin&op3=statusu&switch=0&user='.$_user_id.'">
								<img src="images/green_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS2.'"></a>';
				} else {
					$status='<a href="index.php?op='.$op.'&op2=admin&op3=statusu&switch=1&user='.$_user_id.'">
								<img src="images/red_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS1.'"></a>';
					}
			} else {
				if($status==1) {
					$status='<img src="images/green_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS2.'">';
				} else {
					$status='<img src="images/red_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS1.'">';
				}
			}
			$content .= $status;
			$content .= '</td>';
			$content .= '</tr>';
			$content .= '<tr  >';
			$content .= '<td height="1" colspan="6">';
			$content .= draw_line($image='black', $width='100%', $height='1');
			$content .= '</td>';
			$content .= '<tr>';
			$content .= '</table>';
		}
		$content .= '</td>';
		$content .= '</tr>';

			$content .= '<tr  >';
			$content .= '<td height="1" colspan="3">';
			$content .= draw_line($image='black', $width='100%', $height='1');
			$content .= '</td>';
			$content .= '<tr>';
		if(get_subgroups($_group_id)!='') {

			$content .= '<tr class="AdminFormTbRowLight">';
			$content .= '<td width="10" align="left" valign="top">&nbsp;</td>';
			$content .= '<td align="left" colspan="4" valign="top">';
			$content .= groups_and_users_usersonline($_group_id, $start);
			$content .= '</td>';
			$content .= '</tr>';
		}
	}
	$content .= '</table>';
	return $content;
}


?>
