<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net - http://nahual.com
*
* Filename:  functions.php
* Location: /includes/functions.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/

include_once('config.php');
include_once("sql_layer.php");
$dbi = sql_connect($dbhost, $dbuname, $dbpass, $dbname);

/*********************************************************************************************
* SYSTEM
*********************************************************************************************/


/*********************************************************************************************
* Function Name:  cleanlastunwanted($string, $what)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* $string = the string to clean;
* $what = the string you dont want;
*********************************************************************************************/
function cleanlastunwanted($string, $what){
	$string = trim($string);
	$last = $string{strlen($string)-1};
	if (!strcmp($last,$what)) {
	  $string = rtrim($string, $what);
	}
	return $string;
}

/*********************************************************************************************
* Function Name:  purge_modules()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table modules
* Reads the available modules on file system /modules/ * and inserts new modules automaticly to the db.
*********************************************************************************************/
function purge_modules() {
	global $dbi;
	$handle=opendir('modules');
	while ($file = readdir($handle)) {
		if ( (!ereg("[.]",$file)) ) {
			$modlist .= "$file ";
		}
	}
	closedir($handle);
	$modlist = explode(" ", $modlist);
	sort($modlist);
	for ($i=0; $i < sizeof($modlist); $i++) {
		$modlist[$i] = str_replace(' ', '', $modlist[$i]);
		if($modlist[$i] != "") {
			$result_modules = sql_query("SELECT * FROM modules WHERE title='".$modlist[$i]."'", $dbi);
			$row_modules = sql_fetch_array($result_modules, $dbi);
			$module_title = $row_modules['title'];
			if ($module_title == "") {
				// sql_query("insert into modules ( title ) values ('$title')", $dbi);
				sql_query("INSERT INTO `modules`
						   VALUES('$modlist[$i]', 0, 0, ',1,100', 0, 0, '')", $dbi);
				$languageslist = get_languages($display='all');
				foreach($languageslist AS $key => $val) {
					$result= sql_query("INSERT INTO modules_desc ( title, module_custom_name, language )
								   		VALUES ('$modlist[$i]', '$modlist[$i]', '$val')", $dbi);



				}

			}
		}
	}
	return;
}
function purge_modules_() {
	global $dbi;
	$handle=opendir('modules');
	while ($file = readdir($handle)) {
		if ( (!ereg("[.]",$file)) ) {
			$modlist .= "$file ";
		}
	}
	closedir($handle);
	$modlist = explode(" ", $modlist);
	sort($modlist);
	for ($i=0; $i < sizeof($modlist); $i++) {
		$modlist[$i] = str_replace(' ', '', $modlist[$i]);
		if($modlist[$i] != "") {
			$result_modules = sql_query("SELECT module_id FROM modules WHERE title='".$modlist[$i]."'", $dbi);
			$row_modules = sql_fetch_array($result_modules, $dbi);
			$module_id = $row_modules['module_id'];
			if ($module_id == "") {
				sql_query("insert into modules ( module_id, title, custom_title ) values ('', '$modlist[$i]', '$modlist[$i]')", $dbi);
				$languageslist = get_languages($display='all');
				foreach($languageslist AS $key => $val) {
					$result= sql_query("INSERT INTO modules_desc ( title, module_custom_name, language )
								   VALUES ('$modlist[$i]', '$modlist[$i]', '$val')", $dbi);
				}

			}
		}
	}
	return;
}

/*********************************************************************************************
* Function Name:  named_records_sort($named_recs, $order_by, $reverse=false, $flags=0)
* Author(s):  a dot brandon at chello dot nl.
*
*********************************************************************************************/
function named_records_sort($named_recs, $order_by, $reverse=false, $flags=0) {
	// Create 1-dimensional named array with just
	// sortfield (in stead of record) values
	$named_hash = array();
	foreach($named_recs as $key=>$fields)
			$named_hash["$key"] = $fields[$order_by];

	// Order 1-dimensional array,
	// maintaining key-value relations
	if($reverse) arsort($named_hash,$flags=0) ;
	else asort($named_hash, $flags=0);

	// Create copy of named records array
	// in order of sortarray
	$sorted_records = array();
	foreach($named_hash as $key=>$val)
		  $sorted_records["$key"]= $named_recs[$key];

	return $sorted_records;
}

function form_groups_tree_whocanview($group_id, $module, $start) {
	global $dbi, $userid, $theme;
	$content = '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
	if($start=='') {
		$content .= '<tr>';
		$content .= '<td class="AdminFormTbHeader" colspan="3">'.GROUP.'</td>';
		$content .= '<tr>';
		$start++;
	}
	$result = sql_query("SELECT * FROM user_groups WHERE  group_parent_id='".$group_id."' ORDER BY group_title ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$_group_id   = $row['group_id'];
		$group_parent_id   = $row['group_parent_id'];
		$group_title   = $row['group_title'];
		$group_status   = $row['group_status'];
		$group_deletable   = $row['group_deletable'];

		$content .= '<tr class="AdminFormTbRowLight" onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\'AdminFormTbRowLight\';" >';

		$content .= '<td width="10" align="left" valign="top"><img src="themes/'.$theme.'/images/arrow_icon.gif" border="0" ></td>';
		$content .= '<td  align="left" valign="top" ><div class="textTitle">'.$group_title.'<div></td>';
		$content .= '<td width="10" align="right" nowrap>';

		$group_available = checkSomethingFromTable($table='modules', $what='whocanview', $key='title', $keyvalue=$module, $langkey='', $langkeyvalue='', $sqlanswer='');
		// $content .= '$group_available: '.$group_available.'';
		$whocanview_array = split(',', $group_available);
		if(is_array($whocanview_array)=='1') {
			foreach($whocanview_array AS $key => $val)	{
				if($val==$_group_id){
					$checked = 'checked';
				}
				if($val!='0') {
				}

			}
		}
		$content .= ' <input name="group_available['.$_group_id.']" type="checkbox" value="1" '.$checked.'>';
		$checked ='';



		$content .= '</td>';
		$content .= '</tr>';

		$content .= '<tr  >';
		$content .= '<td height="1" colspan="3">';
		$content .= draw_line($image='black', $width='100%', $height='1');
		$content .= '</td>';
		$content .= '<tr>';
		if(get_subgroups($_group_id)!='') {

			$content .= '<tr class="AdminFormTbRowLight">';
			$content .= '<td width="10" align="left" valign="top">&nbsp;</td>';
			$content .= '<td align="left" colspan="2" valign="top">';
			$content .= form_groups_tree_whocanview($_group_id, $module, $start);
			$content .= '</td>';
			$content .= '</tr>';
		}
	}
	$content .= '</table>';
	return $content;
}


/*********************************************************************************************
* Function Name:  FtpMkdir()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* NOTE: this function is not implemented in Xomol jet, still, I have been testing some automatic
* directory creator with it and it worked just fine for me.
* I was thinking of making directories for the users for document/file managment.
* But thats probably comming in the next version of Xomol
* You are wellcome to play arround with the script, maybe you get a solution.
*********************************************************************************************/
function FtpMkdir($path, $newDir) {

	$server=FTPHOST; // ftp server
	$connection = ftp_connect($server); // connection

	// login to ftp server
	$user = FTPUSR;
	$pass = FTPPASS;
	$result = ftp_login($connection, $user, $pass);

	// check if connection was made
	if ((!$connection) || (!$result)) {
		return false;
		exit();
	} else {
		ftp_chdir($connection, $path); // go to destination dir
		if(ftp_mkdir($connection, $newDir)) { // create directory
		   ftp_site($connection, "CHMOD 755 $newDir") or die("FTP SITE CMD failed.");
		   return $newDir;
		} else {
		   return false;
		}
		ftp_close($connection); // close connection
	}
}

/*********************************************************************************************
* Function Name:  FtpChmod()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* NOTE: Under development....
*********************************************************************************************/
function FtpChmod($dir2change, $chmod) {

	$server=FTPHOST; // ftp server
	$connection = ftp_connect($server); // connection

	// login to ftp server
	$user = FTPUSR;
	$pass = FTPPASS;
	$result = ftp_login($connection, $user, $pass);

	// check if connection was made
	if ((!$connection) || (!$result)) {
		return false;
		exit();
	} else {
		// ftp_chdir($connection, $dir2change); // go to destination dir
		ftp_site($connection, "CHMOD $chmod $dir2change") or die("FTP SITE CMD failed.");
		ftp_close($connection); // close connection
	}
}
/*********************************************************************************************
* Function Name:  Xchmod($dir2change, $chmod)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* NOTE: Under development....
*********************************************************************************************/
function Xchmod($dir2change, $chmod) {
	if(is_dir($dir2change)) {
		chmod( $dir2change, $chmod ) ;
		$directory_list = get_fs_under_dirs($dir2change);
		if(is_array($directory_list)) {
			sort($directory_list);
			foreach($directory_list AS $key => $val) {
				if($val != '') {
					chmod( $dir2change.'/'.$val, $chmod ) ;
					$counter++;
					$dir2change2 = $dir2change.'/'.$val;
					if( is_array(get_fs_under_dirs($dir2change2)) ) {
						Xchmod($dir2change2, $chmod);
					}
				}
			}

		}
	}
}

/*********************************************************************************************
* Function Name:  get_fs_under_dirs($path)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* NOTE: Under development....
*********************************************************************************************/
function get_fs_under_dirs($path) {
	if(is_dir($path)) {
		$handle=opendir($path);
		while ($file = readdir($handle)) {
			if ( (!ereg("[.]",$file)) ) {
				$directory_list .= "$file ";
			}
		}
		closedir($handle);
		$directory_list = explode(" ", $directory_list);
		if(is_array($directory_list)) {
			sort($directory_list);
			foreach($directory_list AS $key => $val) {
				if($val != '') {
					$directory_name[$key] = $val;
				}
			}
		}
		return $directory_name;
	}
}
/*********************************************************************************************/




function make_websites_usersdir($user_id) {

	// $upload_dir=$script_directory.'userfiles/'.$user_id.'/';
	$upload_dir='userfiles/'.$user_id;
	if(stripos($_SERVER['SystemRoot'], 'windows')) {
		if(is_dir($upload_dir)){
			if(!is_dir($upload_dir.'/image')){
				mkdir($upload_dir.'/image', 0755);
			}
			if(!is_dir($upload_dir.'/documents')){
				mkdir($upload_dir.'/documents', 0755);
			}
			if(!is_dir($upload_dir.'/multimedia')){
				mkdir($upload_dir.'/multimedia', 0755);
			}
		} else {
			mkdir($upload_dir, 0755);
			mkdir($upload_dir.'/image', 0755);
			mkdir($upload_dir.'/documents', 0755);
			mkdir($upload_dir.'/multimedia', 0755);
		}
	} else {
		if(is_dir($upload_dir)){
			if(!is_dir($upload_dir.'/image')){
				FtpMkdir($upload_dir,'/image');
			}
			if(!is_dir($upload_dir.'/documents')){
				FtpMkdir($upload_dir,'/documents');
			}
			if(!is_dir($upload_dir.'/multimedia')){
				FtpMkdir($upload_dir,'/multimedia');
			}
		} else {
			FtpMkdir('userfiles',$user_id);
			FtpMkdir($upload_dir,'/image');
			FtpMkdir($upload_dir,'/documents');
			FtpMkdir($upload_dir,'/multimedia');
		}
	}
}
/*********************************************************************************************
* Function Name:  create_dir($user)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Creates a directroy on filesistem /userfiles/$userid if it does not exist
*********************************************************************************************/
function create_dir($user) {
	$userdirectory 	= checkSomethingFromTable($table='websites', $what='directory', $key='user_id', $keyvalue=$user, $langkey='', $langkeyvalue='', $sqlanswer='');
	$upload_dir=$script_directory.'userfiles/'.$user.'/';
	// echo '$user:'.$user.'<br>';
	// echo '$upload_dir:'.$upload_dir.'<br>';
	if(stripos($_SERVER['SystemRoot'], 'windows')) {
		echo 'is windows<br>';
		if(is_dir($upload_dir)){
			if(!is_dir($upload_dir.'/image')){
				mkdir($upload_dir.'/image', 0755);
			}
			if(!is_dir($upload_dir.'/documents')){
				mkdir($upload_dir.'/documents', 0755);
			}
		} else {
			mkdir($upload_dir, 0755);
			mkdir($upload_dir.'/image', 0755);
			mkdir($upload_dir.'/documents', 0755);
		}
	} else {
		//
		echo 'is linux<br>';
		if(is_dir($upload_dir)){
			if(!is_dir($upload_dir.'/images')){
				FtpMkdir(FTPMKDIR.'userfiles/'.$user,'/image');
			}
			if(!is_dir($upload_dir.'/documents')){
				FtpMkdir(FTPMKDIR.'userfiles/'.$user,'/documents');
			}
		} else {
			FtpMkdir(FTPMKDIR.'userfiles/'.$user);
			FtpMkdir(FTPMKDIR.$upload_dir.'/image');
			FtpMkdir(FTPMKDIR.$upload_dir.'/documents');
		}
	}

}

/*********************************************************************************************
* Function Name:  record_sort()
* Author(s):  ??? I think it was posted on PHP.NET
*
* NOTE: this function is not implemented in Xomol jet.
*********************************************************************************************/
function record_sort($records, $field, $reverse=false) {
    $hash = array();
    foreach($records as $record) {
        $hash[$record[$field]] = $record;
    }
    ($reverse)? krsort($hash) : ksort($hash);
    $records = array();
    foreach($hash as $record) {
        $records [$i]= $record;
        $i++;
    }
    return $records;
}

/*********************************************************************************************
* Function Name:  check_module_active($title)
* Author(s):  Xomol.net, Nahual.com, David Guttmann
*
* Uses Table modules
* Returns 1 if module is activ; 0 if module is NOT active.
* $module = the name of the module  (ex. content, downloads... ) default is the current module..
*********************************************************************************************/
function check_module_active($title) {
	global $dbi;
	if($result = sql_query("SELECT active FROM modules WHERE title='".$title."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['active'];
	}

}
/*********************************************************************************************
* Function Name:  checkSomethingFromTable( $table, $what, $key, $keyvalue, $langkey, $langkeyvalue, $sqlanswer)
* Author(s):  Nahual.com, David Guttmann.
*
* Returns desired field value FROM a TABLE
* $table = desired table
* $what = desired field value
* $key = desired key
* $keyvalue = key value
* $langkey = desired language key
* $langkeyvalue = desired language
* $sqlanswer = desired answer (oneresult=one result, arrayresults=an array of the results, default=one result)
*********************************************************************************************/
function checkSomethingFromTable($table, $what, $key='', $keyvalue='', $langkey='', $langkeyvalue='', $sqlanswer=''){
	global $dbi, $userid;

	if( $key!='' AND $keyvalue !='') {
		if( $langkey !='' AND $langkeyvalue !='') {
			$qry = ' WHERE '.$key.'=\''.$keyvalue.'\' AND '.$langkey.'=\''.$langkeyvalue.'\'';
		} else {
			$qry = ' WHERE '.$key.'=\''.$keyvalue.'\'';
		}
	}
	if( $langkey !='' AND $langkeyvalue !='') {
		if( $key !='' AND  $keyvalue !='') {
			$qry = ' WHERE '.$key.'=\''.$keyvalue.'\' AND '.$langkey.'=\''.$langkeyvalue.'\'';
		} else {
			$qry = ' WHERE '.$langkey.'=\''.$langkeyvalue.'\'';
		}
	}
	$qry = 'SELECT '.$what.' FROM '.$table.' '.$qry;

	// $result = sql_query("select ".$what." from ".$table." where ".$key." = ".$keyvalue." and ".$langkey."  = '".$currentlang ."'", $dbi);
	$result = sql_query($qry, $dbi);

	switch($sqlanswer){
		case "oneresult":
			$row = sql_fetch_array($result, $dbi);
			return $row["$what"];
		break;
		case "arrayresults":
			$i='';
			while($row = sql_fetch_array($result, $dbi)){
				$_what[] = $row[$what];
			}
			return $_what;
		break;
		default:
			$row = sql_fetch_array($result, $dbi);
			return $row["$what"];
		break;
	}
}

/*********************************************************************************************
* Function Name:  get_config_value($title)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table configure
* Returns main configuration value FROM table configure.
* $config_key = the configuration key
*********************************************************************************************/
function get_config_value($config_key) {
	global $dbi;
	if($result = sql_query("SELECT * FROM configure WHERE config_key='".$config_key."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['config_value'];
	}
}

/*********************************************************************************************
* Function Name:  DropdownFromModules($group_id_exp)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table modules
* Returns a DropDown Menu of the available modules.
* $module_exp = the module to set selected on
*********************************************************************************************/
function DropdownFromModules($module_exp){
	global $dbi, $currentlang;

	$content = '<select name="module_name">';
	$qry = 'SELECT * FROM modules ORDER by title ASC';

	$content .= '<option value="admin" '.$selected.'>'.SITE_CONFIGURATION.'</option>';
	$result = sql_query($qry, $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$module_title = $row['title'];
		$custom_title = checkSomethingFromTable($table='modules_desc', $what='title', $key='title', $keyvalue=$module_title, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
		if($module_title==$module_exp) { $selected = ' selected'; } else { $selected = ' '; }
		$content .= '<option value="'.$module_title.'" '.$selected.'>'.$custom_title.'</option>';
	}
	$content .= '</select>';
	return $content;
}


/********************************************************************************************
* LANGUAGES
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_languages_from_filesystem()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns the available languages on file system /languages.
*********************************************************************************************/
function get_languages_from_filesystem(){
	$handle=opendir('languages');
	while ($file = readdir($handle)) {
		if (preg_match("/^lang\-(.+)\.php/", $file, $matches)) {
			$langFound = $matches[1];
			$content .= "$langFound ";
		}
	}
	closedir($handle);
	return $content;
}

/*********************************************************************************************
* Function Name:  get_languages($display)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns the available languages on file system /languages.
*********************************************************************************************/
function get_languages($display){
	global $dbi;
	// $display = 'default' 	returns an array  with the DEFAULT language in table admin_languages
	// $display = 'active' 		returns an array with ACTIVE languages in table admin_languages
	// $display = 'inactive'	returns an array with INACTIVE languages in table admin_languages
	// $display = 'all' 		returns an array with ALL languages in table admin_languages
	if($display =='default') {
		$result = sql_query("SELECT * FROM admin_languages WHERE is_default='1' LIMIT 0,1", $dbi);
		return 	$row['language'];
	}
	if($display =='defaultarray') {
		$result = sql_query("SELECT * FROM admin_languages WHERE is_default='1' LIMIT 0,1", $dbi);
	}
	if($display =='active') {
		$result = sql_query("SELECT * FROM admin_languages WHERE status='1' ORDER BY view_order ASC", $dbi);
	}
	if($display =='inactive') {
		$result = sql_query("SELECT * FROM admin_languages WHERE status!='1' ORDER BY view_order ASC", $dbi);
	}
	if($display =='all') {
		$result = sql_query("SELECT * FROM admin_languages ORDER BY view_order ASC ", $dbi);
	}
	while($row = sql_fetch_array($result, $dbi)) {
		$view_order = 	$row['view_order'];
		$language = 	$row['language'];
		$langs[$view_order] =	$language;
	}
	return 	$langs;
}

/*********************************************************************************************
* Function Name:  get_default_language()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* returns the Default language from Table admin_languages
*********************************************************************************************/
function get_default_language() {
	global $dbi;
	$result = sql_query("SELECT * FROM admin_languages WHERE status='1' AND is_default='1' ORDER BY view_order limit 0,1", $dbi);
	$row = sql_fetch_array($result, $dbi);
	$language    		= $row['language'];
	if($language!='') {
		// Default language found...
		return $language;
	} else {
		// Default language NOT found, lets get the first language with status 1...
		$result = sql_query("SELECT * FROM admin_languages WHERE status='1'  ORDER BY view_order  LIMIT 0,1", $dbi);
		$row = sql_fetch_array($result, $dbi);
		$language    		= $row['language'];
		if($language!='') {
			// Language with status 1 found...
			return $language;
		} else {
			// Language with status 1 NOT found... lets get the first language in database...
			$result = sql_query("SELECT * FROM admin_languages ORDER BY view_order  LIMIT 0,1", $dbi);
			$row = sql_fetch_array($result, $dbi);
			$language    		= $row['language'];
			return $language;
		}
	}
}

/*********************************************************************************************
* Function Name:  purge_languages()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table languages
* Inserts new languages from directory /languages into Table languages
*********************************************************************************************/
function purge_languages(){
	global $dbi;
	$handle=opendir('languages');
	while ($file = readdir($handle)) {
		if (preg_match("/^lang\-(.+)\.php/", $file, $matches)) {
			$langFound = $matches[1];
			$languageslist .= "$langFound ";
		}
	}
	closedir($handle);
	$languageslist = explode(" ", $languageslist);
	sort($languageslist);
	foreach ($languageslist as $key => $val) {
		if($val != '') {
			$language = checkSomethingFromTable($table='admin_languages', $what='language', $key='language', $keyvalue=$val, $langkey='', $langkeyvalue='', $sqlanswer='');
			if($language == '') {
				sql_query("INSERT INTO admin_languages ( language, status, is_default )
							   VALUES ('$val', '', '')", $dbi);
			}
		}
	}
	reorder_languages();
}

/*********************************************************************************************
* POSITIONS AND BLOCKS
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  reorder_positions($position_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Tries to reset and reorder the the positions on main Frontpage
*********************************************************************************************/
function reorder_positions($position_id) {
	global $dbi;
	$result = sql_query("SELECT * FROM admin_blocks WHERE position_id='".$position_id."' ORDER BY view_order", $dbi);
	$i = 1;
	$block_order='';
	while($row = sql_fetch_array($result, $dbi)){
		$block_id    		= $row['block_id'];
		$block_order[$block_id] = $i;
		$i++;
	}
	if(is_array($block_order)){
		foreach($block_order as $key => $val){
			sql_query("UPDATE admin_blocks SET view_order='".$val."' WHERE block_id='".$key."' AND position_id='".$position_id."'", $dbi);
		}
	}
}

/*********************************************************************************************
* Function Name:  get_module_blocks_dropdown_options($block_title)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Reads the available blocks on file system /modules/(modul name)/ * and creates a Dropdown menu.
* $block_title = the title of the block to set as selected;
*********************************************************************************************/
function get_module_blocks_dropdown_options($block_title) {

	$content = '<select name="block_title">';

	$handle=opendir('blocks');
	while ($file = readdir($handle)) {
		if (preg_match("/^block\-(.+)\.php/", $file, $matches)) {
			$blockFound = $matches[1];
			$blocklist .= "$blockFound ";
		}
	}
	closedir($handle);
	$blocklist = explode(" ", $blocklist);
	sort($blocklist);
	for ($i=0; $i < sizeof($blocklist); $i++) {
		if($blocklist[$i] != "") {
			if($block_title==$blocklist[$i]) { $selected = ' selected'; } else { $selected = ' '; }
			$content .= '<option value="adminxxxxx'.$blocklist[$i].'" '.$selected.'>Main Blocks :: '.$blocklist[$i].'</option>';
		}
	}
	$handle=opendir('modules');
	while ($file = readdir($handle)) {
		if ( (!ereg("[.]",$file)) ) {
			$modlist .= "$file ";
		}
	}
	closedir($handle);
	$modlist = explode(" ", $modlist);
	sort($modlist);
	$blocklist='';
	for ($i=0; $i < sizeof($modlist); $i++) {
		$modlist[$i] = str_replace(' ', '', $modlist[$i]);
		if($modlist[$i] != "") {
			////////////////////////////////////////////////////////////
			if(is_dir('modules/'.$modlist[$i].'/blocks')){
				$handle=opendir('modules/'.$modlist[$i].'/blocks');
				$blocklist='';
				while ($file = readdir($handle)) {
					if (preg_match("/^block\-(.+)\.php/", $file, $matches)) {
						$blockFound = $matches[1];
						$blocklist .= "$blockFound ";
					}
				}
				closedir($handle);
				$blocklist = explode(" ", $blocklist);
				sort($blocklist);
				for ($i2=0; $i2 < sizeof($blocklist); $i2++) {
					if($blocklist[$i2] != "") {
						if($block_title==$blocklist[$i2]) { $selected = ' selected'; } else { $selected = ' '; }
						$content .= '<option value="'.$modlist[$i].'xxxxx'.$blocklist[$i2].'" '.$selected.'>'.$modlist[$i].' :: '.$blocklist[$i2].'</option>';
					}
				}
			}
			////////////////////////////////////////////////////////////
		}
	}
	$content .= '</select>';
	return $content;
}

/*********************************************************************************************
* Function Name:  get_admin_blocks($position_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table admin_blocks
* Reads the available BLOCKS on file system /blocks/block-*.php
* Then includes them on the Template.
* $position_id = The position_id of the block stack;
*********************************************************************************************/
function get_admin_blocks($position_id) {
	global $dbi;
	$result = sql_query("SELECT * FROM admin_blocks WHERE position_id='".$position_id."' AND block_status='1'  ORDER BY view_order ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$block_id   	= $row['block_id'];
		$module_name   	= $row['module_name'];
		$block_title   	= $row['block_title'];
		$block_status   = $row['block_status'];
		echo '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
		if($module_name=='admin'){
			if (is_file('blocks/block-'.$block_title.'.php')) {
				echo '<tr><td>';
				include('blocks/block-'.$block_title.'.php');
				echo '</td></tr>';
			}
		} else {
			if(check_module_active($module_name)=='1'){
				if (is_file('modules/'.$module_name.'/blocks/block-'.$block_title.'.php')) {
					echo '<tr><td>';
					include('modules/'.$module_name.'/blocks/block-'.$block_title.'.php');
					echo '</td></tr>';
				}
			}

		}
		echo '<tr><td>';
		echo draw_line($image='trans', $width='100%', $height='5');
		echo '</td></tr>';
		echo '</table>';
		// echo '<br>';

	}
}

/*********************************************************************************************
* Function Name:  reorder_positions($position_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Tries to reset and reorder the the positions on main Frontpage
*********************************************************************************************/
function reorder_languages() {
	global $dbi;
	$result = sql_query("SELECT * FROM admin_languages ORDER BY view_order", $dbi);
	$i = 1;
	$language_order='';
	while($row = sql_fetch_array($result, $dbi)){
		$selectedlanguage    		= $row['language'];
		$language_order[$selectedlanguage] = $i;
		$i++;
	}
	if(is_array($language_order)){
		foreach($language_order as $key => $val){
			sql_query("UPDATE admin_languages SET view_order='".$val."' WHERE language='".$key."'", $dbi);
		}
	}
}

/*********************************************************************************************
* THEMES
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_admin_blocks($position_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table admin_blocks
* Reads the available BLOCKS on file system /blocks/block-*.php
* Then includes them on the Template.
* $position_id = The position_id of the block stack;
*********************************************************************************************/
function get_themes_blocks($position_id) {
	global $dbi;
	$result = sql_query("SELECT * FROM themes_blocks WHERE position_id='".$position_id."' AND active='1'  ORDER BY view_order ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$block_id   	= $row['block_id'];
		$module_name   	= $row['module_name'];
		$block_title   	= $row['block_title'];
		$active   = $row['active'];
		echo '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
		if($module_name=='admin'){
			if (is_file('blocks/block-'.$block_title.'.php')) {
				echo '<tr><td>';
				include('blocks/block-'.$block_title.'.php');
				echo '</td></tr>';
			}
		} else {
			if (is_file('modules/'.$module_name.'/blocks/block-'.$block_title.'.php')) {
				echo '<tr><td>';
				include('modules/'.$module_name.'/blocks/block-'.$block_title.'.php');
				echo '</td></tr>';
			}
		}
		echo '<tr><td>';
		echo draw_line($image='trans', $width='100%', $height='5');
		echo '</td></tr>';
		echo '</table>';

	}
}
/*********************************************************************************************
* Function Name:  reorder_themes_positions($position_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Tries to reset and reorder the the positions on main Frontpage
*********************************************************************************************/
function reorder_themes_positions($position_id) {
	global $dbi;
	$result = sql_query("SELECT * FROM themes_blocks WHERE position_id='".$position_id."' ORDER BY view_order", $dbi);
	$i = 1;
	$block_order='';
	while($row = sql_fetch_array($result, $dbi)){
		$block_id    		= $row['block_id'];
		$block_order[$block_id] = $i;
		$i++;
	}
	if(is_array($block_order)){
		foreach($block_order as $key => $val){
			sql_query("UPDATE themes_blocks SET view_order='".$val."' WHERE block_id='".$key."' AND position_id='".$position_id."'", $dbi);
		}
	}
}
/*********************************************************************************************
* Function Name:  purge_themes()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table themes
* Reads the available themes on file system /themes/ * and inserts new themes automaticly to the db.
*********************************************************************************************/
function purge_themes() {
	global $dbi;
	$handle=opendir('themes');
	while ($file = readdir($handle)) {
		if ( (!ereg("[.]",$file)) ) {
			$themes[$i] = "$file ";
			$i++;
		}
	}
	closedir($handle);
	foreach($themes AS $key => $val) {
		$val = str_replace(' ', '', $val);
		$result = sql_query("SELECT theme FROM themes WHERE theme='".$val."'", $dbi);
		$row = sql_fetch_array($result, $dbi);
		$theme = $row['theme'];
		if ($theme == '') {
			sql_query("insert into themes ( theme, active ) values ('$val', '')", $dbi);
		}
	}
}

/*********************************************************************************************
* Function Name:  get_site_default_theme()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table configure
* Returns the default Theme.
*********************************************************************************************/
function get_site_default_theme(){
	global $dbi;
	$result = sql_query("SELECT config_value FROM configure WHERE config_key='SITE_THEME'", $dbi);
	$row = sql_fetch_array($result, $dbi);
	return 	$row['config_value'];
}

/*********************************************************************************************
* Function Name:  get_user_default_theme($userid)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users
* Returns the user's Theme .
* $userid = the user id
*********************************************************************************************/
function get_user_default_theme($userid){
	global $dbi;
	$result = sql_query("SELECT user_theme FROM users WHERE user_id='".$userid."'", $dbi);
	$row = sql_fetch_array($result, $dbi);
	return 	$row['user_theme'];
}
if (!function_exists("stripos")) {
  function stripos($str,$needle) {
   return strpos(strtolower($str),strtolower($needle));
  }
}

/*********************************************************************************************
* LAYOUT
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  showflags()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns images of country flags with links .
*********************************************************************************************/
function showflags() {
	global $thisscript;
	$languageslist = get_languages($display='active');
	foreach($languageslist AS $key => $val) {
		if(stripos($thisscript,"?")>'0' ) {
		// if(eregi("?", $thisscript)==1 ) {
		  $flags .= '<a href="'.$thisscript.'&langx='.$val.'&skipupdate=1"><img src="languages/flag-'.$val.'.png" border="0" width="24" height="15"></a> ';
		} else {
		  $flags .= '<a href="'.$thisscript.'?langx='.$val.'&skipupdate=1"><img src="languages/flag-'.$val.'.png" border="0" width="24" height="15"></a> ';
		}
	}
	return $flags;
}
/********************************************************************************************/

/*********************************************************************************************
* Function Name:  showflags_simple()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns images of country flags with links .
*********************************************************************************************/
function showflags_simple() {
	$languageslist = get_languages($display='active');
	foreach($languageslist AS $key => $val) {
	  $flags .= '<a href="index.php?langx='.$val.'"><img src="languages/flag-'.$val.'.png" border="0" width="24" height="15"></a> ';
	}
	return $flags;
}
/********************************************************************************************/
/*********************************************************************************************
* Function Name:  showflags_vertical($mode)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Creation: 29.Jan.2006.
*
* $mode = text=text, images=image of flag
* Returns images of country flags with links .
*********************************************************************************************/
function showflags_vertical($mode) {
	global $thisscript;
	$handle=opendir('languages');
	while ($file = readdir($handle)) {
		if (preg_match("/^lang\-(.+)\.php/", $file, $matches)) {
			$langFound = $matches[1];
			$languageslist2 .= "$langFound ";
		}
	}
	closedir($handle);
	$languageslist2 = explode(" ", $languageslist2);
	sort($languageslist2);
	$flags ='';
	$flags .= '<table valign="middle" width="100%" border="0" cellspacing="0" cellpadding="0">';
	$flags .= '<tr>';
	$flags .= '<td align="left" valign="middle">';
	for ($i=1, $n=sizeof($languageslist2); $i<$n; $i++) {
		  if($mode=text){
		  	$show = $languageslist2[$i].'<br>';
		  } else {
		  	$show = '<img src="languages/flag-'.$languageslist2[$i].'.png" border="0" width="24" height="15"><br>';
		  }
		  if(stripos($thisscript,"?")>'0' ) {
			  $flags .= '<a href="'.$thisscript.'&langx='.$languageslist2[$i].'&skipupdate=1">'.$show.'</a> ';
		  } else {
			  $flags .= '<a href="'.$thisscript.'?langx='.$languageslist2[$i].'&skipupdate=1">'.$show.'</a> ';
		  }
	}
	$flags .= '</td>';
	$flags .= '</tr>';
	$flags .= '</table>';
	return $flags;
}

/*********************************************************************************************
* USER RIGHTS
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  check_xomol_user_rights_specific($user, $rights_title)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users, users_rights
* Returns field user_rights FROM TABLE users
* $user 	= to check own rights use $_SESSION['user_id'] or $userid;
*         	  to check others rights pass the desired user id as string..
* $task 	= desired field value in TABLE xomol_user_rights_tasks2users
*			  if no overrided user rights then check from  TABLE xomol_user_rights_tasks2groups
*********************************************************************************************/
function check_xomol_user_rights_specific($user, $rights_title){
	global $dbi;
	$rights_id = checkSomethingFromTable($table='user_rights', $what='rights_id', $key='title', $keyvalue=$rights_title, $langkey='', $langkeyvalue='', $sqlanswer='');
	$user_group = check_user_group($user);
	if($is_overrided>='2') {
		$result2 = sql_query("SELECT * FROM user_rights2users WHERE user_id='".$user."' AND user_rights_id='".$rights_id."'", $dbi);
		$row2 = sql_fetch_array($result2, $dbi);
		return $row2['value'];
	} else {
		$result3 = sql_query("SELECT * FROM user_rights2groups WHERE group_id='".$user_group."' AND user_rights_id='".$rights_id."'", $dbi);
		$row3 = sql_fetch_array($result3, $dbi);
		return $row3['value'];
	}
}


/*********************************************************************************************
* Function Name:  get_user_right_title_from_user_rights($right_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users_rights
* Returns User Right Title form table user_rights.
*********************************************************************************************/
function get_user_right_title_from_user_rights($right_id) {
	global $dbi;
	$qry = 'SELECT title FROM users_rights WHERE rights_id='.$right_id;
	$result = sql_query($qry, $dbi);
	$row = sql_fetch_array($result, $dbi);
	return $row['title'];;
}

/*********************************************************************************************
* FORMS
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  draw_line($image, $width, $height)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Draws a line
*********************************************************************************************/
function draw_line($image, $width, $height) {
	switch($image){
		case 'black':
			$image='dot.gif';
		break;
		case 'trans':
			$image='pixel.gif';
		break;
		default:
			$image=$image;
		break;
	}
	return '<img src="images/'.$image.'" width="'.$width.'" height="'.$height.'" border="0">';
}

/*********************************************************************************************
* Function Name:  get_admin_menus()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users, users_rights
* Returns a Dropdown menu with admin links
*********************************************************************************************/
function get_admin_menus($module){
	global $currentlang;
	$handle=opendir('modules');
	while ($file = readdir($handle)) {
		if ( (!ereg("[.]",$file)) ) {
			$modulelist[$i] = $file;
			$i++;
		}
	}
	closedir($handle);
	$content = '<select name="admin_module" onChange="MM_jumpMenu(\'parent\',this,0)">';
	$content .= '<option selected>'.SELECT_ONE_ADMIN_PANEL.'</option>';
	$content .= '<option></option>';
	$content .= '<option value="index.php?op=admin">'.MAIN_ADMIN_PANEL.'</option>';
	$content .= '<option value=""></option>';
	foreach($modulelist AS $key => $val) {
		if(check_module_active($val)=='1'){
			$module_name = checkSomethingFromTable($table='modules_desc', $what='module_custom_name', $key='title', $keyvalue=$val, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
			$content .= '<option value="index.php?op='.$val.'&op2=admin">'.$module_name.'</option>';
		}
	}
	$content .= '</select>';
	return  $content;
}

/*********************************************************************************************
* Function Name:  draw_search_form($keyword,$op,$align)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
*********************************************************************************************/

function draw_search_form($keyword,$op,$align){
	global $currentlang;
	$module_name = checkSomethingFromTable($table='modules_desc', $what='title', $key='title', $keyvalue=$op, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');

	echo '<form name="form1" method="post" action="index.php?op='.$op.'&op2=search">';
	echo '<table width="100%" height="10" border="0" cellspacing="0" cellpadding="2"><tr><td align="'.$align.'">';
	echo SEARCH_IN.' '.$module_name.' ';
	echo '<input name="edition_id" type="hidden" value="'.$edition_id.'">';
	echo '<input name="keyword" type="text" value="'.$keyword.'">';
	echo '<input type="submit" name="Submit" value="Submit">';
	echo '</td></tr>';
	echo '<tr><td>';
	echo draw_line($image='black', $width='100%', $height='1');
	echo '</td></tr>';
	echo '</table>';
	echo '</form>';

}

/*********************************************************************************************
* SEO
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  draw_link($url,$title,$class,$target)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Draws a Link on a document.
* $fake = the document to search (ex. contact.html, basket.html) ..
* $seo_active = 0 # or can also be any other format -Less Search Engine Friendly- (files with querrys like "*.index.php?op=1" are less picked up by google :( ).
* $seo_active = 1 # The link can be -Search Engine Friendly- (files with *.html *.htm extentions - for google better...).
*********************************************************************************************/
function draw_link($url,$title,$class,$target) {
	global $seo_active;
	// $seo_active='0';
	$content = '<a href="';
	$uri=strrev($url);
	if($seo_active=='1') {
		$url_array = parse_url($url);
		if(isset($url_array['query'])){
			if(eregi('&', $url_array['query'])==1 ) {
				$i=0;
				$query_blocks = split('&',$url_array['query']);
				while($i<count($query_blocks)){
					$querry_block=split('=',$query_blocks[$i]);
					$link .= $querry_block['0'].'-'.$querry_block['1'].'--';
					$i++;
				}
				$link2 = $link;
				$link2 = 'x'.strrev($link2);
				if(stripos($link2,"-")==1) {
					$link2 = eregi_replace("x--", "", $link2);
					$link = strrev($link2);
				}
				$content .= $link;
				$content .= '.html';
			} else {
				$qry=split('\?',$url);

				$querry_block=split('=',$qry['1']);
				$content .= $querry_block['0'].'-'.$querry_block['1'];
				$content .= '.html';
			}
		} else {
			$querry_block=split('=',$url);
			$content .= $querry_block['0'].'-'.$querry_block['1'];
			$content .= '.html';
		}
	} else {
		$content .= $url;
	}

	$content .= '" class="'.$class.'">';
	$content .= $title;
	$content .= '</a> ';
	return $content;
}

/*********************************************************************************************
* Function Name:  xomol_convert_real2fake_path($url)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Converts a Script URL with querry to Html URL (ex. index.php?op=content&op2=view_details => op-content--op2-view_details.html).
* $url = the URL to be converted
* example 1.
*    Realpath "index.php?op=content&op2=view_details"
*    will look like "op-content--op2-view_details.html"
* example 2.
*    Realpath "index.php?op=contactus"
*    will look like "op-content--op2-view_details.html"
* * $title = the desired Title of the document (set to 0 creates a db based URL, set to some text creates a title with _ on empty spaces)
* * (files with *.html *.htm extentions - for google better...).
* * This function is under development.
*********************************************************************************************/
function xomol_convert_real2fake_path($path) {
	global $currentlang;
	$content = '';
	$uri=strrev($url);
		$url_array = parse_url($url);
		if(isset($url_array['query'])){
			if(eregi('&', $url_array['query'])==1 ) {
				$i=0;
				$query_blocks = split('&',$url_array['query']);
				while($i<count($query_blocks)){
					$querry_block=split('=',$query_blocks[$i]);
					$link .= $querry_block['0'].'-'.$querry_block['1'].'--';
					$i++;
				}
				$link2 = $link;
				$link2 = 'x'.strrev($link2);
				if(stripos($link2,"-")==1) {
					$link2 = eregi_replace("x--", "", $link2);
					$link = strrev($link2);
				}
				$content .= $link;
				$content .= '.html';
			} else {
				$qry=split('\?',$url);

				$querry_block=split('=',$qry['1']);
				$content .= $querry_block['0'].'-'.$querry_block['1'];
				$content .= '.html';
			}
		} else {
			$querry_block=split('=',$url);
			$content .= $querry_block['0'].'-'.$querry_block['1'];
			$content .= '.html';
		}
	$content .= '';
	return $content;
}

/*********************************************************************************************
* Function Name:  convert_real2fake_url_update_tb($url,$title)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Converts a Script URL with querry to Html URL (ex. index.php?op=content&op2=view_details => op-content--op2-view_details.html).
* * (files with *.html *.htm extentions - for google better...).
* $url = the URL to be converted (ex. index.php?op=content&op2=view_details) ..
* $title = the desired Title of the document (set to 0 creates a db based URL, set to some text creates a title with _ on empty spaces)
* $lang2convert = the desired Language of the document (set to 0 displays $currentlang)
* $convertiontype = the desired convertion type the link wilb we build to
*   -set 1 to create a fake url with the query options and ignore the title
*		if querry options are set
*		(querry options: each will be separated by --)
*   	(querry option-values: each will be separated by -)
*   -set 2 to create a fake url with the title as url. (empty spaces will be replaxe by '_')
*
*********************************************************************************************/
function convert_real2fake_url_update_tb($url,$title,$lang2convert,$convertiontype) {
	$title = eregi_replace(" ", "_", $title);
	$url_array = parse_url($url);
	$path = $url_array['path'];
	$content='';
	switch($convertiontype){
		case "1":
		default:
			if(isset($url_array['query'])){
				if(eregi('&', $url_array['query'])==1 ) {
					$query_blocks = split('&',$url_array['query']);
					$i=0;
					while($i<count($query_blocks)){
						$querry_block=split('=',$query_blocks[$i]);
						$link .= $querry_block['0'].'-'.$querry_block['1'].'--';
						$i++;
					}
					$link2 = $link;
					$link2 = 'x'.strrev($link2);
					if(stripos($link2,"--")==1) {
						$link2 = eregi_replace("x--", "", $link2);
						$link = strrev($link2);
					}
					$content .= $link;
					$content .= $content;
					$content .= '.html';
				} else {
					$querry_block=split('=',$url_array['query']);
					$content .= $querry_block['0'].'-'.$querry_block['1'];
					$content .= '.html';
				}
			} else {
				$content.=$url;
			}
		break;
		case "2":
			if($title==''){
				convert_real2fake_url_update_tb($url,$title,$lang2convert,$convertiontype='1');
			} else {
				$fakepath = eregi_replace(".html", "", $title);
				$fakepath = eregi_replace(" ", "_", $title);
				// echo '$fakepath: '.$fakepath.'<br>';
				$content = $fakepath.'.html';
			}
		break;
	}
	// $content	=  $content.'.html';
	// lets check if the valiable $content is already retistred in the db.
	// $fakepathexists = checkSomethingFromTable($table='xomol_seo_realfakepaths', $what='realpath', $key='fakepath', $keyvalue=$content, $langkey='', $langkeyvalue='', $sqlanswer='');
	// if($fakepathexists!=''){
	// 	$TIME=time();
	// 	$content	=  $TIME.'-'.$content;
	// }
	// now insert into table xomol_seo_realfakepaths
	return $content;
}

/*********************************************************************************************
* Function Name:  getRealPathFromFake($fakepath)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table xomol_seo_realfakepaths
* Returns the value of FIELD realpath FROM TABLE xomol_seo_realfakepaths
* $fakepath = the document to search (ex. contact.html, basket.html) ..
*********************************************************************************************/
function getRealPathFromFake($fakepath) {
	global $dbi;

	$result = sql_query("SELECT realpath FROM xomol_seo_realfakepaths WHERE fakepath='".$fakepath."'", $dbi);
	$row = sql_fetch_array($result, $dbi);

	return	$row['realpath'];
}

/*********************************************************************************************
* Function Name:  get_options_reseted($fakepath)
* Author(s):  Xomol.net, Nahual.com, Greathvision.ch, David Guttmann.
*
* Returns an array of elements in field realpath FROM TABLE xomol_seo_realfakepaths
*    *this array will can be
* $fakepath = the document to search (ex. contact.html, basket.html) ..
*********************************************************************************************/
function get_options_reseted($fakepath) {
	$result = sql_query("SELECT realpath FROM xomol_seo_realfakepaths WHERE fakepath='".$fakepath."'", $dbi);
	$row = sql_fetch_array($result, $dbi);
	$realpath =	$row['realpath'];
	$reset_options=array();
	if($realpath!='') {
		$paths=split("\?",$realpath);
		$qry_elements = split("&",$paths['1']);
		foreach($qry_elements as $key => $val){
			$tmp=split('=',$val);
			$tmparr=array($tmp[0] => $tmp[1]);
			$reset_options=array_merge($reset_options,$tmparr);
		}
	}
	return $reset_options;
}

/*********************************************************************************************
* USERS AND USER RIGHTS
*********************************************************************************************/

/*********************************************************************************************
* Funciton get_user_name($userid, $display);
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users
* Returns the user name FROM TABLE users
*********************************************************************************************/
function get_user_name($userid, $display){
	global $dbi;
	$result = sql_query("SELECT user_firstname, user_lastname FROM users WHERE user_id='".$userid."'", $dbi);
	$row = sql_fetch_array($result, $dbi);

	switch($display) {
		case '1':
			return 	$row['user_firstname'];
		break;
		case '2':
			return 	$row['user_lastname'];
		break;
		case '3':
			return 	$row['user_firstname'].' '.$row['user_lastname'];
		break;
		case '4':
			return 	$row['user_lastname'].' '.$row['user_firstname'];
		break;
		default:
			return 	$row['user_firstname'];
		break;
	}
}

/*********************************************************************************************
* Funciton check_user_group($userid);
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users
* Returns field check_user_group FROM TABLE users
* $userid = to check own rights use $_SESSION['user_id'] or $userid;
*           to check others rights pass the desired user id as string..
*********************************************************************************************/
function check_user_group($userid){
	global $dbi;
	$result = sql_query("SELECT user_group FROM users WHERE user_id='".$userid."'", $dbi);
	$row = sql_fetch_array($result, $dbi);

	if($row['user_group']!='') {
		return 	$row['user_group'];
	}else {
		return 	'2';
	}
}


/*********************************************************************************************
* Function Name:  DropdownFromGroups($group_id_exp)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table user_groups
* Returns a DropDown Menu of the available User Grups.
* $group_id_exp = the group_id to set selected on
*********************************************************************************************/
function DropdownFromGroups($group_id_exp){
	global $dbi;

	$content = '<select name="user_group">';
	$qry = 'SELECT * FROM user_groups ORDER by group_title ASC';

	$result = sql_query($qry, $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$group_id = $row['group_id'];
		$group_title = $row['group_title'];
		if($group_id==$group_id_exp) { $selected = ' selected'; } else { $selected = ' '; }
		$content .= '<option value="'.$group_id.'" '.$selected.'>'.$group_title.'</option>';
	}
	$content .= '</select>';
	return $content;
}

/*********************************************************************************************
* Function Name:  get_subusers($user_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users
* Returns a subusers list
* $user_id = the user id to get the list from
*********************************************************************************************/
function get_subusers($user_id){
	global $dbi;
	$result = sql_query("SELECT user_id FROM users WHERE user_parent_id='".$user_id."' ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$user_parent_id   = $row['user_id'];
		$content .= $user_parent_id.',';
	}
	return $content;
}

/*********************************************************************************************
* Function Name:  get_all_subusers($user_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users
* Returns a list of all subusers
* $user_id = the user id to get the list from
*********************************************************************************************/
function get_all_subusers($user_id) {
	global $dbi;
	$result = sql_query("SELECT user_id FROM users WHERE user_parent_id='".$user_id."' ORDER BY user_id ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$user_parent_id = $row['user_id'];
		$content .= $user_parent_id.',';
		if(get_subusers($user_parent_id)!='') {
			$content .= get_all_subusers($user_parent_id).',';
		}
	}
	return $content;
}

/*********************************************************************************************
* Function Name:  user_is_in_tree($user_id, $user_operator)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users
* Returns 1 if thera are subusers
* $user_id = the user id to check
*********************************************************************************************/
function user_is_in_tree($user_id, $user_operator) {
	$tree=split(',', get_all_subusers($user_operator));
	foreach($tree AS $key => $val) {
		if($val!='') {
			$subusers[$key] = $val;
		}
	}
	if(is_array($subusers) ){
		if(in_array($user_id,$subusers)) {
			return 1;
		}
	}
}


/*********************************************************************************************
* Function Name:  get_group_name($group_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users_rights
* Returns User Group Title form table user_groups.
*********************************************************************************************/
function get_group_name($group_id) {
	global $dbi;
	$qry = 'SELECT * FROM user_groups WHERE group_id='.$group_id;
	$result = sql_query($qry, $dbi);
	$row = sql_fetch_array($result, $dbi);
	return $row['group_title'];;
}

/*********************************************************************************************
* Function Name:  get_group_parent_id($group_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users_rights
* Returns group_parent_id form table user_groups.
*********************************************************************************************/
function get_group_parent_id($group_id) {
	global $dbi;
	$qry = 'SELECT * FROM user_groups WHERE group_id='.$group_id;
	$result = sql_query($qry, $dbi);
	$row = sql_fetch_array($result, $dbi);
	return $row['group_parent_id'];;
}

/*********************************************************************************************
* Function Name:  get_subgroups($group_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table user_groups
* Returns all under groups ids
* $group_id = the group_id;
*********************************************************************************************/
function get_subgroups($group_id){
	global $dbi, $currentlang;
	$result = sql_query("SELECT group_id FROM user_groups WHERE group_parent_id='".$group_id."' ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$_group_id   = $row['group_id'];
		$content .= $_group_id.',';
	}
	return $content;
}

/*********************************************************************************************
* Function Name:  get_all_subgroups($group_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table user_groups
* Returns a list of all subgroups
* $group_id = the group id to get the list from
*********************************************************************************************/
function get_all_subgroups($group_id) {
	global $dbi;
	$result = sql_query("SELECT group_id FROM user_groups WHERE group_parent_id='".$group_id."' ORDER BY group_id ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$group_parent_id = $row['group_id'];
		$content .= $group_parent_id.',';
		if(get_subgroups($group_parent_id)!='') {
			$content .= get_all_subgroups($group_parent_id).',';
		}
	}
	return $content;
}

/*********************************************************************************************
* Function Name:  group_is_in_tree($group_id, $group_operator)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users
* Returns 1 if thera are subusers
* $user_id = the user id to check
*********************************************************************************************/
function group_is_in_tree($group_id, $group_operator) {
	$tree=split(',', get_all_subgroups($group_operator));
	foreach($tree AS $key => $val) {
		if($val!='') {
			$subgroups[$key] = $val;
		}
	}
	if(is_array($subgroups) ){
		if(in_array($group_id,$subgroups)) {
			return 1;
		}
	}
}

/*********************************************************************************************
* Function Name:  user_groups_dropdown($group_id, $expected, $space, $start)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Dropdown menu with user groups
* $group_id = the group_id;
*********************************************************************************************/
function user_groups_dropdown($group_id, $expected, $space, $start){
	global $dbi, $userid;
	if($start=='') {
		$content = '<select name="_group_parent_id" onchange="updatemyAccountUserGroup(this.value)">';
		$group_title = get_group_name($group_id);
		$content .= '<option value="'.$group_id.'">'.$space.$group_title.'</option>';
	}
	$space .= '*';
	$result = sql_query("SELECT * FROM user_groups WHERE  group_parent_id='".$group_id."' ORDER BY group_title ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$_group_id   = $row['group_id'];
		$group_title   = $row['group_title'];
		if($_group_id==$expected) { $selected = ' selected'; } else { $selected = ' '; }
		$content .= '<option value="'.$_group_id.'" '.$selected.'>'.$space.' '.$group_title.'</option>';
		if(get_subgroups($_group_id)!='') {
			$start++;
			$content .= user_groups_dropdown($_group_id, $expected, $space, $start);
		}
	}
	if($start=='') { $content = '</select>'; }
	return $content;
}

/*********************************************************************************************
* Function Name:  user_groups_dropdown_with_all($group_id, $expected, $space, $start)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Dropdown menu with user groups
* $group_id = the group_id;
*********************************************************************************************/
function user_groups_dropdown_with_all($group_id, $expected, $space, $start){
	global $dbi, $userid;
	if($start=='') {
		$content = '<select name="_group_parent_id" onchange="updatemyAccountUserGroup(this.value)">';
		$content .= '<option value="0">'.$space.ALL.'</option>';
		$group_title = get_group_name($group_id);
		$content .= '<option value="'.$group_id.'">'.$space.$group_title.'</option>';
	}
	$space .= '*';
	$result = sql_query("SELECT * FROM user_groups WHERE  group_parent_id='".$group_id."' ORDER BY group_title ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$_group_id   = $row['group_id'];
		$group_title   = $row['group_title'];
		if($_group_id==$expected) { $selected = ' selected'; } else { $selected = ' '; }
		$content .= '<option value="'.$_group_id.'" '.$selected.'>'.$space.' '.$group_title.'</option>';
		if(get_subgroups($_group_id)!='') {
			$start++;
			$content .= user_groups_dropdown($_group_id, $expected, $space, $start);
		}
	}
	if($start=='') { $content = '</select>'; }
	return $content;
}

/*********************************************************************************************
* Function Name:  user_groups($group_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Table with user groups
* $group_id = the group_id;
*********************************************************************************************/
function user_groups($group_id,$start){
	global $dbi, $userid;
	$content = '<table width="450" border="0" cellspacing="1" cellpadding="0">';
	if($start=='') {
		$content .= '<tr>';
		$content .= '<td class="AdminFormTbHeader" colspan="5">'.GROUP.'</td>';
		$content .= '<tr>';
		$start++;
	}
	$result = sql_query("SELECT * FROM user_groups WHERE  group_parent_id='".$group_id."' ORDER BY group_title ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$_group_id   = $row['group_id'];
		$group_parent_id   = $row['group_parent_id'];
		$group_title   = $row['group_title'];
		$group_status   = $row['group_status'];
		$group_deletable   = $row['group_deletable'];


		if($i1=='1') { $rwclass = 'AdminFormTbRowDark'; $i1='0'; } else { $rwclass = 'AdminFormTbRowLight'; $i1++; }

		$content .= '<tr class="'.$rwclass.'" onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\''.$rwclass.'\';"  >';
		$content .= '<td width="10" align="left">*</td>';
		$content .= '<td valign="top" align="left"><div class="'.$rwclass.'">'.$group_title.'<div></td>';

		// edit group
		$content .= '<td width="16" valign="top" align="center">';
		if($_group_id!='1') {
			$user_group_tochange = $_group_id;
			$user_group_operator = check_user_group($userid);
			$ok=0;
			if (check_xomol_user_rights_specific($userid, 'A_USER_GROUP_EDIT_OTHERS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange) OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')) { $ok=1; }
			} elseif (check_xomol_user_rights_specific($userid, 'A_USER_GROUP_EDIT_OTHERS_LOW') == '1') {
				if(group_is_in_tree($user_group_tochange, $user_group_operator)=='1') { $ok=1; }
			}
			if($ok==1) {
				$edit='<a href="index.php?op=admin&op2=user_group_edit&group='.$_group_id.'"> <img src="images/b_edit.png" border="0" alt="'.EDIT_GROUP.'"></a>';
			} else { $group_status=''; }
		} else { $edit=''; }
		$content .= $edit;
		$content .= '</td>';

		// edit status
		$content .= '<td width="16" valign="top" align="center">';
		if($_group_id!='1') {
			$user_group_tochange = $_group_id;
			$user_group_operator = check_user_group($userid);
			$ok=0;
			if (check_xomol_user_rights_specific($userid, 'A_USER_GROUP_EDIT_OTHERS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange) OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')) { $ok=1; }
			} elseif (check_xomol_user_rights_specific($userid, 'A_USER_GROUP_EDIT_OTHERS_LOW') == '1') {
				if(group_is_in_tree($user_group_tochange, $user_group_operator)=='1') { $ok=1; }
			}
			if($ok==1) {
				if($group_status==1) {
					$group_status='<a href="index.php?op=admin&op2=user_groups_status&switch=0&group='.$_group_id.'"> <img src="images/green_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS2.'"></a>';
				} else {
					$group_status='<a href="index.php?op=admin&op2=user_groups_status&switch=1&group='.$_group_id.'"> <img src="images/red_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS1.'"></a>';
				}
			} else { $group_status=''; }
		} else { $group_status=''; }
		$content .= $group_status;
		$content .= '</td>';

		// delete group
		$content .= '<td width="16" valign="top" align="center">';
		if($_group_id!='1') {
			$user_group_tochange = $_group_id;
			$user_group_operator = check_user_group($userid);
			$ok2=0;
			if (check_xomol_user_rights_specific($userid, 'A_USER_GROUP_DEL_OTHER_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange) OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')) { $ok2=1; }
			} elseif (check_xomol_user_rights_specific($userid, 'A_USER_GROUP_DEL_OTHER_LOW') == '1') {
				if(group_is_in_tree($user_group_tochange, $user_group_operator)=='1') { $ok2=1; }
			}
			if($ok2==1) {
				if ($group_deletable == '1') {
					$group_deletable= '<a href="index.php?op=admin&op2=user_group_delete&group='.$_group_id.'"><img src="images/b_drop.png" width="16" height="16" border="0" alt="'.DELETE_USER_GROUP.'"></a>';
				} else { $group_deletable = ''; }
			} else { $group_deletable=''; }
		} else { $group_deletable=''; }
		$content .= $group_deletable;
		$content .= '</td>';
		$content .= '</tr>';

		if(get_subgroups($_group_id)!='') {
			if($i2=='1') { $rwclass = 'AdminFormTbRowDark'; $i2='0'; } else { $rwclass = 'AdminFormTbRowLight'; $i2++; }

			$content .= '<tr class="'.$rwclass2.'"  onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\''.$rwclass2.'\';">';
			$content .= '<td width="10" align="left"></td>';
			$content .= '<td align="left" colspan="4">';
			$content .= user_groups($_group_id, $start);
			$content .= '</td>';
			$content .= '</tr>';
		}
	}
	$content .= '</table>';
	return $content;
}



/*********************************************************************************************
* CURRENCIES
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  currencies_dropdown_jump_menu($currency_code_3_exp)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_currencies
* Returns a DropDown Menu of the current Currencies registered.
* $currency_code_3_exp = the currency code (EUR=Euros, MXN=Mexican Peso, CHF=Swiss Franks) to set the focus on
*********************************************************************************************/
function currencies_dropdown_jump_menu($currency_code_3_exp){
	global $dbi, $thisscript, $foo, $foox;
if($foox=='') {
	$foox=$thisscript;
} else {
	$foox='index.php?'.$foox;
}
	$content = '<select name="newcurrency" onChange="MM_jumpMenu(\'parent\',this,0)">';
	$result = sql_query("SELECT * FROM store_currencies WHERE currency_status='1' ORDER BY currency_name ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$currency_code_3   = $row['currency_code_3'];
		$currency_name   = $row['currency_name'];
		if($currency_code_3==$currency_code_3_exp) { $selected = ' selected'; } else { $selected = ' '; }
		$content .= '<option value="'.$foox.'&newcurrency='.$currency_code_3.'" '.$selected.'>'.$currency_code_3.'</option>';
	}
	$content .= '</select>';
	return $content;
}

/*********************************************************************************************
* Function Name:  currencies_dropdown_jump_menu2($currency_code_3_exp)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_currencies
* Returns a DropDown Menu of the current Currencies registered.
* $currency_code_3_exp = the currency code (EUR=Euros, MXN=Mexican Peso, CHF=Swiss Franks) to set the focus on
*********************************************************************************************/
function currencies_dropdown_jump_menu2($currency_code_3_exp){
	global $dbi, $thisscript, $foo, $foox;
if($foox=='') {
	$foox=$thisscript;
} else {
	$foox='index.php?'.$foox;
}
	$content = '<select name="newcurrency" onChange="MM_jumpMenu(\'parent\',this,0)">';
	$result = sql_query("SELECT * FROM store_currencies WHERE currency_status='1' ORDER BY currency_name ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$currency_code_3   = $row['currency_code_3'];
		$currency_name   = $row['currency_name'];
		if($currency_code_3==$currency_code_3_exp) { $selected = ' selected'; } else { $selected = ' '; }
		$content .= '<option value="'.$foox.'&newcurrency='.$currency_code_3.'" '.$selected.'>'.$currency_name.'</option>';
	}
	$content .= '</select>';
	return $content;
}

/*********************************************************************************************
* Function Name:  get_currency_value($currency_code_3)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_currencies
* Returns a the curency value from db.
* $currency_code_3 = the currency code (EUR=Euros, MXN=Mexican Peso, CHF=Swiss Franks)
*********************************************************************************************/
function get_currency_value($currency_code_3) {
	global $dbi;
	$result = sql_query("SELECT currency_value FROM store_currencies WHERE currency_code_3='".$currency_code_3."'  ", $dbi);
	$row = sql_fetch_array($result, $dbi);
	$currency_value   = $row['currency_value'];
	$value = $currency_value.' ';
	return $value;
}

/*********************************************************************************************
* Function Name:  convert_currency($ammount)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* converts a currency value to the default system currency from db.
* $ammount = the amount of money to be converted
*********************************************************************************************/
function convert_currency($ammount){
	global $currency, $defaultcurrency;
	$currency_val=get_currency_value($currency);
	$defaultcurrency_val=get_currency_value($defaultcurrency);
	$converted_currency=($ammount*$currency_val)/$defaultcurrency_val;
	return $converted_currency;
}

/*********************************************************************************************
* Function Name:  get_currencies()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a the the available currencies from db.
* *very primitive... i know... this is a very old procedure... it works but needs to be redisigned in the future.
*********************************************************************************************/
function get_currencies() {
	global $dbi;
	$result = sql_query("SELECT * FROM store_currencies WHERE currency_status='1' ORDER BY currency_name ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$currency_code_3   = $row['currency_code_3'];
		$currency_name   = $row['currency_name'];
		$content .= $currency_code_3.' ';
	}
	return $content;
}


function validate_email($input) {
	if (!strstr($input, '@')) { return false; }
	if (!strstr($input, '.')) { return false; }
	if (strstr($input, '/')) { return false; }
	if (strstr($input, './')) { return false; }
	if (strstr($input, '*')) { return false; }
	if (strstr($input, '..')) { return false; }
	if (strstr($input, '\\')) { return false; }
	if (strstr($input, '?')) { return false; }
	if (strstr($input, '"')) { return false; }
	if (strstr($input, "'")) { return false; }
	return true;
}



/*********************************************************************************************
* Function Name:  install_check_email_mx($email)
* Author(s):  Found posted on php.net.
*
* Checks DNS Records from an email.
*********************************************************************************************/
function install_check_email_mx($email) {
	if( (preg_match('/(@.*@)|(\.\.)|(@\.)|(\.@)|(^\.)/', $email)) ||
		(preg_match('/^.+\@(\[?)[a-zA-Z0-9\-\.]+\.([a-zA-Z]{2,3}|[0-9]{1,3})(\]?)$/',$email)) ) {
		$host = explode('@', $email);
		if(checkdnsrr($host[1].'.', 'MX') ) return true;
		if(checkdnsrr($host[1].'.', 'A') ) return true;
		if(checkdnsrr($host[1].'.', 'CNAME') ) return true;
	}
	return false;
}
/*********************************************************************************************
* Function Name:  check_email_mx($email)
* Author(s):  Found posted on php.net.
*
* Checks DNS Records from an email.
*********************************************************************************************/
function check_email_mx($email) {
	if( (preg_match('/(@.*@)|(\.\.)|(@\.)|(\.@)|(^\.)/', $email)) ||
		(preg_match('/^.+\@(\[?)[a-zA-Z0-9\-\.]+\.([a-zA-Z]{2,3}|[0-9]{1,3})(\]?)$/',$email)) ) {
		$host = explode('@', $email);
		if(checkdnsrr($host[1].'.', 'MX') ) return true;
		if(checkdnsrr($host[1].'.', 'A') ) return true;
		if(checkdnsrr($host[1].'.', 'CNAME') ) return true;
	}
	return false;
}
//
//
// FIX FOR WINDOWS
// PROGRAMMERS
//***********************
// checkdnsrr is not available
// under windows I so included
// the next replacement. You
// may remove this if you are
// gonna publish later over
// any Linux/Unix OS
//
// thanx Jon Kriek for next snippet
// and Rickard Sjquist for notice
// Melvin D. Nava.
//
if (!function_exists('checkdnsrr')) {
	function checkdnsrr($host, $type = '') {
		if(!empty($host)) {
			if($type == '') $type = "MX";
			@exec("nslookup -type=$type $host", $output);
			while(list($k, $line) = each($output)) {
				if(eregi("^$host", $line)) {
					return true;
				}
			}
			return false;
		}
	}
}

/*********************************************************************************************
* METATAGS
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_default_metas($module, $metatag, $language)
* Author(s):  Xomol.net, Nahual.com, Greathvision.ch, David Guttmann.
*
* Returns metatags  FROM TABLE $modules.'_metatags'
* $module = the name of the module  (ex. content, downloads... ) default is the current module..
* $metatag = the name of the metatag   (ex. title, metatags, description )
*********************************************************************************************/
function get_default_metas($module, $metatag, $language) {
	global $dbi;
	$tb = $module.'_metatags';
	$result = sql_query("SELECT ".$metatag." FROM ".$tb." WHERE language='".$language."' ", $dbi);
	if($row = sql_fetch_array($result, $dbi)){
		return $row[$metatag];
	}
}
function xget_default_metas($module, $meta) {
	global $dbi, $currentlang;
	$tb = $module.'_metas';
	$result = sql_query("SELECT meta_content FROM ".$tb." WHERE meta_language='" . $currentlang . "' AND meta_name='" . $meta . "'", $dbi);
	if($row = sql_fetch_array($result, $dbi)){
		return $row['meta_content'];
	}
}

function autoconfigre_metatags($op, $array_title, $array_description, $meta_title, $meta_keyword1, $meta_keyword2, $meta_keyword3, $meta_keyword4, $meta_keyword5, $meta_keyword6, $meta_keyword7, $meta_keyword8, $meta_keyword9, $meta_keyword10, $meta_keyword11, $meta_keyword12, $meta_description) {
	foreach($array_title as $fe_lang => $valor){
		$newtitle	 = $array_title[$fe_lang];
		$newdesc1	 = $array_description[$fe_lang];
		$_meta_title	=  $meta_title[$fe_lang];
		$_meta_keywords =   $meta_keyword1[$fe_lang].','.$meta_keyword2[$fe_lang].','.$meta_keyword3[$fe_lang].','.$meta_keyword4[$fe_lang].','.$meta_keyword5[$fe_lang].','.$meta_keyword6[$fe_lang].','.$meta_keyword7[$fe_lang].','.$meta_keyword8[$fe_lang].','.$meta_keyword9[$fe_lang].','.$meta_keyword10[$fe_lang].','.$meta_keyword11[$fe_lang].','.$meta_keyword12[$fe_lang];
		$_meta_description	=  $meta_description[$fe_lang];

		if($_meta_title=='') { $_meta_title	=  $newtitle; }
		$_meta_title=strip_tags($_meta_title);
		if($_meta_description=='') { $_meta_description=$newdesc1; }
		$_meta_description=strip_tags($_meta_description);

		$debug .=  '<hr>';
		$debug .=  '<hr>';
		$debug .=  '<b>_meta_title set to:</b> '.$_meta_title.'<br>';
		$debug .=  '<b>_meta_keywords set to:</b> '.$_meta_keywords.'<br>';
		$debug .=  '<b>_meta_description set to:</b> '.$_meta_description.'<br>';
		$debug .=  '<hr>';

		$maximum_keywords_total= 12;
		$maximum_keywords_level1= 4;
		$maximum_keywords_level2= 8;

		if($_meta_keywords==',,,,,,,,,,,') {
			$debug .= 'NO metakeywords entered, auto create them<hr>';
			$meta_keywords_from_title=$newtitle;
			$meta_keywords_from_title	=	strtolower($meta_keywords_from_title);
			$meta_keywords_from_title=split(' ',$meta_keywords_from_title);
			$meta_keywords_from_title_value='';
			foreach($meta_keywords_from_title as $key => $val){
				if($val!=''){
					$meta_keywords_from_title_value.=$val.',';
				}
			}
			$_meta_keywords = $meta_keywords_from_title_value;
		} else {
			$debug .=  'Meta-keywords where entered, UPDATE and auto create them until 12<br>';
			$_meta_keywords	=	strtolower($_meta_keywords);
			$debug .=  '<b/>original metakeywords</b> $_meta_keywords: '.$_meta_keywords.'<br>';

			$_meta_keywords = eregi_replace(',,',',',$_meta_keywords);
			$_meta_keywords = eregi_replace(',,',',',$_meta_keywords);
			$_meta_keywords = eregi_replace(',,',',',$_meta_keywords);
			$_meta_keywords = eregi_replace(',,',',',$_meta_keywords);
			$_meta_keywords = eregi_replace(',,',',',$_meta_keywords);

			$debug .=  '<b>_meta_keywords:</b> '.$_meta_keywords.'<br>';
			$meta_keywords_array	=  split(',',$_meta_keywords);
			$meta_keywords_array = array_unique($meta_keywords_array);
			$meta_keywords_array_count = count($meta_keywords_array);
			$meta_keywords_set = '';
			$ib1 = '';
			foreach($meta_keywords_array as $key => $val){
				if( ($val!='') AND ($ib1<$maximum_keywords_total) ){
					$meta_keywords_set.=$val.',';
				}
				$ib1++;
			}
			$debug .=  '*** meta_keywords_set: '.$meta_keywords_set.'<br>';
			$_meta_keywords = $meta_keywords_set;
			$_meta_keywords	=	strtolower($_meta_keywords);
			$debug .=  '<b>_meta_keywords:</b> '.$_meta_keywords.'<br>';
		}

		$debug .=  '====== if the total of meta_keywords is less than maximum_keywords_total<br>';
		$debug .=  'get the first 4 keywords of get_default_metas($module=$op, $meta=keywords)<br>';
		$_meta_keywords = $_meta_keywords;
		$meta_keywords_array	=  split(',',$_meta_keywords);
		$meta_keywords_array = array_unique($meta_keywords_array);
		$meta_keywords_array_count = count($meta_keywords_array);
		if($meta_keywords_array_count<=$maximum_keywords_total) {
			$get_default_metas = get_default_metas($op, 'keywords', $fe_lang);
			$get_default_metas	=	strtolower($get_default_metas);
			$get_default_metas = eregi_replace(', ',',',$get_default_metas);
			$get_default_metas = eregi_replace(' ,',',',$get_default_metas);
			$debug .=  '<b>$get_default_metas</b> '.$get_default_metas.'<br>';
			$get_default_metas_array	=  split(',',$get_default_metas);
			$get_default_metas_array = array_unique($get_default_metas_array);
			$meta_keywords_set = '';
			$ib4='';
			$get_default_metas_array2='';
			foreach($get_default_metas_array as $key => $val){
				if($val!='') {
					if($ib4<$maximum_keywords_level1){
						$meta_keywords_set.=$val.',';
					}
				}
				$ib4++;
			}

			$meta_keywords_set = strtolower($meta_keywords_set);
			$debug .=  '<b>meta_keywords_set:</b> '.$meta_keywords_set.'<br>';
			$_meta_keywords .= $meta_keywords_set;
			$_meta_keywords	=	strtolower($_meta_keywords);
			$debug .=  '<b>_meta_keywords:</b> '.$_meta_keywords.'<br>';
		}

		$debug .=  '----- if the total of meta_keywords is less than maximum_keywords_total<br>';
		$debug .=  'generate some keywords from title.<br>';
		$meta_keywords_array	=  split(',',$_meta_keywords);
		$meta_keywords_array = array_unique($meta_keywords_array);
		$meta_keywords_array_count = count($meta_keywords_array);
		if($meta_keywords_array_count<=$maximum_keywords_total) {
			$meta_keywords_from_title=$newtitle;
			$meta_keywords_from_title	=	strtolower($meta_keywords_from_title);
			$debug .=  '<b>meta_keywords_from_title:</b> '.$meta_keywords_from_title.'<br>';
			$meta_keywords_from_title=split(' ',$meta_keywords_from_title);
			$meta_keywords_from_title_value='';
			foreach($meta_keywords_from_title as $key => $val){
				if($val!=''){
					$meta_keywords_from_title_array[$key]=$val;
				}
			}
			$debug .=  '<b>meta_keywords_from_title:</b> '.$meta_keywords_from_title.'<br>';
			if(is_array($meta_keywords_from_title_array)) {
				$meta_keywords_from_title_array = array_unique($meta_keywords_from_title_array);
				$i='';
				$meta_keywords_from_title_value = '';
				foreach($meta_keywords_from_title_array as $key => $val){
					if( ($val!='') AND ($i<$maximum_keywords_level1) ){
						$meta_keywords_from_title_value.=$val.',';
					}
					$i++;
				}
			}
			$meta_keywords_from_title_value = strtolower($meta_keywords_from_title_value);
			$debug .=  '<b>meta_keywords_from_title_value:</b> '.$meta_keywords_from_title_value.'<br>';
			$_meta_keywords .= $meta_keywords_from_title_value;
			$_meta_keywords	=	strtolower($_meta_keywords);
			$debug .=  '<b>_meta_keywords:</b> '.$_meta_keywords.'<br>';
		}

		$meta_keywords_array	=  split(',',$_meta_keywords);
		$meta_keywords_array = array_unique($meta_keywords_array);
		$ib1 = '';
		$meta_keywords_set ='';
		foreach($meta_keywords_array as $key => $val){
			if( ($val!='') AND ($ib1<$maximum_keywords_total) ){
				$meta_keywords_set.=$val.',';
			}
			$ib1++;
		}
		$debug .=  '****** meta_keywords_set: '.$meta_keywords_set.'******************<br>';
		$_meta_keywords = $meta_keywords_set;
		$debug .=  '****** _meta_keywords: '.$_meta_keywords.'<br>';

		$debug .=  '+++++ And for last, if the total of meta_keywords is less than maximum_keywords_total<br>';
		$debug .=  'get the next 4 keywords (starting on maximum_keywords_level1) of get_default_metas($module=$op, $meta=keywords)<br>';
		$meta_keywords_array	=  split(',',$_meta_keywords);
		$meta_keywords_array = array_unique($meta_keywords_array);
		$meta_keywords_array_count = count($meta_keywords_array);
		if($meta_keywords_array_count<=$maximum_keywords_total) {
			$get_default_metas = get_default_metas($op, 'keywords', $fe_lang);
			$get_default_metas	=	strtolower($get_default_metas);
			$debug .=  '<b>$get_default_metas 2</b>'.$get_default_metas.'<br>';
			$get_default_metas_array	=  split(',',$get_default_metas);
			$get_default_metas_array = array_unique($get_default_metas_array);
			$ib4='';
			$get_default_metas_value='';
			foreach($get_default_metas_array as $key => $val){
				if($val!='') {
					if( ($ib4>=$maximum_keywords_level1) AND ($ib4<=$maximum_keywords_total) ){
						$get_default_metas_value.=$val.',';
						$debug .=  '<b>$val $ib4:</b>'.$ib4.'-'.$val.'<br>';
					}
				}
				$ib4++;
			}
			$get_default_metas_value = strtolower($get_default_metas_value);
			$debug .=  '<b>get_default_metas_value:</b> '.$get_default_metas_value.'<br>';
			$_meta_keywords .= $get_default_metas_value;
			$_meta_keywords	=	strtolower($_meta_keywords);
			$debug .=  '_meta_keywords: '.$_meta_keywords.'<br>';

		}

//////////////////////////////////////////////////////////
		$_meta_keywords	=	strtolower($_meta_keywords).',xomol';

		$debug .=  'FINISHING<br>';
		$meta_keywords_array	=  split(',',$_meta_keywords);
		$meta_keywords_array = array_unique($meta_keywords_array);
		$ib1 = '';
		$meta_keywords_set='';
		foreach($meta_keywords_array as $key => $val){
			if( ($val!='') AND ($ib1<=$maximum_keywords_total) ){
				$meta_keywords_set.=$val.',';
			}
			$ib1++;
		}
		$debug .=  '*** meta_keywords_set: '.$meta_keywords_set.'<br>';
		$_meta_keywords = $meta_keywords_set;

		$_meta_keywords	=	strtolower($_meta_keywords);
		$_meta_title = substr($_meta_title, 0, 80);
		$_meta_description = substr($_meta_description, 0, 250);

		$debug .=  'FINAL $_meta_keywords: '.$_meta_keywords.'<br>';
		$debug .=  'FINAL $_meta_title: '.$_meta_title.'<br>';
		$debug .=  'FINAL $_meta_description: '.$_meta_description.'<hr>';

		$results[$fe_lang]['meta_keywords'] = $_meta_keywords;
		$results[$fe_lang]['meta_title'] = $_meta_title;
		$results[$fe_lang]['meta_description'] = $_meta_description;
		$results[$fe_lang]['debug'] = $debug;
	}
	return $results;
}
// EOF funciton autoconfigre_metatags($op,$array$meta_title, $meta_keyword1, $meta_keyword2, $meta_keyword3, $meta_keyword4, $meta_keyword5, $meta_keyword6, $meta_keyword7, $meta_keyword8, $meta_keyword9, $meta_keyword10, $meta_keyword11, $meta_keyword12, $meta_description)
///////////////////////////////////////////////////////////////////////////////
/*********************************************************************************************
* COMMENTS Functions.

/*********************************************************************************************
* Function Name:  get_comment_undercats($comment_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a string of all under comments IDs
* $comment_id	= the id of the comment
*********************************************************************************************/
function get_comments_undercomments($comment_id){
	global $dbi, $currentlang;
	$result = sql_query("SELECT comment_id FROM comments WHERE comment_partent_id='".$comment_id."'  ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$comment_array[$i]   = $row['comment_id'];
		$i++;
	}
	return $comment_array;
}
/*********************************************************************************************
* Function Name:  get_comments_all_undercomments($comment_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses function get_comments_undercomments($comment_id);
* Returns a string of all lower comments IDs
* $comment_id	= the id of the comment
*********************************************************************************************/

function get_comments_all_undercomments($comment_id) {
	$undercomments = get_comments_undercomments($comment_id);
	if(is_array($undercomments)) {
		foreach($undercomments AS $key => $val) {
			if($val!='') {
				$content .= get_comments_all_undercomments($val);
			}
		}
	}
	return $content;
}

?>
