<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename:  functions.php
* Location: /modules/banners/functions.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/

/*********************************************************************************************
* System functions
*********************************************************************************************/

function my_array_rand($input,$i=2){
	srand((float) microtime() * 10000000);
	$rand_keys = array_rand($input, $i);
	/*
	print $input[$rand_keys[0]] . "\n";
	print $input[$rand_keys[1]] . "\n";
	*/
	$res = array();
	if($i > 1){
		for($a=0;$a<$i;$a++){
		$res[] = $input[$rand_keys[$a]];
		}
	} else{
		$res[] = $input[$rand_keys];
	}
	return $res;
}
		function cut_url($http_referer, $lengt) {
			$strlengt = strlen($http_referer);
			$blocks = $strlengt/$lengt;
			// echo '$strlengt: '.$strlengt.'<br>';
			$_http_referer=substr($http_referer, 0, $lengt);
			$str = str_replace($_http_referer, '', $http_referer);
			$content = $_http_referer.'';
			if($str!='') {
				$content .= '<img src="images/cutline.gif" width="18" height="18" border="0"><br>';
				$content .= cut_url($str, $lengt);
			}

			return $content;
		}
function groups_and_users_banners($group_id, $start){
	global $dbi, $userid, $theme, $op;
	$content = '<table width="600" border="0" cellspacing="0" cellpadding="0">';
	if($start=='') {
		$content .= '<tr>';
		$content .= '<td class="AdminFormTbHeader" colspan="6">'.GROUP.'</td>';
		$content .= '<tr>';
		$start++;
	}
	$result = sql_query("SELECT * FROM user_groups WHERE  group_parent_id='".$group_id."' ORDER BY group_title ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$_group_id   = $row['group_id'];
		$group_parent_id   = $row['group_parent_id'];
		$group_title   = $row['group_title'];
		$group_status   = $row['group_status'];
		$group_deletable   = $row['group_deletable'];

		$content .= '<tr class="AdminFormTbRowLight" onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\'AdminFormTbRowLight\';" >';
		$content .= '<td width="10" align="left" valign="top"><img src="themes/'.$theme.'/images/arrow_icon.gif" border="0" ></td>';
		$content .= '<td width="80" align="left" valign="top" ><div class="textTitle">'.$group_title.'<div></td>';
		$content .= '<td align="right">';
		// edit group
		$result2 = sql_query("SELECT * FROM users WHERE user_group='".$_group_id."' ORDER BY user_group, user_firstname, user_lastname, user_company ASC", $dbi);
		while($row2 = sql_fetch_array($result2, $dbi)){
			$_user_id   	= $row2['user_id'];
			$user_firstname = $row2['user_firstname'];
			$user_lastname  = $row2['user_lastname'];
			$user_company   = $row2['user_company'];
			$user_city    	= $row2['user_city'];
			$user_state    	= $row2['user_state'];
			$user_country   = $row2['user_country'];
			$user_group    	= $row2['user_group'];
			$status    		= $row2['user_status'];

			$content .= '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
			$content .= '<tr onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\'AdminFormTbRowLight\';" >';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$content .= $user_company;
			$content .= '</td>';
			$content .= '<td width="16" valign="top" align="left" nowrap>';
			$is_overrided = checkSomethingFromTable($table='banners_user_rights2users', $what='user_id', $key='user_id', $keyvalue=$_user_id, $langkey='', $langkeyvalue='', $sqlanswer='');

			// Allow edition for subusers
			$ok=0;
			if (xomol_check_banners_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_banners_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($_user_id!=$userid) ) {
				if($is_overrided>'1') {
					$content .= '<a href="index.php?op='.$op.'&op2=admin&op3=user_rights_override&user='.$_user_id.'"><img src="images/b_edit_rights1.png" width="16" height="16" border="0" alt="'.EDIT_USER.'"></a>';
				} else {
					$content .= '<a href="index.php?op='.$op.'&op2=admin&op3=user_rights_override&user='.$_user_id.'"><img src="images/b_edit_rights2.png" width="16" height="16" border="0" alt="'.EDIT_USER.'"></a>';
				}
			}
			$content .= '</td>';
			$content .= '<td width="16" valign="top" align="center" >';
			$ok=0;
			if (xomol_check_banners_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_banners_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if($ok==1) {
				$content .= '<a href="index.php?op=admin&op2=admin_users_viewdet&user='.$_user_id.'" class="AdminFormRsTitle" target="viewdet"><img src="themes/'.$theme.'/images/information.gif" border="0" alt="'.EDIT_USER.'"></a>';
			}
			$content .= '</td>';
			$content .= '<td width="100" valign="top" align="left" >';
			$content .= '<div class="textTitle">'.$user_firstname.' '.$user_lastname.'</div>';
			$content .= '</td>';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$user_city = checkSomethingFromTable($table='geo_cities', $what='place', $key='city_id', $keyvalue=$user_city, $langkey='', $langkeyvalue='', $sqlanswer='');
			$user_state = checkSomethingFromTable($table='geo_states', $what='state_code', $key='state_id', $keyvalue=$user_state, $langkey='', $langkeyvalue='', $sqlanswer='');
			$user_country = checkSomethingFromTable($table='geo_countries', $what='countries_name', $key='countries_id', $keyvalue=$user_country, $langkey='', $langkeyvalue='', $sqlanswer='');
			$content .= $user_city.',<br>'.$user_state.'/'.$user_country;
			$content .= '</td>';
			$content .= '<td width="16" valign="top" align="center" nowrap>';

			$ok=0;
			if (xomol_check_banners_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($_user_id, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_banners_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($_user_id!=$userid) ) {
				if($status==1) {
					$status='<a href="index.php?op='.$op.'&op2=admin&op3=statusu&switch=0&user='.$_user_id.'">
								<img src="images/green_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS2.'"></a>';
				} else {
					$status='<a href="index.php?op='.$op.'&op2=admin&op3=statusu&switch=1&user='.$_user_id.'">
								<img src="images/red_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS1.'"></a>';
					}
			} else {
				if($status==1) {
					$status='<img src="images/green_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS2.'">';
				} else {
					$status='<img src="images/red_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS1.'">';
				}
			}
			$content .= $status;
			$content .= '</td>';
			$content .= '</tr>';
			$content .= '<tr  >';
			$content .= '<td height="1" colspan="6">';
			$content .= draw_line($image='black', $width='100%', $height='1');
			$content .= '</td>';
			$content .= '<tr>';
			$content .= '</table>';
		}
		$content .= '</td>';
		$content .= '</tr>';

			$content .= '<tr  >';
			$content .= '<td height="1" colspan="5">';
			$content .= draw_line($image='black', $width='100%', $height='1');
			$content .= '</td>';
			$content .= '<tr>';
		if(get_subgroups($_group_id)!='') {

			$content .= '<tr class="AdminFormTbRowLight">';
			$content .= '<td width="10" align="left" valign="top">&nbsp;</td>';
			$content .= '<td align="left" colspan="5" valign="top">';
			$content .= groups_and_users_banners($_group_id, $start);
			$content .= '</td>';
			$content .= '</tr>';
		}
	}
	$content .= '</table>';
	return $content;
}

/*********************************************************************************************
* show_banner($banner_id, $position_id, $campain_type_id, $banner_size_id, $banner_type_id, $allmodules)
*
* $banner_id = The desired banner
* $position_id = The desired position
* $campain_type_id = The campain type id (1=click, 2=impressions, 3=periode)
* $banner_size_id = the banner size
* $banner_type_id = the banner type (1=image, 2=html, 3=flash)
*
* how it works:
* if the banner_id is given then check the position_id and/or the banner_size_id
* if position_id is given, all available banners for this position will be considered
* if campain_type_id is given, only banners with the given type will be shown
* if banner_size_id is given, all available banners with this size will be considered.
* if banner_type_id is given, then check the position_id and/or the banner_size_id
*********************************************************************************************/
function show_banner($banner_id, $position_id, $campain_type_id, $banner_size_id, $banner_type_id, $allmodules) {
	global $dbi, $op;


	if($banner_id!='') {
		// $campain_type= checkSomethingFromTable($table='banners_campain_types', $what='campain_type', $key='campain_type_id', $keyvalue=$campain_type_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		$file= checkSomethingFromTable($table='banners', $what='file', $key='banner_id', $keyvalue=$banner_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		$banner_size_id= checkSomethingFromTable($table='banners', $what='banner_size_id', $key='banner_id', $keyvalue=$banner_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		$banner_width= checkSomethingFromTable($table='banners_sizes', $what='banner_width', $key='banner_size_id', $keyvalue=$banner_size_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		$banner_height= checkSomethingFromTable($table='banners_sizes', $what='banner_height', $key='banner_size_id', $keyvalue=$banner_size_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		echo '<img src="modules/banners/banners/'.$file.'" border="0" width="'.$banner_width.'" height="'.$banner_height.'" alt="'.$banner_alttext.'">';
		sql_query("UPDATE banners SET impressions='".$impressions."'  WHERE  banner_id='".$banner_id."'", $dbi);
	} elseif($position_id!='') {
		// echo  'allmodules: '.$allmodules.'<br>';

		if($allmodules=='1') {
			$result = sql_query("SELECT * FROM banners WHERE position_id='".$position_id."'  AND module='allmodules'   AND banner_status1='1' AND banner_status2='1'", $dbi);
		}  else {
			$result = sql_query("SELECT * FROM banners WHERE position_id='".$position_id."'  AND module='".$op."'   AND banner_status1='1' AND banner_status2='1'", $dbi);
		}
		$i='0';
		$today = date("Y-m-d");
		while($row = sql_fetch_array($result, $dbi)){
			//$banner_id   		= $row['banner_id'];
			$bannerid    		= $row['banner_id'];
			$banner_alttext    		= $row['banner_alttext'];
			$campain_type_id    		= $row['campain_type_id'];
			$clicks    		= $row['clicks'];
			$impressions    		= $row['impressions'];
			$campain_id = checkSomethingFromTable($table='banners', $what='campain_id', $key='banner_id', $keyvalue=$bannerid, $langkey='', $langkeyvalue='', $sqlanswer='');
			$clicks_bundle = checkSomethingFromTable($table='banners_campains2users', $what='clicks_bundle', $key='campain_id', $keyvalue=$campain_id, $langkey='', $langkeyvalue='', $sqlanswer='');
			$impressions_bundle = checkSomethingFromTable($table='banners_campains2users', $what='impressions_bundle', $key='campain_id', $keyvalue=$campain_id, $langkey='', $langkeyvalue='', $sqlanswer='');

			$ends    		= $row['ends'];

			//echo '$clicks: '.$clicks.'<br>';
			//echo '$impressions: '.$impressions.'<br>';
			//echo '$impressions_bundle: '.$impressions_bundle.'<br>';
			//echo '$today: '.$today.'<br>';
			//echo '$ends: '.$ends.'<br>';

			// echo  'campain_type_id: '.$campain_type_id.'<br>';
			switch($campain_type_id) {
				case "1":
					//echo  'case 1: <br>';

				break;

				case "2":
					//echo  'case 2: <br>';
					if($today<=$ends) {
						//echo 'fecha ok<br>';
						//echo '$impressions: '.$impressions.'<br>';
						//echo '$impressions_bundle: '.$impressions_bundle.'<br>';
						if($impressions_bundle>=$impressions) {
							//echo '$impressions_bundle>=$impressions<br>';
							$banner[$i]    		= $row['banner_id'];
							$banner_link[$i]   	= $row['banner_link'];
							$banner_size[$i]   	= $row['banner_size_id'];
							$file[$i]    		= $row['file'];
							$fileid[$bannerid]	= $row['file'];
							$i++;
						} else {
							//echo 'se paso de la impressions <br>';
						}
					} else {
						//echo 'se paso de la fecha <br>';
					}
				break;

				case "3":
					//echo  'case 3: <br>';
					if($today<=$ends) {
						//echo 'puede ser publicada<br>';
						$banner[$i]    		= $row['banner_id'];
						$banner_link[$i]   	= $row['banner_link'];
						$banner_size[$i]   	= $row['banner_size_id'];
						//echo  'banner_id: '.$banner_id.'<br>';
						$file[$i]    		= $row['file'];
						$fileid[$bannerid]	= $row['file'];
						$i++;
					}
				break;
			}
		}
		// print_r($banner);





//////////////////////////////////////////////////////////////
		if(is_array($fileid))	{
			// echo '1.-<br>';
			srand((float) microtime() * 10000000);
			$rand_keys = array_rand($fileid, 1);
			$bannerid= $rand_keys;
			$banner_image= checkSomethingFromTable($table='banners', $what='file', $key='banner_id', $keyvalue=$rand_keys, $langkey='', $langkeyvalue='', $sqlanswer='');
			$banner_alttext= checkSomethingFromTable($table='banners', $what='banner_alttext', $key='banner_id', $keyvalue=$rand_keys, $langkey='', $langkeyvalue='', $sqlanswer='');

			$_banner_id=$bannerid;
			$banner_size_id= checkSomethingFromTable($table='banners', $what='banner_size_id', $key='banner_id', $keyvalue=$bannerid, $langkey='', $langkeyvalue='', $sqlanswer='');
			$impressions= checkSomethingFromTable($table='banners', $what='impressions', $key='banner_id', $keyvalue=$bannerid, $langkey='', $langkeyvalue='', $sqlanswer='');
			$banner_width= checkSomethingFromTable($table='banners_sizes', $what='banner_width', $key='banner_size_id', $keyvalue=$banner_size_id, $langkey='', $langkeyvalue='', $sqlanswer='');
			$banner_height= checkSomethingFromTable($table='banners_sizes', $what='banner_height', $key='banner_size_id', $keyvalue=$banner_size_id, $langkey='', $langkeyvalue='', $sqlanswer='');
			$image=$image['0'];
			$banner_size=$banner_size['0'];
			$banner_link=$banner_link['0'];
			// echo  'impressions: '.$impressions.'<br>';
			$impressions=$impressions+1;
			// echo  'impressions: '.$impressions.'<br>';
			//echo  'image: '.$image.'<br>';
			//echo  '$bannerid: '.$bannerid.'<br>';
			//echo  'banner_size: '.$banner_size.'<br>';
			//echo  'banner_size_id: '.$banner_size_id.'<br>';
			//echo  'banner_width: '.$banner_width.'<br>';
			//echo  'banner_height: '.$banner_height.'<br>';
			//echo  'banner_image: '.$banner_image.'<br>';
			//echo  'banner_alttext: '.$banner_alttext.'<br>';
			//echo  'image: '.$image.'<br>';

			//if(file_exists('modules/banners/banners/'.$banner_image)){
			//if(file_exists('modules/banners/banners/'.$banner_image)){
			if($banner_image!=''){
				if(file_exists('modules/banners/banners/'.$banner_image)){
					//echo  '1banner_alttext: '.$banner_alttext.'<br>';
					//echo  'isset($banner_image): '.isset($banner_image).'<br>';
					$url_dir = "http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']);
					$newwindow = $url_dir.'/index.php?op=banners&op2=follow_banner_link&banner='.$bannerid.'&year_expected='.$year_expected.'&week_expected='.$week_expected.'&edition_id='.$edition_id.'&edition_type_id='.$edition_type_id;
					echo '<a href="'.$newwindow.'" target="new">';
					echo '<img src="modules/banners/banners/'.$banner_image.'" border="0" width="'.$banner_width.'" height="'.$banner_height.'" alt="'.$banner_alttext.'">';
					echo '</a>';

					sql_query("UPDATE banners SET impressions='".$impressions."'  WHERE  banner_id='".$bannerid."'", $dbi);
				} else {
					//echo  '11banner_alttext: '.$banner_alttext.'<br>';
					$url_dir = "http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']);
					$newwindow = $url_dir.'/index.php?op=banners&op2=follow_banner_link&banner='.$bannerid.'&year_expected='.$year_expected.'&week_expected='.$week_expected.'&edition_id='.$edition_id.'&edition_type_id='.$edition_type_id;
					echo '<a href="'.$newwindow.'" target="new">';
					echo  $banner_alttext;
					echo '</a>';
					sql_query("UPDATE banners SET impressions='".$impressions."'  WHERE  banner_id='".$bannerid."'", $dbi);
				}
			} else {
				//echo  '2banner_alttext: '.$banner_alttext.'<br>';
				$url_dir = "http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']);
				$newwindow = $url_dir.'/index.php?op=banners&op2=follow_banner_link&banner='.$bannerid.'&year_expected='.$year_expected.'&week_expected='.$week_expected.'&edition_id='.$edition_id.'&edition_type_id='.$edition_type_id;
				echo '<a href="'.$newwindow.'" target="new">';
				echo  $banner_alttext;
				echo '</a>';
				sql_query("UPDATE banners SET impressions='".$impressions."'  WHERE  banner_id='".$bannerid."'", $dbi);
			}
		} else {

				if($today<=$ends) {
					//echo 'xx fecha ok<br>';
					//echo '$impressions: '.$impressions.'<br>';
					//echo '$impressions_bundle: '.$impressions_bundle.'<br>';
					if($impressions_bundle>=$impressions) {
						$url_dir = "http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']);
						$newwindow = $url_dir.'/index.php?op=banners&op2=follow_banner_link&banner='.$bannerid.'&year_expected='.$year_expected.'&week_expected='.$week_expected.'&edition_id='.$edition_id.'&edition_type_id='.$edition_type_id;
						echo '<a href="'.$newwindow.'" target="new">';
						echo  $banner_alttext;
						echo '</a>';
						sql_query("UPDATE banners SET impressions='".$impressions."'  WHERE  banner_id='".$bannerid."'", $dbi);
					} else {
						//echo 'se paso de la impressions <br>';
					}
				} else {
					//echo 'se paso de la fecha <br>';
				}
		}
//////////////////////////////////////////////////////////////




	}
}
/*********************************************************************************************
* Function Name:  get_products_dropdown($assignated_product)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Drop Down menu list of the current products.
*********************************************************************************************/
function get_products_dropdown($assignated_product) {
	global $dbi, $currentlang;

	$content .= '<select name="assignated_product">';
	$result = sql_query("SELECT spc.category_id, spcd.title
		FROM store_products_cat spc, store_products_cat_desc spcd
		WHERE spc.category_id= spcd.category_id
		AND spc.category_status= '1'
		AND spcd.language='".$currentlang."'
		ORDER BY spcd.title ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$catid   = $row['category_id'];
		$category_title   = $row['title'];
		$result2 = sql_query("SELECT sp.product_id, spd.title
			FROM store_products sp, store_products_desc spd
			WHERE sp.product_catid= '".$catid."'
			AND sp.product_id= spd.product_id
			AND sp.product_status= '1'
			AND spd.language='".$currentlang."'
			ORDER BY spd.title ASC", $dbi);
		while($row2 = sql_fetch_array($result2, $dbi)){
			$product_id   = $row2['product_id'];
			$product_title   = $row2['title'];
			if($product_id==$assignated_product) { $selected = ' selected'; } else { $selected = ' '; }
			$content .= '<option value="'.$product_id.'" '.$selected.'> '.$category_title.' - '.$product_title.'</option>';

		}
		/*
		*/
	}
	$content .= '</select>';
	return $content;
}


	function users_details_dropdown_banners_users($module_expected,$_position_id, $usertoaddbanner){
		global $dbi, $op;
		$content = '<select name="user_id" onChange="MM_jumpMenu(\'parent\',this,0)">';
		$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_users_details_banners_add&_position_id='.$_position_id.'&usertoaddbanner='.$usertoaddbanner.'" '.$selected.'> '.SELECT_ONE.'</option>';
		$result = sql_query("SELECT * FROM users WHERE user_status='1' AND user_id!='2'  ORDER BY user_lastname ASC, user_firstname ASC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){
			$_user_id   = $row['user_id'];
			$user_firstname   = $row['user_firstname'];
			$user_lastname   = $row['user_lastname'];

			if($usertoaddbanner==$_user_id) { $selected = ' selected'; } else { $selected = ' '; }
			if($_user_id!='2') {
				$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_campain_banners_add&_position_id='.$_position_id.'&usertoaddbanner='.$usertoaddbanner.'" '.$selected.'> '.$user_lastname.' '.$user_firstname.'</option>';
			}
		}
		$content .= '</select>';
		return $content;

	}
	function users_details_dropdown_banners_positions_allmodules($module_expected,$position_expected,$usertoaddbanner){
		global $dbi, $op;
		$content = '<select name="_position_id" onChange="MM_jumpMenu(\'parent\',this,0)">';
		$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_users_details_banners_add&usertoaddbanner='.$usertoaddbanner.'" '.$selected.'> '.SELECT_ONE.'</option>';
		$result = sql_query("SELECT * FROM banners_positions_onsite WHERE module='allmodules' ORDER BY module ASC, title ASC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){
			$position_id   = $row['position_id'];
			$title   = $row['title'];
			$_module   = $row['module'];

			if(($position_expected==$position_id) AND
			($module_expected==$_module)
			) { $selected = ' selected'; } else { $selected = ' '; }
			$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_users_details_banners_add&_position_id='.$position_id.'&usertoaddbanner='.$usertoaddbanner.'&module_expected='.$_module.'" '.$selected.'>  '.$title.'</option>';

		}
		$content .= '</select>';
		return $content;

	}

	function users_details_dropdown_banners_campain_type($module_expected,$campain_type_expected,$_position_id,$usertoaddbanner){
		global $dbi, $op;
		$content = '<select name="_campain_type_id" onChange="MM_jumpMenu(\'parent\',this,0)">';
		$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_users_details_banners_add&usertoaddbanner='.$usertoaddbanner.'&_position_id='.$_position_id.'" > '.SELECT_ONE.'</option>';
		$result = sql_query("SELECT * FROM banners_campain_types   WHERE status='1' ORDER BY campain_type ASC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){
			$_campain_type_id   = $row['campain_type_id'];
			$campain_type   = $row['campain_type'];
			if($campain_type_expected==$_campain_type_id) { $selected = ' selected'; } else { $selected = ' '; }
			$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_users_details_banners_add&_position_id='.$_position_id.'&usertoaddbanner='.$usertoaddbanner.'&_campain_type_id='.$_campain_type_id.'&module_expected='.$module_expected.'" '.$selected.'> '.$campain_type.'</option>';
		}
		$content .= '</select>';
		return $content;

	}
	function users_details_dropdown_banners_types($module_expected,$banner_type_expected,$_campain_type_id,$_position_id,$usertoaddbanner) {
		global $dbi, $op;
		$content = '<select name="banner_type_id" onChange="MM_jumpMenu(\'parent\',this,0)">';
		$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_users_details_banners_add&usertoaddbanner='.$usertoaddbanner.'&_position_id='.$position_expected.'"&_campain_type_id='.$_campain_type_id.'" '.$selected.'> '.SELECT_ONE.'</option>';
		$result = sql_query("SELECT * FROM banners_types WHERE  status='1' ORDER BY banner_type ASC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){
			$banner_type_id   = $row['banner_type_id'];
			$banner_type   = $row['banner_type'];
			if($banner_type_expected==$banner_type_id) { $selected = ' selected'; } else { $selected = ' '; }
			$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_users_details_banners_add&_position_id='.$_position_id.'&usertoaddbanner='.$usertoaddbanner.'&_campain_type_id='.$_campain_type_id.'&banner_type_id='.$banner_type_id.'&module_expected='.$module_expected.'" '.$selected.'> '.$banner_type.'</option>';
		}
		$content .= '</select>';
		return $content;

	}



	function dropdown_banners_positions($module_expected,$position_expected,$usertoaddbanner){
		global $dbi, $op;
		$content = '<select name="_position_id" onChange="MM_jumpMenu(\'parent\',this,0)">';
		$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_campain_banners_add&usertoaddbanner='.$usertoaddbanner.'" '.$selected.'> '.SELECT_ONE.'</option>';
		$result = sql_query("SELECT * FROM banners_positions_onsite  ORDER BY module ASC, title ASC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){
			$position_id   = $row['position_id'];
			$title   = $row['title'];
			$_module   = $row['module'];

			$module_active   = check_module_active($_module);
			//echo '$module_active: '.$module_active.'<br>';
			if($module_active=='1') {
				if(($position_expected==$position_id) AND
				($module_expected==$_module)
				) { $selected = ' selected'; } else { $selected = ' '; }
				$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_campain_banners_add&_position_id='.$position_id.'&usertoaddbanner='.$usertoaddbanner.'&module_expected='.$_module.'" '.$selected.'> '.$_module.' '.$title.'</option>';
			}

		}
		$content .= '</select>';
		return $content;

	}

	function dropdown_banners_positions_allmodules($module_expected,$position_expected,$usertoaddbanner){
		global $dbi, $op;
		$content = '<select name="_position_id" onChange="MM_jumpMenu(\'parent\',this,0)">';
		$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_campain_banners_add&usertoaddbanner='.$usertoaddbanner.'" '.$selected.'> '.SELECT_ONE.'</option>';
		$result = sql_query("SELECT * FROM banners_positions_onsite WHERE module='allmodules' ORDER BY module ASC, title ASC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){
			$position_id   = $row['position_id'];
			$title   = $row['title'];
			$_module   = $row['module'];

			if(($position_expected==$position_id) AND
			($module_expected==$_module)
			) { $selected = ' selected'; } else { $selected = ' '; }
			$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_campain_banners_add&_position_id='.$position_id.'&usertoaddbanner='.$usertoaddbanner.'&module_expected='.$_module.'" '.$selected.'>  '.$title.'</option>';

		}
		$content .= '</select>';
		return $content;

	}



	function dropdown_banners_users($module_expected,$_position_id, $usertoaddbanner){
		global $dbi, $op;
		$content = '<select name="user_id" onChange="MM_jumpMenu(\'parent\',this,0)">';
		$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_campain_banners_add&_position_id='.$_position_id.'" '.$selected.'> '.SELECT_ONE.'</option>';
		$result = sql_query("SELECT * FROM users WHERE user_status='1' AND user_id!='2'  ORDER BY user_lastname ASC, user_firstname ASC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){
			$_user_id   = $row['user_id'];
			$user_firstname   = $row['user_firstname'];
			$user_lastname   = $row['user_lastname'];

			if($usertoaddbanner==$_user_id) { $selected = ' selected'; } else { $selected = ' '; }
			if($_user_id!='2') {
				$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_campain_banners_add&_position_id='.$_position_id.'&usertoaddbanner='.$_user_id.'" '.$selected.'> '.$user_lastname.' '.$user_firstname.'</option>';
			}
		}
		$content .= '</select>';
		return $content;

	}
	function dropdown_banners_campain_type($module_expected,$campain_type_expected,$_position_id,$usertoaddbanner){
		global $dbi, $op;
		$content = '<select name="_campain_type_id" onChange="MM_jumpMenu(\'parent\',this,0)">';
		$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_campain_banners_add&usertoaddbanner='.$usertoaddbanner.'&_position_id='.$_position_id.'" > '.SELECT_ONE.'</option>';
		$result = sql_query("SELECT * FROM banners_campain_types   WHERE status='1' ORDER BY campain_type ASC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){
			$_campain_type_id   = $row['campain_type_id'];
			$campain_type   = $row['campain_type'];
			if($campain_type_expected==$_campain_type_id) { $selected = ' selected'; } else { $selected = ' '; }
			$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_campain_banners_add&_position_id='.$_position_id.'&usertoaddbanner='.$usertoaddbanner.'&_campain_type_id='.$_campain_type_id.'&module_expected='.$module_expected.'" '.$selected.'> '.$campain_type.'</option>';
		}
		$content .= '</select>';
		return $content;

	}

	function dropdown_banners_types($module_expected,$banner_type_expected,$_campain_type_id,$_position_id,$usertoaddbanner) {
		global $dbi, $op;
		$content = '<select name="banner_type_id" onChange="MM_jumpMenu(\'parent\',this,0)">';
		$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_campain_banners_add&usertoaddbanner='.$usertoaddbanner.'&_position_id='.$position_expected.'"&_campain_type_id='.$_campain_type_id.'" '.$selected.'> '.SELECT_ONE.'</option>';
		$result = sql_query("SELECT * FROM banners_types WHERE  status='1' ORDER BY banner_type ASC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){
			$banner_type_id   = $row['banner_type_id'];
			$banner_type   = $row['banner_type'];
			if($banner_type_expected==$banner_type_id) { $selected = ' selected'; } else { $selected = ' '; }
			$content .= '<option value="index.php?op='.$op.'&op2=admin&op3=admin_campain_banners_add&_position_id='.$_position_id.'&usertoaddbanner='.$usertoaddbanner.'&_campain_type_id='.$_campain_type_id.'&banner_type_id='.$banner_type_id.'&module_expected='.$module_expected.'" '.$selected.'> '.$banner_type.'</option>';
		}
		$content .= '</select>';
		return $content;

	}



	function dropdown_banners_positions_allmodules_my_banners_add($module_expected,$position_expected,$usertoaddbanner){
		global $dbi, $op;
		$content = '<select name="_position_id" onChange="MM_jumpMenu(\'parent\',this,0)">';
		$content .= '<option value="index.php?op='.$op.'&my_banners_add&usertoaddbanner='.$usertoaddbanner.'" '.$selected.'> '.SELECT_ONE.'</option>';
		$result = sql_query("SELECT * FROM banners_positions_onsite WHERE module='allmodules' ORDER BY module ASC, title ASC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){
			$position_id   = $row['position_id'];
			$title   = $row['title'];
			$_module   = $row['module'];

			if(($position_expected==$position_id) AND
			($module_expected==$_module)
			) { $selected = ' selected'; } else { $selected = ' '; }
			$content .= '<option value="index.php?op='.$op.'&op2=my_banners_add&_position_id='.$position_id.'&usertoaddbanner='.$usertoaddbanner.'&module_expected='.$_module.'" '.$selected.'>  '.$title.'</option>';

		}
		$content .= '</select>';
		return $content;

	}
	function dropdown_banners_campain_type_my_banners_add($module_expected,$campain_type_expected,$_position_id,$usertoaddbanner){
		global $dbi, $op;
		$content = '<select name="_campain_type_id" onChange="MM_jumpMenu(\'parent\',this,0)">';
		$content .= '<option value="index.php?op='.$op.'&op2=my_banners_add&usertoaddbanner='.$usertoaddbanner.'&_position_id='.$_position_id.'" > '.SELECT_ONE.'</option>';
		$result = sql_query("SELECT * FROM banners_campain_types  WHERE status='1' ORDER BY campain_type ASC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){
			$_campain_type_id   = $row['campain_type_id'];
			$campain_type   = $row['campain_type'];
			if($campain_type_expected==$_campain_type_id) { $selected = ' selected'; } else { $selected = ' '; }
			$content .= '<option value="index.php?op='.$op.'&op2=my_banners_add&_position_id='.$_position_id.'&usertoaddbanner='.$usertoaddbanner.'&_campain_type_id='.$_campain_type_id.'&module_expected='.$module_expected.'" '.$selected.'> '.$campain_type.'</option>';
		}
		$content .= '</select>';
		return $content;

	}
	function dropdown_banners_types_my_banners_add($module_expected,$banner_type_expected,$_campain_type_id,$_position_id,$usertoaddbanner) {
		global $dbi, $op;
		$content = '<select name="banner_type_id" onChange="MM_jumpMenu(\'parent\',this,0)">';
		$content .= '<option value="index.php?op='.$op.'&op2=my_banners_add&usertoaddbanner='.$usertoaddbanner.'&_position_id='.$position_expected.'"&_campain_type_id='.$_campain_type_id.'" '.$selected.'> '.SELECT_ONE.'</option>';
		$result = sql_query("SELECT * FROM banners_types WHERE status=1  ORDER BY banner_type ASC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){
			$banner_type_id   = $row['banner_type_id'];
			$banner_type   = $row['banner_type'];
			if($banner_type_expected==$banner_type_id) { $selected = ' selected'; } else { $selected = ' '; }
			$content .= '<option value="index.php?op='.$op.'&op2=my_banners_add&_position_id='.$_position_id.'&usertoaddbanner='.$usertoaddbanner.'&_campain_type_id='.$_campain_type_id.'&banner_type_id='.$banner_type_id.'&module_expected='.$module_expected.'" '.$selected.'> '.$banner_type.'</option>';
		}
		$content .= '</select>';
		return $content;

	}






	function dropdown_banners_positions_allmodules_admin_campain_edit($position_expected){
		global $dbi, $op;
		$content = '<select name="position_id">';
		$result = sql_query("SELECT * FROM banners_positions_onsite WHERE module='allmodules' ORDER BY module ASC, title ASC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){
			$_position_id   = $row['position_id'];
			$title   = $row['title'];
			$_module   = $row['module'];

			if($position_expected==$_position_id) { $selected = ' selected'; } else { $selected = ' '; }
			$content .= '<option value="'.$_position_id.'" '.$selected.'>  '.$title.'</option>';

		}
		$content .= '</select>';
		return $content;

	}
	function dropdown_banners_campain_type_admin_campain_edit($campain_type_expected){
		global $dbi, $op;
		$content = '<select name="campain_type_id">';
		$result = sql_query("SELECT * FROM banners_campain_types  WHERE status='1' ORDER BY campain_type ASC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){
			$_campain_type_id   = $row['campain_type_id'];
			$campain_type   = $row['campain_type'];
			if($campain_type_expected==$_campain_type_id) { $selected = ' selected'; } else { $selected = ' '; }
			$content .= '<option value="'.$_campain_type_id.'" '.$selected.'> '.$campain_type.'</option>';
		}
		$content .= '</select>';
		return $content;

	}
	function dropdown_banners_types_admin_campain_edit($banner_type_expected) {
		global $dbi, $op;
		$content = '<select name="banner_type_id" >';
		$result = sql_query("SELECT * FROM banners_types  WHERE status='1'  ORDER BY banner_type ASC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){
			$_banner_type_id   = $row['banner_type_id'];
			$banner_type   = $row['banner_type'];
			if($banner_type_expected==$_banner_type_id) { $selected = ' selected'; } else { $selected = ' '; }
			$content .= '<option value="'.$_banner_type_id.'" '.$selected.'> '.$banner_type.'</option>';
		}
		$content .= '</select>';
		return $content;

	}

	function dropdown_banners_sizes_admin_campain_edit($banner_size_id_expected){
		global $dbi, $op;
		$content = '<select name="banner_size_id">';
		$result = sql_query("SELECT * FROM banners_sizes ORDER BY banner_width ASC,banner_height ASC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){
			$_banner_size_id   = $row['banner_size_id'];
			$banner_width   = $row['banner_width'];
			$banner_height  = $row['banner_height'];
			if($banner_size_id_expected==$_banner_size_id) { $selected = ' selected'; } else { $selected = ' '; }
			$content .= '<option value="'.$_banner_size_id.'" '.$selected.'> '.$banner_width.' x '.$banner_height.'</option>';
		}
		$content .= '</select>';
		return $content;

	}








/*********************************************************************************************
* Function Name:  purge_banners_fp_cat_listing()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Resets and reorder the Frontpage Category Listing order
*********************************************************************************************/
function purge_banners_fp_cat_listing() {

	global $dbi;
	$result = sql_query("SELECT * FROM banners_fp_cat_lists ORDER BY fpc_order", $dbi);
	$i = 1;
	while($row = sql_fetch_array($result, $dbi)){
		$fpc_id    		= $row['fpc_id'];
		$fp_order[$fpc_id] = $i;
		$i++;
	}
	if(is_array($fp_order)){
		foreach($fp_order as $key => $val){
			sql_query("UPDATE banners_fp_cat_lists SET fpc_order='".$val."' WHERE fpc_id='".$key."'", $dbi);
		}
	}
}

/*********************************************************************************************
* Function Name:  purge_banners_blocks()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Resets and reorder the Blocks on Positions order
*********************************************************************************************/
function purge_banners_blocks() {
	global $dbi, $op;
	$result = sql_query("SELECT * FROM banners_positions ORDER BY position_id", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$position_id    		= $row['position_id'];
		$result2 = sql_query("SELECT * FROM banners_blocks WHERE position_id='".$position_id."' ORDER BY view_order", $dbi);
		$i = 1;
		while($row2 = sql_fetch_array($result2, $dbi)){
			$block_id    		= $row2['block_id'];
			sql_query("UPDATE banners_blocks SET view_order='".$i."' WHERE block_id='".$block_id."'", $dbi);
			$i++;
		}
	}
}

/*********************************************************************************************
* Function Name:  get_banners_config_value($config_key)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table banners_configure
* Returns the value of a given configuration, returns 0 if configuration does not exist,
*********************************************************************************************/
function get_banners_config_value($config_key) {
	global $dbi;
	if($result = sql_query("SELECT config_value FROM banners_configure WHERE config_key='".$config_key."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['config_value'];
	}
}

/*********************************************************************************************
* Function Name:  get_banners_blocks($position_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Includes all the block-*.php files on directory modules/banners/blocks/
* $position_id	= the id of the desired position
*********************************************************************************************/
function get_banners_blocks($position_id) {
	global $dbi;
	$result = sql_query("SELECT * FROM banners_blocks WHERE position_id='".$position_id."' AND block_status='1'  ORDER BY view_order ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$block_id   	= $row['block_id'];
		$module_name   	= $row['module_name'];
		$block_title   	= $row['block_title'];
		$block_status   = $row['block_status'];

		if (is_file('modules/banners/blocks/block-'.$block_title.'.php')) {
			include('modules/banners/blocks/block-'.$block_title.'.php');
		}
	}
}

/*********************************************************************************************
* User Rights functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  xomol_check_banners_user_rights_specific($user, $rights_title)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users, users_rights
* Returns field user_rights FROM TABLE users
* $user 	= to check own rights use $_SESSION['user_id'] or $userid;
*         	  to check others rights pass the desired user id as string..
* $task 	= desired field value in TABLE xomol_user_rights_tasks2users
*			  if no overrided user rights then check from  TABLE xomol_user_rights_tasks2groups
*********************************************************************************************/
function xomol_check_banners_user_rights_specific($user, $rights_title){
	global $dbi;
	$rights_id = checkSomethingFromTable($table='banners_user_rights', $what='rights_id', $key='title', $keyvalue=$rights_title, $langkey='', $langkeyvalue='', $sqlanswer='');
	$user_group = check_user_group($user);
	$is_overrided = checkSomethingFromTable($table='banners_user_rights2users', $what='user_id', $key='user_id', $keyvalue=$user, $langkey='', $langkeyvalue='', $sqlanswer='');
	if($is_overrided>='2') {
		$result2 = sql_query("SELECT * FROM banners_user_rights2users WHERE user_id='".$user."' AND user_rights_id='".$rights_id."'", $dbi);
		$row2 = sql_fetch_array($result2, $dbi);
		return $row2['value'];
	} else {
		$result3 = sql_query("SELECT * FROM banners_user_rights2groups WHERE group_id='".$user_group."' AND user_rights_id='".$rights_id."'", $dbi);
		$row3 = sql_fetch_array($result3, $dbi);
		return $row3['value'];
	}
}


/*********************************************************************************************
* Categories functions
*********************************************************************************************/




/*********************************************************************************************
* Navegation
*********************************************************************************************/


/*********************************************************************************************
* Other functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  stripos($str,$needle)
* Author(s):  Found from PHP.NET.
*
*********************************************************************************************/
if (!function_exists("stripos")) {
  function stripos($str,$needle) {
   return strpos(strtolower($str),strtolower($needle));
  }
}
################################################################################
#                      P H P - W E B - S T A T I S T I K                       #
################################################################################
# This file is part of php-web-statistik.                                      #
# Open-Source Statistik Software for Webmasters                                #
# Script-Version:     3.1.x                                                    #
# File-Release-Date:  06/08/08                                                 #
# Official web site and latest version:    http://www.php-web-statistik.de     #
#==============================================================================#
# Authors: Reimar Hoven, Holger Naves                                          #
# Copyright  2007 by PHP-Web-Statistik - All Rights Reserved.                 #
################################################################################

//------------------------------------------------------------------
function browser_detection ( $agent )
{
  $rbrowser[] = array('(firefox).(([0-9]{1,2}\.[0-9]{1,3})?(\.[0-9]{1,3})?)',       'Firefox');
  $rbrowser[] = array('(opera).([0-9]{1,2}\.[0-9]{1,3})',                           'Opera');

  // Is this test really necessary? I'v never seen it work..
  $rbrowser[] = array('(opera).([0-9]{1,2}\.[0-9x]{1,3})',                          'Opera23');
  $rbrowser[] = array('(netscape).{1,2}([0-9]{1,2}\.[0-9]{1,4}(\.[0-9]{1,3})?)',    'Netscape');

  // Never seen netscape6 in any User Agent
  //$rbrowser[] = array('(netscape6)[/]{1,2}([0-9]{1,2}\.[0-9]{1,4})',                'Netscape');

  $rbrowser[] = array('(OmniWeb).v([0-9]{1,3}(\.[0-9]{1,3})?)',                     'OmniWeb');
  $rbrowser[] = array('(safari).([0-9]{1,3}(\.[0-9]{1,3})?)',                       'Safari');

  /* Mozilla based browsers */
  $rbrowser[] = array('(seamonkey).([0-9]{1,3}(\.[0-9]{1,3})?)',                    'Mozilla SeaMonkey');
  $rbrowser[] = array('(galeon).([0-9]{1,3}(\.[0-9]{1,3})?(\.[0-9]{1,3})?)',        'Mozilla - Galeon');
  $rbrowser[] = array('(camino).([0-9]{1,3}(\.[0-9]{1,3})?(\.[0-9]{1,3})?)',        'Mozilla - Camino');
  $rbrowser[] = array('(epiphany).([0-9]{1,3}(\.[0-9]{1,3})?(\.[0-9]{1,3})?)',      'Mozilla - Epiphany');
  $rbrowser[] = array('(Shiira).([0-9]{1,3}(\.[0-9]{1,3})?(\.[0-9]{1,3})?)',        'Mozilla - Shiira');

  $rbrowser[] = array('(k-meleon).([0-9]{1,3}(\.[0-9]{1,3})?(\.[0-9]{1,3})?)',      'Mozilla - K-Meleon');
  $rbrowser[] = array('(Mnenhy).([0-9]{1,3}(\.[0-9]{1,3})?(\.[0-9]{1,3})?)',        'Mozilla - Mnenhy');
  $rbrowser[] = array('(MultiZilla).([0-9]{1,3}(\.[0-9]{1,3})?(\.[0-9]{1,3})?)',    'Mozilla - MultiZilla');

  $rbrowser[] = array('(mozilla).+rv:([0-9]{1,3}(\.[0-9]{1,3})?(\.[0-9]{1,3})?)',   'Mozilla');

  /* IE based browsers */
  $rbrowser[] = array('(msie).([0-9]{1,2}\.[0-9]{1,2}).+(crazy browser)',           'IE','- Crazy browser');
  $rbrowser[] = array('(msie).([0-9]{1,2}\.[0-9]{1,2}).+slimBrowser',               'IE','- SlimBrowser');
  $rbrowser[] = array('(msie).([0-9]{1,2}\.[0-9]{1,2}).+(deepnet explorer)',        'IE','- Deepnet Explorer');
  $rbrowser[] = array('(msie).([0-9]{1,2}\.[0-9]{1,2}).+netcaptor',                 'IE','- Netcaptor');
  $rbrowser[] = array('(msie).([0-9]{1,2}\.[0-9]{1,2}).+(maxthon|myie2)',           'IE','- Maxthon');


  $rbrowser[] = array('(java)([0-9]{1,2}\.[0-9]{1,2}\.[0-9]{1,2})',                 'Java');
  $rbrowser[] = array('(NetPositive)/([0-9]{1,2}\.[0-9]{0,3})',                     'NetPositive');
  $rbrowser[] = array('(FrontPage)([0-9]{1,2}\.[0-9]{1,2})',                        'MS FrontPage');
  $rbrowser[] = array('(PHP)/([0-9]{1,2}\.[0-9]{1,2})',                             'PHP');
  $rbrowser[] = array('(WebWasher)([0-9]{1,2}\.[0-9]{1,2})',                        'WebWasher');

  $rbrowser[] = array('(konqueror).([0-9]{1,2}(\.[0-9])?)',                         'Konqueror');
  $rbrowser[] = array('lynx',                                                       'Lynx');
  $rbrowser[] = array('mosaic',                                                     'Mosaic');

  $rbrowser[] = array('(msie) ([0-9]{1,2}\.[0-9]{1,2})',                            'Internet Explorer');

  $rbrowser[] = array('(links).*([0-9]{1,2}\.[0-9]{1,2})',                          'Links');
  $rbrowser[] = array('(OffByOne)',                                                 'OffByOne');
  $rbrowser[] = array('(ELinks)',                                                   'ELinks');

  $rbrowser[] = array('(teleport pro)/([0-9\.]{1,9})',                              'Teleport Pro');
  $rbrowser[] = array('(Amiga-AWeb)/([0-9 ]{1}\.[0-9]{1,2}\.[0-9]{1,4})',           'Amiga-AWeb');
  $rbrowser[] = array('(amigavoyager)/([0-9]{1}\.[0-9]{1,2}\.[0-9]{1,4})',          'AmigaVoyager');
  $rbrowser[] = array('AvantGo)([0-9]{1}\.[0-9]{1,2})',                             'AvantGo');
  $rbrowser[] = array('(AvantGo)([0-9]{1}\.[0-9]{1,2})',                            'BrowserEmulator');
  $rbrowser[] = array('(cosmos)/([0-9]{1,2}\.[0-9]{1,3})',                          'Cosmos');
  $rbrowser[] = array('(da)([0-9]{1,2}\.[0-9]{1,3})',                               'Download Accelerator');
  $rbrowser[] = array('flashget',                                                   'FlashGet');
  $rbrowser[] = array('(GetRight)/([0-9]{1,2}\.[0-9b]{1,3})',                       'GetRight');
  $rbrowser[] = array('(gigabaz)/([0-9]{1,2}\.[0-9]{1,3})',                         'GigaBaz');
  $rbrowser[] = array('(go!zilla)([0-9]{1,2}\.[0-9b]{1,3})',                        'Go!zilla');
  $rbrowser[] = array('(gozilla)([0-9]{1,2}\.[0-9b]{1,3})',                         'Go!zilla');
  $rbrowser[] = array('(ibrowse)/([0-9]{1,2}\.[0-9]{1,3})',                         'IBrowser');
  $rbrowser[] = array('(ICS) ([0-9]{1,2}\.[0-9]{1,3}\.[0-9]{1,3})',                 'ICS');
  $rbrowser[] = array('(lwp-trivial)/([0-9]{1,2}\.[0-9]{1,3})',                     'lpw-trivial');
  $rbrowser[] = array('(Lotus-Notes)/([0-9]{1,2}\.[0-9]{1,3})',                     'Lotus-Notes');
  $rbrowser[] = array('(msproxy)/([0-9]{1,2}\.[0-9]{0,3})',                         'MSProxy');
  $rbrowser[] = array('(NetAnts)/([0-9]{1,2}\.[0-9]{0,3})',                         'NetAnts');
  $rbrowser[] = array('(offline explorer)/([0-9]{1,2}\.[0-9]{0,3})',                'Offline Explorer');
  $rbrowser[] = array('(Penetrator)([0-9]{1,2}\.[0-9]{0,3})',                       'Penetrator');
  $rbrowser[] = array('(planetweb)/([0-9]{1,2}\.[0-9ab]{0,4})',                     'Planetweb');
  $rbrowser[] = array('(PowerNet)/([0-9]{1,2}\.[0-9]{0,4})',                        'PowerNet');
  $rbrowser[] = array('(Rotondo)/([0-9]{1,2}\.[0-9]{0,3})',                         'Rotondo');
  $rbrowser[] = array('(UP\.Browser)/([0-9]{1,2}\.[0-9]{0,3})',                     'UP.Browser');
  $rbrowser[] = array('w3m',                                                        'W3M');
  $rbrowser[] = array('(WebCapture)([0-9]{1,2}\.[0-9]{0,3})',                       'WebCapture');
  $rbrowser[] = array('(WebCopier v)([0-9]{1,2}\.[0-9]{0,3})',                      'WebCopier');
  $rbrowser[] = array('(webcollage)/([0-9]{1,2}\.[0-9]{0,3})',                      'Webcollage');
  $rbrowser[] = array('(WebScrape)/([0-9]{1,2}\.[0-9]{0,3})',                       'WebScrape');
  $rbrowser[] = array('(web downloader)(/[0-9]{1,2}\.[0-9]{0,1})',                  'Web Downloader');
  $rbrowser[] = array('(mas downloader)(/[0-9]{1,2}\.[0-9]{0,1})',                  'Web Downloader');
  $rbrowser[] = array('(webstripper)/([0-9]{1,2}\.[0-9]{0,3})',                     'WebStripper');
  $rbrowser[] = array('(WebZIP)/([0-9]{1,2}\.[0-9]{0,3})',                          'WebZIP');
  $rbrowser[] = array('webtv',                                                      'WebTv');
  $rbrowser[] = array('(Wget)/([0-9]{1,2}\.[0-9]{0,3})',                            'WGet');
  $rbrowser[] = array('(Dillo).([0-9]{1,3}(\.[0-9]{1,3})?(\.[0-9]{1,3})?)',         'Dillo');

  $rbrowser[] = array('msnbot',                          'Robots/Spider');
  $rbrowser[] = array('baiduspider',                     'Robots/Spider');
  $rbrowser[] = array('job crawler',                     'Robots/Spider');
  $rbrowser[] = array('analyzer',                        'Robots/Spider');
  $rbrowser[] = array('arachnofilia',                    'Robots/Spider');
  $rbrowser[] = array('aspseek',                         'Robots/Spider');
  $rbrowser[] = array('bot',                             'Robots/Spider');
  $rbrowser[] = array('check',                           'Robots/Spider');
  $rbrowser[] = array('crawl',                           'Robots/Spider');
  $rbrowser[] = array('google',                          'Robots/Spider');
  $rbrowser[] = array('infoseek',                        'Robots/Spider');
  $rbrowser[] = array('inktomi',                         'Robots/Spider');
  $rbrowser[] = array('netoskop',                        'Robots/Spider');
  $rbrowser[] = array('NetSprint',                       'Robots/Spider');
  $rbrowser[] = array('openfind',                        'Robots/Spider');
  $rbrowser[] = array('roamer',                          'Robots/Spider');
  $rbrowser[] = array('robot',                           'Robots/Spider');
  $rbrowser[] = array('rover',                           'Robots/Spider');
  $rbrowser[] = array('scooter',                         'Robots/Spider');
  $rbrowser[] = array('search',                          'Robots/Spider');
  $rbrowser[] = array('siphon',                          'Robots/Spider');
  $rbrowser[] = array('slurp',                           'Robots/Spider');
  $rbrowser[] = array('spider',                          'Robots/Spider');
  $rbrowser[] = array('sweep',                           'Robots/Spider');
  $rbrowser[] = array('walker',                          'Robots/Spider');
  $rbrowser[] = array('WebStripper',                     'Robots/Spider');
  $rbrowser[] = array('wisenutbot',                      'Robots/Spider');
  $rbrowser[] = array('gulliver',                        'Robots/Spider');
  $rbrowser[] = array('validator',                       'Robots/Spider');
  $rbrowser[] = array('yandex',                          'Robots/Spider');
  $rbrowser[] = array('ask jeeves',                      'Robots/Spider');
  $rbrowser[] = array('moget@',                          'Robots/Spider');
  $rbrowser[] = array('teomaagent',                      'Robots/Spider');
  $rbrowser[] = array('infoNavirobot',                   'Robots/Spider');
  $rbrowser[] = array('PPhpDig',                         'Robots/Spider');
  $rbrowser[] = array('gigabaz',                         'Robots/Spider');
  $rbrowser[] = array('Webclipping\.com',                'Robots/Spider');
  $rbrowser[] = array('RRC',                             'Robots/Spider');
  $rbrowser[] = array('netmechanic',                     'Robots/Spider');

  /* I think all the valid User Agents actually from a Mozilla browser is caught already */
  //$rbrowser[] = array('(mozilla)/([1-46-9]\.?([0-9]{1,2})?)',                       'Mozilla');

  $file    = count($rbrowser);
  $browser = '';

  for( $n=0 ; $n<$file ; $n++ )
    {
      if ( eregi ( $rbrowser [$n][0] , $agent , $name ) )
	{
	  // If IE based browser e.g. Maxthon, the IE version will be written before the Maxthon.
	  if (@$rbrowser[$n][2]) {
	    $browser = @$rbrowser[$n][1].' '.@$name[2].' '.@$rbrowser[$n][2];
	  }
	  else {
	    $browser = @$rbrowser[$n][1].' '.@$name[2];
	  }
	  break;
	}
   }
  return trim($browser);
}
//------------------------------------------------------------------
################################################################################
#                      P H P - W E B - S T A T I S T I K                       #
################################################################################
# This file is part of php-web-statistik.                                      #
# Open-Source Statistik Software for Webmasters                                #
# Script-Version:     3.1.x                                                    #
# File-Release-Date:  06/08/08                                                 #
# Official web site and latest version:    http://www.php-web-statistik.de     #
#==============================================================================#
# Authors: Reimar Hoven, Holger Naves                                          #
# Copyright  2007 by PHP-Web-Statistik - All Rights Reserved.                 #
################################################################################

//------------------------------------------------------------------
function operating_system_detection ( $agent )
 {
   $ros[] = array('Windows XP',                                                 'Windows XP');
   $ros[] = array('Windows NT 5.1|Windows NT5.1)',                              'Windows XP');

   $ros[] = array('Windows 2000',                                               'Windows 2000');
   $ros[] = array('Windows NT 5.0',                                             'Windows 2000');
   $ros[] = array('Windows NT 4.0|WinNT4.0',                                    'Windows NT');

   $ros[] = array('Windows NT 5.2',                                             'Windows Server 2003');
   $ros[] = array('Windows NT 6.0',                                             'Windows Vista');

   $ros[] = array('Windows CE',                                                 'Windows CE');
   $ros[] = array('(media center pc).([0-9]{1,2}\.[0-9]{1,2})',                 'Windows Media Center');

   $ros[] = array('(win)([0-9]{1,2}\.[0-9x]{1,2})',                             'Windows');
   $ros[] = array('(win)([0-9]{2})',                                            'Windows');
   $ros[] = array('(windows)([0-9x]{2})',                                       'Windows');

   // Doesn't seem like these are necessary...not totally sure though..
   //$ros[] = array('(winnt)([0-9]{1,2}\.[0-9]{1,2}){0,1}',                       'Windows NT');
   //$ros[] = array('(windows nt)(([0-9]{1,2}\.[0-9]{1,2}){0,1})',                'Windows NT'); // fix by bg

   $ros[] = array('Windows ME',                                                 'Windows ME');
   $ros[] = array('Win 9x 4.90',                                                'Windows ME');
   $ros[] = array('Windows 98|Win98',                                           'Windows 98');
   $ros[] = array('Windows 95',                                                 'Windows 95');
   $ros[] = array('(windows)([0-9]{1,2}\.[0-9]{1,2})',                          'Windows');
   $ros[] = array('win32',                                                      'Windows');

   $ros[] = array('(java)([0-9]{1,2}\.[0-9]{1,2}\.[0-9]{1,2})',                 'Java');
   $ros[] = array('(Solaris)([0-9]{1,2}\.[0-9x]{1,2}){0,1}',                    'Solaris');
   $ros[] = array('dos x86',                                                    'DOS');
   $ros[] = array('unix',                                                       'Unix');

   $ros[] = array('Mac OS X',                                                   'Mac OS X');
   $ros[] = array('Mac_PowerPC',                                                'Macintosh PowerPC');
   $ros[] = array('(mac|Macintosh)',                                            'Mac OS');

   $ros[] = array('(sunos)([0-9]{1,2}\.[0-9]{1,2}){0,1}',                       'SunOS');
   $ros[] = array('(beos)([0-9]{1,2}\.[0-9]{1,2}){0,1}',                        'BeOS');
   $ros[] = array('(risc os)([0-9]{1,2}\.[0-9]{1,2})',                          'RISC OS');
   $ros[] = array('os/2',                                                       'OS/2');
   $ros[] = array('freebsd',                                                    'FreeBSD');
   $ros[] = array('openbsd',                                                    'OpenBSD');
   $ros[] = array('netbsd',                                                     'NetBSD');
   $ros[] = array('irix',                                                       'IRIX');
   $ros[] = array('plan9',                                                      'Plan9');
   $ros[] = array('osf',                                                        'OSF');
   $ros[] = array('aix',                                                        'AIX');
   $ros[] = array('GNU Hurd',                                                   'GNU Hurd');

   $ros[] = array('(fedora)',                                                   'Linux - Fedora');
   $ros[] = array('(kubuntu)',                                                  'Linux - Kubuntu');
   $ros[] = array('(ubuntu)',                                                   'Linux - Ubuntu');
   $ros[] = array('(debian)',                                                   'Linux - Debian');
   $ros[] = array('(CentOS)',                                                   'Linux - CentOS');
   $ros[] = array('(Mandriva).([0-9]{1,3}(\.[0-9]{1,3})?(\.[0-9]{1,3})?)',      'Linux - Mandriva');
   $ros[] = array('(SUSE).([0-9]{1,3}(\.[0-9]{1,3})?(\.[0-9]{1,3})?)',          'Linux - SUSE');
   $ros[] = array('(Dropline)',                                                 'Linux - Slackware (Dropline GNOME)');
   $ros[] = array('(ASPLinux)',                                                 'Linux - ASPLinux');
   $ros[] = array('(Red Hat)',                                                  'Linux - Red Hat');

   // Loads of Linux machines will be detected as unix.
   // Actually, all of the linux machines I've checked have the 'X11' in the User Agent.
   //$ros[] = array('X11',                                                        'Unix');
   $ros[] = array('(linux)',                                                    'Linux');

   $ros[] = array('(amigaos)([0-9]{1,2}\.[0-9]{1,2})',                          'AmigaOS');
   $ros[] = array('amiga-aweb',                                                 'AmigaOS');
   $ros[] = array('amiga',                                                      'Amiga');
   $ros[] = array('AvantGo',                                                    'PalmOS');

   //$ros[] = array('(Linux)([0-9]{1,2}\.[0-9]{1,2}\.[0-9]{1,3}(rel\.[0-9]{1,2}){0,1}-([0-9]{1,2}) i([0-9]{1})86){1}', 'Linux');
   //$ros[] = array('(Linux)([0-9]{1,2}\.[0-9]{1,2}\.[0-9]{1,3}(rel\.[0-9]{1,2}){0,1} i([0-9]{1}86)){1}',                                                                                                  'Linux');
   //$ros[] = array('(Linux)([0-9]{1,2}\.[0-9]{1,2}\.[0-9]{1,3}(rel\.[0-9]{1,2}){0,1})',                                                                                                                   'Linux');
   $ros[] = array('[0-9]{1,2}\.[0-9]{1,2}\.[0-9]{1,3})',                        'Linux');

   $ros[] = array('(webtv)/([0-9]{1,2}\.[0-9]{1,2})',                           'WebTV');
   $ros[] = array('Dreamcast',                                                  'Dreamcast OS');
   $ros[] = array('GetRight',                                                   'Windows');
   $ros[] = array('go!zilla',                                                   'Windows');
   $ros[] = array('gozilla',                                                    'Windows');
   $ros[] = array('gulliver',                                                   'Windows');
   $ros[] = array('ia archiver',                                                'Windows');
   $ros[] = array('NetPositive',                                                'Windows');
   $ros[] = array('mass downloader',                                            'Windows');
   $ros[] = array('microsoft',                                                  'Windows');
   $ros[] = array('offline explorer',                                           'Windows');
   $ros[] = array('teleport',                                                   'Windows');
   $ros[] = array('web downloader',                                             'Windows');
   $ros[] = array('webcapture',                                                 'Windows');
   $ros[] = array('webcollage',                                                 'Windows');
   $ros[] = array('webcopier',                                                  'Windows');
   $ros[] = array('webstripper',                                                'Windows');
   $ros[] = array('webzip',                                                     'Windows');
   $ros[] = array('wget',                                                       'Windows');
   $ros[] = array('Java',                                                       'Unknown');
   $ros[] = array('flashget',                                                   'Windows');

   // delete next line if the script show not the right OS
   //$ros[] = array('(PHP)/([0-9]{1,2}.[0-9]{1,2})',                              'PHP');

   $ros[] = array('MS FrontPage',                                               'Windows');
   $ros[] = array('(msproxy)/([0-9]{1,2}.[0-9]{1,2})',                          'Windows');
   $ros[] = array('(msie)([0-9]{1,2}.[0-9]{1,2})',                              'Windows');
   $ros[] = array('libwww-perl',                                                'Unix');
   $ros[] = array('UP.Browser',                                                 'Windows CE');
   $ros[] = array('NetAnts',                                                    'Windows');

  $file = count ( $ros );
  $os   = '';

      for ( $n=0 ; $n<$file ; $n++ )
       {
        if ( eregi ( $ros[$n][0] , $agent, $name ) )
         {
          $os = @$ros[$n][1].' '.@$name[2];
          break;
         }
       }

  return trim ( $os );
}
//------------------------------------------------------------------

?>