<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename: admin_admin_menu.php
* Location: /modules/contactus/admin_admin_menu.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
include_once('modules/contactus/functions.php');
if (file_exists('modules/contactus/languages/lang-'.$currentlang.'.php')) {
	include_once('modules/contactus/languages/lang-'.$currentlang.'.php');
} else {
	// echo  '<FONT color"fff000" size=3>Language File;: '.$currentlang.' not defined in this module</FONT><br>';
}
global $userid, $op, $cat_parent_id, $focus;
if ( xomol_check_contactus_user_rights_specific($userid, 'ASYSTEM_ACCESS') == '1')  {
	$main_content .= '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
	$main_content .= '<tr class="AdminFormRsTitle">';
	$main_content .= '<td class="AdminFormRsTitle" align="left" colspan="2">';
	$module_name = checkSomethingFromTable($table='modules_desc', $what='module_custom_name', $key='title', $keyvalue=$op, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$main_content .= '<a href="index.php?op='.$op.'&op2=admin" class="textTitle"">Admin: '.$module_name.'</a>';
	$main_content .= '</td>';
	$main_content .= '</tr>';
	if ( xomol_check_contactus_user_rights_specific($userid, 'A_CONFIGURE_ACCESS') == '1')  {
		$main_content .= '<tr class="AdminFormRsTitle">';
		$main_content .= '<td class="AdminFormRsTitle" align="left" nowrap colspan="2">';
		$main_content .= CONFIGURE;
		$main_content .= '</td>';
		$main_content .= '</tr>';

		$main_content .= '<tr class="AdminFormRsTitle">';
		$main_content .= '<td class="AdminFormRsData" width="10" align="left" nowrap> </td>';
		$main_content .= '<td class="AdminFormRsData" align="left" nowrap>';
		if (xomol_check_contactus_user_rights_specific($userid, 'A_CONFIGURE_EDIT') == '1') {
			$main_content .= '<a href="index.php?op=contactus&op2=admin&op3=admin_config_view" class="AdminFormRsData">'.CONFIGURE.'</a><br>';
		}
		if (xomol_check_contactus_user_rights_specific($userid, 'A_METAS_ACCESS') == '1') {
			$main_content .= '<a href="index.php?op=contactus&op2=admin&op3=admin_metatags" class="AdminFormRsData">'.CONFIGURE_METAS.'</a><br>';
		}
		if (xomol_check_contactus_user_rights_specific($userid, 'A_POSITIONS_ACCESS') == '1') {
			$main_content .= '<a href="index.php?op=contactus&op2=admin&op3=admin_positions" class="AdminFormRsData">'.POSITIONS.'</a><br>';
		}
		$main_content .= '</td>';
		$main_content .= '</tr>';
	}

	if ( xomol_check_contactus_user_rights_specific($userid, 'A_USER_RIGHTS_ACCESS') == '1')  {
		$main_content .= '<tr class="AdminFormRsTitle">';
		$main_content .= '<td class="AdminFormRsTitle" align="left" nowrap colspan="2">';
		$main_content .= USER_RIGHTS;
		$main_content .= '</td>';
		$main_content .= '</tr>';

		$main_content .= '<tr class="AdminFormRsTitle">';
		$main_content .= '<td class="AdminFormRsData" width="10" align="left" nowrap> </td>';
		$main_content .= '<td class="AdminFormRsData" align="left" nowrap>';
		if(xomol_check_contactus_user_rights_specific($userid, 'A_USER_DETAILS_ACCESS') == '1')  {
			$main_content .= '<a href="index.php?op=contactus&op2=admin&op3=xomol_users_view" class="AdminFormRsData">'.XOMOL_USERS.'</a><br>';
		}
		if(xomol_check_contactus_user_rights_specific($userid, 'A_USER_RIGHTS_TASK_VIEW') == '1') {
			$main_content .= '<a href="index.php?op=contactus&op2=admin&op3=user_rights" class="AdminFormRsData">'.XOMOL_USER_RIGHTS.'</a><br>';
		}
		if(xomol_check_contactus_user_rights_specific($userid, 'A_USER_RIGHTS_TASK2GROUP') == '1')  {
			$main_content .= '<a href="index.php?op=contactus&op2=admin&op3=user_rights2groups" class="AdminFormRsData">'.XOMOL_USER_RIGHTS_TASKS2GROUPS.'</a><br>';
		}
		$main_content .= '</td>';
		$main_content .= '</tr>';
	}

	$main_content .= '<tr class="AdminFormRsTitle">';
	$main_content .= '<td class="AdminFormRsTitle" align="left" nowrap colspan="2">';
	$main_content .= MY_CONTACTS;
	$main_content .= '</td>';
	$main_content .= '</tr>';

	$main_content .= '<tr class="AdminFormRsTitle">';
	$main_content .= '<td class="AdminFormRsData" width="10" align="left" nowrap> </td>';
	$main_content .= '<td class="AdminFormRsData" align="left" nowrap>';
	if( xomol_check_contactus_user_rights_specific($userid, 'DEPARTMENTS_ACCESS') == '1') {
		$main_content .= '<a href="index.php?op=contactus&op2=admin&op3=admin_departments_view" class="AdminFormRsData">'.MY_DEPARTMENTS_VIEW.'</a><br>';
	}
	if( xomol_check_contactus_user_rights_specific($userid, 'DEPARTMENTS_ADD') == '1') {
		$main_content .= '<a href="index.php?op=contactus&op2=admin&op3=admin_departments_add" class="AdminFormRsData">'.MY_DEPARTMENTS_ADD.'</a><br>';
	}

	$main_content .= '<tr class="AdminFormRsTitle">';
	$main_content .= '<td class="AdminFormRsData" width="10" align="left" nowrap> </td>';
	$main_content .= '<td class="AdminFormRsData" align="left" nowrap>';
	if( xomol_check_contactus_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1') {
		$main_content .= '<a href="index.php?op=contactus&op2=admin&op3=admin_contactus_content_cat_view" class="AdminFormRsData">'.SPECIAL_CONTACTUS_CONTENT.'</a><br>';
		$main_content .= '<a href="index.php?op=contactus&op2=admin&op3=admin_contactus_content_frontpages" class="AdminFormRsData">'.FRONTPAGES_CONTENT.'</a><br>';
	}
	if (xomol_check_contactus_user_rights_specific($userid, 'CONTACTUS_LAYOUT_ACCESS') == '1') {
		$main_content .= '<a href="index.php?op=contactus&op2=admin&op3=admin_contactus_frontpages" class="AdminFormRsData">'.FRONTPAGES_SHOP.'</a><br>';
		$main_content .= '<a href="index.php?op=contactus&op2=admin&op3=admin_fp_cat_listing" class="AdminFormRsData">'.FP_CAT_LISTS.'</a><br>';
	}
	$main_content .= '</td>';
	$main_content .= '</tr>';

	$main_content .= '</table>';
} else { echo NO_USER_RIGHTS; }
?>