<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename:  admin_menu.php
* Location: /modules/directory/admin_menu.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
global $currentlang;
if (file_exists('modules/directory/languages/lang-'.$currentlang.'.php')) {
	include_once('modules/directory/languages/lang-'.$currentlang.'.php');
} else {
	echo  '<FONT color"fff000" size=3>Language File;: '.$currentlang.' not defined in this module</FONT><br>';
}
global $userid, $op, $currentlang, $cat_parent_id, $focus;
if ( xomol_check_directory_user_rights_specific($userid, 'ASYSTEM_ACCESS') == '1')  {
	$content = '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
	$content .= '<tr class="AdminFormRsTitle">';
	$content .= '<td class="AdminFormRsTitle" align="left" colspan="2">';
	$module_name = checkSomethingFromTable($table='modules_desc', $what='title', $key='title', $keyvalue=$op, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$content .= '<a href="index.php?op=directory&op2=admin" class="textTitle"">Admin: '.$module_name.'</a>';
	$content .= '</td>';
	$content .= '</tr>';
	if($op=='directory'){
		if ( xomol_check_directory_user_rights_specific($userid, 'A_CONFIGURE_ACCESS') == '1')  {
			$content .= '<tr class="AdminFormRsTitle">';
			$content .= '<td class="AdminFormRsTitle" align="left" colspan="2">';
			$content .= CONFIGURE;
			$content .= '</td>';
			$content .= '</tr>';

			$content .= '<tr class="AdminFormRsTitle">';
			$content .= '<td class="AdminFormRsData" width="10" align="left"> </td>';
			$content .= '<td class="AdminFormRsData" align="left">';
			if (xomol_check_directory_user_rights_specific($userid, 'A_CONFIGURE_EDIT') == '1') {
				$content .= '<a href="index.php?op=directory&op2=admin&op3=admin_config_view" class="AdminFormRsData">'.CONFIGURE.'</a><br>';
			}
			if (xomol_check_directory_user_rights_specific($userid, 'A_METAS_ACCESS') == '1') {
				$content .= '<a href="index.php?op=directory&op2=admin&op3=admin_metatags" class="AdminFormRsData">'.CONFIGURE_METAS.'</a><br>';
			}
			if (xomol_check_directory_user_rights_specific($userid, 'A_POSITIONS_ACCESS') == '1') {
				$content .= '<a href="index.php?op=directory&op2=admin&op3=admin_positions" class="AdminFormRsData">'.POSITIONS.'</a><br>';
			}
			$content .= '</td>';
			$content .= '</tr>';
		}

		if ( xomol_check_directory_user_rights_specific($userid, 'A_USER_RIGHTS_ACCESS') == '1')  {
			$content .= '<tr class="AdminFormRsTitle">';
			$content .= '<td class="AdminFormRsTitle" align="left" colspan="2">';
			$content .= USER_RIGHTS;
			$content .= '</td>';
			$content .= '</tr>';

			$content .= '<tr class="AdminFormRsTitle">';
			$content .= '<td class="AdminFormRsData" width="10" align="left"> </td>';
			$content .= '<td class="AdminFormRsData" align="left">';
			if(xomol_check_directory_user_rights_specific($userid, 'A_USER_DETAILS_ACCESS') == '1')  {
				$content .= '<a href="index.php?op=directory&op2=admin&op3=xomol_users_view" class="AdminFormRsData">'.XOMOL_USERS.'</a><br>';
			}
			if(xomol_check_directory_user_rights_specific($userid, 'A_USER_RIGHTS_TASK_VIEW') == '1') {
				$content .= '<a href="index.php?op=directory&op2=admin&op3=user_rights" class="AdminFormRsData">'.XOMOL_USER_RIGHTS.'</a><br>';
			}
			if(xomol_check_directory_user_rights_specific($userid, 'A_USER_RIGHTS_TASK2GROUP') == '1')  {
				$content .= '<a href="index.php?op=directory&op2=admin&op3=user_rights2groups" class="AdminFormRsData">'.XOMOL_USER_RIGHTS_TASKS2GROUPS.'</a><br>';
			}
			$content .= '</td>';
			$content .= '</tr>';
		}

		if ( xomol_check_directory_user_rights_specific($userid, 'CONTENT_ADMIN_ACCESS') == '1')  {
			$content .= '<tr class="AdminFormRsTitle">';
			$content .= '<td class="AdminFormRsTitle" align="left" colspan="2">';
			$content .= MANAGE_DIRECTORY;
			$content .= '</td>';
			$content .= '</tr>';

			$content .= '<tr class="AdminFormRsTitle">';
			$content .= '<td class="AdminFormRsData" width="10" align="left"> </td>';
			$content .= '<td class="AdminFormRsData" align="left">';
			if ( xomol_check_directory_user_rights_specific($userid, 'ASYSTEM_ACCESS') == '1') {
				$content .= '<a href="index.php?op=directory&op2=admin&op3=admin_cat_view" class="AdminFormRsData">'.CATEGORIES_ARTICLES.'</a><br>';
			}
			if ( ( xomol_check_directory_user_rights_specific($userid, 'CONTENT_CAT_ADD_OTHERS') == '1')
			OR   ( xomol_check_directory_user_rights_specific($userid, 'CONTENT_CAT_ADD_OTHERS_LOW') == '1')
			OR   ( xomol_check_directory_user_rights_specific($userid, 'CONTENT_CAT_ADD_OTHERS_SAME') == '1')
			OR   ( xomol_check_directory_user_rights_specific($userid, 'CONTENT_CAT_ADD_OWN') == '1') ) {
			$content .= '- <a href="index.php?op=directory&op2=admin&op3=admin_cat_add&cat_parent_id='.$cat_parent_id.'&cat='.$cat_parent_id.'" class="AdminFormRsData">'.CONT_CAT_ADD.'</a><br>';
			}
			if ( ( xomol_check_directory_user_rights_specific($userid, 'CONTENT_ART_ADD_OTHERS') == '1')
			OR   ( xomol_check_directory_user_rights_specific($userid, 'CONTENT_ART_ADD_OTHERS_LOW') == '1')
			OR   ( xomol_check_directory_user_rights_specific($userid, 'CONTENT_ART_ADD_OTHERS_SAME') == '1')
			OR   ( xomol_check_directory_user_rights_specific($userid, 'CONTENT_ART_ADD_OWN') == '1')
			OR   ( xomol_check_directory_user_rights_specific($userid, 'CONTENT_ART_ADD_TARG_GROUP') == '1')
			OR   ( xomol_check_directory_user_rights_specific($userid, 'CONTENT_ART_ADD_TARG_USER') == '1') ) {
				$content .= '- <a href="index.php?op=directory&op2=admin&op3=admin_art_add&cat_parent_id='.$focus.'&cat='.$cat_parent_id.'" class="AdminFormRsData">'.CONT_ART_ADD.'</a><br>';
				$content .= '- <a href="index.php?op=directory&op2=admin&op3=admin_art_add2user&cat_parent_id='.$cat_parent_id.'&cat='.$cat_parent_id.'" class="AdminFormRsData">'.ADDARTICLE2USER.'</a><br>';
			}

			$content .= '</td>';
			$content .= '</tr>';

		}
		if ( xomol_check_directory_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1')  {
			$content .= '<tr class="AdminFormRsTitle">';
			$content .= '<td class="AdminFormRsTitle" align="left" colspan="2">';
			$content .= CONTENT_LAYOUT;
			$content .= '</td>';
			$content .= '</tr>';

			$content .= '<tr class="AdminFormRsTitle">';
			$content .= '<td class="AdminFormRsData" width="10" align="left"> </td>';
			$content .= '<td class="AdminFormRsData" align="left">';
			if( xomol_check_directory_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1') {
				$content .= '<a href="index.php?op=directory&op2=admin&op3=admin_frontpages" class="AdminFormRsData">'.FRONTPAGES.'</a><br>';
			}
			if( xomol_check_directory_user_rights_specific($userid, 'CONTENT_LAYOUT_ACCESS') == '1') {
				$content .= '<a href="index.php?op=directory&op2=admin&op3=admin_fp_cat_listing" class="AdminFormRsData">'.FP_CAT_LISTS.'</a><br>';
			}
			$content .= '</td>';
			$content .= '</tr>';
		}
	}
	$content .= '</table>';
	echo $content;
} else { echo NO_USER_RIGHTS; }
?>