<?php
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename: lang-german.php
* Location: /modules/directory/languages/lang-german.php
*
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*
*
* GERMAN FILE
*
* This is the language module with all the system messages
*
* If you made a translation, please go to the site and send to me
* the translated file. Please keep the original text order by modules,
* and just one message per line, also double check your translation!
*
* You need to change the second quoted phrase, not the capital one!
*
* If you need to use double quotes (") remember to add a backslash (\),
* so your entry will look like: This is \"double quoted\" text.
* And, if you use HTML code, please double check it.
*
*********************************************************************************************/

define("ADD_CATEGORY", "Neue Kategorie");
define("ADD_DIRECTORIES", "Verzeichniskategorien einfgen");
define("ADD_FRONTPAGE", "Neue Startseite");
define("ADD_USER_DATA", "Daten einfgen");
define("ALL_LANG_ONE_ARTID", "Verzeichnis in jede verfgbare Sprache bersetzen");
define("ALL_LANG_SEPARETED_ARTID", "Verzeichnis in einer Sprache");
define("ALL_LANGUAGES", "Alle Sprachen");
define("ARTICLE_DESC_1", "Beschreibung kurz");
define("ARTICLE_DESC_2", "Beschreibung lang");
define("ARTICLE_NAME", "Artikelname");
define("ARTICLE_TITLE", "Artikel");
define("AT", "im");
define("AUTHOR", "Autor");

define("BY", "von");
define("BY_CITY_ASC", "nach Ortschaft aufwrts");
define("BY_CITY_DESC", "nach Ortschaft abwrts");
define("BY_COMPANY_NAME_ASC", "nach Firmennamen aufwrts");
define("BY_COMPANY_NAME_DESC", "nach Firmennamen abwrts");
define("BY_STATE_ASC", "nach Bundesland/Kanton aufwrts");
define("BY_STATE_DESC", "nach Bundesland/Kanton abwrts");
define("BY_ZIP_ASC", "nach Postleitzahl aufwrts");
define("BY_ZIP_DESC", "nach Postleitzahl abwrts");

define("CATEGORY", "Kategorie");  //------------------------------------------globale definition!! aber auch schon im Shop definiert
define("CATEGORIES_ARTICLES", "Kategorien und Artikel");
define("CHECK_ALL_AVAILABLE_CITIES", "Whle alle verfgbaren Ortschaften");
define("CONT_ART_ADD", "Artikel hinzufgen");
define("CONT_ART_DELETE_ALL", "alle Artikel lschen");
define("CONT_ART_DELETE_OWN", "eigene Artikel lschen");
define("CONT_ART_EDIT_ALL", "alle Artikel bearbeiten");
define("CONT_ART_EDIT_OWN", "eigene Artikel bearbeiten");
define("CONT_CAT_ADD", "Kategorie hinzufgen"); //
define("CONT_CAT_DELETE", "Kategorie lschen");
define("CONT_CAT_EDIT", "Kategorie bearbeiten");
define("CONT_EDIT_POSITIONS", "Positionen bearbeiten");
define("CONT_EDIT_USERS_RIGHTS", "Benutzerrechte bearbeiten");
define("CHOOSE_CATEGORY", "Kategorie whlen");
define("CHOOSE_CITIES", "Whle die Ortschaften");
define("CHOOSE_COUNTRIES", "Whle ein Land");
define("CHOOSE_COUNTRY", "Whle ein Land");
define("CHOOSE_STATES", "Whle einen Bundestaat/Kanton");
define("CHOOSEN_DIRECTORIES", "Gewhlte Verzeichnisse");
define("CREATED", "Erstellt");
define("CREATED_BY", "Erstellt von");
define("CREATED_ON", "Erstellt am");
define("CREATION_DATE", "Erstelldatum");
define("CURRENT_WEBSITE", "Aktuelle Website");

define("DIRECTORY", "Verzeichnis");

define("EDIT_THIS_IMAGE", "Bild verwalten...");
define("EMAIL_NOT_RIGHT", "Email ist falsch...");

define("FIRST_CHOOSE_VIEWER_GROUP", "1. Whle eine Benutzergruppe");
define("FOR_ALL_GROUPS", "In allen Gruppen");
define("FOR_ANONIMUS", "In Anonymgruppe");
define("FORUSER", "fr Benutzer");
define("FP_CAT_LISTS", "FP Kat-Listen");
define("FP_DEFAULT", "Default");
define("FPC_ORDER", "Hauptseitenanordnung");
define("FRONTPAGE_DESIRED", "Gewnschte Frontpage");
define("FRONTPAGES", "Startseite"); //------------------------------------------globale definition!! aber auch schon im Shop definiert

define("GET_ALL_STATES", "Alle whlen");
define("GETALLLANG", "Artikel in allen Sprachen");
define("GETCURRENTLANG", "Artikel in meiner Sprache");

define("HEIGHT", "Hhe");

define("IMAGE", "Bild");
define("IMAGE_MY_DIRECTORY", "Bild als mein Logo im Verzeichnis benutzen");
define("IMAGE_MY_HEADER", "Bild als Kopfzeile fr deine eigne Website benutzen");
define("IMAGE_SHOULD_BE", "Bildgrsse");
define("INSERT_ART_NR", "Artikelnummer einfgen.");
define("INSERT_LATEST_ART", "Letzte Neuigkeiten");
define("S_ACTIVE", "Aktiv");
define("S_DEFAULT", "als Standard");
define("S_RANDOM", "Zufall");

define("LANGUAGE2PUBLISH", "Publizierte Sprache");
define("LISTING_MAX_SRCH_RES", "Maximale Suchresultate");
define("LOGOS_AND_STUFF", "Logos");

define("MANAGE_DIRECTORY", "Verzeichnis verwalten");
define("MY_ACCOUNT_ADD_DIRECTORIES", "Verzeichnisse hinzufgen oder lschen");
define("MY_ACCOUNT_USER_DATA_ADD", "Meine persnlichen Daten erweitern");
define("MY_ACCOUNT_USER_DATA_EDIT", "Meine persnlichen Daten bearbeiten");

define("NEW_WEBSITE","Neue Website");
define("NO", "Nein");
define("NO_DATA_YET", "Daten noch nicht vorhanden!");
define("NO_DIRECTORY_COOSEN_YET", "Noch kein Verzeichnis gewhlt, jetzt whlen!");
define("NOT_MEMBER_YET", "Hast du noch keine Login Daten? Kein Problem!");

define("ONE_ARTID_ONE_LANG", "Artikel in einer Sprache");
define("ONE_ARTID_X_LANG_DESC_BY_LANG", "Mehrsprachiger Artikel");
define("ONE_ONE_ARTICLE", "Nur ein Artikel");

define("PLS_DELETE_TO_CONTINUE", "Bitte lsche sie vor dem weiterfahren.");

define("RANDOM", "Zufall");
define("RANDOM_ARTICLES", "Artikel per Zufall");
define("READ_MORE", "...das Ganze lesen.");

define("SECOND_CHOOSE_SEARCH_OPTION", "2. Whle deine Suchoption");
define("SOME_CATS_OR_ARTS_EXISTS", "Einige Unterkategorien dieses Artikels sind immer noch in dieser Kategorie!");
define("STATE", "Bundesland/Kanton");

define("TEXT_HEADER1", "Ultra CMS");
define("TEXT_HEADER2", "CMS einfach gemacht!");

define("UPLOAD_NEW_IMAGE", "Neues Bild uploaden");
define("USER_DATA_ADD", "Benutzerdaten einfgen");
define("USER_DATA_EDIT", "Benutzerdaten bearbeiten");
define("USER_DATA_IMAGE_1", "Bild in Kopfzeile");
define("USER_DATA_IMAGE_2", "");
define("USER_DATA_IMAGE_3", "Bild im Verzeichnis");
define("USER_RIGHT_ID", "ID");
define("USER_RIGHT_TITLE", "Titel");
define("USER_RIGHTS", "Benutzerrechte");
define("USER_RIGHTS_EDIT", "Benutzerrechte bearbeiten");

define("VIEWER_GROUP", "Gruppe");

define("WIDTH", "Breite");

define("YES", "Ja");

?>