<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename: functions.php
* Location: /modules/install_modules/functions.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  xomol_check_install_modules_user_rights_specific($user, $rights_title)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users, users_rights
* Returns field user_rights FROM TABLE users
* $user 	= to check own rights use $_SESSION['user_id'] or $userid;
*         	  to check others rights pass the desired user id as string..
* $task 	= desired field value in TABLE xomol_user_rights_tasks2users
*			  if no overrided user rights then check from  TABLE xomol_user_rights_tasks2groups
*********************************************************************************************/
function xomol_check_install_modules_user_rights_specific($user, $rights_title){
	global $dbi;
	$rights_id = checkSomethingFromTable($table='content_user_rights', $what='rights_id', $key='title', $keyvalue=$rights_title, $langkey='', $langkeyvalue='', $sqlanswer='');
	$user_group = check_user_group($user);
	$is_overrided = checkSomethingFromTable($table='content_user_rights2users', $what='user_id', $key='user_id', $keyvalue=$user, $langkey='', $langkeyvalue='', $sqlanswer='');
	if($is_overrided>='2') {
		$result2 = sql_query("SELECT * FROM content_user_rights2users WHERE user_id='".$user."' AND user_rights_id='".$rights_id."'", $dbi);
		$row2 = sql_fetch_array($result2, $dbi);
		return $row2['value'];
	} else {
		$result3 = sql_query("SELECT * FROM content_user_rights2groups WHERE group_id='".$user_group."' AND user_rights_id='".$rights_id."'", $dbi);
		$row3 = sql_fetch_array($result3, $dbi);
		return $row3['value'];
	}
}
function install_validate_email($input) {
	if (!strstr($input, '@')) { return false; }
	if (!strstr($input, '.')) { return false; }
	if (strstr($input, '/')) { return false; }
	if (strstr($input, './')) { return false; }
	if (strstr($input, '*')) { return false; }
	if (strstr($input, '..')) { return false; }
	if (strstr($input, '\\')) { return false; }
	if (strstr($input, '?')) { return false; }
	if (strstr($input, '"')) { return false; }
	if (strstr($input, "'")) { return false; }
	return true;
}
function split_sql($sql) {
	$sql = trim($sql);
	$sql = ereg_replace("\n#[^\n]*\n", "\n", $sql);

	$buffer = array();
	$ret = array();
	$in_string = false;

	for($i=0; $i<strlen($sql)-1; $i++) {
		if($sql[$i] == ";" && !$in_string) {
			$ret[] = substr($sql, 0, $i);
			$sql = substr($sql, $i + 1);
			$i = 0;
		}

		if($in_string && ($sql[$i] == $in_string) && $buffer[1] != "\\") {
			$in_string = false;
		}
		elseif(!$in_string && ($sql[$i] == '"' || $sql[$i] == "'") && (!isset($buffer[0]) || $buffer[0] != "\\")) {
			$in_string = $sql[$i];
		}
		if(isset($buffer[1])) {
			$buffer[0] = $buffer[1];
		}
		$buffer[1] = $sql[$i];
	}

	if(!empty($sql)) {
		$ret[] = $sql;
	}
	return($ret);
}

function populate_my_db($sql) {
	global $dbi;
	$mqr = @get_magic_quotes_runtime();
	@set_magic_quotes_runtime(0);
	$query = fread( fopen( $sql, 'r' ), filesize( $sql ) );
	@set_magic_quotes_runtime($mqr);
	$strings  = split_sql($query);

	$SCRIPT_NAME = split('/index.ph',$_SERVER['SCRIPT_NAME']);
	$SERVER_RELATIVE_PATH = $SCRIPT_NAME['0'];
	$SERVER_RELATIVE_PATH = split('/instal',$SERVER_RELATIVE_PATH);
	$SERVER_RELATIVE_PATH = $SERVER_RELATIVE_PATH['0'];
	for ($i=0; $i<count($strings); $i++) {
		$strings[$i] = trim($strings[$i]);
		if(!empty($strings[$i]) && $strings[$i] != "#") {
			$string = eregi_replace('serverrelativepathch/',$SERVER_RELATIVE_PATH.'/',$strings[$i]);
			$string = eregi_replace('alt=""','alt="altimag"',$string);
			$string = eregi_replace('/>',' >',$string);
			// sql_query("$strings[$i]", $dbi);
			sql_query("$string", $dbi);
		}
	}
}
?>