<?
/************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.com
*
* Filename: index.php
* Location: /modules/install_modules/index.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/

include_once('modules/install_modules/functions.php');
if (file_exists('modules/install_modules/languages/lang-'.$currentlang.'.php')) {
	include('modules/install_modules/languages/lang-'.$currentlang.'.php');
} else {
	echo  '<FONT color"fff000" size=3>Language File;: '.$currentlang.' not defined in this module</FONT><br>';
}
if ( xomol_check_install_modules_user_rights_specific($userid, 'ASYSTEM_ACCESS') == '1')  {
	session_start();

	$preinstaled_tables = array(store_currencies);

	$handle=opendir('modules');
	while ($file = readdir($handle)) {
		if ( (!ereg("[.]",$file)) ) {
			$modulelist .= "$file ";
		}
	}
	closedir($handle);
	$modulelist = explode(" ", $modulelist);
	sort($modulelist);
	array_unique ($modulelist);
	$modulecount = sizeof($modulelist);
	for ($i=0; $i < $modulecount; $i++) {
		$modulename = $modulelist[$i];
		if( ($modulename != '')
		AND ($modulename != 'banners')
		AND ($modulename != 'contactus')
		AND ($modulename != 'install_modules')
		AND ($modulename != 'my_account_pls') ) {
			$modulesarray[]=$modulename;
		}

	}

	include('modules/install_modules/header.php');
	themeheader();
	// Include the required files


	switch($op2) {
		case "licence":
			//echo '<pre>';
			//print_r($_POST);
			//echo '</pre>';
			if($alert=='') {
				$xomol_module 				= $_POST['xomol_module'];
				$xomol_module_sample_data 	= $_POST['xomol_module_sample_data'];

				$_SESSION['xomol_module'] = $_POST['xomol_module'];
				$_SESSION['xomol_module_sample_data'] = $_POST['xomol_module_sample_data'];
			} else {
			}

			include('modules/install_modules/licence.php');
		break;
		case "step2":
			$_SESSION['message'] =	'';
			$_SESSION['message2'] =	'';
			$_SESSION['xomol_module'] = '';
			$_SESSION['xomol_module_sample_data'] = '';

			include('modules/install_modules/step2.php');
		break;


		/*
		*/
		case "step23":
			//	echo '<pre>';
			//	print_r($_POST);
			//	echo '</pre>';
			$xomol_module 				= $_SESSION['xomol_module'];
			$xomol_module_sample_data 	= $_SESSION['xomol_module_sample_data'];

			if($licence!='1') {
				$alert = LICENCE_NOT_AGREED;
				include('modules/install_modules/licence.php');
			} else {

				$msg_step23 ='';
				if(is_array($xomol_module) ) {
					foreach($xomol_module AS $module_name => $val) {
						if($val=='1') {
							if (file_exists('modules/'.$module_name.'/install/xomol_'.$module_name.'.sql')) {
								$msg_step23 .= INSTALLED_YES.' '.MODULE.': <b>'.$module_name.'</b> <br>';
								populate_my_db('modules/'.$module_name.'/install/xomol_'.$module_name.'.sql');
							}
						}
					}
					$_SESSION['msg_step23'] = 	$msg_step23;
					$_SESSION['msg_step23_ok'] = 	'1';
					$licence='1';
					include('modules/install_modules/step23.php');
				} else {
					echo 'not array $xomol_module: '.$xomol_module.'<br>';
					$_SESSION['msg_step23_ok'] = 	'';
					$licence='1';
					include('modules/install_modules/step24.php');
				}
			}

		break;
		case "step24":
			if($licence!='1') {
				$alert = LICENCE_NOT_AGREED;
				include('modules/install_modules/licence.php');
			} else {
				$xomol_module_sample_data = $_SESSION['xomol_module_sample_data'];

				$msg_step24 ='';
				if(is_array($xomol_module_sample_data) ) {
					foreach($xomol_module_sample_data AS $module_name => $val) {
						if($val=='1') {
							if (file_exists('modules/'.$module_name.'/install/xomol_'.$module_name.'_sample_data.sql')) {
								$msg_step24 .= INSTALLED_YES.' '.MODULE.': <b>'.$module_name.'</b> xomol_'.$module_name.'_sample_data.sql <br>';
								populate_my_db('modules/'.$module_name.'/install/xomol_'.$module_name.'_sample_data.sql');
							}
						}
					}
					$_SESSION['msg_step24'] = 	$msg_step24;
					$_SESSION['msg_step24_ok'] = 	'1';
					include('modules/install_modules/step24.php');
				} else {
					$_SESSION['msg_step24_ok'] = 	'';
					include('modules/install_modules/step24.php');
				}
			}
		break;

		case "finish_install":
			include('modules/install_modules/finish_install.php');
		break;

		default:
			include('modules/install_modules/step2.php');
		break;
	}

	echo '<br><br><br>';
	themefooter();
}

?>