<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename: block-frontpage_cat_listing.php
* Location: /modules/store/blocks/block-frontpage_cat_listing.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
global $dbi, $userid, $currentlang, $theme;
include_once('modules/store/languages/lang-'.$currentlang.'.php');
function show_store_cat_list($category_id) {
	global $dbi, $userid, $currentlang, $currency, $theme;
	$category = checkSomethingFromTable($table='store_products_cat_desc', $what='title', $key='category_id', $keyvalue=$category_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');

	$content  = '<table width="100%" border="0" cellspacing="1" cellpadding="1">';
	$content .= '<tr class="FormBlockHeader">';
	$content .= '<td width="100" align="left" valign="top" class="FormBlockHeader">';
	$nlink = 'index.php?op=store&op2=browse&cat='.$category_id;
	$content .= draw_link($nlink,$category,'FormBlockHeader',$target);
	$content .= '</td>';
	$content .= '</tr>';

	$undercats = get_store_under_cat($category_id);
	$allcatstosearch = $undercats.$category_id;
	$allcatstosearch = split(',', $allcatstosearch);
	foreach($allcatstosearch AS $key => $val) {
		$result = sql_query("SELECT * FROM store_products WHERE product_status='1'  AND product_catid='".$val."'   $and ", $dbi);
		$i=0;
		while($row = sql_fetch_array($result, $dbi)){
			$products[$i]   = $row['product_id'];
			$i++;
		}
	}

	if(is_array($products)) {
		arsort($products);
		foreach($products AS $key => $val) {
			$result = sql_query("SELECT * FROM store_products WHERE product_status='1'  AND product_id='".$val."'   $and ", $dbi);
			$i=0;
			$row = sql_fetch_array($result, $dbi);
			$product_id   = $row['product_id'];
			$product_catid   = $row['product_catid'];

			$creation   = $row['creation'];
			$product_image   = $row['product_image'];

			$manufacturer_id	= $row['manufacturer_id'];
			$manufacturer = checkSomethingFromTable($table='store_manufacturers', $what='manufacturer_title', $key='manufacturer_id', $keyvalue=$manufacturer_id, $langkey='', $langkeyvalue='', $sqlanswer='');
			$model			    = $row['model'];
			$preis			    = $row['preis'];
			$weight			    = $row['weight'];
			$creation		    = $row['creation'];
			$is_default		    = $row['is_default'];
			$in_stock		    = $row['in_stock'];
			$ordered			= $row['ordered'];
			$date_available	    = $row['date_available'];

			$product_title = checkSomethingFromTable($table='store_products_desc', $what='title', $key='product_id', $keyvalue=$product_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
			$product_description_1 = checkSomethingFromTable($table='store_products_desc', $what='product_description_1', $key='product_id', $keyvalue=$product_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
			if($start=='') {
			}
			$start++;
			if($i1=='1') { $rwclass = 'rowDark'; $i1='0'; } else { $rwclass = 'rowBright'; $i1++; }
			$content .= '<tr class="'.$rwclass.'"  onmouseover="className=\'rowOver\';" onmouseout="className=\''.$rwclass.'\';">';
			$content .= '<td class="'. $rwclass.'" align="left" valign="top">';
			$nlink = 'index.php?op=store&op2=view_details&product='.$product_id.'&cat='.$product_catid;
			$content .= draw_link($nlink,$product_title,'textTitle',$target);
			// $content .= '<br>';
			// $content .= '<div>'. $product_description_1.'</div>';
			$content .= '<FONT class="textTitleSmall">'.MODEL.':: '.$model.'</FONT><br>';
			$content .= '<FONT class="textTitleSmall">'.MANUFACTURER.':: '.$manufacturer.'</FONT><br>';
			$content .= '<FONT class="textTitle">'.$currency.' '.number_format(convert_currency($preis), 2, '.', '.').'</FONT> ';
			$products_attributes_id = checkSomethingFromTable($table='store_products_attributes', $what='products_attributes_id', $key='products_id', $keyvalue=$product_id, $langkey='', $langkeyvalue='', $sqlanswer='');
			if($products_attributes_id=='') {
				$content .= '<a href="index.php?op=store&op2=browse&op3=add_to_chart&product='.$product_id.'&cat='.$product_catid.'" class="'. $rwclass.'"><img src="themes/'.$theme.'/images/basket.gif" border="0"></a>';
			} else {
				$content .= '<a href="index.php?op=store&op2=view_details&product='.$product_id.'&cat='.$product_catid.'" class="'. $rwclass.'"><img src="themes/'.$theme.'/images/basket.gif" border="0"></a>';
			}
			$content .= '</td>';
			$content .= '<tr>';
			$content .= '<td colspan="3">';
			$content .= draw_line($image='black', $width='100%', $height='1');
			$content .= '</td>';
			$content .= '</tr>';
		}
	}
	$content .= '</table>';
	return $content;
}

$fpcs = checkSomethingFromTable($table='store_fp_cat_lists', $what='fpc_id', $key='', $keyvalue='', $langkey='', $langkeyvalue='', $sqlanswer='arrayresults');
$fpcs_count = count($fpcs);
$fp_num_cols = get_store_config_value($config_key='FP_NUM_COLS');
$content = '<table width="100%" border="0" cellspacing="2" cellpadding="0">';
$content .= '<tr>';
$result = sql_query("SELECT * FROM store_fp_cat_lists WHERE active='1' ORDER BY fpc_order", $dbi);
$i=0;
if( ($fpcs_count<$fp_num_cols) AND ($fpcs_count!='') ){
	$td_width = (100/$fpcs_count)-$fpcs_count-1;
} else {
	$td_width = (100/$fp_num_cols)-$fp_num_cols-1;
}

while($row = sql_fetch_array($result, $dbi)){
	$fpc_id    		= $row['fpc_id'];
	$category_id    = $row['category_id'];
	$creation    	= $row['creation'];
	$author_id    	= $row['author_id'];
	$active    		= $row['active'];
	$fpc_order    	= $row['fpc_order'];
	$category = checkSomethingFromTable($table='store_products_cat_desc', $what='title', $key='category_id', $keyvalue=$category_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');

	$content .= '<td width="'.$td_width.'%" align="left" valign="top">';
	$content .= show_store_cat_list($category_id);
	$content .= '</td>';
	$i++;
	if($i==$fp_num_cols){
		$content .= '</tr><tr>';
		$i=0;
	}
}

$content .= '</tr>';
$content .= '</table>';
if(check_module_active('store')==1) {
	$content .= '';
	echo $content;
}
$content = '';
?>