<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename:  functions.php
* Location: /modules/store/includes/functions.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
/*********************************************************************************************
* System functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_store_blocks($position_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Includes all the block-*.php files on directory modules/store/blocks/
* $position_id	= the id of the desired position
*********************************************************************************************/
function get_store_blocks($position_id) {
	global $dbi;
	$result = sql_query("SELECT * FROM store_blocks WHERE position_id='".$position_id."' AND block_status='1'  ORDER BY view_order ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$block_id   	= $row['block_id'];
		$module_name   	= $row['module_name'];
		$block_title   	= $row['block_title'];
		$block_status   = $row['block_status'];

		if (is_file('modules/store/blocks/block-'.$block_title.'.php')) {
			include('modules/store/blocks/block-'.$block_title.'.php');
		}
	}
}
/*********************************************************************************************
* STORE USER RIGHTS
*********************************************************************************************/

function groups_and_users_store($group_id, $start){
	global $dbi, $userid, $theme;
	$content = '<table width="600" border="0" cellspacing="0" cellpadding="0">';
	if($start=='') {
		$content .= '<tr>';
		$content .= '<td class="AdminFormTbHeader" colspan="6">'.GROUP.'</td>';
		$content .= '<tr>';
		$start++;
	}
	$result = sql_query("SELECT * FROM user_groups WHERE  group_parent_id='".$group_id."' ORDER BY group_title ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$_group_id   = $row['group_id'];
		$group_parent_id   = $row['group_parent_id'];
		$group_title   = $row['group_title'];
		$group_status   = $row['group_status'];
		$group_deletable   = $row['group_deletable'];

		$content .= '<tr class="AdminFormTbRowLight" onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\'AdminFormTbRowLight\';" >';
		$content .= '<td width="10" align="left" valign="top"><img src="themes/'.$theme.'/images/arrow_icon.gif" border="0" ></td>';
		$content .= '<td width="80" align="left" valign="top" ><div class="textTitle">'.$group_title.'<div></td>';
		$content .= '<td align="right">';
		// edit group
		$result2 = sql_query("SELECT * FROM users WHERE user_group='".$_group_id."' ORDER BY user_group, user_firstname, user_lastname, user_company ASC", $dbi);
		while($row2 = sql_fetch_array($result2, $dbi)){
			$_user_id   	= $row2['user_id'];
			$user_firstname = $row2['user_firstname'];
			$user_lastname  = $row2['user_lastname'];
			$user_company   = $row2['user_company'];
			$user_city    	= $row2['user_city'];
			$user_state    	= $row2['user_state'];
			$user_country   = $row2['user_country'];
			$user_group    	= $row2['user_group'];
			$status    		= $row2['user_status'];

			$content .= '<table width="450" border="0" cellspacing="0" cellpadding="0">';
			$content .= '<tr onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\'AdminFormTbRowLight\';" >';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$content .= $user_company;
			$content .= '</td>';
			$content .= '<td width="16" valign="top" align="left" nowrap>';
			$is_overrided = checkSomethingFromTable($table='store_user_rights2users', $what='user_id', $key='user_id', $keyvalue=$_user_id, $langkey='', $langkeyvalue='', $sqlanswer='');

			// Allow edition for subusers
			$ok=0;
			if (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($_user_id!=$userid) ) {
				if($is_overrided>'1') {
					$content .= '<a href="index.php?op=store&op2=admin&op3=user_rights_override&user='.$_user_id.'"><img src="images/b_edit_rights1.png" width="16" height="16" border="0" alt="'.EDIT_USER.'"></a>';
				} else {
					$content .= '<a href="index.php?op=store&op2=admin&op3=user_rights_override&user='.$_user_id.'"><img src="images/b_edit_rights2.png" width="16" height="16" border="0" alt="'.EDIT_USER.'"></a>';
				}
			}
			$content .= '</td>';
			$content .= '<td width="16" valign="top" align="center" nowrap>';
			$ok=0;
			if (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if($ok==1) {
				$content .= '<a href="index.php?op=admin&op2=admin_users_viewdet&user='.$_user_id.'" class="AdminFormRsTitle" target="viewdet"><img src="themes/'.$theme.'/images/information.gif" border="0" alt="'.EDIT_USER.'"></a>';
			}
			$content .= '</td>';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$content .= '<div class="textTitle">'.$user_firstname.' '.$user_lastname.'</div>';
			$content .= '</td>';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$user_city = checkSomethingFromTable($table='geo_cities', $what='place', $key='city_id', $keyvalue=$user_city, $langkey='', $langkeyvalue='', $sqlanswer='');
			$user_state = checkSomethingFromTable($table='geo_states', $what='state_code', $key='state_id', $keyvalue=$user_state, $langkey='', $langkeyvalue='', $sqlanswer='');
			$user_country = checkSomethingFromTable($table='geo_countries', $what='countries_name', $key='countries_id', $keyvalue=$user_country, $langkey='', $langkeyvalue='', $sqlanswer='');
			$content .= $user_city.',<br>'.$user_state.'/'.$user_country;
			$content .= '</td>';
			$content .= '<td width="20" valign="top" align="center" nowrap>';

			$ok=0;
			if (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($_user_id, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_store_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($_user_id!=$userid) ) {
				if($status==1) {
					$status='<a href="index.php?op=store&op2=admin&op3=statusu&switch=0&user='.$_user_id.'">
								<img src="images/green_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS2.'"></a>';
				} else {
					$status='<a href="index.php?op=store&op2=admin&op3=statusu&switch=1&user='.$_user_id.'">
								<img src="images/red_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS1.'"></a>';
					}
			} else {
				if($status==1) {
					$status='<img src="images/green_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS2.'">';
				} else {
					$status='<img src="images/red_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS1.'">';
				}
			}
			$content .= $status;
			$content .= '</td>';
			$content .= '</tr>';
			$content .= '<tr  >';
			$content .= '<td height="1" colspan="6">';
			$content .= draw_line($image='black', $width='100%', $height='1');
			$content .= '</td>';
			$content .= '<tr>';
			$content .= '</table>';
		}
		$content .= '</td>';
		$content .= '</tr>';

			$content .= '<tr  >';
			$content .= '<td height="1" colspan="3">';
			$content .= draw_line($image='black', $width='100%', $height='1');
			$content .= '</td>';
			$content .= '<tr>';
		if(get_subgroups($_group_id)!='') {

			$content .= '<tr class="AdminFormTbRowLight">';
			$content .= '<td width="10" align="left" valign="top">&nbsp;</td>';
			$content .= '<td align="left" colspan="4" valign="top">';
			$content .= groups_and_users_store($_group_id, $start);
			$content .= '</td>';
			$content .= '</tr>';
		}
	}
	$content .= '</table>';
	return $content;
}
/*********************************************************************************************
* Function Name:  check_store_user_rights_specific($orders_status_id_exp)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns field user_rights FROM TABLE users
* $userid 	= to check own rights use $_SESSION['user_id'] or $userid;
*         	  to check others rights pass the desired user id as string..
* $what 	= desired field value in TABLE users_rights
*********************************************************************************************/
function check_store_user_rights_specific($userid, $what){
	global $dbi, $userid;
	$result = sql_query("SELECT user_group from users WHERE user_id='".$userid."'", $dbi);
	$row = sql_fetch_array($result, $dbi);

	$user_group =	$row['user_group'];

	$result = sql_query("SELECT ".$what." from store_users_rights WHERE user_rights_id='".$user_group."'", $dbi);
	$row = sql_fetch_array($result, $dbi);
	return $row["$what"];
}

/*********************************************************************************************
* Function Name:  xomol_check_store_user_rights_specific($user, $task_title)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users, users_rights
* Returns field user_rights FROM TABLE users
* $user 	= to check own rights use $_SESSION['user_id'] or $userid;
*         	  to check others rights pass the desired user id as string..
* $what 	= desired field value in TABLE xomol_store_user_rights_tasks2users
*			  if no overrided user rights then check from  TABLE xomol_store_user_rights_tasks2groups
*********************************************************************************************/
function xomol_check_store_user_rights_specific($user, $rights_title){
	global $dbi;
	$rights_id = checkSomethingFromTable($table='store_user_rights', $what='rights_id', $key='title', $keyvalue=$rights_title, $langkey='', $langkeyvalue='', $sqlanswer='');
	$user_group = check_user_group($user);
	$is_overrided = checkSomethingFromTable($table='store_user_rights2users', $what='user_id', $key='user_id', $keyvalue=$user, $langkey='', $langkeyvalue='', $sqlanswer='');
	if($is_overrided>='2') {
		$result2 = sql_query("SELECT * FROM store_user_rights2users WHERE user_id='".$user."' AND user_rights_id='".$rights_id."'", $dbi);
		$row2 = sql_fetch_array($result2, $dbi);
		return $row2['value'];
	} else {
		$result3 = sql_query("SELECT * FROM store_user_rights2groups WHERE group_id='".$user_group."' AND user_rights_id='".$rights_id."'", $dbi);
		$row3 = sql_fetch_array($result3, $dbi);
		return $row3['value'];
	}
}

/*********************************************************************************************
* Function Name:  module_types_dropdown_menu($module_type_id_exp)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_modules_types
* Returns a Dropdown menu
* $module_type_id_exp	= the current selected id;
*********************************************************************************************/
function module_types_dropdown_menu($module_type_id_exp){
	global $dbi;
	$content = '<select name="module_type_id">';
	$result = sql_query("SELECT * FROM store_modules_types ORDER BY store_module_type", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$module_type_id   = $row['module_type_id'];
		$store_module_type   = $row['store_module_type'];
		if($module_type_id==$module_type_id_exp) { $selected = ' selected'; } else { $selected = ' '; }
		$content .= '<option value="'.$module_type_id.'" '.$selected.'>'.$store_module_type.'</option>';
	}
	$content .= '</select>';
	return $content;
}

/*********************************************************************************************
* Function Name:  get_store_config_value($config_key)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_configure
* Returns field config_value FROM TABLE store_configure
* $config_key 	= the value of the configuration
*********************************************************************************************/
function get_store_config_value($config_key) {
	global $dbi;
	if($result = sql_query("SELECT * FROM store_configure WHERE config_key='".$config_key."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['config_value'];
	}
}

/*********************************************************************************************
* Function Name:  purge_store_modules($config_key)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Resets and reorder the Modules
*********************************************************************************************/
function purge_store_modules() {
	global $dbi, $op;
	// Purge all Fright Modules
	$handle=opendir('modules/'.$op.'/modules/fright');
	while ($file = readdir($handle)) {
		if ( (!ereg("[.]",$file)) ) {
			$modlist[$i] = $file;
			$i++;
		}
	}
	closedir($handle);
	foreach($modlist AS $key => $val) {
		$result_modules = sql_query("SELECT module_id FROM store_modules WHERE module_name='".$modlist[$key]."'", $dbi);
		$row_modules = sql_fetch_array($result_modules, $dbi);
		$module_id = $row_modules['module_id'];
		if ($module_id == "") {
			$module_id = time()+$i;
			sql_query("INSERT INTO store_modules ( module_id, module_type_id, module_name, module_custom_name, module_status )
						VALUES ('$module_id', '1','$val','','')", $dbi);
		}
	}
	// Purge all Payment Modules
	$handle=opendir('modules/'.$op.'/modules/payment');
	while ($file = readdir($handle)) {
		if ( (!ereg("[.]",$file)) ) {
			$modlist[$i] = $file;
			$i++;
		}
	}
	closedir($handle);
	foreach($modlist AS $key => $val) {
		$result_modules = sql_query("SELECT module_id FROM store_modules WHERE module_name='".$modlist[$key]."'", $dbi);
		$row_modules = sql_fetch_array($result_modules, $dbi);
		$module_id = $row_modules['module_id'];
		if ($module_id == "") {
			$module_id = time()+$i;
			sql_query("INSERT INTO store_modules ( module_id, module_type_id, module_name, module_custom_name, module_status )
						VALUES ('$module_id', '2','$val','','')", $dbi);
		}
	}
	return;
}
function purge_store_modules_orig() {
	global $dbi, $op;
	$handle=opendir('modules/'.$op.'/modules');
	while ($file = readdir($handle)) {
		if ( (!ereg("[.]",$file)) ) {
			$modlist .= "$file ";
		}
	}
	closedir($handle);
	$modlist = explode(" ", $modlist);
	sort($modlist);
	echo '<br>';
	for ($i=0; $i < sizeof($modlist); $i++) {
		if($modlist[$i] != "") {
			$result_modules = sql_query("SELECT module_id FROM store_modules WHERE module_name='".$modlist[$i]."'", $dbi);
			$row_modules = sql_fetch_array($result_modules, $dbi);
			$module_id = $row_modules['module_id'];
			if ($module_id == "") {
				$module_id = time()+$i;
				sql_query("insert into store_modules values (NULL, '$modlist[$i]', '$modlist[$i]', '0', '0')", $dbi);
				sql_query("insert into store_modules values ($module_id, '0', $modlist[$i], '0', '0')", $dbi);
			}
		}
	}
	return;
}

/*********************************************************************************************
* Function Name:  purge_store_blocks($config_key)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Resets and reorder the Blocks on Positions order
*********************************************************************************************/
function purge_store_blocks() {
	global $dbi, $op;
	$result = sql_query("SELECT * FROM store_positions ORDER BY position_id", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$position_id    		= $row['position_id'];
		$result2 = sql_query("SELECT * FROM store_blocks WHERE position_id='".$position_id."' ORDER BY view_order", $dbi);
		$i = 1;
		while($row2 = sql_fetch_array($result2, $dbi)){
			$block_id    		= $row2['block_id'];
			sql_query("UPDATE store_blocks SET view_order='".$i."' WHERE block_id='".$block_id."'", $dbi);
			$i++;
		}
	}
}
/*********************************************************************************************
* Function Name:  format_number($config_key)
* Author(s):  PHP.net.
*
* Formats Numbers
*********************************************************************************************/
function format_number($str,$decimal_places='2',$decimal_padding="0"){
       /* firstly format number and shorten any extra decimal places */
       /* Note this will round off the number pre-format $str if you dont want this fucntionality */
       $str          =  number_format($str,$decimal_places,'.','');    // will return 12345.67
       $number      = explode('.',$str);
       $number[1]    = (isset($number[1]))?$number[1]:''; // to fix the PHP Notice error if str does not contain a decimal placing.
       $decimal    = str_pad($number[1],$decimal_places,$decimal_padding);
       return (float) $number[0].'.'.$decimal;
}

/*********************************************************************************************
* STORE BASKET functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_store_basket_qty_01($store_basket_id, $userid)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_basket
* returns the $products_quantity of the $store_basket_id
* $store_basket_id = the store_basket_id;
* $userid = the userid you want to checkout;
*********************************************************************************************/
function get_store_basket_qty_01($store_basket_id, $userid) {
	global $dbi;
	if($result = sql_query("SELECT products_quantity FROM store_basket WHERE store_basket_id='".$store_basket_id."' AND user_id='".$userid."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['products_quantity'];
	}
}
/*********************************************************************************************
* Function Name:  get_store_order_status($order_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_basket
* returns the $order_status of the $order_id
*********************************************************************************************/
function get_store_order_status($order_id) {
	global $dbi;
	if($result = sql_query("SELECT order_status FROM store_orders WHERE order_id='".$order_id."' ", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['order_status'];
	}
}

/*********************************************************************************************
* Function Name:  get_store_basket_qty_02($products_id, $userid)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_basket
* returns the $products_quantity of the $store_basket_id
* $products_id = the products_id;
* $userid = the userid you want to checkout;
*********************************************************************************************/
function get_store_basket_qty_02($products_id, $userid) {
	global $dbi;
	if($result = sql_query("SELECT products_quantity FROM store_basket WHERE products_id='".$products_id."' AND user_id='".$userid."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['products_quantity'];
	}
}

/*********************************************************************************************
* Function Name:  get_store_basket_id_01($store_basket_id, $userid)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_basket
* returns the $products_quantity of the $store_basket_id
* $store_basket_id = the store_basket_id;
* $userid = the userid you want to checkout;
*********************************************************************************************/
function get_store_basket_id_01($products_id, $userid) {
	global $dbi;
	if($result = sql_query("SELECT store_basket_id FROM store_basket WHERE products_id='".$products_id."' AND user_id='".$userid."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['store_basket_id'];
	}
}
/********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_store_basket_qty($products_id, $userid, $options_id, $options_values_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_basket, store_basket_attributes
* returns the $products_quantity of the $product_id
* $products_id = the products_id;
* $sessionid = the sessionid you want to checkout;
*********************************************************************************************/
function get_store_basket_qty($products_id, $userid, $options_id, $options_values_id) {
	global $dbi;
	if($result = sql_query("SELECT sb.products_quantity
							 FROM store_basket sb, store_basket_attributes sba
							 WHERE sb.products_id='" . $products_id . "'
							 AND sb.user_id=sba.user_id
							 AND sb.products_id=sba.products_id
							 AND sba.options_id='" . $options_id . "'
							 AND sba.options_values_id='" . $options_values_id . "'
							 ", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['products_quantity'];
	}
}
/********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_store_basket_id($products_id, $userid, $options_id, $options_values_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_basket, store_basket_attributes
* returns the $products_quantity of the $product_id
*********************************************************************************************/
function get_store_basket_id($products_id, $userid, $options_id, $options_values_id) {
	global $dbi;
	if($result = sql_query("SELECT sb.store_basket_id
							 FROM store_basket sb, store_basket_attributes sba
							 WHERE sb.products_id='" . $products_id . "'
							 AND sb.user_id=sba.user_id
							 AND sb.products_id=sba.products_id
							 AND sba.options_id='" . $options_id . "'
							 AND sba.options_values_id='" . $options_values_id . "'
							 ", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['store_basket_id'];
	}
}

/*********************************************************************************************
* Function Name:  get_store_basket_id_02($products_id, $userid)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
*********************************************************************************************/
function get_store_basket_id_02($products_id, $userid) {
	global $dbi;
	if($result = sql_query("SELECT store_basket_id FROM store_basket WHERE products_id='".$products_id."' AND user_id='".$userid."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['store_basket_id'];
	}
}




/*********************************************************************************************
* Function Name:  get_store_temp_basket_id_01($products_id, $session)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_basket
* returns the $store_basket_id of the $products_id
* $products_id = the products_id;
* $session = the session_id you want to checkout;
*********************************************************************************************/
function get_store_temp_basket_id_01($products_id, $session) {
	global $dbi;
	if($result = sql_query("SELECT store_basket_id FROM store_temp_basket WHERE products_id='".$products_id."' AND session_id='".$session."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['store_basket_id'];
	}
}
/********************************************************************************************/
/*********************************************************************************************
* Function Name:  get_store_temp_basket_attribute_id_01($products_id, $session)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_temp_basket_attributes
* returns the $store_basket_id of the $products_id
* $products_id = the products_id;
* $session = the session_id you want to checkout;
*********************************************************************************************/
function get_store_temp_basket_attribute_id_01($products_id, $session) {
	global $dbi;
	if($result = sql_query("SELECT store_basket_id FROM store_temp_basket_attributes WHERE products_id='".$products_id."' AND session_id='".$session."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['store_basket_id'];
	}
}
/********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_store_temp_basket_qty_01($products_id, $session)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_temp_basket
* returns the $store_basket_id of the $products_id
* $products_id = the products_id;
* $session = the session_id you want to checkout;
*********************************************************************************************/
function get_store_temp_basket_qty_01($products_id, $session) {
	global $dbi;
	if($result = sql_query("SELECT products_quantity FROM store_temp_basket WHERE products_id='".$products_id."' AND session_id='".$session."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['products_quantity'];
	}
}
/********************************************************************************************/


/*********************************************************************************************
* Function Name:  get_store_temp_basket_qty_02($store_basket_id,$session)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_temp_basket
* returns the $products_quantity of the $store_basket_id
* $store_basket_id = the store_basket_id;
* $session = the session_id you want to checkout;
*********************************************************************************************/
function get_store_temp_basket_qty_02($store_basket_id, $session) {
	global $dbi;
	if($result = sql_query("SELECT products_quantity FROM store_temp_basket WHERE store_basket_id='".$store_basket_id."' AND session_id='".$session."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['products_quantity'];
	}
}
/********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_temp_store_basket_qty($products_id, $userid, $options_id, $options_values_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_temp_basket, store_temp_basket_attributes
* returns the $products_quantity of the $product_id
* $products_id = the products_id;
* $sessionid = the sessionid you want to checkout;
*********************************************************************************************/
function get_temp_store_basket_qty($products_id, $session_id, $options_id, $options_values_id) {
	global $dbi;
	if($result = sql_query("SELECT sb.products_quantity
							 FROM store_temp_basket sb, store_temp_basket_attributes sba
							 WHERE sb.products_id='" . $products_id . "'
							 AND sb.session_id=sba.session_id
							 AND sb.products_id=sba.products_id
							 AND sba.options_id='" . $options_id . "'
							 AND sba.options_values_id='" . $options_values_id . "'
							 ", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['products_quantity'];
	}
}

/*********************************************************************************************
* STORE CURRENCY functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_default_currency()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_currencies
* Updates all currencies to the actual currency value
*********************************************************************************************/
function get_default_currency(){
	global $dbi;
	$result = sql_query("SELECT * FROM store_currencies WHERE is_default='1'", $dbi);
	$row = sql_fetch_array($result, $dbi);
	return $row['currency_code_3'];
}
/*********************************************************************************************
* Function Name:  update_all_currencies_manual()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_currencies
* Updates all currencies to the actual currency value
*********************************************************************************************/
function update_all_currencies_automatic(){
	global $dbi;
	$result = sql_query("SELECT * FROM store_currencies ORDER BY currency_name", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$currency_code_3   		= $row['currency_code_3'];
		$currency_name   		= $row['currency_name'];
		$currency_date   		= $row['currency_date'];
		$currency_status   		= $row['currency_status'];
		$currency_history   	= $row['currency_history'];

		$currency_actual_date=date("Y.m.j H:i:s");
		$currency_actual_date_short = date("Y.m.j");

		$currency_date_short = split(' ', $currency_date);
		$currency_date_short = $currency_date_short['0'];

		if($currency_date_short<$currency_actual_date_short) {
			$currency_value = quote_xe_currency($to=$currency_code_3, $from = get_default_currency() );
			if($currency_value==''){
				$currency_value = checkSomethingFromTable($table='store_currencies', $what='currency_value', $key='currency_code_3', $keyvalue=$currency_code_3, $langkey='', $langkeyvalue='', $sqlanswer='');
			}
			$currency_history = $currency_actual_date. ' - '.$currency_value. '; '.$currency_history.' ';

			sql_query("UPDATE store_currencies
						SET
						currency_date='".$currency_actual_date."',
						currency_value='".$currency_value."',
						currency_history='".$currency_history."'
						WHERE 	currency_code_3='".$currency_code_3."' ",$dbi);
		}
	}
}

/*********************************************************************************************
* Function Name:  update_all_currencies_manual()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_currencies
* Updates all currencies to the actual currency value
*********************************************************************************************/
function update_all_currencies_manual(){
	global $dbi;
	$result = sql_query("SELECT * FROM store_currencies ORDER BY currency_name", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$currency_code_3   		= $row['currency_code_3'];
		$currency_name   		= $row['currency_name'];
		$currency_date   		= $row['currency_date'];
		$currency_status   		= $row['currency_status'];
		$currency_history   	= $row['currency_history'];

		$currency_date=date("Y.m.j H:i:s");

		$currency_value = quote_xe_currency($to=$currency_code_3, $from = get_default_currency() );
		if($currency_value==''){
			$currency_value = checkSomethingFromTable($table='store_currencies', $what='currency_value', $key='currency_code_3', $keyvalue=$currency_code_3, $langkey='', $langkeyvalue='', $sqlanswer='');
		}
		$currency_history = $currency_date. ' - '.$currency_value. '; '.$currency_history.' ';

		sql_query("UPDATE store_currencies
					SET
					currency_date='".$currency_date."',
					currency_value='".$currency_value."',
					currency_history='".$currency_history."'
					WHERE 	currency_code_3='".$currency_code_3."' ",$dbi);
	}
}

/*********************************************************************************************
* Function Name:  quote_xe_currency()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Connects to http://www.xe.net to get the currency to the actual value
*********************************************************************************************/
function quote_xe_currency($to, $from) {
    @$page = file('http://www.xe.net/ucc/convert.cgi?Amount=1&From=' . $from . '&To=' . $to);

    @$match = array();

    preg_match('/[0-9.]+\s*' . $from . '\s*=\s*([0-9.]+)\s*' . $to . '/', implode('', $page), $match);

    if (sizeof($match) > 0) {
      return $match[1];
    } else {
      return false;
    }
}

/*********************************************************************************************
* Function Name:  quote_oanda_currency()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Connects to http://www.oanda.net to get the currency to the actual value
*********************************************************************************************/
function quote_oanda_currency($code, $base) {
    @$page = file('http://www.oanda.com/convert/fxdaily?value=1&redirected=1&exch='.$code.'&format=CSV&dest=Get+Table&sel_list='.$base);

    $match = array();

    @preg_match('/(.+),(\w{3}),([0-9.]+),([0-9.]+)/i', implode('', $page), $match);

    if (sizeof($match) > 0) {
      return $match[3];
    } else {
      return false;
    }
}
/*********************************************************************************************
* STORE CATEGORIES AND PRODUCTS
*********************************************************************************************/


/*********************************************************************************************
* Function Name:  purge_store_categories($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Resets and reorder Categories
*********************************************************************************************/
function purge_store_categories($category_id) {

	global $dbi;
	$result = sql_query("SELECT * FROM store_products_cat WHERE category_parent_id='".$category_id."' ORDER BY view_order", $dbi);
	$i = 1;
	while($row = sql_fetch_array($result, $dbi)){
		$category_id    		= $row['category_id'];
		$view_order[$category_id] = $i;
		$i++;
	}
	if(is_array($view_order)){
		foreach($view_order as $key => $val){
			sql_query("UPDATE store_products_cat SET view_order='".$val."' WHERE category_id='".$key."'", $dbi);
		}
	}
}

/*********************************************************************************************
* Function Name:  update_product_views($state_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* this is the product views counter
*********************************************************************************************/
function update_product_views($product_id){
	global $dbi;
	$views = checkSomethingFromTable($table='store_products', $what='viewed', $key='product_id', $keyvalue=$product_id, $langkey='', $langkeyvalue='', $sqlanswer='');
	$views = $views+1;
	sql_query("UPDATE store_products SET viewed='".$views."' WHERE 	product_id='".$product_id."'  ",$dbi);
}

/*********************************************************************************************
* Function Name:  tax_class_dropdown_menu($tax_class_id_exp)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_manufacturers
* Returns a Dropdown menu with tax classes IDs
* $tax_class_id_exp = the tax_class_id_exp;
*********************************************************************************************/
function tax_class_dropdown_menu($tax_class_id_exp){
	global $dbi;
	$content = '<select name="tax_class_id">';
	$result = sql_query("SELECT * FROM store_tax_class ORDER BY tax_class_title", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$tax_class_id   = $row['tax_class_id'];
		$tax_class_title   = $row['tax_class_title'];
		if($tax_class_id==$tax_class_id_exp) { $selected = ' selected'; } else { $selected = ' '; }
		$content .= '<option value="'.$tax_class_id.'" '.$selected.'>'.$tax_class_title.'</option>';
	}
	$content .= '</select>';
	return $content;
}

/*********************************************************************************************
* Function Name:  manufacturers_dropdown_menu($product_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_manufacturers
* Returns Manufacturer ID
* $product_id = the products_id;
*********************************************************************************************/
function manufacturers_dropdown_menu($manufacturer_id_exp){
	global $dbi, $manufacturer_id;
	$content = '<select name="manufacturer_id">';
	$result = sql_query("SELECT * FROM store_manufacturers ORDER BY manufacturer_title", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$manufacturer_id   = $row['manufacturer_id'];
		$manufacturer_title   = $row['manufacturer_title'];
		$manufacturer_image   = $row['manufacturer_image'];
		if($manufacturer_id==$manufacturer_id_exp) { $selected = ' selected'; } else { $selected = ' '; }
		$content .= '<option value="'.$manufacturer_id.'" '.$selected.'>'.$manufacturer_title.'</option>';
	}
	$content .= '</select>';
	return $content;
}

/*********************************************************************************************
* Function Name:  get_store_prod_author($product_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_products
* Returns Author ID
* $product_id = the products_id;
*********************************************************************************************/
function get_store_prod_author($product_id) {
	global $dbi;
	if($result = sql_query("SELECT author_id FROM store_products WHERE product_id='".$product_id."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['author_id'];
	}
}

/*********************************************************************************************
* Function Name:  get_store_prod_author($product_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_products
* Returns Author ID
* $product_id = the products_id;
*********************************************************************************************/
function get_store_content_author($article_id) {
	global $dbi;
	if($result = sql_query("SELECT author_id FROM store_content_art WHERE article_id='".$article_id."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['author_id'];
	}
}


/*********************************************************************************************
* Function Name:  get_store_content_parent_cat($product_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_products
* Returns Author ID
* $product_id = the products_id;
*********************************************************************************************/
function get_store_content_parent_cat($category_id) {
	global $dbi;
	if($result = sql_query("SELECT * FROM store_content_cat WHERE category_id='".$category_id."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['category_parent_id'];
	}
}


/*********************************************************************************************
* Function Name:  get_store_products_cat_name($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table get_store_products_cat_name
* Returns Category name
* $category_id = the category_id;
*********************************************************************************************/
function get_store_products_cat_name($category_id) {
	global $dbi, $currentlang;
	$result = sql_query("SELECT title FROM store_products_cat_desc WHERE category_id='".$category_id."' AND language='".$currentlang."'", $dbi);
	$row = sql_fetch_array($result, $dbi);

	return	$row['title'];
}
/*********************************************************************************************
* Function Name:  get_store_products_cat_name($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table get_store_products_cat_name
* Returns Category name
* $category_id = the category_id;
*********************************************************************************************/
function get_store_products_name($product_id) {
	global $dbi, $currentlang;
	$result = sql_query("SELECT title FROM store_products_desc WHERE product_id='".$product_id."' AND language='".$currentlang."'", $dbi);
	$row = sql_fetch_array($result, $dbi);

	return	$row['title'];
}

/*********************************************************************************************
* Function Name:  get_store_parent_cat_from_art($product_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users, store_products
* Returns product_catid (the parent category id of the article)
* $product_id = the article id to get the infos from;
*********************************************************************************************/
function get_store_parent_cat_from_art($product_id) {
	global $dbi;
	if($result = sql_query("SELECT product_catid FROM store_products WHERE product_id='".$product_id."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['product_catid'];
	}
}



/*********************************************************************************************
* Function Name:  get_store_under_cat($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns all under categories ids
* $category_id = the category_id;
*********************************************************************************************/
function get_store_under_cat($category_id){
	global $dbi, $currentlang;
	$result = sql_query("SELECT category_id FROM store_products_cat WHERE category_parent_id='".$category_id."' AND category_parent_id!='0' AND category_status='1' ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['category_id'];
		$content .= $cat_id.',';
	}
	return $content;
}

/*********************************************************************************************
* Function Name:  get_store_under_arts($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns all under products ids
* $category_id = the category_id;
*********************************************************************************************/
function get_store_under_arts($category_id){
	global $dbi, $currentlang;
	$result = sql_query("SELECT product_id FROM store_products WHERE product_catid='".$category_id."'  ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$art_id   = $row['product_id'];
		$content .= ''.$art_id.',';
	}
	return $content;
}

/*********************************************************************************************
* Function Name:  get_store_parent_cat($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_products_cat
* Returns category_parent_id
* $category_id = the category_id;
*********************************************************************************************/
function get_store_parent_cat($category_id) {
	global $dbi;
	if($result = sql_query("SELECT category_parent_id FROM store_products_cat WHERE category_id='".$category_id."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['category_parent_id'];
	}
}

/*********************************************************************************************
* Function Name:  get_store_all_upper_cats($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns all upper categories ids
* $category_id = the category_id;
*********************************************************************************************/
function get_store_all_upper_cats($category_id) {
	$parent_category = get_store_parent_cat($category_id);
	$content = $parent_category.' ';
	if($parent_category!='') {
		$content .= get_store_all_upper_cats($parent_category);
	}
	return $content;
}

/*********************************************************************************************
* Navegation
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  store_products_cat_navigation($category_id, $product_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Dynamic category navegation
*********************************************************************************************/
function store_products_cat_navigation($category_id, $product_id)  {
	global $op, $currentlang;
	if($product_id!='') {
		$category_id = get_store_parent_cat_from_art($product_id) ;
		$content = get_store_all_upper_cats($category_id);
	} elseif(isset($category_id)) {
		$content = get_store_all_upper_cats($category_id);
	}
	$module_name = checkSomethingFromTable($table='modules_desc', $what='title', $key='title', $keyvalue=$op, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$contents = '<a href="index.php" class="textTitleSmall">'.HOME.'</a> | ';
	$contents .= '<a href="index.php?op='.$op.'" class="textTitleSmall">'.$module_name.'</a> ';
	$content = split(' ', $content);
	$content = array_reverse($content);
	$content = array_unique($content);
	foreach($content AS $key => $val) {
		if($val>='1'){
			$contents .= ' | <a href="index.php?op=store&op2=browse&cat='.$val.'" class="textTitleSmall">'.get_store_products_cat_name($val).'</a>';
		}
	}
	return $contents;
}
function xstore_products_cat_navigation($category_id, $product_id)  {
	global $op, $currentlang;
	if($product_id!='') {
		$category_id = get_store_parent_cat_from_art($product_id) ;
	}
	$content = get_store_all_upper_cats($category_id);
	$content = $category_id.' '.$content;
	$content = rtrim($content);
	$content = split(' ', $content);
	$content = array_reverse($content);
	$module_name = checkSomethingFromTable($table='modules_desc', $what='title', $key='title', $keyvalue=$op, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	for($i=0; $i<count($content); $i++){
		if($content[$i]=='0') {
			$contents .= '<a href="index.php" class="textTitleTitle">'.HOME.'</a> | ';
			$contents .= '<a href="index.php?op='.$op.'" class="textTitleTitle">'.$module_name.'</a> ';
		}
		$contents .= '<a href="index.php?op=store&op2=browse&cat='.$cat_id.'" class="textTitleTitle">'.get_store_products_cat_name($category_id=$content[$i]).'</a> | ';
	}
	return $contents;
}

/*********************************************************************************************
* Function Name:  store_cat_admin_navigation($category_id, $article_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Dynamic category navegation
*********************************************************************************************/
function store_cat_admin_navigation($category_id, $product_id)  {
	global $op;
	if($product_id!='') {
		$cat_id = checkSomethingFromTable($table='store_products', $what='product_catid', $key='product_id', $keyvalue=$product_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		$content = get_store_all_upper_cats($cat_id);
	} elseif(isset($category_id)) {
		$content = get_store_all_upper_cats($category_id);
	}
	$contents = '<a href="index.php?op=store&op2=admin&op3=admin_cat_view" class="textTitleSmall">'.HOME.'</a> ';
	$content = split(' ', $content);
	$content = array_reverse($content);
	$content = array_unique($content);
	foreach($content AS $key => $val) {
		if($val>='1'){
			$contents .= ' | <a href="index.php?op=store&op2=admin&op3=admin_cat_view&cat_parent_id='.$val.'" class="textTitleSmall">'.get_store_products_cat_name($val).'</a>';
		}
	}
	if($category_id!='') {
		$contents .= ' | <a href="index.php?op=store&op2=admin&op3=admin_cat_view&cat_parent_id='.$category_id.'" class="textTitleSmall">'.get_store_products_cat_name($category_id).'</a> ';
	}
	return $contents;
}

/*********************************************************************************************
* Function Name:  store_products_categories_dropdown_menu($name, $category_id, $expected, $space, $start)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Drop Down menu list of the given category_id.
* $name			= the name of the INPUT field to be generated ($_POST[$name])
* $category_id	= the id of the category
* $cat_exp		= the id of the selected category
* $space		= leave blank -this makes spaces on options
* $start		= leave blank -this is the counter...
*********************************************************************************************/
function store_products_categories_dropdown_menu($name, $category_id, $expected, $space, $start) {
	global $dbi, $userid;
	$start++;
	if($start=='1') {
		$content = '<select name="'.$name.'" >';
	}
	$space .= '*';
	$result = sql_query("SELECT * FROM store_products_cat WHERE  category_parent_id='".$category_id."'", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['category_id'];
		if($cat_id==$expected) { $selected = ' selected'; } else { $selected = ' '; }
		$content .= '<option value="'.$cat_id.'" '.$selected.'>'.$space.' '.get_store_products_cat_name($cat_id).'</option>';
		if(get_store_under_cat($cat_id)!='') {
			$start++;
			$content .= store_products_categories_dropdown_menu($name, $cat_id, $expected, $space, $start);
		}
	}
	if($start=='1') { $content .= '</select>'; }
	return $content;
}

/*********************************************************************************************
* STORE CONTENT functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_store_content_cat_name($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_content_cat_desc
* Returns Category name in Content
* $category_id = the category_id;
*********************************************************************************************/
function get_store_content_cat_name($category_id) {
	global $dbi, $currentlang;
	$result = sql_query("SELECT title FROM store_content_cat_desc WHERE category_id='".$category_id."' AND language='".$currentlang."'", $dbi);
	$row = sql_fetch_array($result, $dbi);

	return	$row['title'];
}

/*********************************************************************************************
* Function Name:  get_store_content_all_upper_cats($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns all upper categories ids
* $category_id = the category_id;
*********************************************************************************************/
function get_store_content_all_upper_cats($category_id) {
	$content .= get_store_parent_cat($category_id).' ';
	if(get_store_content_parent_cat($category_id)!='') {
		$content .= get_store_content_all_upper_cats(get_store_content_parent_cat($category_id)).' ';
	}
	return $content;
}



/*********************************************************************************************
* Function Name:  store_content_cat_admin_navigation($category_id, $article_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Dynamic category navegation
*********************************************************************************************/
function store_content_cat_admin_navigation($category_id, $article_id)  {
	global $op;
	if($product_id!='') {
		$cat_id = checkSomethingFromTable($table='store_content_art', $what='article_catid', $key='article_id', $keyvalue=$article_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		$content = get_store_content_all_upper_cats($cat_id);
	} elseif(isset($category_id)) {
		$content = get_store_content_all_upper_cats($category_id);
	}
	$contents = '<a href="index.php?op=store&op2=admin&op3=admin_store_content_cat_view" class="textTitleSmall">'.SPECIAL_STORE_CONTENT.'</a> ';
	$content = split(' ', $content);
	$content = array_reverse($content);
	$content = array_unique($content);
	foreach($content AS $key => $val) {
		if($val>='1'){
			$contents .= ' | <a href="index.php?op=store&op2=admin&op3=admin_store_content_cat_view&cat_parent_id='.$val.'" class="textTitleSmall">'.get_store_content_cat_name($val).'</a>';
		}
	}
	if($category_id!='') {
		$contents .= ' | <a href="index.php?op=store&op2=admin&op3=admin_store_content_cat_view&cat_parent_id='.$category_id.'" class="textTitleSmall">'.get_store_content_cat_name($category_id).'</a> ';
	}
	return $contents;
}

/*********************************************************************************************
* Function Name:  store_content_dropdown_menu($name, $category_id, $expected, $space, $start)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Drop Down menu list of the given category_id.
* $name			= the name of the INPUT field to be generated ($_POST[$name])
* $category_id	= the id of the category
* $cat_exp		= the id of the selected category
*********************************************************************************************/
function store_content_dropdown_menu($name, $category_id, $expected, $space, $start) {
	global $dbi, $userid;
	$start++;
	if($start=='1') { $content = '<select name="'.$name.'" >'; }
	$space .= '*';
	$result = sql_query("SELECT * FROM store_content_cat WHERE  category_parent_id='".$category_id."'", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['category_id'];
		if($cat_id==$expected) { $selected = ' selected'; } else { $selected = ' '; }
		$content .= '<option value="'.$cat_id.'" '.$selected.'>'.$space.' '.get_store_content_cat_name($cat_id).'</option>';
		if(get_store_content_under_cat($cat_id)!='') {
			$start++;
			$content .= store_content_dropdown_menu($name, $cat_id, $expected, $space, $start);
		}
	}
	if($start=='1') { $content .= '</select>'; }
	return $content;
}

/*********************************************************************************************
* Function Name:  get_store_content_under_cat($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns all under categories ids on Store Content
* $category_id = the category_id;
*********************************************************************************************/
function get_store_content_under_cat($category_id){
	global $dbi, $currentlang;
	$result = sql_query("SELECT category_id FROM store_content_cat WHERE category_parent_id='".$category_id."' AND category_parent_id!='0' AND category_status='1' ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['category_id'];
		$content .= ''.$cat_id.',';
	}
	return $content;
}



/*********************************************************************************************
* STORE ORDERS functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  show_order_details_admin($userid, $orders_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns the order for the userid and orderid
*********************************************************************************************/
/*********************************************************************************************
* Function Name:  show_order_details_admin($userid, $orders_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns the order for the userid and orderid
*********************************************************************************************/
function show_order_details_admin($orders_id) {
	global $dbi, $op, $currentlang;
	$content .= '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
	$content .= '<tr class="FormBlockHeader">';
	$content .= '<td class="FormBlockHeader">'.ARTICLE.'</td>';
	$content .= '<td class="FormBlockHeader" align="right"  widht="50">'.QUANTITY.'</td>';
	$content .= '<td class="FormBlockHeader" align="right"  widht="50">'.PRICE_UNIT.'</td>';
	$content .= '<td class="FormBlockHeader" align="right"  widht="50">'.TAX.'</td>';
	$content .= '<td class="FormBlockHeader" align="right"  widht="50">'.SUBTAX.'</td>';
	$content .= '<td class="FormBlockHeader" align="right"  widht="50">'.SUBTOTAL.'</td>';
	$content .= '</tr>';

	$result = sql_query("SELECT * FROM store_orders_products WHERE  orders_id='".$orders_id."'  GROUP BY counter", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$orders_products_id 	= $row['orders_products_id'];
		$orders_id 				= $row['orders_id'];
		$products_id 			= $row['products_id'];
		$prod_name 				= $row['products_name'];
		$products_price 		= $row['products_price'];
		$final_price 			= $row['final_price'];
		$products_tax 			= $row['products_tax'];
		$products_quantity 		= $row['products_quantity'];
		$currency 				= $row['currency'];
		$counter 				= $row['counter'];

		$subtax=($products_tax*($products_price*$products_quantity))/100;
		$preis = $products_price;


		if($illn>='1') { $rwclass = "rowDark"; $illn=0; } else { $rwclass = "rowBright";  $illn++; }
		$content .= '<tr class="'. $rwclass.'">';
		$content .= '<tr  class="'. $rwclass.'">';
		$content .= '<td  class="'. $rwclass.'"><b>'.$prod_name.'</b></td>';
		$content .= '<td align="right"  widht="50" class="'. $rwclass.'">'.$products_quantity.'</td>';
		$content .= '<td align="right"  widht="50" class="'. $rwclass.'">';
		$content .= number_format(convert_currency($preis), 2, '.', ',').' ';
		$content .= '</td>';
		$content .= '<td align="right"  widht="50" class="'. $rwclass.'">'.$products_tax.'</td>';
		$content .= '<td align="right"  widht="50" class="'. $rwclass.'">'.
		number_format(convert_currency($subtax), 2, ',', ',');
		$content .= '</td>';
		$content .= '<td align="right"  widht="50" class="'. $rwclass.'">';
		$subtotal=$preis;
		$subtotal=$subtotal*$products_quantity;
		$subtotlal_tax = $subtotlal_tax+$subtax;
		// $content .= $subtotal;
		//////////////////////////////////////////////////////////////////
			$subtax_attribute = '';
			$subtax_attribute_sum = '';
			$subtotal_attributes='';
			$subtotal_attribute_sum='';
		$result1 = sql_query("SELECT * FROM store_orders_products_attributes WHERE 	orders_products_id=  '".$products_id."' AND orders_id='".$orders_id."' AND counter='".$counter."' GROUP  BY products_options ", $dbi);
		while($row1 = sql_fetch_array($result1, $dbi)){
			$orders_products_attributes_id 	   = $row1['orders_products_attributes_id'];
			$products_options_values   = $row1['products_options_values'];
			$options_values_price   = $row1['options_values_price'];
			$price_prefix   = $row1['price_prefix'];

			if($price_prefix=='+'){
				$subtotal_attributes = ($subtotal_attributes+$options_values_price)*$products_quantity;
			}
			if($price_prefix=='-'){
				$subtotal_attributes = ($subtotal_attributes-$options_values_price)*$products_quantity;
			}

		}
		$subtotal_attribute_sum=$subtotal_attributes+$subtotal_attribute_sum;
		//////////////////////////////////////////////////////////////////

		// $preis = $preis + $subtax;
		$sum_subtotals=	 $subtotal_attribute_sum+$subtotal;
		$sum_all_subtotals =	 $sum_all_subtotals+$sum_subtotals;
		$content .= number_format(convert_currency($sum_subtotals), 2, '.', ',').' ';
			$subtax_attribute = '';
			$subtax_attribute_sum = '';
			$subtotal_attributes='';
			$subtotal_attribute_sum='';

		$content .= '</td>';
		$content .= '</tr>';

		$result2 = sql_query("SELECT * FROM store_orders_products_attributes WHERE 	orders_products_id=  '".$products_id."' AND orders_id='".$orders_id."' AND counter='".$counter."' GROUP  BY products_options ", $dbi);
		while($row2 = sql_fetch_array($result2, $dbi)){
			$_orders_products_attributes_id 	   = $row2['orders_products_attributes_id'];
			$_products_options   = $row2['products_options'];
			$_products_options_values   = $row2['products_options_values'];
			$_options_values_price   = $row2['options_values_price'];
			$_price_prefix   = $row2['price_prefix'];

			$subtax_attribute=($products_tax*($_options_values_price*$products_quantity))/100;
			$subtax_attribute_sum=$subtax_attribute+$subtax_attribute_sum;

			$content .= '<tr  class="'. $rwclass.'">';
			$content .= '<td  class="'. $rwclass.'">';
			$content .=  $_products_options.': '.$_products_options_values.' ';
			$content .= '</td>';
			$content .= '<td  class="'. $rwclass.'">';
			$content .= '</td>';
			$content .= '<td align="right"  widht="50" class="'. $rwclass.'">';
			if($_options_values_price>'0') {
				$content .= number_format(convert_currency($_options_values_price), 2, '.', ',');
			}
			$content .= '</td>';
			$content .= '<td align="right"  class="'. $rwclass.'">';
			$content .= '</td>';
			$content .= '<td  align="right" class="'. $rwclass.'">';
			if($_options_values_price>'0') {
				$content .= number_format(convert_currency($subtax_attribute), 2, '.', ',');
			}
			$content .= '</td>';

			$content .= '<td align="right"  widht="50" class="'. $rwclass.'">';
			$content .= '</td>';
			$content .= '</tr>';
		}


		$sum_all_subtotals=$sum_all_subtotals;
		$tpreis = $tpreis+($_products_quantity*$preis);
		$totaltax=$totaltax+$subtax+$subtax_attribute_sum;
	}
	$content .= '<tr  class="textTitle">';
	$content .= '<td align="right" class="" colspan="6" class="textTitle">'. draw_line($image='black', $width='100%', $height='1').'</td>';
	$content .= '</tr>';
	$content .= '<tr  class="textTitle">';
	$content .= '<td align="right" colspan="5" class="textTitle">'.SUBTOTAL.'</td><td align="right" class="textTitle">'.$currency.' '.number_format(convert_currency($sum_all_subtotals), 2, '.', '.').'</td>';
	$content .= '</tr>';

	$content .= '<tr  class="textTitle">';
	$content .= '<td align="right" colspan="5" class="textTitle">'.TAX.'</td><td align="right"  class="textTitle">'.number_format(convert_currency($totaltax), 2, '.', ' ').'</td>';
	$content .= '</tr>';

	$content .= '<tr  class="textTitle">';
	$content .= '<td align="right"  class="textTitle" colspan="5"></td><td align="right"  class="textTitle">'. draw_line($image='black', $width='100%', $height='2').'</td>';
	$content .= '</tr>';
	$content .= '<tr  class="textTitle">';
	$content .= '<td align="right"  class="textTitle"colspan="5"></td><td align="right"  class="textTitle">'.$currency.  ' '.number_format(convert_currency($totaltax+$sum_all_subtotals), 2, '.', ' ').'</td>';
	$content .= '</tr>';

	$content .= '</table>';

	$_SESSION['totaltax'] = $totaltax;
	$_SESSION['subtotal_details'] = $totaltax+$sum_all_subtotals;

	$fright_method = checkSomethingFromTable($table='store_orders', $what='fright_method', $key='orders_id', $keyvalue=$orders_id, $langkey='', $langkeyvalue='', $sqlanswer='');
	$fright_method_name = checkSomethingFromTable($table='store_modules_desc', $what='module_custom_name', $key='module_id', $keyvalue=$fright_method, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$fright_method_dir = checkSomethingFromTable($table='store_modules', $what='module_name', $key='module_id', $keyvalue=$fright_method, $langkey='', $langkeyvalue='', $sqlanswer='');
	$content .= '<table width="100%" border="0" cellspacing="0" cellpadding="0">';

	$content .= '<tr >';
	$content .= '<td align="left"  class="textTitleBig" colspan="2">';
	$content .= FRIGHT_COSTS.draw_line($image='black', $width='100%', $height='1');
	$content .= '</td>';
	$content .= '</tr>';

	$content .= '<tr  class="textTitle">';
	$content .= '<td align="left"  class="textTitleBig" valign="top">'.$fright_method_name.'</td>';
	$content .= '<td align="right"  class="textTitleBig" valign="top">';
	$fright_costs = checkSomethingFromTable($table='store_orders', $what='fright_costs', $key='orders_id', $keyvalue=$orders_id, $langkey='', $langkeyvalue='', $sqlanswer='');
	$fright_details = checkSomethingFromTable($table='store_orders', $what='fright_details', $key='orders_id', $keyvalue=$orders_id, $langkey='', $langkeyvalue='', $sqlanswer='');

	if($fright_costs>'0') {
		$content .= '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
		$content .= '<tr  class="textTitle">';
		$content .= '<td align="left"  class="textTitle">'.SUBTOTAL.' '.FRIGHT.'</td>';
		$content .= '<td align="right"  class="textTitle">';
		$content .= draw_line($image='black', $width='100%', $height='1');
		$content .= $currency.' '.number_format(convert_currency($fright_costs), 2, '.', '.');
		$content .= '</td>';
		$content .= '</tr>';

		$content .= '<tr>';
		$content .= '<td class="textTitleSmall" colspan="2">';
		$content .= draw_line($image='trans', $width='100%', $height='5');
		//$content .= draw_line($image='black', $width='100%', $height='1');
		$content .= $fright_details;
		$content .= '</td>';
		$content .= '<td align="right"  class="textTitle"></td>';
		$content .= '</tr>';

		$content .= '<tr  class="FormBlockText">';
		$content .= '<td align="right"  class="textData" colspan="2">';
		$content .= draw_line($image='black', $width='100%', $height='1');
		$content .= '</td>';
		$content .= '</tr>';

		$content .= '<tr  class="FormBlockText">';
		$total = $_SESSION['subtotal_details'];
		$total = $total+$fright_costs;
		$content .= '<td align="right"  class="textTitle">'.TOTAL.'</td>';
		$content .= '<td align="right"  class="textTitle">';
		$content .= $currency.' '.number_format(convert_currency($total), 2, '.', '.');
		$_SESSION['order_total'] = $total;
		$content .= '</td>';
		$content .= '</tr>';

		$content .= '</table>';
	}
	$content .= '</td>';
	$content .= '</tr>';


	$content .= '</table>';
	return $content;
}


/*********************************************************************************************
* Function Name:  show_order_details($userid, $orders_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns the order for the userid and orderid
*********************************************************************************************/
function show_order_details($userid, $orders_id) {
	global $dbi, $op, $currentlang;
	$content .= '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
	$content .= '<tr class="FormBlockHeader">';
	$content .= '<td class="FormBlockHeader">'.ARTICLE.'</td>';
	$content .= '<td class="FormBlockHeader" align="right"  widht="50">'.QUANTITY.'</td>';
	$content .= '<td class="FormBlockHeader" align="right"  widht="50">'.PRICE_UNIT.'</td>';
	$content .= '<td class="FormBlockHeader" align="right"  widht="50">'.TAX.'</td>';
	$content .= '<td class="FormBlockHeader" align="right"  widht="50">'.SUBTAX.'</td>';
	$content .= '<td class="FormBlockHeader" align="right"  widht="50">'.SUBTOTAL.'</td>';
	$content .= '</tr>';

	$result = sql_query("SELECT * FROM store_orders_products WHERE  orders_id='".$orders_id."'  ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$orders_products_id = $row['orders_products_id'];
		$orders_id = $row['orders_id'];
		$products_id = $row['products_id'];
		$prod_name = $row['products_name'];
		$products_price = $row['products_price'];
		$final_price = $row['final_price'];
		$products_tax = $row['products_tax'];
		$products_quantity = $row['products_quantity'];
		$currency = $row['currency'];

		$subtax=($products_tax*($products_price*$products_quantity))/100;
		$preis = $products_price;


		if($illn>='1') { $rwclass = "rowDark"; $illn=0; } else { $rwclass = "rowBright";  $illn++; }
		$content .= '<tr class="'. $rwclass.'">';
		$content .= '<tr  class="'. $rwclass.'">';
		$content .= '<td  class="'. $rwclass.'"><b>'.$prod_name.'</b></td>';
		$content .= '<td align="right"  widht="50" class="'. $rwclass.'">'.$products_quantity.'</td>';
		$content .= '<td align="right"  widht="50" class="'. $rwclass.'">';
		$content .= number_format(convert_currency($preis), 2, '.', ',').' ';
		$content .= '</td>';
		$content .= '<td align="right"  widht="50" class="'. $rwclass.'">'.$products_tax.'</td>';
		$content .= '<td align="right"  widht="50" class="'. $rwclass.'">'.
		number_format(convert_currency($subtax), 2, ',', ',');
		$content .= '</td>';
		$content .= '<td align="right"  widht="50" class="'. $rwclass.'">';
		$subtotal=$preis;
		$subtotal=$subtotal*$products_quantity;
		$subtotlal_tax = $subtotlal_tax+$subtax;
		// $content .= $subtotal;
		//////////////////////////////////////////////////////////////////
		$subtotal_attributes='';
		$result1 = sql_query("SELECT * FROM store_orders_products_attributes WHERE 	orders_products_id=  '".$products_id."' AND orders_id='".$orders_id."' GROUP  BY products_options ", $dbi);
		// $result1 = sql_query("SELECT * FROM store_orders_products_attributes WHERE 	orders_products_attributes_id=  '".$orders_products_id."' AND orders_id='".$orders_id."' GROUP  BY products_options ", $dbi);
		while($row1 = sql_fetch_array($result1, $dbi)){
			$orders_products_attributes_id 	   = $row1['orders_products_attributes_id'];
			$products_options_values   = $row1['products_options_values'];
			$options_values_price   = $row1['options_values_price'];
			$price_prefix   = $row1['price_prefix'];

			if($price_prefix=='+'){
				$subtotal_attributes = ($subtotal_attributes+$options_values_price)*$products_quantity;
			}
			if($price_prefix=='-'){
				$subtotal_attributes = ($subtotal_attributes-$options_values_price)*$products_quantity;
			}

		}
		$subtotal_attribute_sum=$subtotal_attributes+$subtotal_attribute_sum;
		//////////////////////////////////////////////////////////////////

		// $preis = $preis + $subtax;
		$sum_subtotals=	 $subtotal_attribute_sum+$subtotal;
		$sum_all_subtotals =	 $sum_all_subtotals+$sum_subtotals;
		$content .= number_format(convert_currency($sum_subtotals), 2, '.', ',').' ';

		$content .= '</td>';
		$content .= '</tr>';


		$result2 = sql_query("SELECT * FROM store_orders_products_attributes WHERE 	orders_products_id=  '".$products_id."' AND orders_id='".$orders_id."' GROUP  BY products_options ", $dbi);
		while($row2 = sql_fetch_array($result2, $dbi)){
			$_orders_products_attributes_id 	   = $row2['orders_products_attributes_id'];
			$_products_options   = $row2['products_options'];
			$_products_options_values   = $row2['products_options_values'];
			$_options_values_price   = $row2['options_values_price'];
			$_price_prefix   = $row2['price_prefix'];

			$subtax_attribute=($products_tax*($_options_values_price*$products_quantity))/100;
			$subtax_attribute_sum=$subtax_attribute+$subtax_attribute_sum;

			$content .= '<tr  class="'. $rwclass.'">';
			$content .= '<td  class="'. $rwclass.'">';
			$content .=  $_products_options.': '.$_products_options_values.' ';
			$content .= '</td>';
			$content .= '<td  class="'. $rwclass.'">';
			$content .= '</td>';
			$content .= '<td align="right"  widht="50" class="'. $rwclass.'">';
			if($_options_values_price>'0') {
				$content .= number_format(convert_currency($_options_values_price), 2, '.', ',').$_price_prefix.' ';
			}
			$content .= '</td>';
			$content .= '<td align="right"  class="'. $rwclass.'">';
			$content .= '</td>';
			$content .= '<td  align="right" class="'. $rwclass.'">';
			if($_options_values_price>'0') {
				$content .= number_format(convert_currency($subtax_attribute), 2, '.', ',');
			}
			$content .= '</td>';

			$content .= '<td align="right"  widht="50" class="'. $rwclass.'">';
			$content .= '</td>';
			$content .= '</tr>';
		}


		$sum_all_subtotals=$sum_all_subtotals;
		$tpreis = $tpreis+($_products_quantity*$preis);
		$totaltax=$totaltax+$subtax+$subtax_attribute_sum;
	}
	$content .= '<tr  class="textTitle">';
	$content .= '<td align="right" class="" colspan="6" class="textTitle">'. draw_line($image='black', $width='100%', $height='1').'</td>';
	$content .= '</tr>';
	$content .= '<tr  class="textTitle">';
	$content .= '<td align="right" colspan="5" class="textTitle">'.SUBTOTAL.'</td><td align="right" class="textTitle">'.$currency.' '.number_format(convert_currency($sum_all_subtotals), 2, '.', '.').'</td>';
	$content .= '</tr>';

	$content .= '<tr  class="textTitle">';
	$content .= '<td align="right" colspan="5" class="textTitle">'.TAX.'</td><td align="right"  class="textTitle">'.number_format(convert_currency($totaltax), 2, '.', ' ').'</td>';
	$content .= '</tr>';

	$content .= '<tr  class="textTitle">';
	$content .= '<td align="right"  class="textTitle" colspan="5"></td><td align="right"  class="textTitle">'. draw_line($image='black', $width='100%', $height='2').'</td>';
	$content .= '</tr>';
	$content .= '<tr  class="textTitle">';
	$content .= '<td align="right"  class="textTitle"colspan="5"></td><td align="right"  class="textTitle">'.$currency.  ' '.number_format(convert_currency($totaltax+$sum_all_subtotals), 2, '.', ' ').'</td>';
	$content .= '</tr>';

	$content .= '</table>';

	$_SESSION['totaltax'] = $totaltax;
	$_SESSION['subtotal_details'] = $totaltax+$sum_all_subtotals;

	$fright_method = checkSomethingFromTable($table='store_orders', $what='fright_method', $key='orders_id', $keyvalue=$orders_id, $langkey='', $langkeyvalue='', $sqlanswer='');
	$fright_method_name = checkSomethingFromTable($table='store_modules_desc', $what='module_custom_name', $key='module_id', $keyvalue=$fright_method, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$fright_method_dir = checkSomethingFromTable($table='store_modules', $what='module_name', $key='module_id', $keyvalue=$fright_method, $langkey='', $langkeyvalue='', $sqlanswer='');
	$content .= '<table width="100%" border="0" cellspacing="0" cellpadding="0">';

	$content .= '<tr >';
	$content .= '<td align="left"  class="textTitleBig" colspan="2">';
	$content .= FRIGHT_COSTS.draw_line($image='black', $width='100%', $height='1');
	$content .= '</td>';
	$content .= '</tr>';

	$content .= '<tr  class="textTitle">';
	$content .= '<td align="left"  class="textTitleBig" valign="top">'.$fright_method_name.'</td>';
	$content .= '<td align="right"  class="textTitleBig" valign="top">';
	$fright_costs = checkSomethingFromTable($table='store_orders', $what='fright_costs', $key='orders_id', $keyvalue=$orders_id, $langkey='', $langkeyvalue='', $sqlanswer='');

	if($fright_costs>'0') {
		$content .= '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
		$content .= '<tr  class="textTitle">';
		$content .= '<td align="right"  class="textTitle">'.SUBTOTAL.' '.FRIGHT.'</td>';
		$content .= '<td align="right"  class="textTitle">';
		$content .= draw_line($image='black', $width='100%', $height='1');
		$content .= $currency.' '.number_format(convert_currency($fright_costs), 2, '.', '.');
		$content .= '</td>';
		$content .= '</tr>';

		$content .= '<tr  class="FormBlockText">';
		$content .= '<td align="right"  class="textTitle"></td>';
		$content .= '<td align="right"  class="textData" >';
		$content .= draw_line($image='black', $width='100%', $height='1');
		$content .= '</td>';
		$content .= '</tr>';

		$content .= '<tr  class="FormBlockText">';
		$total = $_SESSION['subtotal_details'];
		$total = $total+$fright_costs;
		$content .= '<td align="right"  class="textTitle">'.TOTAL.'</td>';
		$content .= '<td align="right"  class="textTitle">';
		$content .= $currency.' '.number_format(convert_currency($total), 2, '.', '.');
		$_SESSION['order_total'] = $total;
		$content .= '</td>';
		$content .= '</tr>';

		$content .= '</table>';
	}
	$content .= '</td>';
	$content .= '</tr>';


	$content .= '</table>';
	return $content;
}







/*********************************************************************************************
* Function Name:  show_order_details_total_tax($userid, $orders_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns the order for the userid and orderid
*********************************************************************************************/
function show_order_details_fill_session($userid, $orders_id) {
	global $dbi, $op, $currentlang;

	$result = sql_query("SELECT * FROM store_orders_products WHERE  orders_id='".$orders_id."'  ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$orders_products_id = $row['orders_products_id'];
		$orders_id = $row['orders_id'];
		$products_id = $row['products_id'];
		$prod_name = $row['products_name'];
		$products_price = $row['products_price'];
		$final_price = $row['final_price'];
		$products_tax = $row['products_tax'];
		$products_quantity = $row['products_quantity'];
		$currency = $row['currency'];

		$subtax=($products_tax*($products_price*$products_quantity))/100;
		$preis = $products_price;


		number_format(convert_currency($subtax), 2, ',', ',');
		$subtotal=$preis;
		$subtotal=$subtotal*$products_quantity;
		$subtotlal_tax = $subtotlal_tax+$subtax;
		// $content .= $subtotal;
		//////////////////////////////////////////////////////////////////
		$subtotal_attributes='';
		$result1 = sql_query("SELECT * FROM store_orders_products_attributes WHERE 	orders_products_id=  '".$products_id."' AND orders_id='".$orders_id."' GROUP  BY products_options ", $dbi);
		// $result1 = sql_query("SELECT * FROM store_orders_products_attributes WHERE 	orders_products_attributes_id=  '".$orders_products_id."' AND orders_id='".$orders_id."' GROUP  BY products_options ", $dbi);
		while($row1 = sql_fetch_array($result1, $dbi)){
			$orders_products_attributes_id 	   = $row1['orders_products_attributes_id'];
			$products_options_values   = $row1['products_options_values'];
			$options_values_price   = $row1['options_values_price'];
			$price_prefix   = $row1['price_prefix'];

			if($price_prefix=='+'){
				$subtotal_attributes = ($subtotal_attributes+$options_values_price)*$products_quantity;
			}
			if($price_prefix=='-'){
				$subtotal_attributes = ($subtotal_attributes-$options_values_price)*$products_quantity;
			}

		}
		$subtotal_attribute_sum=$subtotal_attributes+$subtotal_attribute_sum;
		//////////////////////////////////////////////////////////////////

		// $preis = $preis + $subtax;
		$sum_subtotals=	 $subtotal_attribute_sum+$subtotal;
		$sum_all_subtotals =	 $sum_all_subtotals+$sum_subtotals;
		$content .= number_format(convert_currency($sum_subtotals), 2, '.', ',').' ';

		$result2 = sql_query("SELECT * FROM store_orders_products_attributes WHERE 	orders_products_id=  '".$products_id."' AND orders_id='".$orders_id."' GROUP  BY products_options ", $dbi);
		while($row2 = sql_fetch_array($result2, $dbi)){
			$_orders_products_attributes_id 	   = $row2['orders_products_attributes_id'];
			$_products_options   = $row2['products_options'];
			$_products_options_values   = $row2['products_options_values'];
			$_options_values_price   = $row2['options_values_price'];
			$_price_prefix   = $row2['price_prefix'];

			$subtax_attribute=($products_tax*($_options_values_price*$products_quantity))/100;
			$subtax_attribute_sum=$subtax_attribute+$subtax_attribute_sum;

		}


		$sum_all_subtotals=$sum_all_subtotals;
		$tpreis = $tpreis+($_products_quantity*$preis);
		$totaltax=$totaltax+$subtax+$subtax_attribute_sum;
	}

	$_SESSION['totaltax'] = $totaltax;
	$_SESSION['subtotal_details'] = $totaltax+$sum_all_subtotals;

	$fright_method = checkSomethingFromTable($table='store_orders', $what='fright_method', $key='orders_id', $keyvalue=$orders_id, $langkey='', $langkeyvalue='', $sqlanswer='');
	$fright_method_name = checkSomethingFromTable($table='store_modules_desc', $what='module_custom_name', $key='module_id', $keyvalue=$fright_method, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$fright_method_dir = checkSomethingFromTable($table='store_modules', $what='module_name', $key='module_id', $keyvalue=$fright_method, $langkey='', $langkeyvalue='', $sqlanswer='');
	$fright_costs = checkSomethingFromTable($table='store_orders', $what='fright_costs', $key='orders_id', $keyvalue=$orders_id, $langkey='', $langkeyvalue='', $sqlanswer='');

	$_SESSION['fright_costs'] = $fright_costs;

	if($fright_costs>'0') {
		$total = $_SESSION['subtotal_details'];
		$total = $total+$fright_costs;
		$_SESSION['order_total'] = $total;
	} else {
		$_SESSION['order_total'] = $totaltax+$sum_all_subtotals;
	}
	return $content;
}











/*********************************************************************************************
* Function Name:  show_order_basket_details($userid)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns the current basket for the userid
*********************************************************************************************/
function show_order_basket_details($userid) {
	global $dbi;
	$content .= '<table width="550" border="0" cellspacing="0" cellpadding="0">';
	$content .= '<tr class="FormBlockHeader">';
	$content .= '<td class="FormBlockHeader" width="120">'.ARTICLE.'</td>';
	$content .= '<td class="FormBlockHeader" width="30" align="right"  widht="50">'.QUANTITY.'</td>';
	$content .= '<td class="FormBlockHeader" width="100" align="right"  widht="50">'.PRICE_UNIT.'</td>';
	$content .= '<td class="FormBlockHeader" width="100" align="right"  widht="50">'.TAX.'</td>';
	$content .= '<td class="FormBlockHeader" width="100" align="right"  widht="50">'.SUBTAX.'</td>';
	$content .= '<td class="FormBlockHeader" width="100" align="right"  widht="50">'.SUBTOTAL.'</td>';
	$content .= '</tr>';

	$result = sql_query("SELECT * FROM store_basket WHERE  user_id='".$userid."' AND products_quantity!=''", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$store_basket_id = $row['store_basket_id'];
		$products_id = $row['products_id'];
		$counter	 = $row['counter'];

		$prod_tax_id = checkSomethingFromTable($table='store_products', $what='tax_class_id', $key='product_id', $keyvalue=$products_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		$prod_tax = checkSomethingFromTable($table='store_tax_rates', $what='tax_rate', $key='tax_rates_id', $keyvalue=$prod_tax_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		$prod_name = checkSomethingFromTable($table='store_products_desc', $what='title', $key='product_id', $keyvalue=$products_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
		$products_quantity = $row['products_quantity'];
		$preis = checkSomethingFromTable($table='store_products', $what='preis', $key='product_id', $keyvalue=$products_id, $langkey='', $langkeyvalue='', $sqlanswer='');

		$subtax=($prod_tax*($preis*$products_quantity))/100;


		if($illn>='1') { $rwclass = "rowDark"; $illn=0; } else { $rwclass = "rowBright";  $illn++; }
		$content .= '<tr class="'. $rwclass.'">';
		$content .= '<td  class="'. $rwclass.'"><b>'.$prod_name.'</b></td>';
		$content .= '<td align="right"  widht="50" class="'. $rwclass.'">'.$products_quantity.'</td>';
		$content .= '<td align="right"  widht="50" class="'. $rwclass.'">';
		$content .= number_format(convert_currency($preis), 2, '.', ',').'+';
		$content .= '</td>';
		$content .= '<td align="right"  widht="50" class="'. $rwclass.'">'.$prod_tax.'</td>';
		$content .= '<td align="right"  widht="50" class="'. $rwclass.'">';
		if($subtax>'0') {
			$content .= '+'.number_format(convert_currency($subtax), 2, ',', ',');
		}
		$content .= '</td>';
		$content .= '<td align="right"  widht="50" class="'. $rwclass.'">';
		$subtotal=$preis;
		$subtotal=$subtotal*$products_quantity;

		$content .= number_format(convert_currency($subtotal), 2, '.', ',').' ';

		$content .= '</td>';
		$content .= '</tr>';



		// $sub_total_prod_attrib='';
		$result2 = sql_query("SELECT * FROM store_basket_attributes WHERE 		store_basket_id=  '".$store_basket_id."' AND counter=  '".$counter."' GROUP  BY options_id ", $dbi);
		while($row2 = sql_fetch_array($result2, $dbi)){
			$_products_attributes_id 	   = $row2['products_attributes_id'];
			$_options_id   = $row2['options_id'];
			$_options_values_id   = $row2['options_values_id'];

			$result3 = sql_query("SELECT * FROM store_products_attributes  WHERE  products_id=  '".$products_id."' AND  options_id=  '".$_options_id."' AND  options_values_id=  '".$_options_values_id."'  ", $dbi);
			$row3 = sql_fetch_array($result3, $dbi);

			$options_values_price   = $row3['options_values_price'];
			$price_prefix   = $row3['price_prefix'];

			$attribute_price_text .= number_format(convert_currency($options_values_price), 2, '.', '.').$price_prefix.'<br>';

			$subtax_attribute=($prod_tax*($options_values_price*$products_quantity))/100;
			$subtax_attribute_sum=$subtax_attribute+$subtax_attribute_sum;

			// echo '$attribute_price: '.$attribute_price.'<br>';
			$options_name = checkSomethingFromTable($table='store_products_options', $what='options_name', $key='options_id', $keyvalue=$_options_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
			$products_options_values_name = checkSomethingFromTable($table='store_products_options_values', $what='products_options_values_name', $key='options_values_id', $keyvalue=$_options_values_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
			$content .= '<tr  class="'. $rwclass.'">';
			$content .= '<td  class="'. $rwclass.'">';
			$content .= '<font class="textDataSmall">'.$options_name.':</font> ';
			$content .= '<font class="textTitleSmall">'.$products_options_values_name.'</font>';
			$content .= '</td>';
			$content .= '<td  class="'. $rwclass.'">';
			// $content .=  $products_quantity.'<br>';
			$content .= '</td>';
			$content .= '<td align="right"  widht="50" class="'. $rwclass.'">';
			if($options_values_price>'0') {
				$content .= number_format(convert_currency($options_values_price), 2, '.', ',').$price_prefix.' ';
			}
			$content .= '</td>';
			$content .= '<td align="right"  class="'. $rwclass.'">';
			$content .=  $prod_tax.'<br>';
			$content .= '</td>';
			$content .= '<td  align="right" class="'. $rwclass.'">';
			if($subtax_attribute>'0') {
				$content .= $price_prefix.' '.number_format(convert_currency($subtax_attribute), 2, '.', ',');
			}
			$content .= '</td>';

			$content .= '<td align="right"  widht="50" class="'. $rwclass.'">';

			if($options_values_price>'0') {
				$options_values_price = $options_values_price*$products_quantity;
				$content .= $price_prefix.' '.number_format(convert_currency($options_values_price), 2, '.', ',');
			}
			$sub_total_prod_attrib = $sub_total_prod_attrib+$options_values_price;
			$subtax_attrib = $subtax_attrib+($prod_tax*($options_values_price*$products_quantity))/100;
			$content .= '</td>';
			$content .= '</tr>';
		}

		$subtax_attrib = $subtax_attrib + $subtax;
		$sum_subtotal_and_prod_attrib =$subtotal + sub_total_prod_attrib;
		$tpreis = $tpreis+($products_quantity*$preis);
		$totaltax=$totaltax+$subtax+$subtax_attribute_sum;
	}
	$content .= '<tr  class="FormBlockText">';
	$content .= '<td align="right" class="" colspan="6" class="FormBlockText">'. draw_line($image='black', $width='100%', $height='1').'</td>';
	$content .= '</tr>';
	$content .= '<tr  class="FormBlockText">';
	$content .= '<td align="right" colspan="5" class="FormBlockText">';
	$sum_all_subtotals = $tpreis + $sub_total_prod_attrib;
	$content .= SUBTOTAL.'</td><td align="right" class="FormBlockText">'.$defaultcurrency.' '.number_format(convert_currency($sum_all_subtotals), 2, '.', '.').'</td>';
	$content .= '</tr>';

	$content .= '<tr  class="FormBlockText">';
	// $content .= '<td align="right" colspan="5" class="FormBlockText">'.TAX.'</td><td align="right"  class="FormBlockText">'.number_format(convert_currency($totaltax), 2, '.', ' ').'</td>';
	$content .= '<td align="right" colspan="5" class="FormBlockText">'.TAX.'</td><td align="right"  class="FormBlockText">'.number_format(convert_currency($subtax_attrib), 2, '.', ' ').'</td>';
	$content .= '</tr>';

	$content .= '<tr  class="FormBlockText">';
	$content .= '<td align="right"  class="FormBlockText" colspan="5"></td><td align="right"  class="FormBlockText">'. draw_line($image='black', $width='100%', $height='2').'</td>';
	$content .= '</tr>';
	$content .= '<tr  class="FormBlockText">';
	$content .= '<td align="right"  class="FormBlockText"colspan="5"></td><td align="right"  class="FormBlockText">'.number_format(convert_currency($subtax_attrib+$sum_all_subtotals), 2, '.', ' ').'</td>';
	$content .= '</tr>';



	$content .= '</table>';
	$_SESSION['orderdetails'] = $totaltax+$sum_all_subtotals;
	return $content;
}
///////////////////////////////////////////////////////////////////7


/*********************************************************************************************
* Function Name:  orders_status_dropdown_menu($orders_status_id_exp)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Drop Down menu list of the Order status options
*********************************************************************************************/
function orders_status_dropdown_menu($orders_status_id_exp){
	global $dbi, $currentlang;
	$content = '<select name="order_status">';
	$result = sql_query("SELECT * FROM store_orders_status WHERE language='".$currentlang."' ORDER BY orders_status_name", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$orders_status_id   = $row['orders_status_id'];
		$orders_status_name   = $row['orders_status_name'];
		if($orders_status_id==$orders_status_id_exp) { $selected = ' selected'; } else { $selected = ' '; }
		$content .= '<option value="'.$orders_status_id.'" '.$selected.'>'.$orders_status_name.'</option>';
	}
	$content .= '</select>';
	return $content;
}

/*********************************************************************************************
* Function Name:  number_of_orders($status)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns the number of order from a given $status
*********************************************************************************************/
function number_of_orders($status){
	global $dbi;
	$result = sql_query("SELECT * FROM store_orders WHERE  order_status='".$status."' ", $dbi);
	$i=0;
	while($row = sql_fetch_array($result, $dbi)){
		$i++;
	}
	return $i;
}

/*********************************************************************************************
* Function Name:  number_of_user_orders($status)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns the number of order from a given $status and the current user ID
*********************************************************************************************/
function number_of_user_orders($status,$user_id){
	global $dbi, $userid;
	$result = sql_query("SELECT * FROM store_orders WHERE  order_status='".$status."' AND  user_id='".$user_id."' ", $dbi);
	$i=0;
	while($row = sql_fetch_array($result, $dbi)){
		$i++;
	}
	return $i;
}

/*********************************************************************************************
* Function Name:  number_of_my_orders($status)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns the number of order from a given $status and the current user ID
*********************************************************************************************/
function number_of_my_orders($status){
	global $dbi, $userid;
	$result = sql_query("SELECT * FROM store_orders WHERE  order_status='".$status."' AND  user_id='".$userid."' ", $dbi);
	$i=0;
	while($row = sql_fetch_array($result, $dbi)){
		$i++;
	}
	return $i;
}

/*********************************************************************************************
* STORE COUNTRY, STATE AND CITIES functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_country_name($countries_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns the country name
*********************************************************************************************/
function get_country_name($countries_id) {
	global $dbi;
	if($result = sql_query("SELECT countries_name FROM geo_countries WHERE countries_id='".$countries_id."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['countries_name'];
	}
}

/*********************************************************************************************
* Function Name:  get_state_name($state_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns the state name
*********************************************************************************************/
function get_state_name($state_id) {
	global $dbi;
	if($result = sql_query("SELECT state_name FROM geo_states WHERE state_id='".$state_id."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['state_name'];
	}
}

/*********************************************************************************************
* STORE HEADER functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_store_products_category_metas($category_id, $what)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* browse.php has own header meta-tags settings.
* $what = 'title'		returns the meta-tag title
* $what = 'keywords'	returns the meta-tag keywords
* $what = 'description'	returns the meta-tag description
*********************************************************************************************/
function get_store_products_category_metas($category_id, $what) {
	global $dbi, $currentlang;
	$result = sql_query("SELECT * FROM store_products_cat_desc WHERE category_id='" . $category_id . "' AND language='" . $currentlang . "'", $dbi);
	if($row = sql_fetch_array($result, $dbi)){
		$meta_title   = $row['meta_title'];
		$meta_keywords   = $row['meta_keywords'];
		$meta_description   = $row['meta_description'];
	}
	if($what=='title') { return $meta_title; }
	if($what=='keywords') { return $meta_keywords; }
	if($what=='description') { return $meta_description; }
}

/*********************************************************************************************
* Function Name:  get_store_products_category_metas($category_id, $what)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* view_details.php has own header meta-tags settings.
* $what = 'title'		returns the meta-tag title
* $what = 'keywords'	returns the meta-tag keywords
* $what = 'description'	returns the meta-tag description
*********************************************************************************************/
function get_store_productsicles_metas($product_id, $what) {
	global $dbi, $currentlang;
	$result = sql_query("SELECT * FROM store_products_desc WHERE product_id='" . $product_id . "' AND language='" . $currentlang . "'", $dbi);
	if($row = sql_fetch_array($result, $dbi)){
		$meta_title   = $row['meta_title'];
		$meta_keywords   = $row['meta_keywords'];
		$meta_description   = $row['meta_description'];
	}
	if($what=='title') { return $meta_title; }
	if($what=='keywords') { return $meta_keywords; }
	if($what=='description') { return $meta_description; }
}
?>