<?
require('includes/fpdf.php');

global $dbi, $userid;
$usertheme = get_user_default_theme($userid);
$sitetheme = get_site_default_theme();

if (file_exists("themes/$usertheme")){
	$theme = $usertheme;
} elseif (file_exists("themes/$sitetheme")) {
	$theme = $sitetheme;
}
if($theme=='') {
	$theme = 'default';
}
$theme = eregi_replace(' ','',$theme);
class PDF extends FPDF{

function Header(){
	global $theme;
	//Image(string file, float x, float y [, float w [, float h [, string type [, mixed link]]]])
	//allowed image Type .jpg or .png

	//REPLACE WITH DEFAULT LOGO PATH
	// $image_header=checkSomethingFromTable($table='my_company_info', $what='pdf_image_header', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	// $image_footer=checkSomethingFromTable($table='my_company_info', $what='pdf_image_footer', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$image_header=checkSomethingFromTable($table='themes_logos', $what='pdf_header', $key='theme', $keyvalue=$theme, $langkey='', $langkeyvalue='', $sqlanswer='');

	$img='themes/'.$theme.'/images/logos/'.$image_header;
	$this->Image($img,10.00125,10,190,15,'JPG');
	//damit das nchste item genug platz hat ..
	$this->setY(30);
	}//function

function Footer(){
	global $theme;
	$image_footer=checkSomethingFromTable($table='themes_logos', $what='pdf_footer', $key='theme', $keyvalue=$theme, $langkey='', $langkeyvalue='', $sqlanswer='');
	//Image(string file, float x, float y [, float w [, float h [, string type [, mixed link]]]])
	//allowed image Type .jpg or .png

	//footer allows negative Ykoords but not the Image , these code make it working ..
	$this->setY(-20);
	$tmpY=$this->getY();

	//REPLACE WITH DEFAULT FOOTER PATH
	// $img='images/'.$image_footer;
	$img='themes/'.$theme.'/images/logos/'.$image_footer;
	$this->Image($img,10.00125,$tmpY,190,15,'JPG');
	}//function

function drawProducts($dbi,$order){

	//X Koordinaten W Width A Align
	$articleX=10.00125;
	$articleW=80;
	$articleA='L';

	$quantityX = $articleX + $articleW;
	$quantityW = 20;
	$quantityA='R';

	$price_unitX =$quantityX+$quantityW;
	$price_unitW = 20;
	$price_unitA='R';

	$taxX = $price_unitX + $price_unitW;
	$taxW = 18;
	$taxA='R';

	$subtaxX = $taxX + $taxW;
	$subtaxW = 20;
	$subtaxA='R';

	$subtotalX = $subtaxX + $subtaxW;
	$subtotalW = 30;
	$subtotalA='R';

	$tab_height = 4;
	$tab_border = 'TB'; // 0 = None 1=Border or L T R B
	$tab_fill = 0; // 0 = None,  1 = Fill set color separate

    //Table Header
	$this->SetFont('Arial','B',9);   //family   style B I U    size px
	$tmpY=$this->getY();

	//Article
	$this->setXY($articleX,$tmpY);
    $this->MultiCell($articleW,$tab_height,ARTICLE,$tab_border,$articleA,$tab_fill);
	//Quantity
	$this->setXY($quantityX,$tmpY);
    $this->MultiCell($quantityW,$tab_height,QUANTITY,$tab_border,$quantityA,$tab_fill);
	//Price unit
	$this->setXY($price_unitX,$tmpY);
    $this->MultiCell($price_unitW,$tab_height,PRICE_UNIT,$tab_border,$price_unitA,$tab_fill);
	//tax
	$this->setXY($taxX,$tmpY);
    $this->MultiCell($taxW,$tab_height,TAX,$tab_border,$taxA,$tab_fill);
	//subtax
	$this->setXY($subtaxX,$tmpY);
    $this->MultiCell($subtaxW,$tab_height,SUBTAX,$tab_border,$subtaxA,$tab_fill);
	//subtotal
	$this->setXY($subtotalX,$tmpY);
    $this->MultiCell($subtotalW,$tab_height,SUBTOTAL,$tab_border,$subtotalA,$tab_fill);

	$sql = 'SELECT * FROM store_orders_products WHERE orders_id ='.$order.' GROUP BY counter';
	$result = sql_query($sql, $dbi);
	//$row = sql_fetch_array($result, $dbi);

	//Table Content Settings
	$this->SetFont('Arial','',8);   //family   style B I U    size px
	$tab_border = 0;
	$maxY=$this->getY()+5;

	$total_attributes = '';
	while($row = mysql_fetch_assoc($result)){
		$tmpY=$maxY;

		//Article
		$this->setXY($articleX,$tmpY);
		$this->MultiCell($articleW,$tab_height,$row['products_name'].' '.$row['products_model'],$tab_border,$articleA,$tab_fill);
		if ($maxY < $this->getY())$maxY = $this->getY();

		//Quantity
		$quantity=$row['products_quantity'];
		$this->setXY($quantityX,$tmpY);
		$this->MultiCell($quantityW,$tab_height,$quantity,$tab_border,$quantityA,$tab_fill);
		if ($maxY < $this->getY())$maxY = $this->getY();

		//Price unit
		$price=$row['products_price'];
		$price=number_format($price, 2, '.', ',');
		$this->setXY($price_unitX,$tmpY);
		$this->MultiCell($price_unitW,$tab_height,$price,$tab_border,$price_unitA,$tab_fill);
		if ($maxY < $this->getY())$maxY = $this->getY();

		//tax
		$tax=$row['products_tax'];
		$tax=number_format($tax, 2, '.', ',');
		$this->setXY($taxX,$tmpY);
		$this->MultiCell($taxW,$tab_height,$tax,$tab_border,$taxA,$tab_fill);
		if ($maxY < $this->getY())$maxY = $this->getY();

		//subtax
		$price=$row['products_price'];
		$subtax=($quantity*$price)*$tax/100;
		$subtax=number_format($subtax, 2, '.', ',');
		$this->setXY($subtaxX,$tmpY);
		$this->MultiCell($subtaxW,$tab_height,$subtax,$tab_border,$subtaxA,$tab_fill);
		if ($maxY < $this->getY())$maxY = $this->getY();

		//subtotal
		$price=$row['products_price'];
		$subtax=($quantity*$price)*$tax/100;

		$subtotal=($quantity*$price)+$subtax;
		$totalx+=$subtotal;
		$subtotal=number_format($subtotal, 2, '.', ',');
		$total_attributes = '';
		$sql1 = 'SELECT * FROM store_orders_products_attributes WHERE orders_id ='.$order.' AND orders_products_id ='.$row['products_id'].' AND counter ='.$row['counter'].' ';
		$result1 = sql_query($sql1, $dbi);
		while($row1 = mysql_fetch_assoc($result1)){
			$price_prefix = $row1['price_prefix'];
			$options_values_price = $row1['options_values_price'];
			if($price_prefix =='+') {
				$total_attributes = $total_attributes + $options_values_price;
			} else {
				$total_attributes = $total_attributes - $options_values_price;
			}
		}
		$subtotalplusattributes = $subtotal+$total_attributes;
		$subtotalplusattributes=number_format($subtotalplusattributes, 2, '.', ',');
		$totalx=$totalx+$total_attributes;

		$total=number_format($totalx, 2, '.', ',');
		$this->setXY($subtotalX,$tmpY);
		// $this->MultiCell($subtotalW,$tab_height,$subtotal,$tab_border,$subtotalA,$tab_fill);
		$this->MultiCell($subtotalW,$tab_height,$subtotalplusattributes,$tab_border,$subtotalA,$tab_fill);
		if ($maxY < $this->getY())$maxY = $this->getY();


		$total_attributes = '';
		$sql2 = 'SELECT * FROM store_orders_products_attributes WHERE orders_id ='.$order.' AND orders_products_id ='.$row['products_id'].' AND counter ='.$row['counter'].' ';
		$result2 = sql_query($sql2, $dbi);
		while($row2 = mysql_fetch_assoc($result2)){
			$tmpY=$maxY;

			//Article attribute
			$this->setXY($articleX,$tmpY);
			$this->MultiCell($articleW,$tab_height,'-'.$row2['products_options'].' '.$row2['products_options_values'],$tab_border,$articleA,$tab_fill);
			if ($maxY < $this->getY())$maxY = $this->getY();

			//Article attribute valuen price
			$options_values_price=$row2['options_values_price'];
			$options_values_price=$row2['price_prefix'].' '.number_format($options_values_price, 2, '.', ',');
			$this->setXY($price_unitX,$tmpY);
			if($row2['options_values_price']!='0') {
				$this->MultiCell($price_unitW,$tab_height,$options_values_price,$tab_border,$price_unitA,$tab_fill);
				if ($maxY < $this->getY())$maxY = $this->getY();
			}

			//subtax
			if( ( $row2['price_prefix']=='+') AND ( $row2['options_values_price']>'0') ) {
				$options_values_price=$row2['options_values_price'];
				$subtaxovp=($quantity*$options_values_price)*$tax/100;
				if($subtaxovp>'0') {
					$subtaxovp=number_format($subtaxovp, 2, '.', ',');
					$this->setXY($subtaxX,$tmpY);
					$this->MultiCell($subtaxW,$tab_height,$subtaxovp,$tab_border,$subtaxA,$tab_fill);
					if ($maxY < $this->getY())$maxY = $this->getY();
				}
			}


		}


	}
	//<br>
	$this->Ln();
	/////////////////////////////////////////////////////////////////////////
	/////////////////////////////////////////////////////////////////////////




	//subtotal
	$this->SetFont('Arial','',10);   //family   style B I U    size px
	$tmpY=$this->GetY();
	$this->setXY($subtotalX-$subtotalW,$tmpY);
    $this->MultiCell($subtotalW,$tab_height,SUBTOTAL,$tab_border,$subtotalA,$tab_fill);
	$this->setXY($subtotalX,$tmpY);
	$total=number_format($totalx, 2, '.', ',');
    $this->MultiCell($subtotalW,$tab_height,$total,$tab_border,$subtotalA,$tab_fill);
	$this->Ln();

	//fright
	$fright=checkSomethingFromTable($table='store_orders', $what='fright_costs', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$fright=number_format($fright, 2, '.', ',');
	$fright_txt=checkSomethingFromTable($table='store_orders', $what='fright_details', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$fright_txt=FRIGHT."\n".str_replace('<br>',"\n",$fright_txt);
	// $fright_txt=FRIGHT."\n".str_replace('<br>'," ",$fright_txt);
	$total=number_format($total+$fright, 2, '.', ',');
	// $total+=$fright;
	$this->SetFont('Arial','B',8);   //family   style B I U    size px
	$tmpY=$this->GetY();
	$this->setXY($subtotalX-70,$tmpY);
    $this->MultiCell(70,$tab_height,$fright_txt,$tab_border,'L',$tab_fill);
	$bottomY=$this->GetY();
	$this->setXY($subtotalX,$tmpY);
	$this->SetFont('Arial','',10);   //family   style B I U    size px
    $this->MultiCell($subtotalW,$tab_height,$fright,$tab_border,$subtotalA,$tab_fill);
	if ($bottomY>$this->getY()){
		$this->setY($bottomY);
	}

	//HR
	$this->Line(10.00125,$this->getY(),200,$this->getY());
	//Total
	$this->SetFont('Arial','B',10);   //family   style B I U    size px
	$tmpY=$this->GetY();
	$this->setXY($subtotalX-$subtotalW,$tmpY);
    $this->MultiCell($subtotalW,$tab_height,TOTAL,$tab_border,$subtotalA,$tab_fill);
	$this->setXY($subtotalX,$tmpY);

	$order_currency=checkSomethingFromTable($table='store_orders', $what='currency', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$total=$order_currency.' ';
	$total.=number_format($totalx+$fright, 2, '.', ',');
    $this->MultiCell($subtotalW,$tab_height,$total,$tab_border,$subtotalA,$tab_fill);

	//HR
	$this->Line(10.00125,$this->getY(),200,$this->getY());
	}//fn

function drawDeliveryAdress($dbi,$order){
	//build the adress
	//global $dbi;
	$cust_vname=checkSomethingFromTable($table='store_orders', $what='delivery_firstname', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_name=checkSomethingFromTable($table='store_orders', $what='delivery_lastname', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_street=checkSomethingFromTable($table='store_orders', $what='delivery_street', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_street_nr=checkSomethingFromTable($table='store_orders', $what='delivery_street_nr', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_plz=checkSomethingFromTable($table='store_orders', $what='delivery_zip', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_city=checkSomethingFromTable($table='store_orders', $what='delivery_city', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_city=checkSomethingFromTable($table='geo_cities', $what='place', $key='city_id', $keyvalue=$cust_city, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_state=checkSomethingFromTable($table='store_orders', $what='delivery_state', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_state_code=checkSomethingFromTable($table='geo_states', $what='state_code', $key='state_id', $keyvalue=$cust_state, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_state_name=checkSomethingFromTable($table='geo_states', $what='state_name', $key='state_id', $keyvalue=$cust_state, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_country=checkSomethingFromTable($table='store_orders', $what='delivery_country', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_country=checkSomethingFromTable($table='geo_countries', $what='countries_name', $key='countries_id', $keyvalue=$cust_country, $langkey='', $langkeyvalue='', $sqlanswer='');
	if( ($cust_city!='') AND ($cust_state!='') AND ($cust_country!='') ) {
		$adr=DELIVERY_ADDRESS."\n\n$cust_vname $cust_name\n$cust_street $cust_street_nr\n$cust_plz-$cust_city\n$cust_state_code $cust_country";
	} else {
		$adr=DELIVERY_ADDRESS."\n\n\n\n";
	}

	//Koords & style
	//$tmpY=$this->getY();
	$tmpY=50;
	$tmpX=135;
	$width=65;
	$border=0;
	$align='L';
	$fill=0;

	$this->SetFont('Arial','B',8);   //family   style B I U    size px
	$this->setXY($tmpX,$tmpY);

	$this->MultiCell($width,6,$adr,$border,$align,$fill);
	$this->Ln();
}

function drawPaymentAdress($dbi,$order){
	//build the adress
	$cust_vname=checkSomethingFromTable($table='store_orders', $what='user_firstname', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_name=checkSomethingFromTable($table='store_orders', $what='user_lastname', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_street=checkSomethingFromTable($table='store_orders', $what='user_street', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_street_nr=checkSomethingFromTable($table='store_orders', $what='user_street_nr', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_plz=checkSomethingFromTable($table='store_orders', $what='user_zip', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_city=checkSomethingFromTable($table='store_orders', $what='user_city', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_city=checkSomethingFromTable($table='geo_cities', $what='place', $key='city_id', $keyvalue=$cust_city, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_state=checkSomethingFromTable($table='store_orders', $what='user_state', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_state_code=checkSomethingFromTable($table='geo_states', $what='state_code', $key='state_id', $keyvalue=$cust_state, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_state_name=checkSomethingFromTable($table='geo_states', $what='state_name', $key='state_id', $keyvalue=$cust_state, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_country=checkSomethingFromTable($table='store_orders', $what='user_country', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');
	// $cust_country=checkSomethingFromTable($table='geo_countries', $what='countries_iso_code_2', $key='countries_name', $keyvalue=$cust_country, $langkey='', $langkeyvalue='', $sqlanswer='');
	$cust_country=checkSomethingFromTable($table='geo_countries', $what='countries_name', $key='countries_id', $keyvalue=$cust_country, $langkey='', $langkeyvalue='', $sqlanswer='');
	$adr=BILLING_ADDRESS."\n\n$cust_vname $cust_name\n$cust_street $cust_street_nr\n$cust_plz-$cust_city\n$cust_state_code $cust_country";
	if($cust_city!='') {
	}

	//Koords & style
	//$tmpY=$this->getY();
	$tmpY=50;
	$tmpX=10.00125;
	$width=65;
	$border=0;
	$align='L';
	$fill=0;

	$this->SetFont('Arial','B',8);   //family   style B I U    size px
	$this->setXY($tmpX,$tmpY);

	$this->MultiCell($width,6,$adr,$border,$align,$fill);
	$this->Ln();
}

function drawDiverses($dbi,$order){
	//Title Payment
	$txt=RECIPT.': '.ORDERS_ID.': '.$order;
	//Koords & style
	$this->SetFont('Arial','B',12);
	$tmpY=$this->getY()+10;
	$tmpX=10.00125;
	$width=100;
	$border=0;
	$align='L';
	$fill=0;

	$this->setXY($tmpX,$tmpY);
	$this->MultiCell($width,6,$txt,$border,$align,$fill);

	//Orderdate
	$txt=ORDER_DATE.': '.checkSomethingFromTable($table='store_orders', $what='date_purchased', $key='orders_id', $keyvalue=$order, $langkey='', $langkeyvalue='', $sqlanswer='');

	//Koords & style
	$this->SetFont('Arial','',10);
	$tmpY=$this->getY();
	$tmpX=10.00125;
	$width=65;
	$border=0;
	$align='L';
	$fill=0;

	$this->setXY($tmpX,$tmpY);
	$this->MultiCell($width,6,$txt,$border,$align,$fill);
	$this->Ln();
	}//fn

function drawOwnerAndBank($dbi,$order){

	//Owner Adress
	$adm_company=checkSomethingFromTable($table='my_company_info', $what='company_name', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$adm_street=checkSomethingFromTable($table='my_company_info', $what='company_street', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$adm_street.= ' '.checkSomethingFromTable($table='my_company_info', $what='company_street_nr', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$adm_zip=checkSomethingFromTable($table='my_company_info', $what='company_zip', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$adm_city=checkSomethingFromTable($table='my_company_info', $what='company_city', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$adm_state=checkSomethingFromTable($table='my_company_info', $what='company_state', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$adm_country=checkSomethingFromTable($table='my_company_info', $what='company_country', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$adm_tel=checkSomethingFromTable($table='my_company_info', $what='company_phone', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$adm_fax=checkSomethingFromTable($table='my_company_info', $what='company_fax', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	//isocode2 ??

	$bankname = checkSomethingFromTable($table='my_company_info', $what='bank_name', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$bankfilial = checkSomethingFromTable($table='my_company_info', $what='bank_filial', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$swiftnr = checkSomethingFromTable($table='my_company_info', $what='bank_swift', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$ibannr = checkSomethingFromTable($table='my_company_info', $what='bank_iban', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$clearlingnr = checkSomethingFromTable($table='my_company_info', $what='bank_clearling_nr', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$accountnr = checkSomethingFromTable($table='my_company_info', $what='bank_account_nr', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');

	$bankaddress = checkSomethingFromTable($table='my_company_info', $what='bank_address', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$bankzip = checkSomethingFromTable($table='my_company_info', $what='bank_zip', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$bankcity = checkSomethingFromTable($table='my_company_info', $what='bank_city', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$bankstate = checkSomethingFromTable($table='my_company_info', $what='bank_state', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
	$bankcountry = checkSomethingFromTable($table='my_company_info', $what='bank_country', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');

	$txt="$adm_company\n$adm_street\n$adm_zip $adm_city\n$adm_state $adm_country\nTel: $adm_tel\nFax: $adm_fax\n\n$bankname\n$bankfilial\nACCOUNT: $accountnr\nIBAN: $ibannr\nClearling Nr. $clearlingnr\nSWIFT: $swiftnr";
	$txt="$adm_company\n$adm_street\n$adm_zip $adm_city\n$adm_state $adm_country\nTel: $adm_tel\nFax: $adm_fax\n\n$bankname: $bankfilial, ACCOUNT: $accountnr, IBAN: $ibannr, Clearling Nr: $clearlingnr, SWIFT: $swiftnr";

	//Koords & style
	$this->SetFont('Arial','',8);   //family   style B I U    size px
	$tmpY=$this->getY()+9;
	$tmpX=10.00125;
	$width=100;
	$border=0;
	$align='L';
	$fill=0;

	$this->setXY($tmpX,$tmpY);
	$this->MultiCell($width,6,$txt,$border,$align,$fill);

	//Orderdate
	$txt=THANKS4ORDER;
	$txt.="\n\n";
	$txt.=BESTREGARDS;
	$txt.="\n";
	$txt.=$adm_company;
	// $txt="Danke fr den Auftrag\n\nMit freundlichen Grssen\n$adm_company";

	//Koords & style
	$this->SetFont('Arial','B',8);   //family   style B I U    size px
	//$tmpY=$this->getY();
	$tmpX=135;
	$width=65;
	$border=0;
	$align='L';
	$fill=0;

	$this->setXY($tmpX,$tmpY);
	$this->MultiCell($width,6,$txt,$border,$align,$fill);
	$this->Ln();
	}//fn
}//class

$pdf=new PDF();
$pdf->SetFont('Arial','',14);

$pdf->AddPage();
$pdf->drawPaymentAdress($dbi,$order);
$pdf->drawDeliveryAdress($dbi,$order);
$pdf->drawDiverses($dbi,$order);
$pdf->drawProducts($dbi,$order);
$pdf->drawOwnerAndBank($dbi,$order);
$pdf->Output();

?>