<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename: print_view_browse.php
* Location: /modules/store/print_view_browse.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
/*********************************************************************************************
* Fillup vars not passed on php5 (work around!)
*  -Arrays were not passed trough the loop, so i pharesed the array if in var...
*  -temporarly workarround
*********************************************************************************************/
include_once('includes/fix_post_and_get_vars.php');

include_once('modules/store/functions.php');
if (file_exists('modules/store/languages/lang-'.$currentlang.'.php')) {
	include('modules/store/languages/lang-'.$currentlang.'.php');
} else {
	echo  '<FONT color"fff000" size=3>Language File;: '.$currentlang.' not defined in this module</FONT><br>';
}
global $userid, $defaultcurrency;
$title 			= checkSomethingFromTable($table='store_products_cat_desc', $what='title', $key='category_id', $keyvalue=$cat, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
$description 	= checkSomethingFromTable($table='store_products_cat_desc', $what='description', $key='category_id', $keyvalue=$cat, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
$cat_image 		= checkSomethingFromTable($table='store_products_cat', $what='cat_image', $key='category_id', $keyvalue=$cat, $langkey='', $langkeyvalue='', $sqlanswer='');


echo '<table width="100%" border="0" cellspacing="0" cellpadding="0">';

if(get_store_config_value($config_key='SHOW_CAT_TITLE')=='1') {
	echo '<tr>';
	echo '<td class="textTitleBig">';
	echo $title;
	echo '</td>';
	echo '</tr>';
}


//////////////////////////////////////////////////////////////////////////////////////////////////////////

if(isset($cat_image)) {
	echo '<tr>';
	echo '<td class="textTitleBig">';
	if(is_file('modules/store/images/'.$cat_image)) {
		echo '<img src="modules/store/images/'.$cat_image.'" border="0" height="60" >';
	}
	echo '</td>';
	echo '</tr>';
}
//////////////////////////////////////////////////////////////////////////////////////////////////////////
if(get_store_config_value($config_key='SHOW_CAT_DESC')=='1') {
	echo '<tr>';
	echo '<td class="textData">';
	echo $description;
	echo draw_line($image='black', $width='100%', $height='1');
	echo '</td>';
	echo '</tr>';
}
//////////////////////////////////////////////////////////////////////////////////////////////////////////
echo '</table>';
//////////////////////////////////////////////////////////////////////////////////////////////////////////
if(get_store_config_value($config_key='SHOW_DEF_CAT_NEWS')=='1') {
	// echo 'SHOW_DEF_CAT_NEWS ... <br>';
	echo '<table width="100%" border="0" cellspacing="0" cellpadding="0">';

	$result = sql_query("SELECT * FROM store_products WHERE product_status='1'  AND product_catid='".$cat."'  AND is_default='1' ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$product_id   = $row['product_id'];
		$creation   = $row['creation'];
		$product_image   = $row['product_image'];

		$manufacturer_id	= $row['manufacturer_id'];
		$manufacturer = checkSomethingFromTable($table='store_manufacturers', $what='manufacturer_title', $key='manufacturer_id', $keyvalue=$manufacturer_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		$model			    = $row['model'];
		$preis			    = $row['preis'];
		$weight			    = $row['weight'];
		$creation		    = $row['creation'];
		$is_default		    = $row['is_default'];
		$in_stock		    = $row['in_stock'];
		$ordered			= $row['ordered'];
		$date_available	    = $row['date_available'];

		$product_title = checkSomethingFromTable($table='store_products_desc', $what='title', $key='product_id', $keyvalue=$product_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
		$product_description_1 = checkSomethingFromTable($table='store_products_desc', $what='product_description_1', $key='product_id', $keyvalue=$product_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
		echo '<td align="left" valign="top">';
		echo '<div class="textTitle">'.$product_title.'</div>';
		echo '<br>';
		echo '<div class="textTitleSmall">'. $manufacturer.' '.$model.'</div>';
		echo $product_description_1;
		echo '</td>';
		echo '<td width="100" align="right" valign="top">'.$currency.' '.number_format(convert_currency($preis), 2, '.', '.').'</td>';

		echo '<td width="40" align="center" valign="top"><a href="index.php?op=store&op2=browse&op3=add_to_chart&product='.$product_id.'&cat='.$cat.'" ><img src="modules/store/images/btn_addcart.gif" border="0"></a></td>';
		echo '<tr>';
	}
	echo '</table>';
	echo '<br>';
}


//////////////////////////////////////////////////////////////////////////////////////////////////////////
// echo 'SHOW Products list ... <br>';
echo '<table width="100%" border="0" cellspacing="1" cellpadding="2">';
if(get_store_config_value($config_key='SHOW_DEF_CAT_NEWS')=='1') {
	$and = "AND is_default!='1'";
}
$result = sql_query("SELECT * FROM store_products WHERE product_status='1'  AND product_catid='".$cat."'   $and ", $dbi);
while($row = sql_fetch_array($result, $dbi)){
	$product_id   = $row['product_id'];
	$creation   = $row['creation'];
	$product_image   = $row['product_image'];

	$manufacturer_id	= $row['manufacturer_id'];
	$manufacturer = checkSomethingFromTable($table='store_manufacturers', $what='manufacturer_title', $key='manufacturer_id', $keyvalue=$manufacturer_id, $langkey='', $langkeyvalue='', $sqlanswer='');
	$model			    = $row['model'];
	$preis			    = $row['preis'];
	$weight			    = $row['weight'];
	$creation		    = $row['creation'];
	$is_default		    = $row['is_default'];
	$in_stock		    = $row['in_stock'];
	$ordered			= $row['ordered'];
	$date_available	    = $row['date_available'];

	$product_title = checkSomethingFromTable($table='store_products_desc', $what='title', $key='product_id', $keyvalue=$product_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$product_description_1 = checkSomethingFromTable($table='store_products_desc', $what='product_description_1', $key='product_id', $keyvalue=$product_id, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	if($start=='') {
		echo '<tr class="FormBlockHeader">';
		echo '<td align="left" valign="top" class="FormBlockHeader">'.PRODUCTS.'</td>';
		echo '<td width="150" align="right" valign="top" class="FormBlockHeader"></td>';
		echo '</tr>';
	}
	$start++;
	if($illn>='1') { $rwclass = "rowDark"; $illn=0; } else { $rwclass = "rowDark"; $illn++; }
	echo '<td class="'. $rwclass.'" align="left" valign="top">';
	echo '<div class="textTitle">'.$product_title.'</div>';
	echo '<br>'.$product_description_1;
	echo '</td>';
	echo '<td class="'.$rwclass.'" valign="top">';
	echo '<FONT class="textTitleSmall">'.MODEL.':: '.$model.'</FONT><br>';
	echo '<FONT class="textTitleSmall">'.MANUFACTURER.':: '.$manufacturer.'</FONT><br>';
	echo '<FONT class="textTitleSmall">'.PRICE.':: </FONT><FONT class="textTitle">'.$currency.' '.number_format(convert_currency($preis), 2, '.', '.').'</FONT><br>';
	$products_attributes_id = checkSomethingFromTable($table='store_products_attributes', $what='products_attributes_id', $key='products_id', $keyvalue=$product_id, $langkey='', $langkeyvalue='', $sqlanswer='');
	if($products_attributes_id=='') {
		echo '<center><img src="modules/store/images/btn_addcart.gif" border="0"></center>';
	}
	echo '</td>';
	echo '<tr>';
	echo '<td colspan="3">';
	echo draw_line($image='black', $width='100%', $height='1');
	echo '</td>';
	echo '</tr>';
}
echo '</table>';

?>