<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename:  my_pdf.php
* Location: /modules/store/admin/my_pdf.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/
/*********************************************************************************************
* Fillup vars not passed on php5 (work around!)
*  -Arrays were not passed trough the loop, so i pharesed the array if in var...
*  -temporarly workarround
*********************************************************************************************/
include_once('includes/fix_post_and_get_vars.php');


include('includes/config.php');
require('includes/fpdf.php');
require_once("includes/sql_layer.php");
$dbi = sql_connect($dbhost, $dbuname, $dbpass, $dbname);
include('includes/functions.php');

// if(!isset($_SESSION['language'])){
// 	$_SESSION['language']= get_default_language();
// }
// if(isset($langx)) {
// 	$_SESSION['language']=$langx;
// }
// $currentlang=$_SESSION['language'];

/*********************************************************************************************
* Fillup vars not passed on php5 (work around!)
*  -Arrays were not passed trough the loop, so i pharesed the array if in var...
*  -temporarly workarround
*********************************************************************************************/
global $_POST, $_GET, $userid;
$pdf_title=checkSomethingFromTable($table='my_company_docs', $what='document_title', $key='document_id', $keyvalue=$document, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
$pdf_description=checkSomethingFromTable($table='my_company_docs', $what='document_description', $key='document_id', $keyvalue=$document, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');

$usertheme = get_user_default_theme($userid);
$sitetheme = get_site_default_theme();

if (file_exists("themes/$usertheme")){
	$theme = $usertheme;
} elseif (file_exists("themes/$sitetheme")) {
	$theme = $sitetheme;
}
if($theme=='') {
	$theme = 'default';
}

class PDF extends FPDF{
	var $headerImg='';
	var $footerImg='';
	function setHeaderImg($img){
		$this->headerImg=$img;
	}
	function setFooterImg($img){
		$this->footerImg=$img;
	}
	function Header(){
		//Image(string file, float x, float y [, float w [, float h [, string type [, mixed link]]]])
		//allowed image Type .jpg or .png
		$img=$this->headerImg;
		$this->Image($img,10.00125,10,190,15,'JPG');
		//damit das nchste item genug platz hat ..
		$this->setY(30);
	}//function

	function Footer(){
		//Image(string file, float x, float y [, float w [, float h [, string type [, mixed link]]]])
		//allowed image Type .jpg or .png

		//footer allows negative Ykoords but not the Image , these code make it working ..
		$this->setY(-20);
		$tmpY=$this->getY();
		$img=$this->footerImg;
		$this->Image($img,10.00125,$tmpY,190,15,'JPG');
	}//function

	function myTitle($title){
		$this->SetTitle($title);
		//Koords & style
		$tmpY=$this->getY();
		$tmpX=10.00125;
		$width=185;
		$border=0;
		$align='C';
		$fill=0;

		$this->setXY($tmpX,$tmpY);
		$this->MultiCell($width,5,$title,$border,$align,$fill);
		$this->Ln();
	}

	function text1($txt){
		//Koords & style
		$tmpY=$this->getY();
		$tmpX=10.00125;
		$width=185;
		$border=0;
		$align='L';
		$fill=0;

		$this->setXY($tmpX,$tmpY);
		$this->MultiCell($width,5,$txt,$border,$align,$fill);
		$this->Ln();
	}//fn

	function text2($txt){
		//Koords & style
		$tmpY=$this->getY();
		$tmpX=10.00125;
		$width=185;
		$border=0;
		$align='L';
		$fill=0;

		$this->setXY($tmpX,$tmpY);
		$this->MultiCell($width,5,$txt,$border,$align,$fill);
		$this->Ln();
	}//fn
}//class


$pdf=new PDF();
//Layout
$pdf->SetFont('Arial','',14);

// $image_header=checkSomethingFromTable($table='my_company_info', $what='pdf_image_header', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
// $image_footer=checkSomethingFromTable($table='my_company_info', $what='pdf_image_footer', $key='active', $keyvalue='1', $langkey='', $langkeyvalue='', $sqlanswer='');
$image_header=checkSomethingFromTable($table='themes_logos', $what='pdf_header', $key='theme', $keyvalue=$theme, $langkey='', $langkeyvalue='', $sqlanswer='');
$image_footer=checkSomethingFromTable($table='themes_logos', $what='pdf_footer', $key='theme', $keyvalue=$theme, $langkey='', $langkeyvalue='', $sqlanswer='');

$pdf->setHeaderImg('themes/'.$theme.'/images/logos/'.$image_header);
$pdf->setFooterImg('themes/'.$theme.'/images/logos/'.$image_footer);

$pdf->AddPage(); //seite 1 wird geladen ..

//Title
$pdf->SetFont('Arial','B',14);
$pdf->myTitle($pdf_title);

//Insert Text
$pdf->SetFont('Arial','',10);
$text=$pdf_description;
$pdf->text1($text);
// $pdf->text2($text);

//direct output to browser
$pdf->Output();
?>